<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class CompleteCallMessageController extends Controller
{
    public function edit( Request $request ) {
        $coid = $request->coid;
        $message = DB::connection('mysql2')->table('complete_call_messages')
                                ->select('message')
                                ->where('coid', $coid)
                                ->first();

        $message_content = ! empty( $message ) ? $message->message : '';

        return view('dialogs.complete_call_message', [
            'coid'    => $coid,
            'message' => $message_content,
        ]);
    }

    public function update( Request $request) {
        $coid = $request->coid;
        $message = urldecode( $request->message );

        $message_record = DB::connection('mysql2')->table('complete_call_messages')
                                ->select('message')
                                ->where('coid', $coid)
                                ->first();

        if ( ! empty( $message_record ) ) {
            DB::connection('mysql2')
                ->table('complete_call_messages')
                ->where('coid', $coid)
                ->update( 
                    [
                        'message' => $message,
                    ] 
                );
        } else {
            DB::connection('mysql2')
                ->table('complete_call_messages')
                ->insertGetId([
                    'coid' => $coid, 
                    'message' => $message, 
                ]);
        }

        return response()->json([
            'message' => 'updated!',
        ]);
    }
}
