<?php

namespace App\Imports;

use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;

class SearchCustomerImport implements ToCollection
{

	public function __construct($column)
    {
        $this->vins = array();
        $this->column = $column;
        $this->error_message = '';
    }

    public function getErrorMessage()
    {
        return $this->error_message;
    }
    /**
    * @param Collection $collection
    */
    public function collection(Collection $collection)
    {
        foreach($collection as $row)
        {
            if(trim($row[$this->column]) != '' && trim(strtoupper($row[$this->column])) != 'VIN')
        	$this->vins[] = $row[$this->column];
        }
    }
}
