<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class TrainingAlert extends Model
{
    /**
     * Get the user type that belongs to the user.
     */
    public function file_type()
    {
        return $this->belongsTo('App\TrainingAlertFileType', 'file_type_id');
    }

    /**
     * The user_groups that belong to the training alert.
     */
    public function user_groups()
    {
        return $this->belongsToMany('App\UserGroup', 'training_alert_user_groups', 'training_alert_id', 'user_group_id');
    }
}
