<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class UserGroup extends Model
{
    /**
     * The user_groups that belong to the suer.
     */
    public function users()
    {
        return $this->belongsToMany('App\User', 'user_user_groups', 'user_group_id', 'user_id');
    }

    /**
     * Get the user type that belongs to the user.
     */
    public function dealers()
    {
        return $this->hasMany('App\UserGroupDealer');
    }
}
