<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRinglessVoicemailCampaignsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ringless_voicemail_campaigns', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('campaign_id')->nullable();
            $table->unsignedBigInteger('audio_id')->nullable();
            $table->foreign('audio_id')->references('id')->on('ringless_voicemail_audios');
            $table->unsignedBigInteger('contact_list_id')->nullable();
            $table->foreign('contact_list_id')->references('id')->on('ringless_voicemail_contact_lists');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ringless_voicemail_campaigns');
    }
}
