<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateServiceConnectCcjosephtoylcTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('service_connect_ccjosephtoylc', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('vin', 55)->nullable();
            $table->string('model', 55)->nullable();
            $table->string('year', 10)->nullable();
            $table->string('alert_type', 55)->nullable();
            $table->dateTime('alert_time')->nullable();
            $table->string('miles', 55)->nullable();
            $table->string('onboard_warnings')->nullable();
            $table->string('assigned_by')->nullable();
            $table->string('assigned_to')->nullable();
            $table->dateTime('assigned_time')->nullable();
            $table->string('status', 55)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('service_connect_ccjosephtoylc');
    }
}
