<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEmailHistoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('email_histories', function (Blueprint $table) {
            $table->engine = 'MyISAM';
            $table->bigIncrements('id');
            $table->unsignedBigInteger('email_history_type_id')->nullable();
            $table->foreign('email_history_type_id')->references('id')->on('email_history_types');
            $table->unsignedBigInteger('call_record_id')->nullable();
            //$table->foreign('record_type_id')->references('id')->on('record_types');
            $table->unsignedBigInteger('coid')->nullable();
            //$table->foreign('coid')->references('id')->on('record_types');
            $table->string('email', 255)->nullable();
            $table->text('subject')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('email_histories');
    }
}
