<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCallTypeStandardCommentTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('call_type_standard_comment', function (Blueprint $table) {
            $table->engine = 'MyISAM';
            $table->bigIncrements('id');
            $table->unsignedBigInteger('call_type_id')->nullable();
            $table->foreign('call_type_id')->references('id')->on('call_types');
            $table->unsignedBigInteger('standard_comment_id')->nullable();
            $table->foreign('standard_comment_id')->references('id')->on('standard_comments');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('call_type_standard_comment');
    }
}
