<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDealerIdToRecallsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('recall_records', function (Blueprint $table) {
            $table->engine = 'MyISAM';
            $table->string('dealer_id', 55)->after('coid')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('recall_records', function (Blueprint $table) {
            $table->dropColumn('dealer_id');
        });
    }
}
