<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateScrubbedFtpFilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('scrubbed_ftp_files', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('coid')->nullable();
            $table->string('file_name', 255)->nullable();
            $table->datetime('last_uploaded')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('scrubbed_ftp_files');
    }
}
