<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSeenFlagToScTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('service_connect_ccjosephtoylc', function (Blueprint $table) {
            $table->boolean('seen')->after('status')->default(0)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('service_connect_ccjosephtoylc', function (Blueprint $table) {
            $table->dropColumn('seen');
        });
    }
}
