<?php

use Illuminate\Database\Seeder;

class CallTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        
        $values_id = '1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,81,82,84';
        $values_id_array = explode(',', $values_id);

        $values_key = 'NA,SFU,SRC,SLSFU,LCC,TC10k,TC5k,TC15k,TC20k,TC25k,aptr1,aptr2,UNSLDFU,NYINSP,RECALL,KrexExp,IRT1,IRT2,NOE,IRT1day,IRT3day,IRT10day,FordOffer,TCExpire,ILM,AshOffer,HApp,Intgold,wdsms,wdemail,wdphone,wdfuture,IEqFu,MarkFU,TrueCar,TrueCarLst,8mnsrv,LOFCP5,LOFWP5,15-013,14-032,SOPCALL,BODYSHOPFU,IRT5,IRT15,IRT30,PHB1Day,TC07kFRS,TC15kFRS,TC22kFRS,30K,WAREXP,1stSrvRe,TCReminder,TCIntro,ToyInvite,TodaysApt,Survey_Com,5DayUnSold,InvTabRe1,InvTabRe2,Email_Touc,3yrMainDue,2yrMaintDu,1stMainDue,RectSLS,LivePhTr,EndofTerm,Vehicle_Pu,kbboffer,clscall,insucall,SCR,AALease,CCSalesCal,SRCD,SRE,RecUD,TCDueLeo,RecallR,SRemRV,ToySrvCon';
        $values_key_array = explode(',', $values_key);

        $values_name = 'Not Assigned,Service Follow-Up,Service Reminder,Sales Follow-Up,Lost Customer Calls,ToyotaCare 10 K Call,ToyotaCare 5 K Call,ToyotaCare 15 K Call,ToyotaCare 20 K Call,ToyotaCare 25 K Call,Appointment Reminder 1,Appointment Reminder 2,Un Sold Follow Up,New York Inspection,Recall Notification,Krex Expiration,Internet Lead 1st Response,Internet Lead Follow Up,New Owners Event,Internet Lead Next Day Follow Up,Internet Lead 3rd Day Follow Up,Internet Lead 10 Day Follow Up,Ford Sales Certificate Expiration,ToyotaCare Expiring,Internet Lead Manager,Ash Offers,Honda Appreciation,Internet Gold,Wheeler Dealer SMS,Wheeler Dealer email,Wheeler Dealer Phone,Wheeler Dealer Future,In-Equity Follow Up,Marketing Follow Up,True Car New Lead,Lost True Car,8 Month No Service,LOF 5 Month CP,LOF 5 Month WP,Honda Recall 15-013,Honda Recall 14-032,SOP Call,Body Shop Follow Up,Day 5 Follow up,Day 15 Follow up,Day 30 Follow up,Perf Honda 1 Day,Toyota Care FRS 7K Call,Toyota Care FRS 15K Call,Toyota Care FRS 22K Call,30K Service Reminder Call,Warranty Expirations,1st Service Due Reminder,ToyotaCare Reminder Call,Introduction to ToyotaCare,Invitations Tab,Todays Appointments Not Called,Survey Completed,5 Day Unsold Show Room Follow Up,Invitations Tab Reminder 1,Invitations Tab Reminder 2,Email Touch Only,3 Year Maint Due,2 Year Maint Due,1st Main Due,Reactivation Sales,Live Phone Training,End of Term,Vehicle Purchase Dept,KBB Offer,Closed Call No Further Action,All State Introduction,SCR List Calls,Auto Alert Lease,CampusCallers Inside Sales Call,Service Reminder CD,Service Reminder E,Record Update,ToyotaCare Due,Recall Notification RV,Service Reminder RV,Toyota Service Connect';
        $values_name_array = explode(',', $values_name);

        $values_call_times = '2,3,1,3,2,2,2,2,2,2,1,1,2,1,2,1,1,2,1,1,2,2,2,2,3,2,1,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,2,2,2,2,2,1,0,0,1,1,1,1,1,1,1,2,3,2,1,2,0,1,1,2,2,1,1,1,1,1,1,0';
        $values_call_times_array = explode(',', $values_call_times);
        $i = 0;
        foreach ($values_id_array as $key => $value) {
            DB::table('call_types')->insert([
                [
                    'id' => $value, 
                    'key' => $values_key_array[$i], 
                    'name' => $values_name_array[$i],
                    'call_times' => $values_call_times_array[$i]
                ],
            ]);
            $i++;
        }
    }
}
