<?php

use Illuminate\Database\Seeder;

class InboundCallTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $values_key = 'service,sales,parts,Internet,wd';
        $values_key_array = explode(',', $values_key);

        $values = 'IB Service,IB Sales,IB Parts,IB ILM,IB WD';
        $values_array = explode(',', $values);
        $i = 0;
        foreach ($values_key_array as $key => $value) {
        	DB::table('inbound_call_types')->insert([
	        	[
	        		'key' => $value, 
	        		'name' => $values_array[$i]
	    		],
	    	]);
	    	$i++;
        }
    }
}
