<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">Found Customers</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <table class="table table-striped" style="font-size: 12px">
            <thead>
                <tr>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th class="table_cell_content">Phone</th>
                    <th class="table_cell_content">Cell Phone</th>
                    <th class="table_cell_content">Email</th>
                    <th class="table_cell_content">Service Date</th>
                    <th>VIN</th>
                    <th class="table_cell_content">Vehicle Year</th>
                    <th class="table_cell_content">Vehicle Make</th>
                    <th class="table_cell_content">Vehicle Model</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($customers_array as $data)
                    
                        <tr>
                            <td>{{ $data->fname }}</td>
                            <td>{{ $data->lname }}</td>
                            <td class="table_cell_content">{{ $data->phone }}</td>
                            <td class="table_cell_content">{{ $data->cellphone }}</td>
                            <td class="table_cell_content">{{ $data->email }}</td>
                            <td class="table_cell_content">{{ $data->service_date }}</td>
                            <td>{{ $data->vin }}</td>
                            <td class="table_cell_content">{{ $data->vehicle_year }}</td>
                            <td class="table_cell_content">{{ $data->vehicle_make }}</td>
                            <td class="table_cell_content">{{ $data->vehicle_model }}</td>
                        </tr>
                    
                @endforeach
            </tbody>
        </table>
    </div>
</div>
<div class="modal-footer">
    <a href="{{$file_path}}" class="btn btn-success">Download CSV</a>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div>