<div class="modal-header">
    <h5 class="modal-title">
        Links
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <div class="alert alert-danger print-error-msg" style="display:none">
            <ul></ul>
        </div>
        <form id="ib_sales_rep_form" name="ib_sales_rep_form">
            @csrf
            <table id="ib_sales_rep_list" class="table">
                <thead>
                    <tr>
                        <th class="headertags14px">Title</th>
                        <th class="headertags14px">Url</th>
                        <th class="headertags14px">Comments</th>
                        <th class="headertags14px">Icon</th>
                        <th class="headertags14px">Delete</th>
                     </tr>
                </thead>
                <tbody>
                        @foreach($links as $key => $value)
                            <tr>
                                <td>
                                    <input type="hidden" name="links_ids[]" value="{{ $value->uid }}">
                                    <input type="text" name="title[]" class="form-control" placeholder="Title" value="{{ $value->title }}">
                                </td>
                                <td>
                                    <input type="text" name="url[]" class="form-control" placeholder="URL" value="{{ $value->url }}">
                                </td>
                                <td>
                                    <textarea name="comments[]" class="form-control" placeholder="Comments">{{ $value->comments }}</textarea>
                                </td>
                                <td>
                                    @if( ! empty( $value->icon ) )
                                        <img src="https://fullbdc.com/images/{{ $value->icon }}" onclick="changeInboundLinkIcon('{{ $value->uid }}')">
                                    @else
                                        <span onclick="changeInboundLinkIcon('{{ $value->uid }}')" class="pointer">No icon set</span>
                                    @endif
                                    <input type="hidden" name="icon[]" value="{{ $value->icon }}">
                                </td>
                                <td align="center">
                                    <span class="cursorpointer" onclick="deleteInboundLink(event, '{{ $value->uid }}')" ><i class="fas fa-trash-alt" aria-hidden="true"></i></span>
                                </td>
                            </tr>
                        @endforeach
                </tbody>
            </table>
        </form>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-success" onclick="saveInboundLinks(event, '{{ $coid }}');" id="save_ib_sr_button">Save</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div>