@if($conversations_count < 15)
	<div class="direct-chat-timestamp pull-center" id="showing_all_{{ $conversation_id }}">Showing all messages</div>
@endif
<?php $current_date = ''; ?>
@foreach ($conversations as $conversation)
	@if ( $current_date != date('Y-m-d', strtotime($conversation->created_at) + session('timezone_difference', 0)) )
		<?php $current_date = date('Y-m-d', strtotime($conversation->created_at) + session('timezone_difference', 0)); ?>
		<div class="chat-box-single-line">
			<abbr class="timestamp new_timestamp timestamp_label">{{ date('M jS, Y', strtotime($conversation->created_at) + session('timezone_difference', 0)) }}</abbr>
		</div>
	@endif
	@if (Auth::id() == $conversation->from)
		<!--<div class="chat-box-single-line">
			<abbr class="timestamp">October 9th, 2015</abbr>
		</div>-->
		<div class="outgoing-message">
			<div class="direct-chat-text-response">
				{{ $conversation->message }}
			</div>

			<div class="direct-chat-info clearfix">
				<span class="direct-chat-timestamp-response pull-left">{{date('g:i a', strtotime($conversation->created_at) + session('timezone_difference', 0))}}</span>
			</div>
		</div>
	@else
		<!--<div class="chat-box-single-line">
			<abbr class="timestamp">October 8th, 2015</abbr>
		</div>-->
		<div class="incoming-message">
			<div class="direct-chat-info clearfix">
				<span class="direct-chat-name pull-left">
					@if(strpos($conversation->from, '+') === false)
						@if(isset($user_names[$conversation->from]))
							{{$user_names[$conversation->from]}} (Team member) 
						@else
							(Team member) 
						@endif
					@else
						{{ $to_user->first_name }}
					@endif
				</span>
			</div>
			<img alt="message user image" src="{{ asset('images/default.jpg') }}" class="direct-chat-img"><!-- /.direct-chat-img -->
			<div class="direct-chat-text">
				{{ $conversation->message }}
			</div>
			<div class="direct-chat-info clearfix">
				<span class="direct-chat-timestamp pull-right">{{date('g:i a', strtotime($conversation->created_at) + session('timezone_difference', 0))}}</span>
			</div>
		</div>
	@endif
@endforeach