<div class="modal-header">
    <h5 class="modal-title">
        Questions for "{{ $call_type->calltype_text }}"
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <div class="alert alert-danger print-error-msg" style="display:none">
            <ul></ul>
        </div>
        <form id="questions_form" name="questions_form">
            @csrf
            <fieldset id="survey_questions_fieldset">
                @foreach($questions as $question)
                    <div class="form-row" id="question_{{ $question->id }}">
                        <div class="form-group col-md-12">
                            <input type="hidden" name="ids[]" id="" value="{{ $question->id }}">
                            <div class="input-group">
                                <input class="form-control" type="text" name="questions[]" id="" value="{{ $question->question }}">
                            
                                <div class="input-group-append">
                                    <button onclick="removeSurveyQuestionDialog(event, '{{ $question->id }}')" class="btn btn-danger"><i class="fas fa-trash-alt" aria-hidden="true"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach
            </fieldset>
        </form>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-primary" onclick="addSurveyQuestion(event, '{{ $coid }}', '{{ $cid }}');" id="add_survey_question_button">Add Question</button>
    <button type="button" class="btn btn-success" onclick="saveSurveyQuestions(event, '{{ $coid }}', '{{ $cid }}');" id="save_questions_button">Save Questions</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div>