<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">{{ $training_alert->title }}</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <p id="training_alert_content">
            @if($type == 'Text')
                {{ $training_alert->content }}
            @elseif($type == 'Document')
                <a href="uploaded_files/{{$training_alert->file}}" target="_blank" class="btn btn-primary">Download file</a> 
            @elseif($type == 'Image')
                <img src="uploaded_files/{{$training_alert->file}}" style="width: 100%">
            @elseif($type == 'Video')
                <video style="width: 100%" controls>
                    <source src="uploaded_files/{{$training_alert->file}}" type="video/mp4">
                    <source src="uploaded_files/{{$training_alert->file}}" type="video/ogg">
                    <source src="uploaded_files/{{$training_alert->file}}" type="video/webm">
                    Your browser does not support HTML video.
                </video>
            @elseif($type == 'Audio')
                <audio style="width: 100%" controls>
                    <source src="uploaded_files/{{$training_alert->file}}" type="audio/ogg">
                    <source src="uploaded_files/{{$training_alert->file}}" type="audio/mpeg">
                    <source src="uploaded_files/{{$training_alert->file}}" type="audio/wav">
                    Your browser does not support the audio element.
                </audio> 
            @endif
        </p>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div>