<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">{{ $header_title }}</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <table class="table table-striped" style="font-size: 12px">
            <thead>
                <tr>
                    <th>VIN</th>
                    <th>Customer</th>
                    <th class="table_cell_content">Phone</th>
                    <th class="table_cell_content">Model</th>
                    <th class="table_cell_content">Year</th>
                    <th class="table_cell_content">Recent Transaction Date</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($vins_data as $data)
                <tr>
                    <td>{{ $data->vin }}</td>
                    <td>{{ $data->first_name }} {{ $data->last_name }}</td>
                    <td class="table_cell_content">{{ $data->phone }}</td>
                    <td class="table_cell_content">
                        @if(isset($data->model))
                            {{ $data->model }}
                        @endif
                    </td>
                    <td class="table_cell_content">
                        @if(isset($data->year))
                            {{ $data->year }}
                        @endif
                    </td>
                    <td class="table_cell_content">{{ date('m/d/Y', strtotime($data->recent_transaction_date)) }}</td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div>