<table>
    <thead>
        <tr>
            @foreach ($columns as $key => $column)
                <th>{{ $column }}</th>
            @endforeach
        </tr>
    </thead>
    <tbody>
        @foreach ($livecalls as $record)
            <tr>
                @foreach ($columns as $key => $column)
                    @if($key == 'fake_dnc' || $key == 'fake_dne')
                        @continue
                    @endif
                    <td>
                        @if ($key == 'dateadded')
                            {{ date('m/d/Y', strtotime($record->{$key})) }}
                        @elseif ($key == 'livecall_prev_calltype' || $key == 'livecall_next_calltype')
                            @if( ! empty( $calltypes_names[ $record->{$key} ] ) )
                                {{ $calltypes_names[ $record->{$key} ] }}
                            @endif
                        @elseif ($key == 'customer_status')
                            @if( ! empty( $customer_status_texts[ $record->{$key} ] ) )
                                {{ $customer_status_texts[ $record->{$key} ] }}
                            @endif
                        @else                
                            {{ $record->{$key} }}
                        @endif
                    </td>
                    @if( $key == 'phone' )
                        @if( empty( $callcenter_dnc_array[$record->{$key}] ) && empty( $dealer_dnc_list[$record->{$key}] ) )
                            <td>No</td>
                        @else
                            <td>Yes</td>
                        @endif
                    @elseif ($key == 'email')
                        @if( empty( $dealer_dne_list[$record->{$key}] ) )
                            <td>No</td>
                        @else
                            <td>Yes</td>
                        @endif
                    @endif
                @endforeach
            </tr>
        @endforeach
    </tbody>
</table>