<table class="table table-striped" style="font-size: 11px;background-color: #fff;">
    <thead>
        <tr>
            <th>Alert Time</th>
            <th>Alert Type</th>
            <th>VIN</th>
            <th>Model</th>
            <th>Year</th>
            <th>Onboard Warnings</th>
            <th>Status</th>
            <th>Call</th>
        </tr>
    </thead>
    <tbody>
        @foreach ($service_connect as $srv_connect)
            @php
                $not_seen_flag = ($srv_connect->seen == 0) ? 'has_duplicated_vin_style' : '';
            @endphp
            <tr id="service_connect_row_{{ $srv_connect->id }}" onclick="showServiceConnectDetails(event, '{{ $srv_connect->id }}', '{{$co_short}}', '{{$coid}}')" class="cursorpointer {{ $not_seen_flag }}">
                <td>{{ date('m/d/Y H:i:s', strtotime($srv_connect->alert_time)) }}</td>
                <td>{{ $srv_connect->alert_type }}</td>
                <td><a href="https://one.tis.toyota.com/serviceLane/?l=1vw&vin={{ $srv_connect->vin }}" target="_blank">{{ $srv_connect->vin }}</a></td>
                <td>{{ $srv_connect->model }}</td>
                <td>{{ $srv_connect->year }}</td>
                <td>{{ $srv_connect->onboard_warnings }}</td>
                <td>{{ $srv_connect->status }}</td>
                <td align="center">
                    @if ( empty( $srv_connect->call_id ) )
                        <i class="fas fa-times-circle" style="color:#ea7575;" aria-hidden="true"></i>
                    @else
                        <i class="fas fa-check-circle" style="color:#1ac450;" aria-hidden="true"></i>
                    @endif
                </td>
            </tr>
        @endforeach
    </tbody>
</table>

@if ($no_links === false)
    <div id="service_connect_pagination">
        {{ $service_connect->links() }} 
    </div>
@endif