<table class="table table-striped">
    <thead>
        <tr>
            <th>Name</th>
            <th class="table_cell_content">Dealer</th>
            <th style="text-align: center;">Edit</th>
            <th style="text-align: center;">Delete</th>
        </tr>
    </thead>
    <tbody>
        @foreach ($user_groups as $user_group)
            <tr id="ta_row_{{ $user_group->id }}">
                <td id="user_group_name_{{ $user_group->id }}">{{ $user_group->name }}</td>
                <td class="table_cell_content">
                    @if(isset($dealer_names[$user_group->coid]))
                        {{ $dealer_names[$user_group->coid] }}
                    @else 
                        Global
                    @endif
                </td>
                <td align="center" class="cursorpointer" onclick="editUserGroupDialog(event, {{ $user_group->id }})">
                    <i class="fas fa-edit"></i>
                </td>
                <td align="center" class="cursorpointer" onclick="deleteUserGroupDialog(event, {{ $user_group->id }})">
                    <i class="fas fa-trash-alt"></i>
                </td>
            </tr>
        @endforeach
    </tbody>
</table>

@if ($no_links === false)
    {{ $user_groups->links() }}
@endif

<span>
    @if ($no_links === false)
        @if ($user_groups->total() > 20)
            <button type="submit" class="btn btn-primary" onclick="userGroupPaginationData(1, '', 1)">
                Show All
            </button>
        @elseif($current_user_group_id > 0)
            <button type="submit" class="btn btn-primary" onclick="userGroupPaginationData(1, '', 0)">
                Paginate
            </button>
        @endif
    @else
        <button type="submit" class="btn btn-primary" onclick="userGroupPaginationData(1, '', 0);">
            Paginate
        </button>
    @endif
    
</span>