@extends('layouts.app')
@section('style_files')
@endsection
@section('content')
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Connect Rate</div>
                <div class="card-body">
                    <form id="report_filters_form" name="report_filters_form">
                        <div class="form-row">
                            <div class="form-group col-md-2">
                                <label for="coid_search">{{ __('Dealer') }}</label>
                                <div class="input-group">
                                    <select class="form-control" id="coid_search" name="coid_search" required>
                                        @include('inputs.select_options', ['options' => $dealers_options, 'value_selected' => ''])
                                    </select>
                                    <div class="invalid-feedback">
                                        Provide a dealer.
                                    </div>
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-secondary" id="submit_search" onclick="getConnectRate(event)"><i class="fas fa-search"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="report_container">    
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts_extra')
@endsection