@extends('layouts.app')
@section('styles')

@endsection
@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Dealer Message</div>
                <div class="card-body">
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div class="alert alert-danger" id="account_settings_error" style="display:none">
                      Something went wrong...
                      <ul></ul>
                    </div>
                    <div class="form-group row">
                        <div class="col-md-12 text-center">
                            <div id="success"></div>
                        </div>
                    </div>
                    <form method="POST" id="add_form" action="" class="needs-validation" novalidate style="width:50%;margin: 0 auto">
                        <fieldset id="disable_form_fieldset">
                        @csrf
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="coid" class="col-form-label text-md-right">{{ __('Dealer') }}</label>
                                <select class="form-control need-validation-inputs" id="coid" name="coid" onchange="getDealerDailyMessage(event)" required>
                                    <option value="">Select...</option>
                                    @include('inputs.select_options', ['options' => $dealers_options, 'value_selected' => ''])
                                </select>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="call_type_id" class="col-form-label text-md-right">{{ __('Call Type') }}</label>
                                <select class="form-control need-validation-inputs" id="call_type_id" name="call_type_id" onchange="getDealerDailyMessage(event)" required>
                                    <option value="">Select...</option>
                                    @include('inputs.select_options', ['options' => $calltypes_options, 'value_selected' => ''])
                                </select>
                            </div>
                        </div> 
                        </fieldset>
                    </form>
                    <br />
                </div>
            </div>

            <div class="card">
                <div class="card-header">&nbsp;</div>
                <div class="card-body" id="dealer_message_container">
                </div>
            </div>
        </div>
    </div>
</div>
@endsection


@section('scripts')
    
@endsection   