@extends('layouts.app')
@section('style_files')
    <link rel="stylesheet" href="{{ asset('css/jquery.typeahead.min.css') }}">
@endsection
@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Upload Call File</div>

                <div class="card-body">
                    
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div class="alert alert-danger" id="file_upload_error" style="display:none">
                      Something went wrong
                      <ul></ul>
                    </div>
                        <div class="form-row">
                            <label for="coid" class="col-md-4 col-form-label text-md-right">{{ __('Dealer') }}</label>
                            <div class="form-group col-md-4">
                                <select class="form-control need-validation-inputs" id="coid" name="coid" onchange="getFtpFileContainer(event)" required>
                                    <option value="">Select dealer...</option>
                                    @include('inputs.select_options', ['options' => $dealers, 'value_selected' => ''])
                                </select>
                            </div>
                        </div> 
                        <div id="ftp_section">
                            
                        </div>
                    <br />
                </div>
            </div>
        </div>
    </div>
</div>
@endsection


@section('scripts_extra')
    
@endsection   