<div class="modal-header">
    <h5 class="modal-title">
        {{ $dialog_title }}
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <div class="alert alert-danger print-error-msg" style="display:none">
            <ul></ul>
        </div>
        <form id="import_email_template_form" name="import_email_template_form">
            @csrf
            <fieldset id="customer_email_fieldset">
                <div class="form-row">
                    <label for="subject">{{ __('Subject:') }}</label>
                    <input type="text" id="subject" name="subject" class="form-control need-validation-inputs" placeholder="Subject" value="{{ $subject }}" maxlength="255">
                </div>
                <br>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <textarea id="tiny_content" name="tiny_content" class="form-control need-validation-inputs"><?php print( $content ); ?></textarea>
                    </div>
                </div>
            </fieldset>
        </form>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-success" onclick="saveEmailTemplate(event, '{{ $db_table }}', '{{ $coid_column }}', '{{ $cid_column }}', '{{ $subject_column }}', '{{ $content_column }}', '{{ $coid }}', '{{ $cid }}');" id="save_call_script_button">Save template</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div>

@include('partials.tinymce')