<div>
<fieldset>
    <legend class="text-right"><img src="{{ asset('images/bdchelper_logo.png') }}" style="height: 50px"></legend>
    @if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer' || Auth::user()->user_type->name == 'Full BDC Caller' || Auth::user()->user_type->name == 'Dealer Caller')
        @if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer')
            <div class="form-row">
                <div class="form-group col-md-12" style="background-color: #f3834e;border-radius: 5px; padding-bottom: 40px;">
                    <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;background-color: #f3834e;border-radius: 5px;color:#fff;">
                        <div class="form-group col-md-3">
                            <p style="font-size: 20px">{{number_format($total, 0, '.', ',')}} Total Customers &nbsp;
                                <span class="cursorpointer" onclick="scheduleCalls(event, '{{ $coid }}', 'all', {{$total_active}})"><i class="fas fa-calendar-alt" style="font-size: 25px"></i></span>&nbsp;

                                <span class="cursorpointer" onclick="showCallListDialog(event, 'leo', 'total', '{{ $coid }}')"><i class="fas fa-phone-square" style="font-size: 25px"></i></span>&nbsp;
                                
                                <span class="cursorpointer" onclick="scheduleEmails(event, '{{ $coid }}', 'all')"><i class="fas fa-envelope-square" style="font-size: 25px"></i></span>

                            </p>
                            <p style="font-size: 16px">{{number_format($ghostvin_total, 0, '.', ',')}} Ghosted Vins <span id="ghosted_vins_total" class="third_phase_report_class"></span></p>
                            <p style="font-size: 16px" id="global_total_ghosted_vins_destroyed" class="second_phase_report_class"></p>
                            <p>
                                <ul style="vertical-align: middle;">
                                    <li class="cursorpointer" onclick="showFoundVins(event, 'all', '44')">Vehicle Traded In: {{ count($customer_status_total[44]) }} <span id="ghosted_vins_total_vti" class="third_phase_report_class"></span></li>
                                    <li class="cursorpointer" onclick="showFoundVins(event, 'all', '36')">Vehicle Destroyed: {{ count($customer_status_total[36]) }} <span id="ghosted_vins_total_vd" class="third_phase_report_class"></span></li>
                                    <li class="cursorpointer" onclick="showFoundVins(event, 'all', '20')">No longer owns: {{ count($customer_status_total[20]) }} <span id="ghosted_vins_total_nlo" class="third_phase_report_class"></span></li>
                                    <li class="cursorpointer" onclick="showFoundVins(event, 'all', '35')">Out of State: {{ count($customer_status_total[35]) }} <span id="ghosted_vins_total_ofs" class="third_phase_report_class"></span></li>
                                    <li class="cursorpointer" onclick="showFoundVins(event, 'all', '33')">Servicing Elsewhere: {{ count($customer_status_total[33]) }} <span id="ghosted_vins_total_se" class="third_phase_report_class"></span></li>
                                    <li class="cursorpointer" onclick="showFoundVins(event, 'all', '0')">Unknown status: {{ count($customer_status_total[0]) }} <span id="ghosted_vins_total_us" class="third_phase_report_class"></span></li>
                                </ul>
                            </p>
                            
                        </div>


                        <div class="form-group col-md-3" style="background-color: #f3834e;border-radius: 5px;color:#fff;">
                            <p style="font-size: 20px">DATA CENTER</p>
                            <p style="font-size: 16px">
                                All Vins: {{ $livecalls_all_vin_count }}<br>
                                @if(strpos(strtolower($company_name), 'toyota') !== false)
                                    Toyota Vins: {{ $livecalls_toyota_count }} - Visits Last 12 Months: {{ $livecalls_toyota_active_count }}<br>
                                    Other Make Vins: {{ $livecalls_other_make_count }} - Visits Last 12 Months: {{ $livecalls_other_make_active_count }}
                                @endif

                            </p>
                        </div>

                        
                        
                        <div class="form-group col-md-3">
                            @if(($sfu_livecalls_happy + $sfu_livecalls_not_happy) > 0 || ($salesfu_livecalls_happy + $salesfu_livecalls_not_happy) > 0)
                                <p style="font-size: 20px">
                                    Satisfaction!
                                </p>
                                <p style="font-size: 14px">
                                    Service Follow Up:
                                    @if(($sfu_livecalls_happy + $sfu_livecalls_not_happy) > 0)
                                        <ul>
                                            <li>Happy Customers: {{ $sfu_livecalls_happy }} ({{ number_format(($sfu_livecalls_happy / ($sfu_livecalls_happy + $sfu_livecalls_not_happy)) * 100, 2) }}%)</li>
                                            <li>Needs Attention: {{ $sfu_livecalls_not_happy }}</li>
                                            <li>Avg. Opinion per month: {{ number_format(($sfu_livecalls_happy + $sfu_livecalls_not_happy)/12, 0) }}</li>
                                        </ul>
                                    @endif
                                </p>
                                @if($salesfu_livecalls_happy > 0 || $salesfu_livecalls_not_happy > 0)
                                <p style="font-size: 14px">
                                    Sales Follow Up:
                                    @if(($salesfu_livecalls_happy + $salesfu_livecalls_not_happy) > 0)
                                        <ul>
                                            <li>Happy Customers: {{ $salesfu_livecalls_happy }} ({{ number_format(($salesfu_livecalls_happy / ($salesfu_livecalls_happy + $salesfu_livecalls_not_happy)) * 100, 2) }}%)</li>
                                            <li>Needs Attention: {{ $salesfu_livecalls_not_happy }}</li>
                                            <li>Avg. Opinion per month: {{ number_format(($salesfu_livecalls_happy + $salesfu_livecalls_not_happy)/12, 0) }}</li>
                                        </ul>
                                    @endif
                                </p>
                                @endif
                            @endif
                        </div>
                        
                        @if($is_toyota_dealer)
                            <div class="form-group col-md-3">
                                <p style="font-size: 20px">
                                    Communications
                                </p>
                                <p style="font-size: 14px">
                                    LEO Sent Us {{ $total_phone_numbers }} Phone Numbers. (
                                        @if($total != 0)
                                            {{ number_format(($total_phone_numbers /$total) * 100, 2) }}
                                        @else
                                        0
                                        @endif
                                        %)<br>
                                    Campus Callers Found <strong><span id="found_phones" style="color:#18619a">???</span></strong> Phone numbers. <strong><span id="found_phones_percent" style="color:#18619a"></span></strong><br>
                                    Records on DNC: {{ $total_dnc }}<br>
                                    LEO Sent Us {{ $total_emails }} Emails. (
                                        @if($total != 0)
                                            {{ number_format(($total_emails /$total) * 100, 2) }}
                                        @else
                                            0
                                        @endif
                                        %)<br>
                                    Campus Callers Found <strong><span id="found_emails" style="color:#18619a">???</span></strong> Emails. <strong><span id="found_emails_percent" style="color:#18619a"></span></strong><br>
                                    Records on DNE: {{ $total_dne }}
                                </p>
                            </div>
                        @else 
                            <div class="form-group col-md-3">
                                <p style="font-size: 20px">Marketing Center</p>
                                <p>
                                    <ul style="vertical-align: middle;">
                                        <li class="cursorpointer">
                                            5-7 Months: {{ $mc_five_to_seven_months }}
                                            <span class="cursorpointer"><i class="fas fa-phone-square" style="font-size: 18px"></i></span>&nbsp;
                                            <span class="cursorpointer"><i class="fas fa-envelope-square" style="font-size: 18px"></i></span>&nbsp;
                                            <span class="cursorpointer"><i class="fas fa-sms" style="font-size: 18px"></i></span>
                                        </li>
                                        <li class="cursorpointer">
                                            8-11 Months: {{ $mc_eight_to_eleven_months }}
                                            <span class="cursorpointer"><i class="fas fa-phone-square" style="font-size: 18px"></i></span>&nbsp;
                                            <span class="cursorpointer"><i class="fas fa-envelope-square" style="font-size: 18px"></i></span>&nbsp;
                                            <span class="cursorpointer"><i class="fas fa-sms" style="font-size: 18px"></i></span>
                                        </li>
                                    </ul>
                                </p>
                                <p>
                                    <ul style="vertical-align: middle;">
                                        <li class="cursorpointer">
                                            Today Scheduled Calls: {{ $mc_today_calls_count }} 
                                            <span class="cursorpointer"><i class="fas fa-phone-square" style="font-size: 18px"></i></span>
                                        </li>
                                        <li class="cursorpointer">
                                            Today Scheduled Emails: {{ $mc_today_emails_count }}
                                            <span class="cursorpointer"><i class="fas fa-envelope-square" style="font-size: 18px"></i></span>
                                        </li>
                                    </ul>
                                </p>
                            </div>
                        @endif
                    </div>

                    @if($is_toyota_dealer)
                        <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;padding-bottom: 30px;background-color: #f3834e;border-radius: 5px;color:#fff;">

                            <div class="form-group col-md-5 text-center" style="display: flex; align-items: center;justify-content: center;flex-direction: column">
                                <p style="font-size: 20px">
                                    Phone Tank
                                </p>
                                <p style="font-size: 14px;">
                                    <div id='phone_chart' class="customized-chart" style="max-width: 400px;height: 200px"></div>
                                </p>
                            </div>

                            <div class="form-group col-md-2 text-center" style="display: flex; align-items: center;justify-content: center;padding-top:50px;flex-direction: column">
                                <img src="{{ asset('images/otis_button.png') }}" class="cursorpointer" style="width: 60px" onclick="findPhoneAndEmails(event, '{{ $coid }}');"> 
                                <p>
                                    <div id="otis_alert_container" style="color: #000"></div>
                                </p>
                                
                            </div>

                            <div class="form-group col-md-5 text-center" style="display: flex; align-items: center;justify-content: center; flex-direction: column">
                                <p style="font-size: 20px">
                                    Email Tank
                                </p>
                                <p style="font-size: 14px">
                                    <div id='email_chart' class="customized-chart" style="max-width: 400px;height: 200px"></div>
                                </p>
                            </div>
                        </div>   
                    @endif
                </div>
            </div>

         
            @if($is_toyota_dealer)
                <div class="form-row">
                    <div class="form-group col-md-12" style="background-color: #18619a;border-radius: 5px">
                        <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;">
                            <div class="form-group col-md-4" style="background-color: #18619a;border-radius: 5px;color:#fff;">
                                <p style="font-size: 20px">Current Active {{date('F Y')}}</p>
                                <p style="font-size: 16px">
                                    <span id="current_active_count_span">{{number_format($total_active, 0, '.', ',')}}</span> Customers &nbsp;
                                    <span class="cursorpointer" onclick="scheduleCalls(event, '{{ $coid }}', 'Active', {{$total_active}})"><i class="fas fa-calendar-alt" style="font-size: 25px"></i></span>&nbsp;
                                    <span class="cursorpointer" onclick="showCallListDialog(event, 'leo', 'active', '{{ $coid }}')"><i class="fas fa-phone-square" style="font-size: 25px"></i></span>&nbsp;
                                    <span class="cursorpointer" onclick="scheduleEmails(event, '{{ $coid }}', 'Active')"><i class="fas fa-envelope-square" style="font-size: 25px"></i></span>
                                </p>
                                <p style="font-size: 16px">
                                    <span id="current_updated_customers_span">{{number_format($updated_inactive_vins_count, 0, '.', ',')}}</span> Updated Customers &nbsp;
                                    <span class="cursorpointer" id="search_new_active_customers_span" onclick="searchForNewActiveCustomers(event, '{{ $coid }}', 0, 0, 0)"><i class="fab fa-searchengin" style="font-size: 25px"></i></span>
                                </p>
                                <p style="font-size: 16px">
                                    <span>
                                        {{number_format($original_total_active, 0, '.', ',')}} Original LEO Active (
                                        @if($total != 0)
                                            {{number_format(($original_total_active/$total)*100, 2, '.', ',')}}
                                        @else
                                            0
                                        @endif
                                        %)
                                    </span>
                                </p>
                            </div>
                            <div class="form-group col-md-4" style="background-color: #18619a;border-radius: 5px;color:#fff; font-size: 30px; display: flex; align-items: center;justify-content: center;">
                                <p><span id="current_active_count_span_percent">
                                    @if($total != 0)
                                        {{number_format(($total_active/$total)*100, 2, '.', ',')}}
                                    @else
                                        0
                                    @endif
                                    %</span></p>
                            </div>
                            <div class="form-group col-md-4" style="background-color: #18619a;border-radius: 5px;color:#fff;display: flex; align-items: center;justify-content: center;">
                                <p>
                                    <ul style="vertical-align: middle;">
                                        <li id="global_total_ghosted_vins_destroyed_active" class="second_phase_report_class"></li>
                                        <li class="cursorpointer" onclick="showFoundVins(event, 'active', '44')">Vehicle Traded In: {{$total_customer_status['Active'][44]}}</li>
                                        <li class="cursorpointer" onclick="showFoundVins(event, 'active', '36')">Vehicle Destroyed: {{$total_customer_status['Active'][36]}}</li>
                                        <li class="cursorpointer" onclick="showFoundVins(event, 'active', '20')">No longer owns: {{$total_customer_status['Active'][20]}}</li>
                                        <li class="cursorpointer" onclick="showFoundVins(event, 'active', '35')">Out of State: {{$total_customer_status['Active'][35]}}</li>
                                        <li class="cursorpointer" onclick="showFoundVins(event, 'active', '33')">Servicing Elsewhere: {{$total_customer_status['Active'][33]}}</li>
                                        <li class="cursorpointer" onclick="showFoundVins(event, 'active', '0')">Unknown status: {{$total_customer_status['Active'][0]}}</li>
                                    </ul>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            @endif
            @if($is_toyota_dealer)
                <div class="form-row" style="margin-left: -10px;margin-right: -10px;">
                    <div class="form-group col-md-6">
                        <div class="form-group col-md-12" style="background-color: #f3834e;border-radius: 5px">
                            <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;">
                                
                                    <div class="form-group col-md-4" style="background-color: #f3834e;border-radius: 5px;color:#fff;">
                                        <p style="font-size: 20px">Inactive </p> 
                                        <p style="font-size: 16px" ><span id="current_inactive_customers_span">{{number_format($total_inactive, 0, '.', ',')}}</span> Customers <span id="current_inactive_customers_span_percent">(
                                            @if($total != 0)
                                                {{number_format(($total_inactive/$total)*100, 2, '.', ',')}}
                                            @else
                                                0
                                            @endif
                                            %)</span></p>
                                        <p style="font-size: 16px">
                                            <span class="cursorpointer" onclick="scheduleCalls(event, '{{ $coid }}', 'Inactive', {{$total_active}})"><i class="fas fa-calendar-alt" style="font-size: 25px"></i></span>&nbsp;
                                            <span class="cursorpointer" onclick="showCallListDialog(event, 'leo', 'inactive', '{{ $coid }}')"><i class="fas fa-phone-square" style="font-size: 25px"></i></span>&nbsp;
                                            <span class="cursorpointer" onclick="scheduleEmails(event, '{{ $coid }}', 'Inactive')"><i class="fas fa-envelope-square" style="font-size: 25px"></i></span>
                                        </p>

                                        <p style="font-size: 16px">
                                            <span>
                                                {{number_format($original_total_inactive, 0, '.', ',')}} Original LEO Inactive (
                                                    @if($total != 0)
                                                        {{number_format(($original_total_inactive/$total)*100, 2, '.', ',')}}
                                                    @else
                                                        0
                                                    @endif
                                                    %)
                                            </span>
                                        </p>
                                    </div>
                                    <div class="form-group col-md-4" style="background-color: #f3834e;border-radius: 5px;color:#fff;">
                                        <p style="font-size: 20px">Marketing Center</p>
                                        <p>
                                            <ul style="vertical-align: middle;">
                                                <li class="cursorpointer">
                                                    5-7 Months: {{ $mc_five_to_seven_months }}
                                                    <span class="cursorpointer"><i class="fas fa-phone-square" style="font-size: 18px"></i></span>&nbsp;
                                                    <span class="cursorpointer"><i class="fas fa-envelope-square" style="font-size: 18px"></i></span>&nbsp;
                                                    <span class="cursorpointer"><i class="fas fa-sms" style="font-size: 18px"></i></span>
                                                </li>
                                                <li class="cursorpointer">
                                                    8-11 Months: {{ $mc_eight_to_eleven_months }}
                                                    <span class="cursorpointer"><i class="fas fa-phone-square" style="font-size: 18px"></i></span>&nbsp;
                                                    <span class="cursorpointer"><i class="fas fa-envelope-square" style="font-size: 18px"></i></span>&nbsp;
                                                    <span class="cursorpointer"><i class="fas fa-sms" style="font-size: 18px"></i></span>
                                                </li>
                                            </ul>
                                        </p>
                                        <p>
                                            <ul style="vertical-align: middle;">
                                                <li class="cursorpointer">
                                                    Today Scheduled Calls: {{ $mc_today_calls_count }} 
                                                    <span class="cursorpointer"><i class="fas fa-phone-square" style="font-size: 18px"></i></span>
                                                </li>
                                                <li class="cursorpointer">
                                                    Today Scheduled Emails: {{ $mc_today_emails_count }}
                                                    <span class="cursorpointer"><i class="fas fa-envelope-square" style="font-size: 18px"></i></span>
                                                </li>
                                            </ul>
                                        </p>
                                    </div>
                                    <div class="form-group col-md-4" style="background-color: #f3834e;border-radius: 5px;color:#fff;display: flex; align-items: center;justify-content: center;">
                                        <ul style="vertical-align: middle;">
                                            <li id="global_total_ghosted_vins_destroyed_inactive" class="second_phase_report_class"></li>
                                            <li class="cursorpointer" onclick="showFoundVins(event, 'inactive', '44')">Vehicle Traded In: {{$total_customer_status['Inactive'][44]}}</li>
                                            <li class="cursorpointer" onclick="showFoundVins(event, 'inactive', '36')">Vehicle Destroyed: {{$total_customer_status['Inactive'][36]}}</li>
                                            <li class="cursorpointer" onclick="showFoundVins(event, 'inactive', '20')">No longer owns: {{$total_customer_status['Inactive'][20]}}</li>
                                            <li class="cursorpointer" onclick="showFoundVins(event, 'inactive', '35')">Out of State: {{$total_customer_status['Inactive'][35]}}</li>
                                            <li class="cursorpointer" onclick="showFoundVins(event, 'inactive', '33')">Servicing Elsewhere: {{$total_customer_status['Inactive'][33]}}</li>
                                            <li class="cursorpointer" onclick="showFoundVins(event, 'inactive', '0')">Unknown status: {{$total_customer_status['Inactive'][0]}}</li>
                                        </ul>
                                    </div>
                                
                            </div>
                        </div>
                    </div>
                    <div class="form-group col-md-6">
                        <div class="form-group col-md-12" style="background-color: #777b84;border-radius: 5px">
                            <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;">
                                <div class="form-group col-md-5" style="background-color: #777b84;border-radius: 5px;color:#fff;">
                                    <p style="font-size: 20px">Not Engaged</p>
                                    <p style="font-size: 16px"><span id="current_not_enganged_customers_span">{{number_format($total_not_enganged, 0, '.', ',')}}</span> Customers <span id="current_not_enganged_customers_span_percent">(
                                    @if($total != 0)   
                                        {{number_format(($total_not_enganged/$total)*100, 2, '.', ',')}}
                                    @else
                                        0
                                    @endif
                                    %)</span></p>
                                    <p style="font-size: 16px">
                                        <span class="cursorpointer" onclick="scheduleCalls(event, '{{ $coid }}', 'Not Engaged', {{$total_active}})"><i class="fas fa-calendar-alt" style="font-size: 25px"></i></span>&nbsp;
                                        <span class="cursorpointer" onclick="showCallListDialog(event, 'leo', 'not_enganged', '{{ $coid }}')"><i class="fas fa-phone-square" style="font-size: 25px"></i></span>&nbsp;
                                        <span class="cursorpointer" onclick="scheduleEmails(event, '{{ $coid }}', 'Not Engaged')"><i class="fas fa-envelope-square" style="font-size: 25px"></i></span>
                                    </p>
                                    <p style="font-size: 16px">
                                        <span>
                                            {{number_format($original_total_not_enganged, 0, '.', ',')}} Original LEO Not Enganged (
                                            @if($total != 0)
                                                {{number_format(($original_total_not_enganged/$total)*100, 2, '.', ',')}}
                                            @else
                                                0
                                            @endif
                                            %)
                                        </span>
                                    </p>
                                </div>
                                <div class="form-group col-md-7" style="background-color: #777b84;border-radius: 5px;color:#fff;display: flex; align-items: center;justify-content: center;">
                                    <ul style="vertical-align: middle;">
                                        <li id="global_total_ghosted_vins_destroyed_not_engaged" class="second_phase_report_class"></li>
                                        <li class="cursorpointer" onclick="showFoundVins(event, 'not_enganged', '44')">Vehicle Traded In: {{$total_customer_status['Not Engaged'][44]}}</li>
                                        <li class="cursorpointer" onclick="showFoundVins(event, 'not_enganged', '36')">Vehicle Destroyed: {{$total_customer_status['Not Engaged'][36]}}</li>
                                        <li class="cursorpointer" onclick="showFoundVins(event, 'not_enganged', '20')">No longer owns: {{$total_customer_status['Not Engaged'][20]}}</li>
                                        <li class="cursorpointer" onclick="showFoundVins(event, 'not_enganged', '35')">Out of State: {{$total_customer_status['Not Engaged'][35]}}</li>
                                        <li class="cursorpointer" onclick="showFoundVins(event, 'not_enganged', '33')">Servicing Elsewhere: {{$total_customer_status['Not Engaged'][33]}}</li>
                                        <li class="cursorpointer" onclick="showFoundVins(event, 'not_enganged', '0')">Unknown status: {{$total_customer_status['Not Engaged'][0]}}</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            @endif
        @endif
        @if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer' || Auth::user()->user_type->name == 'Full BDC Caller' || Auth::user()->user_type->name == 'Dealer Caller')
            <div class="form-row">
                <div class="form-group col-md-12" style="background-color: #f3834e;border-radius: 5px">
                    <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;background-color: #f3834e;border-radius: 5px;color:#fff;">
                        @if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer')
                            @if($total_toyota_care_eligible > 0)
                            <div class="form-group col-md-4">
                                <p style="font-size: 20px">{{number_format($total_toyota_care_eligible, 0, '.', ',')}} Toyota Care Eligible &nbsp;
                                    <span class="cursorpointer" onclick="scheduleCalls(event, '{{ $coid }}', 'toyota_care_eligible', {{$total_active}})"><i class="fas fa-calendar-alt" style="font-size: 25px"></i></span>&nbsp;
                                    <span class="cursorpointer" onclick="showCallListDialog(event, 'toyota_care', '', '{{ $coid }}')"><i class="fas fa-phone-square" style="font-size: 25px"></i></span>&nbsp;
                                    <span class="cursorpointer" onclick="scheduleEmails(event, '{{ $coid }}', 'toyota_care_eligible')"><i class="fas fa-envelope-square" style="font-size: 25px"></i></span>

                                </p>
                                <p style="font-size: 16px">Current Scheduled TC Calls: {{number_format($total_toyota_care_scheduled, 0, '.', ',')}}</p>

                                <p style="font-size: 16px">
                                    <ul style="vertical-align: middle;">
                                        @foreach($toyota_care_categories as $key => $value)
                                            <li>{{ $key }}: {{ $value }} ({{number_format(($value/$total_toyota_care_eligible)*100, 2, '.', ',')}}%)</li>
                                        @endforeach
                                    </ul>
                                </p>

                                <p style="font-size: 16px">{{number_format($total_toyota_care_ghostvin_total, 0, '.', ',')}} Ghosted Vins</p>
                                
                                <p>
                                    <ul style="vertical-align: middle;">
                                        <li id="global_total_ghosted_vins_destroyed_tc" class="second_phase_report_class"></li>
                                        <li class="cursorpointer">Vehicle Traded In: {{ $toyota_care_ghostvin[44] }}</li>
                                        <li class="cursorpointer">Vehicle Destroyed: {{ $toyota_care_ghostvin[36] }}</li>
                                        <li class="cursorpointer">No longer owns: {{ $toyota_care_ghostvin[20] }}</li>
                                        <li class="cursorpointer">Out of State: {{ $toyota_care_ghostvin[35] }}</li>
                                        <li class="cursorpointer">Servicing Elsewhere: {{ $toyota_care_ghostvin[33] }}</li>
                                        <li class="cursorpointer">Unknown status: {{ $toyota_care_ghostvin[0] }}</li>
                                    </ul>
                                </p>


                                <br>
                                <p style="font-size: 20px">
                                    Recall Center <i class="fas fa-exclamation-triangle" style="font-size: 20px;"></i>
                                </p>
                                <p style="font-size: 16px">
                                    Takata Recalls Open
                                </p>
                                <p>
                                    <ul style="vertical-align: middle;">
                                        <li class="cursorpointer">
                                            IN PMA: {{ $recalls_in_pma_count }}&nbsp;&nbsp;
                                            <span class="cursorpointer" onclick="showCallListDialog(event, 'recall', 'in_pma', '{{ $coid }}')"><i class="fas fa-phone-square" style="font-size: 20px"></i></span>
                                        </li>
                                        @foreach($recalls_in_pma_categories as $key => $value)
                                            <li style="list-style-type: square;margin-left: 20px;">{{ $key }}: {{ $value }} 
                                                @if($recalls_in_pma_count > 0)
                                                    ({{number_format(($value/$recalls_in_pma_count)*100, 2, '.', ',')}}%)
                                                @else
                                                    (0%)
                                                @endif
                                            </li>
                                        @endforeach
                                        <li id="global_total_ghosted_vins_destroyed_in_pma" class="second_phase_report_class" style="list-style-type: square;margin-left: 20px;"></li>
                                        <li class="cursorpointer" style="list-style-type: square;margin-left: 20px;">Vehicle Traded In: {{ $recalls_in_pma_status[44] }}</li>
                                        <li class="cursorpointer" style="list-style-type: square;margin-left: 20px;">Vehicle Destroyed: {{ $recalls_in_pma_status[36] }}</li>
                                        <li class="cursorpointer" style="list-style-type: square;margin-left: 20px;">No longer owns: {{ $recalls_in_pma_status[20] }}</li>
                                        <li class="cursorpointer" style="list-style-type: square;margin-left: 20px;">Out of State: {{ $recalls_in_pma_status[35] }}</li>
                                        <li class="cursorpointer" style="list-style-type: square;margin-left: 20px;">Servicing Elsewhere: {{ $recalls_in_pma_status[33] }}</li>
                                        <li class="cursorpointer" style="list-style-type: square;margin-left: 20px;">Unknown status: {{ $recalls_in_pma_status[0] }}</li>
                                    </ul>
                                </p>
                                <p>
                                    <ul style="vertical-align: middle;">
                                        <li class="cursorpointer">
                                            OUT PMA: {{ $recalls_out_pma_count }}&nbsp;&nbsp;
                                            <span class="cursorpointer" onclick="showCallListDialog(event, 'recall', 'out_pma', '{{ $coid }}')"><i class="fas fa-phone-square" style="font-size: 20px"></i></span>
                                        </li>
                                        @foreach($recalls_out_pma_categories as $key => $value)
                                            <li style="list-style-type: square;margin-left: 20px;">{{ $key }}: {{ $value }} 
                                                @if($recalls_out_pma_count > 0)
                                                    ({{number_format(($value/$recalls_out_pma_count)*100, 2, '.', ',')}}%)
                                                @else
                                                    (0%)
                                                @endif
                                            </li>
                                        @endforeach
                                        <li id="global_total_ghosted_vins_destroyed_out_pma" class="second_phase_report_class" style="list-style-type: square;margin-left: 20px;"></li>
                                        <li class="cursorpointer" style="list-style-type: square;margin-left: 20px;">Vehicle Traded In: {{ $recalls_out_pma_status[44] }}</li>
                                        <li class="cursorpointer" style="list-style-type: square;margin-left: 20px;">Vehicle Destroyed: {{ $recalls_out_pma_status[36] }}</li>
                                        <li class="cursorpointer" style="list-style-type: square;margin-left: 20px;">No longer owns: {{ $recalls_out_pma_status[20] }}</li>
                                        <li class="cursorpointer" style="list-style-type: square;margin-left: 20px;">Out of State: {{ $recalls_out_pma_status[35] }}</li>
                                        <li class="cursorpointer" style="list-style-type: square;margin-left: 20px;">Servicing Elsewhere: {{ $recalls_out_pma_status[33] }}</li>
                                        <li class="cursorpointer" style="list-style-type: square;margin-left: 20px;">Unknown status: {{ $recalls_out_pma_status[0] }}</li>

                                    </ul>
                                </p>
                            </div>
                            @endif
                        @endif
                        @if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer' || Auth::user()->user_type->name == 'Full BDC Caller' || Auth::user()->user_type->name == 'Dealer Caller')
                            <div class="form-group col-md-3">
                                <p style="font-size: 20px">
                                    Calls in Q
                                </p>
                                <p style="font-size: 14px">
                                    <ul>
                                        @foreach($call_queue as $calltype => $call)
                                            <li>
                                                {{ $calltypes_array[$calltype] }}: <span id="total_call_queue_{{ $calltype }}">{{ $call }}</span> 


                                                @if(isset($call_queue_today[$calltype]))
                                                    - Today:  <span id="today_call_queue_{{ $calltype }}">{{ $call_queue_today[$calltype] }}</span>
                                                    <span class="cursorpointer" onclick="showCallListDialog(event, 'call_records', '{{ $calltype }}', '{{ $coid }}')"><i class="fas fa-phone-square" style="font-size: 20px"></i></span>
                                                @else 
                                                    - Today: 0
                                                @endif
                                                
                                            </li>
                                        @endforeach
                                    </ul>
                                </p>
                            </div>
                        
                            @if($service_connect != false)
                                <div class="form-group col-md-5">
                                    <p style="font-size: 20px">
                                        Service Connect BDC
                                    </p>
                                    <p style="font-size: 11px">
                                        <div id="service_connect_container">
                                            <table class="table table-striped" style="font-size: 11px;background-color: #fff;">
                                                <thead>
                                                    <tr>
                                                        <th>Alert Time</th>
                                                        <th>Alert Type</th>
                                                        <th>VIN</th>
                                                        <th>Model</th>
                                                        <th>Year</th>
                                                        <th>Onboard Warnings</th>
                                                        <th>Status</th>
                                                        <th>Call</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($service_connect as $srv_connect)
                                                    @php
                                                        $not_seen_flag = ($srv_connect->seen == 0) ? 'has_duplicated_vin_style' : '';
                                                    @endphp
                                                        <tr id="service_connect_row_{{ $srv_connect->id }}" onclick="showServiceConnectDetails(event, '{{ $srv_connect->id }}', '{{$co_short}}', '{{$coid}}')" class="cursorpointer {{ $not_seen_flag }}">
                                                            <td>{{ date('m/d/Y H:i:s', strtotime($srv_connect->alert_time)) }}</td>
                                                            <td>{{ $srv_connect->alert_type }}</td>
                                                            <td><a href="https://one.tis.toyota.com/serviceLane/?l=1vw&vin={{ $srv_connect->vin }}" target="_blank">{{ $srv_connect->vin }}</a></td>
                                                            <td>{{ $srv_connect->model }}</td>
                                                            <td>{{ $srv_connect->year }}</td>
                                                            <td>{{ $srv_connect->onboard_warnings }}</td>
                                                            <td>{{ $srv_connect->status }}</td>
                                                            <td align="center">
                                                                @if ( empty( $srv_connect->call_id ) )
                                                                    <i class="fas fa-times-circle" style="color:#ea7575;" aria-hidden="true"></i>
                                                                @else
                                                                    <i class="fas fa-check-circle" style="color:#1ac450;" aria-hidden="true"></i>
                                                                @endif
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                            <div id="service_connect_pagination">
                                                {{ $service_connect->links() }} 
                                            </div>
                                        </div>
                                    </p>
                                </div>
                            @endif
                        @endif
                    </div>
                </div>
            </div>  
        @endif
    @endif
    @if(strpos(strtolower($company->company_type), 'ib') !== false)
        @if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer' || Auth::user()->user_type->name == 'Full BDC Caller' || Auth::user()->user_type->name == 'Dealer Caller' || Auth::user()->user_type->name == 'Inbound Caller')
       
            <div class="form-row">
                <div class="form-group col-md-12 text-center" style="background-color: #fff;border-radius: 5px;">
                    <img src="{{ asset('images/inbound_logo.png') }}" style="height: 100px">
                </div>
                <div class="form-group col-md-12" style="background-color: #18619a;border-radius: 5px;padding-bottom: 40px">
                    <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;">
                        <div class="form-group col-md-4" style="background-color: #18619a;border-radius: 5px;color:#fff;">
                            <p style="font-size: 20px">
                                Call Count Last 30 days: {{ $inbound_calls_30_days }} &nbsp;
                                <span class="cursorpointer" style="display: none" onclick="scheduleCalls(event, '{{ $coid }}', 'inbound', {{$inbound_calls_30_days}})"><i class="fas fa-phone-square" style="font-size: 25px"></i></span>&nbsp;
                                <span class="cursorpointer" style="display: none" onclick="scheduleEmails(event, '{{ $coid }}', 'inbound', {{$inbound_calls_30_days}})"><i class="fas fa-envelope-square" style="font-size: 25px"></i></span>&nbsp;
                                <span class="cursorpointer" onclick="showFoundInboundCalls(event, 'inbound_calls_ids', '')"><i class="fas fa-search" style="font-size: 20px"></i></span>&nbsp;
                                <span class="cursorpointer" onclick="takeInboundCall(event, '{{ $coid }}', null)"><i class="fas fa-phone-volume" style="font-size: 20px"></i></span>
                            </p>
                            <ul>
                                <li>
                                    Service Appointments Made: {{ $inbound_calls_service_apt }}
                                </li>
                                <li>
                                    Service Appointments Rescheduled: {{ $inbound_calls_service_apt_reschedule }}
                                </li>
                                <li>
                                    Messages Taken: {{ $inbound_calls_took_message }}
                                </li>
                                <li>
                                    Provided Information: {{ $inbound_calls_provided_info }}
                                </li>
                            </ul>
                            @if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer')
                                <p style="font-size: 20px">
                                    Sale Amount &nbsp;<span class="cursorpointer" onclick="getInboundSaleAmountReport(event, '{{ $coid }}')"><i class="fas fa-sync-alt" style="font-size: 20px"></i></span>
                                </p>
                                <div id="inbound_sale_amount_div"></div>
                            @endif
                        </div>
                        <div class="form-group col-md-4 text-center" style="display: flex; align-items: center;justify-content: center; flex-direction: column">
                            <p style="font-size: 14px">
                                <div id='inbound_chart' class="customized-chart" style="max-width: 500px;height: 300px"></div>
                            </p>
                        </div>
                        <div class="form-group col-md-4" style="background-color: #18619a;border-radius: 5px;color:#fff;">
                            <p style="font-size: 14px">
                                <table class="table table-striped" style="background-color: #fff;">
                                    <thead>
                                        <tr>
                                            <th class="text-center">
                                                <a href="{{$recent_call_link}}" target="_blank"><i class="fas fa-eye"></i></a>
                                                Date
                                            </th>
                                            <th class="text-center">
                                                First Name
                                            </th>
                                            <th class="text-center">
                                                Last Name
                                            </th>
                                            <th class="text-center">
                                                Resolution
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $i = 0; ?>
                                        @foreach($inbound_calls as $ib_call)
                                            <tr class="cursorpointer" data-toggle="tooltip" data-placement="top" title="{{ $ib_call->appointment_notes_public }}">
                                                <td>{{ date('m/d/Y', strtotime($ib_call->lastupdate)) }}</td>
                                                <td>{{ $ib_call->fname }}</td>
                                                <td>{{ $ib_call->lname }}</td>
                                                <td>{{ $inbound_resolution_array[$ib_call->resolution] }}</td>
                                            </tr>
                                            <?php $i++; ?>
                                            @if($i>=10)
                                                <?php break; ?>
                                            @endif
                                        @endforeach
                                    </tbody>
                                </table>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        @endif
    @endif
    @if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer')
        <input type="hidden" id="active_44" name="active_44" value="{{ $active_vin_44 }}">
        <input type="hidden" id="active_36" name="active_36" value="{{ $active_vin_36 }}">
        <input type="hidden" id="active_20" name="active_20" value="{{ $active_vin_20 }}">
        <input type="hidden" id="active_35" name="active_35" value="{{ $active_vin_35 }}">
        <input type="hidden" id="active_33" name="active_33" value="{{ $active_vin_33 }}">
        <input type="hidden" id="active_0" name="active_0" value="{{ $active_vin_0 }}">
        <input type="hidden" id="inactive_44" name="inactive_44" value="{{ $inactive_vin_44 }}">
        <input type="hidden" id="inactive_36" name="inactive_36" value="{{ $inactive_vin_36 }}">
        <input type="hidden" id="inactive_20" name="inactive_20" value="{{ $inactive_vin_20 }}">
        <input type="hidden" id="inactive_35" name="inactive_35" value="{{ $inactive_vin_35 }}">
        <input type="hidden" id="inactive_33" name="inactive_33" value="{{ $inactive_vin_33 }}">
        <input type="hidden" id="inactive_0" name="inactive_0" value="{{ $inactive_vin_0 }}">
        <input type="hidden" id="not_enganged_44" name="not_enganged_44" value="{{ $not_enganged_vin_44 }}">
        <input type="hidden" id="not_enganged_36" name="not_enganged_36" value="{{ $not_enganged_vin_36 }}">
        <input type="hidden" id="not_enganged_20" name="not_enganged_20" value="{{ $not_enganged_vin_20 }}">
        <input type="hidden" id="not_enganged_35" name="not_enganged_35" value="{{ $not_enganged_vin_35 }}">
        <input type="hidden" id="not_enganged_33" name="not_enganged_33" value="{{ $not_enganged_vin_33 }}">
        <input type="hidden" id="not_enganged_0" name="not_enganged_0" value="{{ $not_enganged_vin_0 }}">
        <input type="hidden" id="all_44" name="all_44" value="{{ $all_vin_44 }}">
        <input type="hidden" id="all_36" name="all_36" value="{{ $all_vin_36 }}">
        <input type="hidden" id="all_20" name="all_20" value="{{ $all_vin_20 }}">
        <input type="hidden" id="all_35" name="all_35" value="{{ $all_vin_35 }}">
        <input type="hidden" id="all_33" name="all_33" value="{{ $all_vin_33 }}">
        <input type="hidden" id="all_0" name="all_0" value="{{ $all_vin_0 }}">
    @endif
    @if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer' || Auth::user()->user_type->name == 'Full BDC Caller' || Auth::user()->user_type->name == 'Dealer Caller' || Auth::user()->user_type->name == 'Inbound Caller')
        <input type="hidden" id="inbound_calls_ids" name="inbound_calls_ids" value="{{ $inbound_calls_ids }}">

        <input type="hidden" id="db_table" name="db_table" value="{{ $db_table }}">
        <input type="hidden" id="co_short" name="co_short" value="{{ $co_short }}">
    @endif
</fieldset>
<div>
<script src="js/zingchart/zingchart.min.js"></script>
<script type="text/javascript">
<?php
    if(isset($total))
    {
        if($total <= 0)
        {
            $total = 1;
        }
    } else {
        $total = 1;
    }
?>    
@if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer')
    var phoneChartConfig = {
        type: "gauge",
        
        globals: {
          fontSize: 25
        },
        gui : {
          contextMenu : {
            empty : true
          }
        },
        plot:{
          size:'80%',
          valueBox: {
            placement: 'edge',
            text:'%v', //default
            fontSize:15,
            rules:[
              {
                rule: '%v == {{ $total_phone_numbers }}',
                text: '{{ number_format(($total_phone_numbers /$total) * 100, 2) }}% FULL',
                'font-color': "#000000",
                offsetX:-60
              },
            ]
          }
        },
      tooltip:{
        borderRadius:5
      },
        scaleR:{
          aperture:180,
          minValue:0,
          maxValue:{{ $total }},
          step:{{ $total / 2 }},
          center: {
          size:5,
              'background-color': "#000000",
              'border-color': "none"
            },
          tick:{
            visible:false
          },
          item:{
            offsetR:0,
            'font-size':16,
            'font-color': "#000000",
          },
          labels:['(0) E','','({{ $total }}) F'],
          ring:{
            size:10,
            backgroundColor:'#18619a'
            
          }
        },

        series : [
            {
                values : [{{ $total_phone_numbers }}], // starting value
                backgroundColor:'#af0000',
                csize: "5%",
                
            },
            {
                values : [{{ $total_phone_numbers }}], // starting value
                backgroundColor:'#00b03f',
                csize: "5%",
                animation:{  
                    effect:2,
                    method:1,
                    sequence:4,
                    speed: 900
                },
            }
        ]
    };

    zingchart.render({ 
        id : 'phone_chart', 
        data : phoneChartConfig, 
        height: '100%',
        width: '100%'
    });


    var emailChartConfig = {
        type: "gauge",
        
        globals: {
          fontSize: 25
        },
        gui : {
          contextMenu : {
            empty : true
          }
        },
        plot:{
          size:'80%',
          valueBox: {
            placement: 'edge',
            text:'%v', //default
            fontSize:15,
            rules:[
              {
                rule: '%v == {{ $total_emails }} && {{ number_format(($total_emails /$total) * 100, 2) }} <= 50',
                text: '{{ number_format(($total_emails /$total) * 100, 2) }}% FULL',
                'font-color': "#000000",
                offsetX:-60
              },
              {
                rule: '%v == {{ $total_emails }} && {{ number_format(($total_emails /$total) * 100, 2) }} > 50',
                text: '{{ number_format(($total_emails /$total) * 100, 2) }}% FULL',
                'font-color': "#000000",
                offsetX: 50,
                offsetY: -20
              },
            ]
          }
        },
      tooltip:{
        borderRadius:5
      },
        scaleR:{
          aperture:180,
          minValue:0,
          maxValue:{{ $total }},
          step:{{ $total / 2 }},
          center: {
          size:5,
              'background-color': "#000000",
              'border-color': "none"
            },
          tick:{
            visible:false
          },
          item:{
            offsetR:0,
            'font-size':16,
            'font-color': "#000000",
          },
          labels:['(0) E','','({{ $total }}) F'],
          ring:{
            size:10,
            backgroundColor:'#18619a'
            
          }
        },

        series : [
            {
                values : [{{ $total_emails }}], // starting value
                backgroundColor:'#af0000',
                csize: "5%",
                
            },
            {
                values : [{{ $total_emails }}], // starting value
                backgroundColor:'#00b03f',
                csize: "5%",
                animation:{  
                    effect:2,
                    method:1,
                    sequence:4,
                    speed: 900
                },
            }
        ]
    };


    zingchart.render({ 
        id : 'email_chart', 
        data : emailChartConfig, 
        height: '100%',
        width: '100%'
    });
@endif

var inbound_chart_config = {
    type: "pie", 
    gui : {
      contextMenu : {
        empty : true
      }
    },
    plot: {
      borderColor: "#2B313B",
      borderWidth: 5,
      // slice: 90,
      valueBox: {
        placement: 'out',
        text: '%t\n%npv%',
        fontFamily: "Open Sans"
      },
      tooltip:{
        fontSize: '18',
        fontFamily: "Open Sans",
        padding: "5",
        text: "%npv%"
      },
      animation:{
      effect: 2, 
      method: 5,
      speed: 900,
      sequence: 1
    }
    },
    series : [
        {
            values : [{{ $inbound_calls_service_apt }}],
            text: "Service Appt",
          backgroundColor: '#50ADF5',
        },
        {
          values: [{{ $inbound_calls_service_apt_reschedule }}],
          text: "Service Appt Res",
          backgroundColor: '#FF7965',
          detached:true
        },
        {
          values: [{{ $inbound_calls_took_message }}],
          text: 'Messages Taken',
          backgroundColor: '#FFCB45',
          detached:true
        },
        {
          text: 'Provided Info',
          values: [{{ $inbound_calls_provided_info }}],
          backgroundColor: '#6877e5'
        }
    ]
};


zingchart.render({ 
    id : 'inbound_chart', 
    data : inbound_chart_config, 
    height: '100%', 
    width: '100%' 
});



@if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer')
    function setPhoneGauge(new_value, percent)
    {

        zingchart.exec('phone_chart', 'setseriesdata', {
            plotindex:1,
            data: {
                values: [new_value],
                backgroundColor:'#00b03f',
                csize: "5%",
                animation:{  
                    effect:2,
                    method:1,
                    sequence:4,
                    speed: 1200
                },
              }
        });

        zingchart.exec('phone_chart', 'modifyplot', {
          graphid: 0,
          plotindex: 1,
          data: {
            size:'80%',
              valueBox: {
                placement: 'edge',
                text:'%v', //default
                fontSize:15,
                rules:[
                  {
                    rule: '%v == {{ $total_phone_numbers }} && '+percent+' < 50',
                    text: '{{ number_format(($total_phone_numbers /$total) * 100, 2) }}% FULL',
                    'font-color': "#000000",
                    offsetX:-60
                  },
                  {
                    rule: '%v == {{ $total_phone_numbers }} && '+percent+' > 50',
                    text: '{{ number_format(($total_phone_numbers /$total) * 100, 2) }}% FULL',
                    'font-color': "#000000",
                    offsetX: 50,
                    offsetY: -20
                  },
                  {
                    rule: '%v == '+new_value+' && '+percent+' > 50',
                    text: percent+'% FULL',
                    'font-color': "#000000",
                    offsetX: 50,
                    offsetY: -20
                  },
                  {
                    rule: '%v == '+new_value+' && '+percent+' < 50',
                    text: percent+'% FULL',
                    'font-color': "#000000",
                    offsetX: -60,
                  },
                ]
              },

          }
        });

        // zingchart.exec('phone_chart', 'modify', {
        //   graphid: 0,
        //   object: 'ring',
        //   data: {
        //     rules:[
        //           {
        //             rule:'%v <= {{ $total_phone_numbers }}',
        //             backgroundColor:'#E53935'
        //           },
        //           {
        //             rule:'%v > {{ $total_phone_numbers }} && %v < '+new_value,
        //             backgroundColor:'#EF5350'
        //           },
        //           {
        //             rule:'%v >= '+new_value,
        //             backgroundColor:'#29B6F6'
        //           }      
        //         ]
        //   }
        // });

    }


    function setEmailGauge(new_value, percent)
    {

        zingchart.exec('email_chart', 'setseriesdata', {
            plotindex:1,
            data: {
                values: [new_value],
                backgroundColor:'#00b03f',
                csize: "5%",
                animation:{  
                    effect:2,
                    method:1,
                    sequence:4,
                    speed: 1200
                },
              }
        });

        zingchart.exec('email_chart', 'modifyplot', {
          graphid: 0,
          plotindex: 1,
          data: {
            size:'80%',
              valueBox: {
                placement: 'edge',
                text:'%v', //default
                fontSize:15,
                rules:[
                  {
                    rule: '%v == {{ $total_emails }} && '+percent+' < 50',
                    text: '{{ number_format(($total_emails /$total) * 100, 2) }}% FULL',
                    'font-color': "#000000",
                    offsetX:-60
                  },
                  {
                    rule: '%v == {{ $total_emails }} && '+percent+' > 50',
                    text: '{{ number_format(($total_emails /$total) * 100, 2) }}% FULL',
                    'font-color': "#000000",
                    offsetX: 50,
                    offsetY: -20
                  },
                  {
                    rule: '%v == '+new_value+' && '+percent+' > 50',
                    text: percent+'% FULL',
                    'font-color': "#000000",
                    offsetX: 50,
                    offsetY: -20
                  },
                  {
                    rule: '%v == '+new_value+' && '+percent+' < 50',
                    text: percent+'% FULL',
                    'font-color': "#000000",
                    offsetX: -60,
                  },
                ]
              },

          }
        });

        // zingchart.exec('email_chart', 'modify', {
        //   graphid: 0,
        //   object: 'ring',
        //   data: {
        //     rules:[
        //           {
        //             rule:'%v <= {{ $total_phone_numbers }}',
        //             backgroundColor:'#E53935'
        //           },
        //           {
        //             rule:'%v > {{ $total_phone_numbers }} && %v < '+new_value,
        //             backgroundColor:'#EF5350'
        //           },
        //           {
        //             rule:'%v >= '+new_value,
        //             backgroundColor:'#29B6F6'
        //           }      
        //         ]
        //   }
        // });

    }
@endif


$('[data-toggle="tooltip"]').tooltip();




        $(document).ready(function()
        {
            $(document).on('click', '#service_connect_pagination a',function(event)
            {
                event.preventDefault();
                $('li').removeClass('active');

                $(this).parent('li').addClass('active');
                var myurl = $(this).attr('href');
                var page=$(this).attr('href').split('page=')[1];
                serviceConnectPaginationData(page, null, 0, '{{$co_short}}');
            });
        });

        function serviceConnectPaginationData(page,id, showall, co_short)
        {
            var html = getLoadingContent();
            $("#service_connect_container").empty().html(html);
            
            $.ajax(
            {
                url: $('meta[name="main-url"]').attr('content')+'/service_connect/pagination',

                type: "post",

                datatype: "html",

                data: {
                    page:page,
                    id:id, 
                    showall: showall,
                    co_short: co_short,
                    "_token": "{{ csrf_token() }}"
                }
            }).done(function(data){

                $("#service_connect_container").empty().html(data);

                location.hash = page;
            }).fail(function(jqXHR, ajaxOptions, thrownError){

                  alert('No response from server');
            });
        }
 




        /*$('body').on('click', function (e) {
            $('.popover').each(function () {
                // hide any open popovers when the anywhere else in the body is clicked
                if (!$(this).is(e.target) && $(this).has(e.target).length === 0 && $('.popover').has(e.target).length === 0) {
                    $(this).popover('hide');
                }
            });
        });*/

    function findPhoneAndEmails(event, coid) {
        event.preventDefault();
        var toast_id = 'toast_'+(new Date).getTime();
        var my_toast_id = toast_id;
        var image_src = "{{ asset('images/searching_monkey.gif') }}";
        var html = ''+
                        '<div class="toast ml-auto" role="alert" data-autohide="false" style="z-index: 99999999" id="'+toast_id+'">'+
                            '<div class="toast-header">'+
                                '<strong class="mr-auto text-primary">WAIT FOR IT!!!</strong>'+
                                '<small class="text-muted">Just now</small>'+
                                '<button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">'+
                                    '<span aria-hidden="true">×</span>'+
                                '</button>'+
                            '</div>'+
                            '<div class="toast-body">'+
                                '<p>Otis the Data King is finding your missing phone numbers and emails!!!</p>'+
                                '<p><img style="width:100%" src="'+image_src+'"></p>'+
                            '</div>'+
                        '</div>'+
                    '';
        $("#otis_alert_container").prepend(html);
        $('#'+toast_id).toast('show');
        $('#'+toast_id).on('hidden.bs.toast', function () {
            $('#'+toast_id).toast('dispose');
        });


        $('#found_phones').html('<i class="fas fa-spinner fa-spin"></i>');
        $('#found_emails').html('<i class="fas fa-spinner fa-spin"></i>');

        $('#found_phones_percent').html('<i class="fas fa-spinner fa-spin"></i>');
        $('#found_emails_percent').html('<i class="fas fa-spinner fa-spin"></i>');

        $.ajax(
        {
            url: $('meta[name="main-url"]').attr('content')+'/report/search_phones_and_emails',
            type: "post",
            datatype: "json",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {coid:coid}
        }).done(function(data){
            $('#'+my_toast_id).toast('hide');
            var toast_id = 'new_toast_'+(new Date).getTime();
            var image_src = "{{ asset('images/smiling_monkey.png') }}";
            var html = ''+
                        '<div class="toast ml-auto" role="alert" data-delay="5000" data-autohide="true" style="z-index: 99999999" id="'+toast_id+'">'+
                            '<div class="toast-header">'+
                                '<strong class="mr-auto text-primary">DONE!!!</strong>'+
                                '<small class="text-muted">Just now</small>'+
                                '<button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">'+
                                    '<span aria-hidden="true">×</span>'+
                                '</button>'+
                            '</div>'+
                            '<div class="toast-body">'+
                                '<p>Otis found <strong>'+data.phones_total+'</strong> phone numbers and <strong>'+data.emails_total+'</strong> emails... You’re Welcome</p>'+
                                '<p><img style="width:100%" src="'+image_src+'"></p>'+
                            '</div>'+
                        '</div>'+
                    '';
        $("#otis_alert_container").prepend(html);
        $('#'+toast_id).toast('show');
        $('#'+toast_id).on('hidden.bs.toast', function () {
            $('#'+toast_id).toast('dispose');
        });

        $('#found_phones').empty().html(data.phones_total);
        $('#found_emails').empty().html(data.emails_total);
        $('#found_phones_percent').empty().html('('+data.phones_total_percent+'%)');
        $('#found_emails_percent').empty().html('('+data.emails_total_percent+'%)');

        setPhoneGauge(data.phones_total, data.phones_total_percent);
        setEmailGauge(data.emails_total, data.emails_total_percent);

        }).fail(function(jqXHR, ajaxOptions, thrownError){
              //alert('No response from server');
              getErrorDialog(jqXHR.status, jqXHR.responseJSON.message);
        });
    }

</script>