@if($current_step == 0)
    <table class="table table-striped" id="report_table">
        <thead>
            <tr>
                <th>Company</th>
                <th>Dials</th>
                <th>HR</th>
                <th>Due</th>
                <th>Emails</th>
                <th>Reminders</th>
                <th>HR%</th>
                <th>Imported</th>
                <th>Callable</th>
            </tr>
        </thead>
        <tbody>
@endif
        @foreach ($dealer_names as $coid => $co_name)
            <tr class="cursorpointer table-primary" onclick="showHideElementByClass('{{ $coid }}_data');">
                <td>
                    {{ $co_name }}
                </td>
                <td>
                    {{ $totaldials }}
                </td>
                <td>
                    {{ $totalhr }}
                </td>
                <td>
                    {{ $totaldue }}
                </td>
                <td>
                    {{ $totalemails }}
                </td>
                <td>
                    {{ $totalreminders }}
                </td>
                <td>
                    {{ $hrpercent }}
                </td>
                <td>
                    {{ $totalimported }}
                </td>
                <td>
                    {{ $totalcallable }}
                </td>
            </tr>
            @foreach ($imported[ $coid ] as $call_type_id => $value)
                <tr class="{{ $coid }}_data table-secondary" style="display: none">
                    <td>
                        {{ $call_types_names[ $call_type_id ] }}
                    </td>
                    <td>
                        {{ $dials[ $coid ][ $call_type_id ] ?? 0 }}
                    </td>
                    <td>
                        {{ $hr[ $coid ][ $call_type_id ] ?? 0 }}
                    </td>
                    <td>
                        {{ $due[ $coid ][ $call_type_id ] ?? 0  }}
                    </td>
                    <td>
                        {{ $emails[ $coid ][ $call_type_id ] ?? 0 }}
                    </td>
                    <td>
                        {{ $reminders[ $coid ][ $call_type_id ] ?? 0 }}
                    </td>
                    <td>
                        &nbsp;
                    </td>
                    <td>
                        {{ $imported[ $coid ][ $call_type_id ] ?? 0 }}
                    </td>
                    <td>
                        {{ $callable[ $coid ][ $call_type_id ] ?? 0 }}
                    </td>
                </tr>
            @endforeach
        @endforeach
    @if($current_step == 0)
        </tbody>
    </table>
    @endif