<form id="imported_records_form">
    <input type="hidden" name="deleted_coid" value="{{ $coid }}">
    <button type="submit" class="btn btn-danger" onclick="deleteImportRecordsDialog(event)">Delete selected</button>
    <table class="table table-striped" id="report_table">
        <thead>
            <tr>
                <th>Remove</th>
                <th>Import Time</th>
                <th>Call Type</th>
                <th>Total records</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($import_logs as $log)
                <tr>
                    <td>
                        <input type="checkbox" name="log_list[]" value="{{ $log->id }}">
                    </td>
                    <td>
                        <?php $import_time = date( "m/d/Y H:i:s", strtotime( $log->import_time ) ); ?>
                        {{ $import_time }}
                    </td>
                    <td>
                        @php
                            $ctypeicon = $call_types_icons[ $log->calltype ];
                            $calltype  = ( $ctypeicon != "" )? '<img src="https://login.fullbdc.com/images/' . $ctypeicon . '" title="'.$call_types_texts[ $log->calltype ].'">' : $call_types_texts[ $log->calltype ];
                            print( $calltype );
                        @endphp
                    </td>
                    <td>
                        {{ $log->total_records }}
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
    <br>
    <table class="table table-striped" id="report_table">
        <thead>
            <tr>
                <th>Remove</th>
                <th>Name</th>
                <th>Date Added</th>
                <th>Phone</th>
                <th>Email</th>
                <th>Vehicle</th>
                <th>Customer Status</th>
                <th>Call Type</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($records as $record)
                <tr>
                    <td>
                        <input type="checkbox" name="record_list[]" value="{{ $record->id }}">
                    </td>
                    <td>
                        {{ $record->fname }} {{ $record->lname }}
                    </td>
                    <td>
                        <?php $date_added = date( "m/d/Y H:i:s", strtotime( $record->dateadded ) ); ?>
                        {{ $date_added }}
                    </td>
                    <td>
                        {{ $record->phone }}
                    </td>
                    <td>
                        {{ $record->email }}
                    </td>
                    <td>
                        {{ $record->vehicle_year }} {{ $record->vehicle_make }} {{ $record->vehicle_model }}
                    </td>
                    <td>
                        @php
                            $iconurl         = ! empty( $customer_status_icons[ $record->customer_status ] ) ? $customer_status_icons[ $record->customer_status ] : '';
                            $customer_status_label = ! empty( $customer_status_texts[ $record->customer_status ] ) ? $customer_status_texts[ $record->customer_status ] : '';
                            $customer_status = ( $iconurl != "" ) ? '<img src="https://login.fullbdc.com/images/' . $iconurl . '" title="'. $customer_status_texts[ $record->customer_status ] . '">' : $customer_status_label;
                            $calltype_id = ! empty( $record->livecall_next_calltype ) ? $record->livecall_next_calltype : $record->livecall_prev_calltype;
                            $ctypeicon = $call_types_icons[ $calltype_id ];
                            $calltype  = ( $ctypeicon != "" )? '<img src="https://login.fullbdc.com/images/' . $ctypeicon . '" title="'.$call_types_texts[ $calltype_id ].'">' : $call_types_texts[ $calltype_id ];
                            print( $customer_status );
                        @endphp
                    </td>
                    <td>
                        @php
                            print( $calltype );
                        @endphp
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
</form>