<?php

/*
|--------------------------------------------------------------------------
| Broadcast Channels
|--------------------------------------------------------------------------
|
| Here you may register all of the event broadcasting channels that your
| application supports. The given channel authorization callbacks are
| used to check if an authenticated user can listen to the channel.
|
*/

Broadcast::channel('App.User.{id}', function ($user, $id) {
    return (int) $user->id === (int) $id;
});


Broadcast::channel('chat.{id}', function ($user) {
	return true;
    //return (int) $user->id === (int) $id;
});

Broadcast::channel('alerts', function ($user) {
	return true;
    //return (int) $user->id === (int) $id;
});

Broadcast::channel('alerts.{id}', function ($user) {
	return true;
    //return (int) $user->id === (int) $id;
});

Broadcast::channel('user-alerts.{id}', function ($user) {
	return true;
    //return (int) $user->id === (int) $id;
});

Broadcast::channel('general_alert', function ($user) {
	return true;
    //return (int) $user->id === (int) $id;
});


Broadcast::channel('calls.{transaction_type}.{coid}.{record_id}', function ($user) {
    //return true;
    //return (int) $user->id === (int) $id;
    return $user;
});
