<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal"><?php echo e($header_title); ?></h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <table class="table table-striped" style="font-size: 12px">
            <thead>
                <tr>
                    <th class="text-center">
                        Date
                    </th>
                    <th class="text-center">
                        First Name
                    </th>
                    <th class="text-center">
                        Last Name
                    </th>
                    <th class="text-center">
                        Resolution
                    </th>
                    <th class="text-center cursorpointer" onclick="setOrderByColumn('call_to_action');showFoundInboundCalls(event, 'inbound_calls_ids', '')">
                        Status <span class="header_tag call_to_action"></span>
                    </th>
                    <th class="text-center">
                        Appt. Status
                    </th>
                    <th class="text-center">
                        Sale Amount
                    </th>
                    <th class="text-center">
                        Open
                    </th>
                </tr>
            </thead>
            <tbody>
                <?php 
                    $total_sale_amount = 0; 
                ?>
                <?php $__currentLoopData = $inbound_calls; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ib_call): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e(date('m/d/Y', strtotime($ib_call->lastupdate))); ?></td>
                        <td><?php echo e($ib_call->fname); ?></td>
                        <td><?php echo e($ib_call->lname); ?></td>
                        <td><?php echo e($inbound_resolution_array[$ib_call->resolution]); ?></td>
                        <td align="center">
                            <?php if($ib_call->call_to_action == "Completed"): ?>
                                <i class="fas fa-check-circle fa-2x" style="color:#1ac450" title="<?php echo e($ib_call->call_to_action); ?>"></i>
                            <?php else: ?>
                                <i class="fas fa-exclamation-triangle fa-2x" style="color:#ff5454" title="<?php echo e($ib_call->call_to_action); ?>"></i>
                            <?php endif; ?>
                        </td>
                        <td>
                            <?php 
                                $sale_amount = ''; 
                            ?>
                            <?php if($ib_call->resolution == 1): ?>
                                <?php if(isset($sfu_calls_array[$ib_call->vin])): ?>
                                    Completed
                                    <?php 
                                        $sale_amount = '$'.number_format($sfu_calls_array[$ib_call->vin], 2); 
                                        $total_sale_amount+=$sfu_calls_array[$ib_call->vin];
                                    ?>
                                <?php elseif(strtotime($ib_call->appoinment_date) < strtotime($today_date)): ?>
                                    Pending
                                <?php elseif(strtotime($ib_call->appoinment_date) > strtotime($today_date)): ?>
                                    No Show
                                <?php endif; ?>
                            <?php endif; ?>
                        </td>
                        <td><?php echo e($sale_amount); ?></td>
                        <td class="cursorpointer text-center" onclick="takeInboundCall(event, '<?php echo e($company->coid); ?>', '<?php echo e($ib_call->uid); ?>')"><i class="fas fa-search-plus"></i></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td><strong>Total:</strong></td>
                    <td>$<?php echo e(number_format($total_sale_amount, 2)); ?></td>
                    <td></td>
                </tr>
            </tbody>
        </table>
        <input type="hidden" name="order_by_column" id="order_by_column" value="<?php echo e($order_by_column); ?>">
        <input type="hidden" name="order_by_direction" id="order_by_direction" value="<?php echo e($order_by_direction); ?>">
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/inbound_call_list.blade.php ENDPATH**/ ?>