<form method="POST" id="caller_assignments_form" action="" class="needs-validation" novalidate>
    <fieldset id="disable_form_fieldset">
    <?php echo csrf_field(); ?>
    <div class="modal-header">
        <h5 class="modal-title" id="CompanyDetailsModal">Caller Assignments</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div id="modal_dynamic_content">
            <div class="alert alert-danger print-error-msg" style="display:none">
                <ul></ul>
            </div>
            <div class="table-responsive" id="assignments_panel">
                <table class="table table-striped">
                    <tr class="bg-primary text-white">
                        <td>
                            Caller
                        </td>
                        <td>
                            Dealer
                        </td>
                        <td>
                            Call Type
                        </td>
                        <td>
                            Calls
                        </td>
                    </tr>
                    <?php 
                        $current_call_id = '';
                        $current_class = 'table-secondary';
                        $current_total = 0;
                        $checked = '';
                    ?>
                    <?php $__currentLoopData = $assignments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $caller_id => $dealer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php $__currentLoopData = $dealer; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $coid => $call_type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php $__currentLoopData = $call_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $call_type_id => $total_calls): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($current_call_id != $caller_id): ?>
                                    <?php if($current_call_id != ''): ?>
                                        <tr class="<?php echo e($current_class); ?>">
                                            <td>
                                                &nbsp;
                                            </td>
                                            <td>
                                                &nbsp;
                                            </td>
                                            <td>
                                                <strong>Total:</strong>
                                            </td>
                                            <td>
                                                <?php echo e($current_total); ?>

                                            </td>
                                        </tr>
                                        <tr class="<?php echo e($current_class); ?>">
                                            <td colspan="2">
                                                <?php if(isset($caller_assignment_notes[$current_call_id])): ?>
                                                    <textarea id="assignment_note_<?php echo e($current_call_id); ?>" name="assignment_notes[]" class="form-control assignment_notes"><?php echo e($caller_assignment_notes[$current_call_id]); ?></textarea>
                                                <?php else: ?>
                                                    <textarea id="assignment_note_<?php echo e($current_call_id); ?>" name="assignment_notes[]" class="form-control assignment_notes"></textarea>
                                                <?php endif; ?>
                                                <input type="hidden" name="assignment_notes_caller[]" value="<?php echo e($current_call_id); ?>">
                                            </td>
                                            <td colspan="2">
                                                <?php if(isset($caller_assignment_locked[$current_call_id])): ?>
                                                    <?php
                                                        $checked = ($caller_assignment_locked[$current_call_id] == 1)? 'checked' : '';
                                                    ?>
                                                <?php else: ?>
                                                    <?php
                                                        $checked = '';
                                                    ?>
                                                <?php endif; ?>
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input is_locked_class" id="is_locked_<?php echo e($current_call_id); ?>" name="is_locked_<?php echo e($current_call_id); ?>" value="1" <?php echo e($checked); ?>>
                                                    <label class="custom-control-label" for="is_locked_<?php echo e($current_call_id); ?>">Locked assignment</label>
                                                </div>
                                            </td>
                                        </tr>
                                    <?php endif; ?>
                                    <?php 
                                        $current_call_id = $caller_id;
                                        $current_total = 0;
                                        if($current_class == 'table-secondary')
                                        {
                                            $current_class = 'table-primary';
                                        } else {
                                            $current_class = 'table-secondary';
                                        }
                                    ?>
                                <?php endif; ?>
                                <tr class="<?php echo e($current_class); ?>">
                                    <td>
                                        <?php echo e($users_array[$caller_id]); ?>

                                        <input type="hidden" name="caller_ids[]" value="<?php echo e($caller_id); ?>">
                                    </td>
                                    <td>
                                        <?php echo e($dealers_array[$coid]); ?>

                                        <input type="hidden" name="coids[]" value="<?php echo e($coid); ?>">
                                    </td>
                                    <td>
                                        <?php echo e($calltypes_array[$call_type_id]); ?>

                                        <input type="hidden" name="call_type_ids[]" value="<?php echo e($call_type_id); ?>">
                                    </td>
                                    <td>
                                        <?php echo e($total_calls); ?>

                                        <input type="hidden" name="total_calls[]" value="<?php echo e($total_calls); ?>">
                                    </td>
                                </tr>
                                <?php
                                    $current_total+= $total_calls; 
                                ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <tr class="<?php echo e($current_class); ?>">
                        <td>
                            &nbsp;
                        </td>
                        <td>
                            &nbsp;
                        </td>
                        <td>
                            <strong>Total:</strong>
                        </td>
                        <td>
                            <?php echo e($current_total); ?>

                        </td>
                    </tr>
                    <tr class="<?php echo e($current_class); ?>">
                        <td colspan="2">
                            <?php if(isset($caller_assignment_notes[$current_call_id])): ?>
                                <textarea id="assignment_note_<?php echo e($current_call_id); ?>" name="assignment_notes[]" class="form-control assignment_notes"><?php echo e($caller_assignment_notes[$current_call_id]); ?></textarea>
                            <?php else: ?>
                                <textarea id="assignment_note_<?php echo e($current_call_id); ?>" name="assignment_notes[]" class="form-control assignment_notes"></textarea>
                            <?php endif; ?>
                            <input type="hidden" name="assignment_notes_caller[]" value="<?php echo e($current_call_id); ?>">
                        </td>
                        <td colspan="2">
                            <?php if(isset($caller_assignment_locked[$current_call_id])): ?>
                                <?php
                                    $checked = ($caller_assignment_locked[$current_call_id] == 1)? 'checked' : '';
                                ?>
                            <?php else: ?>
                                <?php
                                    $checked = '';
                                ?>
                            <?php endif; ?>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input is_locked_class" id="is_locked_<?php echo e($current_call_id); ?>" name="is_locked_<?php echo e($current_call_id); ?>" value="1" <?php echo e($checked); ?>>
                                <label class="custom-control-label" for="is_locked_<?php echo e($current_call_id); ?>">Locked assignment</label>
                            </div>
                        </td>
                    </tr>
                </table>
                <input type="hidden" name="assignment_date" value="<?php echo e($assignment_date); ?>">
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-primary" id="caller_assignment_submit">Save</button>
        <button type="submit" class="btn btn-success" id="send_caller_assignment_submit">Send Assignments Email</button>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
    </div>
    </fieldset>
</form><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/assignments_preview.blade.php ENDPATH**/ ?>