
<?php if($from_modal == 0): ?>
	<div class="popup-head cursorpointer" id="conversation_<?php echo e($conversation_id); ?>">
		<div class="popup-head-left pull-left" onclick="$('#chat_window_messages').toggle();$('#chat_window_footer').toggle();" style="width:80%">
			<img src="<?php echo e(asset('images/default.jpg')); ?>" alt='<?php echo e($to_user->first_name); ?> <?php echo e($to_user->last_name); ?>'> 
			<span class="chat-username-header">
				<?php echo e($to_user->first_name); ?> <?php echo e($to_user->last_name); ?>

				<?php 
					if(strpos($to_user->id, "+1") !== false)
					{
						$phonenumber = str_replace("+1", "", $to_user->id);
						print("(".$phonenumber.")");
					}
				 ?>
			</span> 
		</div>
		<div class="popup-head-right pull-right" >
			<div class="btn-group">
				<span class="cursorpointer" data-toggle="dropdown" aria-expanded="false">
					<i class="fas fa-cog"></i> 
				</span>
				<ul role="menu" class="dropdown-menu pull-right">
					<li><a href="#">Clear Chat</a></li>
					<li><a href="#">Block</a></li>
				</ul>
			</div>
			<span data-widget="remove" id="removeClass" class="cursorpointer"><i class="far fa-times-circle"></i></span>
		</div>
	</div>
<?php endif; ?>
<div class="popup-messages" id="chat_window_messages">
	<div class="direct-chat-messages" id="chat_messages_container">
		<?php if($conversations_count == 0): ?>
			<div class="direct-chat-timestamp pull-center" id="say_hi_<?php echo e($conversation_id); ?>">Say hi to <?php echo e($to_user->first_name); ?>!</div>
		<?php elseif($conversations_count <= 15): ?>
			<div class="direct-chat-timestamp pull-center" id="showing_all_<?php echo e($conversation_id); ?>">Showing all messages</div>
		<?php endif; ?>
		<?php $current_date = ''; ?>
		<?php $__currentLoopData = $conversations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $conversation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			<?php if( $current_date != date('Y-m-d', strtotime($conversation->created_at) + session('timezone_difference', 0)) ): ?>
				<?php $current_date = date('Y-m-d', strtotime($conversation->created_at) + session('timezone_difference', 0)); ?>
				<div class="chat-box-single-line">
					<abbr class="timestamp timestamp_label"><?php echo e(date('M jS, Y', strtotime($conversation->created_at) + session('timezone_difference', 0))); ?></abbr>
				</div>
			<?php endif; ?>
			<?php if(Auth::id() == $conversation->from): ?>
				<!--<div class="chat-box-single-line">
					<abbr class="timestamp">October 9th, 2015</abbr>
				</div>-->
				<div class="outgoing-message">
					<div class="direct-chat-text-response">
						<?php echo e($conversation->message); ?>

					</div>

					<div class="direct-chat-info clearfix">
						<span class="direct-chat-timestamp-response pull-left"><?php echo e(date('g:i a', strtotime($conversation->created_at) + session('timezone_difference', 0))); ?></span>
					</div>
				</div>
			<?php else: ?>
				<!--<div class="chat-box-single-line">
					<abbr class="timestamp">October 8th, 2015</abbr>
				</div>-->
				<div class="incoming-message">
					<div class="direct-chat-info clearfix">
						<span class="direct-chat-name pull-left">
							<?php if(strpos($conversation->from, '+') === false): ?>
								<?php if( empty( $conversation->from ) || empty( $user_names[$conversation->from] ) ): ?>
									FullBDC (Team member) 
								<?php else: ?>
									<?php echo e($user_names[$conversation->from]); ?> (Team member) 
								<?php endif; ?>
							<?php else: ?>
								<?php echo e($to_user->first_name); ?>

							<?php endif; ?>
						</span>
					</div>
					<img alt="message user image" src="<?php echo e(asset('images/default.jpg')); ?>" class="direct-chat-img"><!-- /.direct-chat-img -->
					<div class="direct-chat-text">
						<?php echo e($conversation->message); ?>

					</div>
					<div class="direct-chat-info clearfix">
						<span class="direct-chat-timestamp pull-right"><?php echo e(date('g:i a', strtotime($conversation->created_at) + session('timezone_difference', 0))); ?></span>
					</div>
				</div>
			<?php endif; ?>
		<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

		
    <!-- /.direct-chat-msg -->
	</div>

</div>
<div class="popup-messages-footer" id="chat_window_footer">
	<form method="POST" id="chat_form">
		<?php echo csrf_field(); ?>
		<?php if($needs_optin == true): ?>
			<?php if($optin_already_sent == true): ?>
				<div class="alert alert-danger" role="alert">
				  An opt-in sms has been sent already. Waiting for customer to reply.
				</div>
				<button class="btn btn-success" onclick="sendSmsOptin(event)">Send again</button>
			<?php else: ?>
				<div class="alert alert-danger" role="alert">
				  No opt-in sms has been sent yet.
				</div>
				<button class="btn btn-success" onclick="sendSmsOptin(event)">Send opt-in sms</button>
			<?php endif; ?>
			<textarea id="chat_message" class="chat_message_textarea" style="display: none" placeholder="Type a message..." rows="10" cols="40" name="chat_message">
				Greetings from <?php echo e($company->co_name); ?>. Please reply YES if you would like to receive SMS alerts from us.
			</textarea>
			<input type="hidden" id="is_optin_msg" name="is_optin_msg" value="1" v-model="is_optin_msg">
		<?php else: ?>
			<textarea id="chat_message" class="chat_message_textarea" placeholder="Type a message..." rows="10" cols="40" name="chat_message"></textarea>
			<input type="hidden" id="is_optin_msg" name="is_optin_msg" value="0" v-model="is_optin_msg">
		<?php endif; ?>
		<input type="hidden" id="from_user_id" name="from_user_id" value="<?php echo e(Auth::id()); ?>" v-model="from_user_id">
		<input type="hidden" id="to_user_id" name="to_user_id" value="<?php echo e($to_user->id); ?>" v-model="to_user_id">
		<input type="hidden" id="chat_coid" name="chat_coid" value="<?php echo e($coid); ?>" v-model="chat_coid">
		<input type="hidden" id="team_conversation" name="team_conversation" value="<?php echo e($team_conversation); ?>" v-model="team_conversation">
		<input type="hidden" id="chat_first_name" name="chat_first_name" value="<?php echo e($first_name); ?>" v-model="chat_first_name">
		<input type="hidden" id="chat_last_name" name="chat_last_name" value="<?php echo e($last_name); ?>" v-model="chat_last_name">
	</form>
	<div id="show_typing" class="btn-footer font-11 text-right" style="display:none">
		<?php if($team_conversation == 0): ?>
			Someone is typing...
		<?php else: ?>
			<?php echo e($first_name); ?> <?php echo e($last_name); ?> is typing...
		<?php endif; ?>
	</div>
</div>
<?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/chat_window.blade.php ENDPATH**/ ?>