<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">Customer records</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <?php if( $records->count() > 0 ): ?>
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>Customer</th>
                        <th>Date Added</th>
                        <th>Last update</th>
                        <th>Call due</th>
                        <th>Call Type</th>
                        <th>Open</th>
                    </tr>
                </thead>
                <tbody>
            <?php $__currentLoopData = $records; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $record): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($record->fname); ?> <?php echo e($record->lname); ?></td>
                    <td><?php echo e(date('m/d/Y', strtotime( $record->dateadded ) )); ?></td>
                    <td>
                        <?php if( ! empty( $record->lastupdate ) && $record->lastupdate != '0000-00-00 00:00:00' ): ?>
                            <?php echo e(date('m/d/Y H:i:s', strtotime( $record->lastupdate ) )); ?>

                        <?php endif; ?>
                    </td>
                    <td>
                        <?php if( ! empty( $record->remind ) && $record->remind != '0000-00-00' ): ?>
                            <?php echo e(date('m/d/Y', strtotime( $record->remind ) )); ?>

                        <?php endif; ?>
                    </td>
                    <td>
                        <?php
                            $calltype_id = ( ! empty( $record->livecall_prev_calltype ) )? $record->livecall_prev_calltype : $record->livecall_next_calltype;
                        ?>
                        <?php if( ! empty( $calltype_texts[$calltype_id] ) ): ?>
                            <?php echo e($calltype_texts[$calltype_id]); ?>

                        <?php endif; ?>
                    </td>
                    <td>
                        <a href="#" onclick="showCallDialog(event, '<?php echo e($record->id); ?>', '<?php echo e($coid); ?>','call_records', '<?php echo e($calltype_id); ?>')">
                            <i class="fas fa-search" aria-hidden="true"></i>
                        </a>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        <?php else: ?>
            No records found for this number.
        <?php endif; ?>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/customer_record_list.blade.php ENDPATH**/ ?>