<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">
        Send email to: <?php echo e($customer_email); ?>

    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <div class="alert alert-danger print-error-msg" style="display:none">
            <ul></ul>
        </div>
        <form id="customer_email_form" name="customer_email_form">
            <?php echo csrf_field(); ?>
            <fieldset id="customer_email_fieldset">
                <?php if($templates_options != ''): ?>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <label for="email_template"><?php echo e(__('Template')); ?></label>
                            <select class="form-control need-validation-inputs" id="email_template" name="email_template" onchange="getEmailTemplate(event, 'customer_email_form', '<?php echo e($type); ?>')">
                                <option value="">Select</option>
                                <?php echo $__env->make('inputs.select_options', ['options' => $templates_options, 'value_selected' => $selected_template], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </select>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label for="email_subject"><?php echo e(__('Subject')); ?></label>
                        <input type="text" id="email_subject" name="email_subject" class="form-control need-validation-inputs" placeholder="Subject" required value="" maxlength="191">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label for="email_cc"><?php echo e(__('CC')); ?></label>
                        <input type="text" id="email_cc" name="email_cc" class="form-control need-validation-inputs" placeholder="CC" value="" maxlength="191">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label for="tiny_content"><?php echo e(__('Content')); ?></label>
                        <textarea id="tiny_content" name="tiny_content" class="form-control need-validation-inputs"></textarea>
                    </div>
                </div>
                <textarea id="email_content" name="email_content" style="display: none"></textarea>
                <input type="hidden" id="customer_email" name="customer_email" value="<?php echo e($customer_email); ?>">
                <input type="hidden" id="customer_email_coid" name="customer_email_coid" value="<?php echo e($coid); ?>">
                <input type="hidden" id="email_call_id" name="email_call_id" value="<?php echo e($record_id); ?>">
                <input type="hidden" id="email_record_type" name="email_record_type" value="<?php echo e($type); ?>">
            </fieldset>
        </form>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
    <button type="button" class="btn btn-primary" onclick="sendCustomerEmail(event);" id="send_customer_email_button">Send</button>
</div>

<?php echo $__env->make('partials.tinymce', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<script type="text/javascript">
        getEmailTemplate(event, 'customer_email_form', '<?php echo e($type); ?>');
</script><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/customer_email.blade.php ENDPATH**/ ?>