
<?php $__env->startSection('style_files'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('css/jquery.typeahead.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <?php if(Auth::user()->user_type->name == 'Inbound Caller' || Auth::user()->user_type->name == 'Inbound Manager'): ?>
                        Inbound Call
                    <?php else: ?>
                        Report
                    <?php endif; ?>
                </div>

                <div class="card-body">
                    <form id="form-users" name="form-users">
                        <?php echo csrf_field(); ?>
                        <div class="form-row" style="width: 50%;margin: auto;">
                            <label for="coid"><?php echo e(__('Dealer')); ?></label>
                            <div class="form-group col-md-12">
                                <div class="input-group">
                                    <select class="form-control" id="coid" name="coid" >
                                        <option value="">Select</option>
                                        <?php 
                                            $value_selected = '';
                                            $i = 0;
                                            foreach ($dealers as $key => $value) {
                                                if($i == 0)
                                                {
                                                    $fist_value = $value->value;
                                                }
                                                $i++;
                                            }
                                            if($i == 1)
                                            {
                                                $value_selected = $fist_value;
                                            }

                                        ?>
                                        <?php echo $__env->make('inputs.select_options', ['options' => $dealers, 'value_selected' => $value_selected], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    </select>
                                
                                    <div class="input-group-append">
                                        <?php if(Auth::user()->user_type->name == 'Inbound Caller' || Auth::user()->user_type->name == 'Inbound Manager'): ?>
                                            <button class="btn btn-primary form-control" id="assign_button" name="assign_button" onclick="takeInboundCallMain(event)"><i class="fas fa-phone"></i> &nbsp;Take Call</button>
                                        <?php else: ?>
                                            <button class="btn btn-primary form-control" id="assign_button" name="assign_button" onclick="getGhostVinReport(event)">Get Report</button>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                    <br>
                    <div id="report_section"></div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts_extra'); ?>
    <script src="<?php echo e(asset('js/bloodhound.min.js')); ?>" type="application/javascript"></script>
    <script src="<?php echo e(asset('js/typeahead.bundle.min.js')); ?>" type="application/javascript"></script>

    <script type="text/javascript">
        
    </script>
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/pages/reports.blade.php ENDPATH**/ ?>