<table class="table table-striped">
    <thead>
        <tr>
            <?php if($communication_type=='email'): ?>
                <th>Sent by</th>
                <th>Dealer</th>
                <th>Email</th>
                <th class="table_cell_content">Subject</th>
                <th class="table_cell_content">Date</th>
                <th class="table_cell_content" style="text-align: center;">Show</th>
            <?php elseif($communication_type=='sms'): ?>
                <th>Dealer</th>
                <th>Phone</th>
                <th class="table_cell_content">Last Message</th>
                <th class="table_cell_content">Date</th>
                <th class="table_cell_content" style="text-align: center;">Show</th>
            <?php endif; ?>
        </tr>
    </thead>
    <tbody>
        <?php $__currentLoopData = $communications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $communication): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php if($communication_type=='email'): ?>
                <tr id="communication_row_<?php echo e($communication->id); ?>">
                    <td id="communication_name_<?php echo e($communication->id); ?>">
                        <?php if(isset($communication->user)): ?>
                            <?php echo e($communication->user->first_name); ?> <?php echo e($communication->user->last_name); ?>

                        <?php endif; ?>
                    </td>
                    <td class="table_cell_content"><?php echo e($dealer_names[$communication->coid]); ?></td>
                    <td class="table_cell_content"><?php echo e($communication->email); ?></td>
                    <td class="table_cell_content"><?php echo e($communication->subject); ?></td>
                    <td class="table_cell_content"><?php echo e(date('m/d/Y H:i', strtotime($communication->created_at))); ?></td>
                    <td align="center">
                        <a href="#" onclick="showCommunicationInformation(event, '<?php echo e($communication->id); ?>', '<?php echo e($communication_type); ?>')"><i class="fas fa-search"></i></a>
                    </td>
                </tr>
            <?php elseif($communication_type=='sms'): ?>
                <?php 
                    $unseen_style = ""; 
                ?>
                <?php if(isset($unseen_messages[$communication->id])): ?>
                    <?php 
                        if($unseen_messages[$communication->id] != 1)
                        {
                            $unseen_style = 'background-color: #ffb2a6';
                        }
                    ?>
                <?php endif; ?>
                <tr id="communication_row_<?php echo e($communication->id); ?>" style="<?php echo e($unseen_style); ?>">
                    <td class="table_cell_content"><?php echo e($dealer_names[$communication->coid]); ?></td>
                    <td id="communication_name_<?php echo e($communication->id); ?>"><?php echo e($communication->user_identifier); ?></td>
                    <td class="table_cell_content">
                        <?php if(isset($last_messages[$communication->id])): ?>
                            <?php echo e($last_messages[$communication->id]); ?>

                        <?php endif; ?>
                    </td>
                    <td class="table_cell_content">
                        <?php if(isset($last_datetime[$communication->id])): ?>
                            <?php echo e(date('m/d/Y H:i', strtotime($last_datetime[$communication->id]) - 60 * 60 * 5)); ?>

                        <?php endif; ?>
                    </td>
                    <td align="center">
                        <?php $customer_phone = str_replace('+1', '', $communication->user_identifier); ?>
                        <a href="#" onclick="startConversationFromCall(event, '<?php echo e(Auth::id()); ?>', 0, '<?php echo e($communication->coid); ?>', '', '', '', '<?php echo e($customer_phone); ?>');removeUnseenFlag('communication_row_<?php echo e($communication->id); ?>')"><i class="fas fa-search"></i></a>
                    </td>
                </tr>
            <?php endif; ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table>
<?php echo e($communications->links()); ?>


<script type="text/javascript">
    function removeUnseenFlag(row_id)
    {
        $('#'+row_id).css('background-color', '#fff');
    }
</script><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/lists/communication_list.blade.php ENDPATH**/ ?>