<table class="table table-striped">
    <thead>
        <tr>
            <th>Title</th>
            <th class="table_cell_content">Type</th>
            <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                <th style="text-align: center;">Active</th>
                <th style="text-align: center;">Required</th>
            <?php endif; ?>
            <th>Date</th>
            <th style="text-align: center;">Show</th>
            <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                <th style="text-align: center;">Edit</th>
                <th style="text-align: center;">Delete</th>
            <?php elseif(Auth::user()->user_type->name == "Dealer Caller" || Auth::user()->user_type->name == "Inbound Caller" || Auth::user()->user_type->name == "Full BDC Caller"): ?>
                <th style="text-align: center;">Approve</th>
            <?php endif; ?>
        </tr>
    </thead>
    <tbody>
        <?php $__currentLoopData = $training_alerts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $training_alert): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php if((strtotime($training_alert->training_alert_created_at) > strtotime($training_alert->user_user_group_created_at)) || Auth::user()->user_type->name == 'Admin'): ?>
                <tr id="ta_row_<?php echo e($training_alert->id); ?>">
                    <td id="ta_name_<?php echo e($training_alert->id); ?>" data-toggle="tooltip" data-placement="top" title="<?php echo e($training_alert->description); ?>"><?php echo e($training_alert->title); ?></td>
                    <td class="table_cell_content"><?php echo e($training_alert->file_type->name); ?></td>
                    <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                        <td align="center">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="active_<?php echo e($training_alert->id); ?>" name="active_<?php echo e($training_alert->id); ?>" 
                                <?php echo $__env->make('inputs.checkbox_radio', ['input_value' => 1, 'value' => $training_alert->active], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> onclick="activeTrainingAlert(event, '<?php echo e($training_alert->id); ?>')">
                                <label class="custom-control-label" for="active_<?php echo e($training_alert->id); ?>"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="required_<?php echo e($training_alert->id); ?>" name="required_<?php echo e($training_alert->id); ?>" 
                                <?php echo $__env->make('inputs.checkbox_radio', ['input_value' => 1, 'value' => $training_alert->required], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> onclick="setRequiredTrainingAlert(event, '<?php echo e($training_alert->id); ?>')">
                                <label class="custom-control-label" for="required_<?php echo e($training_alert->id); ?>"></label>
                            </div>
                        </td>
                    <?php endif; ?>
                    <td class="table_cell_content"><?php echo e(date('m/d/Y H:i', strtotime($training_alert->created_at))); ?></td>
                    <td align="center" class="cursorpointer" data-toggle="tooltip" data-placement="top" title="<?php echo e($training_alert->content); ?>" onclick="showTrainingAlertDialog(event, <?php echo e($training_alert->id); ?>, '<?php echo e($training_alert->file_type->name); ?>')">
                        <i class="fas fa-search"></i>
                    </td>
                    <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                        <td align="center" class="cursorpointer" onclick="editTrainingAlertDialog(event, <?php echo e($training_alert->id); ?>)">
                            <i class="fas fa-edit"></i>
                        </td>
                        <td align="center" class="cursorpointer" onclick="deleteTrainingAlertDialog(event, <?php echo e($training_alert->id); ?>)">
                            <i class="fas fa-trash-alt"></i>
                        </td>
                    <?php elseif(Auth::user()->user_type->name == "Dealer Caller" || Auth::user()->user_type->name == "Inbound Caller" || Auth::user()->user_type->name == "Full BDC Caller"): ?>
                        <?php if($training_alert->date_approved == null): ?>
                            <td align="center" class="cursorpointer" onclick="approveTrainingAlertDialog(event, <?php echo e($training_alert->id); ?>, <?php echo e(Auth::id()); ?>)" id="approved_<?php echo e($training_alert->id); ?>">
                                <i class="fas fa-thumbs-up"></i>
                            </td>
                        <?php else: ?> 
                            <td align="center">
                                <?php echo e(date('m/d/Y', strtotime($training_alert->date_approved))); ?>

                            </td>
                        <?php endif; ?>    
                    <?php endif; ?>
                </tr>
            <?php endif; ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table>

<?php if($no_links === false): ?>
    <?php echo e($training_alerts->links()); ?>

<?php endif; ?>

<span>
    <?php if($no_links === false): ?>
        <?php if($training_alerts->total() > 20): ?>
            <button type="submit" class="btn btn-primary" onclick="trainingAlertPaginationData(1, '', 1)">
                Show All
            </button>
        <?php elseif($current_training_alert_id > 0): ?>
            <button type="submit" class="btn btn-primary" onclick="trainingAlertPaginationData(1, '', 0)">
                Paginate
            </button>
        <?php endif; ?>
    <?php else: ?>
        <button type="submit" class="btn btn-primary" onclick="trainingAlertPaginationData(1, '', 0);">
            Paginate
        </button>
    <?php endif; ?>
    
</span><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/lists/training_alerts_list.blade.php ENDPATH**/ ?>