<p>
    <strong>Total emails sent:</strong> <?php echo e($emails_sent_total); ?>

</p>
<p>
    <strong>Total seen:</strong> <?php echo e($total_seen); ?>

</p>

<table class="table table-striped">
    <thead>
        <tr>
            <th>Customer</th>
            <th>Phone</th>
            <th>Email</th>
            <th>Vehicle</th>
            <th>VIN</th>
            <th>RO</th>
            <th>Sent</th>
            <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                <th>Seen</th>
            <?php endif; ?>
        </tr>
    </thead>
    <tbody>
        <?php $__currentLoopData = $sent_reminders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sent_reminder): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr id="reminder_<?php echo e($sent_reminder->record_id); ?>">
                <td>
                    <?php echo e($sent_reminder->first_name); ?> <?php echo e($sent_reminder->last_name); ?>

                </td>
                <td>
                    <?php echo e($sent_reminder->phone); ?>

                </td>
                <td>
                    <?php echo e($sent_reminder->email); ?>

                </td>
                <td>
                    <?php echo e($sent_reminder->vehicle_year); ?> <?php echo e($sent_reminder->vehicle_make); ?> <?php echo e($sent_reminder->vehicle_model); ?>

                </td>
                <td>
                    <?php echo e($sent_reminder->vin); ?>

                </td>
                <td>
                    <?php echo e($sent_reminder->ro); ?>

                </td>
                <td align="center">
                    <?php echo e(date('m/d/Y', strtotime($sent_reminder->date_sent))); ?>

                </td>
                <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                    <td align="center">
                        <?php if($sent_reminder->date_seen != null && $sent_reminder->date_seen != '0000-00-00 00:00:00'): ?>
                            <?php echo e(date('m/d/Y', strtotime($sent_reminder->date_seen))); ?>

                        <?php else: ?>
                            ---
                        <?php endif; ?>
                    </td>
                <?php endif; ?>
            </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/reports/reminders_report.blade.php ENDPATH**/ ?>