<table class="table table-striped">
    <thead>
        <tr>
            <th>Name</th>
            <th class="table_cell_content">Email</th>
            <th class="table_cell_content">Type</th>
            <th class="table_cell_content">Dealers</th>
            <th style="text-align: center;">Edit</th>
            <th style="text-align: center;">Delete</th>
        </tr>
    </thead>
    <tbody>
        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <tr id="user_row_<?php echo e($user->id); ?>">
            <td id="user_name_<?php echo e($user->id); ?>"><?php echo e($user->first_name); ?> <?php echo e($user->last_name); ?></td>
            <td class="table_cell_content"><?php echo e($user->email); ?></td>
            <td class="table_cell_content"><?php echo e($user->user_type->name); ?></td>
            <td class="table_cell_content">
                <?php if(isset($user->dealers)): ?>
                    <?php $__currentLoopData = $user->dealers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dealer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if( ! empty( $dealer_names[$dealer->dealer_id] ) ): ?>
                            <?php echo e($dealer_names[$dealer->dealer_id]); ?> <br>
                        <?php endif; ?>
                        
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php else: ?>
                    None
                <?php endif; ?>
            </td>
            <td class="table_cell_content">
                <?php if(isset($user->user_groups)): ?>
                    <?php $__currentLoopData = $user->user_groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user_group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php echo e($user_group->name); ?> <br>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php else: ?>
                    None
                <?php endif; ?>
            </td>
            <td align="center"><a href="#"><i class="fas fa-edit" onclick="editUserDialog(event, <?php echo e($user->id); ?>)"></i></a></td>
            <td align="center"><a href="#"><i class="fas fa-trash-alt" onclick="deleteUserDialog(event, <?php echo e($user->id); ?>)"></i></a></td>
        </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table>

<?php if($no_links === false): ?>
    <?php echo e($users->links()); ?>

<?php endif; ?>

<span>
    <?php if($no_links === false): ?>
        <?php if($users->total() > 20): ?>
            <button type="submit" class="btn btn-primary" onclick="usersPaginationData(1, null, 1)">
                Show All
            </button>
        <?php elseif($current_user_id > 0): ?>
            <button type="submit" class="btn btn-primary" onclick="usersPaginationData(1, null, 0)">
                Paginate
            </button>
        <?php endif; ?>
    <?php else: ?>
        <button type="submit" class="btn btn-primary" onclick="usersPaginationData(1, null, 0);">
            Paginate
        </button>
    <?php endif; ?>
    
</span><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/lists/users_list.blade.php ENDPATH**/ ?>