
<?php $__env->startSection('style_files'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Caller Hours</div>
                <div class="card-body">
                    <form id="caller_hours_form" name="caller_hours_form">
                        <div class="form-row">
                            <div class="form-group col-md-3">
                                <label for="caller_search"><?php echo e(__('Caller')); ?></label>
                                <select class="form-control" id="caller_search" name="caller_search" onchange="getCallerHours(event)" required="">
                                    <option value=''>Select...</option>
                                    <?php echo $__env->make('inputs.select_options', ['options' => $callers_options, 'value_selected' => ''], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                                <div class="invalid-feedback">
                                    Provide a caller.
                                </div>
                            </div>
                            <div class="form-group col-md-3">
                                <label for="start_date_search"><?php echo e(__('Start Date')); ?></label>
                                <input type="text" class="form-control search_datepicker_inputs" name="start_date_search" id="start_date_search" value="<?php echo e(date('m/d/Y')); ?>" onchange="getCallerHours(event)" required="">
                                <div class="invalid-feedback">
                                    Provide start date.
                                </div>
                            </div>
                            <div class="form-group col-md-3">
                                <label for="end_date_search"><?php echo e(__('End Date')); ?></label>
                                <input type="text" class="form-control search_datepicker_inputs" name="end_date_search" id="end_date_search" value="<?php echo e(date('m/d/Y', strtotime('+1 month'))); ?>" onchange="getCallerHours(event)" required="">
                                <div class="invalid-feedback">
                                    Provide end date
                                </div>
                            </div>
                            <div class="form-group col-md-3" style="display: flex;align-items: flex-end;">
                                <button type="submit" class="btn btn-secondary" id="submit_search" onclick="saveCallerHoursConfirmation(event)">Save</button>
                            </div>
                        </div>
                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="loading_message">
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <table class="table table-striped">
                                <thead>
                                    <tr>
                                        <th>Monday</th>
                                        <th>Tuesday </th>
                                        <th>Wednesday</th>
                                        <th>Thursday</th>
                                        <th>Friday</th>
                                        <th>Saturday</th>
                                        <th>Sunday</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><input type="text" name="monday" id="monday" class="form-control"></td>
                                        <td><input type="text" name="tuesday" id="tuesday" class="form-control"></td>
                                        <td><input type="text" name="wednesday" id="wednesday" class="form-control"></td>
                                        <td><input type="text" name="thursday" id="thursday" class="form-control"></td>
                                        <td><input type="text" name="friday" id="friday" class="form-control"></td>
                                        <td><input type="text" name="saturday" id="saturday" class="form-control"></td>
                                        <td><input type="text" name="sunday" id="sunday" class="form-control"></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts_extra'); ?>
    <script type="text/javascript">
        $('#start_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

        $('#end_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });
    </script>
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/pages/caller_hour_assignments.blade.php ENDPATH**/ ?>