<?php
  $caller_availabilty = $caller_calls_per_day;
?>
<?php $__currentLoopData = $caller_calls_per_day; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $caller_id => $max_total_caller_calls): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
  <input type="hidden" id="max_total_caller_calls_<?php echo e($caller_id); ?>" name="max_total_caller_calls_<?php echo e($caller_id); ?>" value="<?php echo e($max_total_caller_calls); ?>">
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php if($total_assignments > 0): ?>
  <div class="alert alert-success" role="alert">
    <i class="far fa-calendar-check"></i> You already have assignments saved for this date!
  </div>
<?php endif; ?>
<table class="table table-striped">
  <tr class="bg-primary text-white">
    <td>
      Dealer
    </td>
    <td colspan="2">
      Caller #1
    </td>
    <td colspan="2">
      Caller #2
    </td>
    <td colspan="2">
      Caller #3
    </td>
    <td colspan="2">
      Caller #4
    </td>
  </tr>
  <?php $__currentLoopData = $dealers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dealer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php if(isset($assigned_calls_totals[$dealer->coid])): ?>
      <tr class="bg-success text-white cursorpointer dealer_rows" style="font-size: 12px;" onclick="hideShowElement(event,'call_types_rows_<?php echo e($dealer->coid); ?>')" id="total_calls_count_row_<?php echo e($dealer->coid); ?>">
    <?php else: ?>
      <?php continue; ?>
      <tr class="bg-secondary text-white cursorpointer" style="font-size: 12px;" onclick="hideShowElement(event,'call_types_rows_<?php echo e($dealer->coid); ?>')">
    <?php endif; ?>
    
      <td colspan="9">
        <?php echo e($dealer->co_name); ?> 
        <?php if(isset($assigned_calls_totals[$dealer->coid])): ?>
          (<span id="total_calls_count_<?php echo e($dealer->coid); ?>"><?php echo e($assigned_calls_totals[$dealer->coid]); ?></span>)
          <input type="hidden" id="total_count_<?php echo e($dealer->coid); ?>" value="<?php echo e($assigned_calls_totals[$dealer->coid]); ?>">
        <?php else: ?>
          (0)
        <?php endif; ?>
      </td>
    </tr>
    <?php if(isset($assigned_calls[$dealer->coid])): ?>
    
      <?php
      $call_types_on_dealer         = [];
      $call_types_checked           = [];
      $call_types_on_dealer_ordered = [];
      foreach ( $assigned_calls[ $dealer->coid ] as $call_type_id => $total_count ) {
        $call_types_on_dealer[] = $call_type_id;
      }
      
      foreach ( $call_type_import_priority as $call_type_priority ) {
        if ( in_array( $call_type_priority, $call_types_on_dealer ) ) {
          $call_types_on_dealer_ordered[] = $call_type_priority;
        }
      }
      
    ?>


      <?php $__currentLoopData = $call_types_on_dealer_ordered; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $call_type_id): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php

          $total_count = $assigned_calls[ $dealer->coid ][ $call_type_id ];

          $already_used_caller = array();
        ?>
        <tr style="font-size: 12px;display: none" class="call_types_rows_<?php echo e($dealer->coid); ?>" id="call_type_row_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>">
          <td>
              <?php echo e($calltypes_names[$call_type_id]); ?> 
              (<span id="total_calls_calltype_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="call_type_count"><?php echo e($total_count); ?></span>)
              <input type="hidden" id="call_type_total_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" value="<?php echo e($total_count); ?>">
          </td>
          <?php if($total_assignments > 0): ?>
            <td>
              <select id="caller_one_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_one_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_one callers_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" style="width: 100px" onchange="checkSelectedCaller('caller_one', '<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
                  <option value="">Select...</option>
                  <?php 
                      $used_caller_id = '';
                      $selected = '';
                  ?>
                  <?php $__currentLoopData = $caller_users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $caller): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php 
                      //$selected = '';
                      
                    ?>
                    <?php if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id])): ?>
                      <?php 
                        if(isset($caller_assignments[$caller->id][$dealer->coid][$call_type_id]))
                        {
                          if($selected == '')
                          {
                            if(!in_array($caller->id, $already_used_caller))
                            {
                              $selected = 'selected';
                              $already_used_caller[] = $caller->id;
                              $used_caller_id = $caller->id;
                            } else {
                              $selected = '';
                            }
                          } else {
                            $selected = '';
                          }
                        } else {
                          $selected = '';
                        }
                      ?>
                      <option value="<?php echo e($caller->id); ?>" <?php echo e($selected); ?>><?php echo e($caller->first_name); ?> <?php echo e($caller->last_name); ?></option>
                    <?php endif; ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </select>
            </td>
            <td>
              <?php if(isset($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id])): ?>
                <input type="text" id="caller_one_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_one_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_one_count calls_count dealer_call_count_<?php echo e($dealer->coid); ?>" value="<?php echo e($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id]); ?>" style="width: 30px" onchange="checkMaxCallerCalls('caller_one','<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
              <?php else: ?>
                <input type="text" id="caller_one_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_one_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_one_count calls_count dealer_call_count_<?php echo e($dealer->coid); ?>" value="0" style="width: 30px" onchange="checkMaxCallerCalls('caller_one','<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
              <?php endif; ?>
            </td>
            <td>
              <select id="caller_two_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_two_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_two callers_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" style="width: 100px" onchange="checkSelectedCaller('caller_two', '<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
                  <option value="">Select...</option>
                  <?php 
                      $used_caller_id = '';
                      $selected = '';
                  ?>
                  <?php $__currentLoopData = $caller_users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $caller): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php 
                      //$selected = '';
                      
                    ?>
                    <?php if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id])): ?>
                      <?php 
                        if(isset($caller_assignments[$caller->id][$dealer->coid][$call_type_id]))
                        {
                          if($selected == '')
                          {
                            if(!in_array($caller->id, $already_used_caller))
                            {
                              $selected = 'selected';
                              $already_used_caller[] = $caller->id;
                              $used_caller_id = $caller->id;
                            } else {
                              $selected = '';
                            }
                          } else {
                            $selected = '';
                          }
                        } else {
                          $selected = '';
                        }
                      ?>
                      <option value="<?php echo e($caller->id); ?>" <?php echo e($selected); ?>><?php echo e($caller->first_name); ?> <?php echo e($caller->last_name); ?></option>
                    <?php endif; ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </select>
            </td>
            <td>
              <?php if(isset($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id])): ?>
                <input type="text" id="caller_two_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_two_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_two_count calls_count dealer_call_count_<?php echo e($dealer->coid); ?>" value="<?php echo e($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id]); ?>" style="width: 30px" onchange="checkMaxCallerCalls('caller_two','<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
              <?php else: ?>
                <input type="text" id="caller_two_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_two_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_two_count calls_count dealer_call_count_<?php echo e($dealer->coid); ?>" value="0" style="width: 30px" onchange="checkMaxCallerCalls('caller_two','<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
              <?php endif; ?>
            </td>
            <td>
              <select id="caller_three_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_three_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_three callers_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" style="width: 100px" onchange="checkSelectedCaller('caller_three', '<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
                  <option value="">Select...</option>
                  <?php 
                      $used_caller_id = '';
                      $selected = '';
                  ?>
                  <?php $__currentLoopData = $caller_users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $caller): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php 
                      //$selected = '';
                      
                    ?>
                    <?php if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id])): ?>
                      <?php 
                        if(isset($caller_assignments[$caller->id][$dealer->coid][$call_type_id]))
                        {
                          if($selected == '')
                          {
                            if(!in_array($caller->id, $already_used_caller))
                            {
                              $selected = 'selected';
                              $already_used_caller[] = $caller->id;
                              $used_caller_id = $caller->id;
                            } else {
                              $selected = '';
                            }
                          } else {
                            $selected = '';
                          }
                        } else {
                          $selected = '';
                        }
                      ?>
                      <option value="<?php echo e($caller->id); ?>" <?php echo e($selected); ?>><?php echo e($caller->first_name); ?> <?php echo e($caller->last_name); ?></option>
                    <?php endif; ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </select>
            </td>
            <td>
              <?php if(isset($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id])): ?>
                <input type="text" id="caller_three_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_three_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_three_count calls_count dealer_call_count_<?php echo e($dealer->coid); ?>" value="<?php echo e($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id]); ?>" style="width: 30px" onchange="checkMaxCallerCalls('caller_three','<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
              <?php else: ?>
                <input type="text" id="caller_three_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_three_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_three_count calls_count dealer_call_count_<?php echo e($dealer->coid); ?>" value="0" style="width: 30px" onchange="checkMaxCallerCalls('caller_three','<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
              <?php endif; ?>
            </td>
            <td>
              <select id="caller_four_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_four_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_four callers_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" style="width: 100px" onchange="checkSelectedCaller('caller_four', '<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
                  <option value="">Select...</option>
                  <?php 
                      $used_caller_id = '';
                      $selected = '';
                  ?>
                  <?php $__currentLoopData = $caller_users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $caller): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php 
                      //$selected = '';
                      
                    ?>
                    <?php if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id])): ?>
                      <?php 
                        if(isset($caller_assignments[$caller->id][$dealer->coid][$call_type_id]))
                        {
                          if($selected == '')
                          {
                            if(!in_array($caller->id, $already_used_caller))
                            {
                              $selected = 'selected';
                              $already_used_caller[] = $caller->id;
                              $used_caller_id = $caller->id;
                            } else {
                              $selected = '';
                            }
                          } else {
                            $selected = '';
                          }
                        } else {
                          $selected = '';
                        }
                      ?>
                      <option value="<?php echo e($caller->id); ?>" <?php echo e($selected); ?>><?php echo e($caller->first_name); ?> <?php echo e($caller->last_name); ?></option>
                    <?php endif; ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </select>
            </td>
            <td>
              <?php if(isset($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id])): ?>
                <input type="text" id="caller_four_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_four_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_four_count calls_count dealer_call_count_<?php echo e($dealer->coid); ?>" value="<?php echo e($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id]); ?>" style="width: 30px" onchange="checkMaxCallerCalls('caller_four','<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
              <?php else: ?>
                <input type="text" id="caller_four_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_four_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_four_count calls_count dealer_call_count_<?php echo e($dealer->coid); ?>" value="0" style="width: 30px" onchange="checkMaxCallerCalls('caller_four','<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
              <?php endif; ?>
            </td>
          <?php else: ?>
            <td>
              <select id="caller_one_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_one_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_one callers_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" style="width: 100px" onchange="checkSelectedCaller('caller_one', '<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
                  <option value="">Select...</option>
                  <?php
                    $calls_to_assign = 0;
                    $selected = '';
                    $already_assigned = false;
                  ?>
                  <?php $__currentLoopData = $caller_users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $caller): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                      $selected = '';
                    ?>
                    <?php if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id])): ?>
                      <?php if($total_count > 0 && $caller_calls_per_day[$caller->id] > 0 && $already_assigned == false): ?>
                        <?php 
                          if($total_count == $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id] = 0;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          } else if($total_count > $caller_calls_per_day[$caller->id])
                          {
                            $total_count-= $caller_calls_per_day[$caller->id];
                            $calls_to_assign = $caller_calls_per_day[$caller->id];
                            $already_assigned = true;
                            $caller_calls_per_day[$caller->id] = 0;
                          } else if($total_count < $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id]-= $total_count;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          }
                          $selected = 'selected';
                        ?>
                      <?php endif; ?>
                      <option value="<?php echo e($caller->id); ?>" <?php echo e($selected); ?>><?php echo e($caller->first_name); ?> <?php echo e($caller->last_name); ?></option>
                    <?php endif; ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </select>
            </td>
            <td>
              <input type="text" id="caller_one_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_one_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_one_count calls_count dealer_call_count_<?php echo e($dealer->coid); ?>" value="<?php echo e($calls_to_assign); ?>" style="width: 30px" onchange="checkMaxCallerCalls('caller_one','<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
            </td>
            <td>
              <select id="caller_two_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_two_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_two callers_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" style="width: 100px" onchange="checkSelectedCaller('caller_two', '<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
                  <option value="">Select...</option>
                  <?php
                    $calls_to_assign = 0;
                    $selected = '';
                    $already_assigned = false;
                  ?>
                  <?php $__currentLoopData = $caller_users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $caller): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                      $selected = '';
                    ?>
                    <?php if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id])): ?>
                      <?php if($total_count > 0 && $caller_calls_per_day[$caller->id] > 0 && $already_assigned == false): ?>
                        <?php 
                          if($total_count == $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id] = 0;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          } else if($total_count > $caller_calls_per_day[$caller->id])
                          {
                            $total_count-= $caller_calls_per_day[$caller->id];
                            $calls_to_assign = $caller_calls_per_day[$caller->id];
                            $already_assigned = true;
                            $caller_calls_per_day[$caller->id] = 0;
                          } else if($total_count < $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id]-= $total_count;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          }
                          $selected = 'selected';
                        ?>
                      <?php endif; ?>
                      <option value="<?php echo e($caller->id); ?>" <?php echo e($selected); ?>><?php echo e($caller->first_name); ?> <?php echo e($caller->last_name); ?></option>
                    <?php endif; ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </select>
            </td>
            <td>
              <input type="text" id="caller_two_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_two_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_two_count calls_count dealer_call_count_<?php echo e($dealer->coid); ?>" value="<?php echo e($calls_to_assign); ?>" style="width: 30px" onchange="checkMaxCallerCalls('caller_two','<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
            </td>
            <td>
              <select id="caller_three_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_three_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_three callers_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" style="width: 100px" onchange="checkSelectedCaller('caller_three', '<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
                  <option value="">Select...</option>
                  <?php
                    $calls_to_assign = 0;
                    $selected = '';
                    $already_assigned = false;
                  ?>
                  <?php $__currentLoopData = $caller_users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $caller): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                      $selected = '';
                    ?>
                    <?php if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id])): ?>
                      <?php if($total_count > 0 && $caller_calls_per_day[$caller->id] > 0 && $already_assigned == false): ?>
                        <?php 
                          if($total_count == $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id] = 0;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          } else if($total_count > $caller_calls_per_day[$caller->id])
                          {
                            $total_count-= $caller_calls_per_day[$caller->id];
                            $calls_to_assign = $caller_calls_per_day[$caller->id];
                            $already_assigned = true;
                            $caller_calls_per_day[$caller->id] = 0;
                          } else if($total_count < $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id]-= $total_count;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          }
                          $selected = 'selected';
                        ?>
                      <?php endif; ?>
                      <option value="<?php echo e($caller->id); ?>" <?php echo e($selected); ?>><?php echo e($caller->first_name); ?> <?php echo e($caller->last_name); ?></option>
                    <?php endif; ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </select>
            </td>
            <td>
              <input type="text" id="caller_three_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_three_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_three_count calls_count dealer_call_count_<?php echo e($dealer->coid); ?>" value="<?php echo e($calls_to_assign); ?>" style="width: 30px" onchange="checkMaxCallerCalls('caller_three','<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
            </td>
            <td>
              <select id="caller_four_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_four_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_four callers_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" style="width: 100px" onchange="checkSelectedCaller('caller_four', '<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
                  <option value="">Select...</option>
                  <?php
                    $calls_to_assign = 0;
                    $selected = '';
                    $already_assigned = false;
                  ?>
                  <?php $__currentLoopData = $caller_users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $caller): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                      $selected = '';
                    ?>
                    <?php if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id])): ?>
                      <?php if($total_count > 0 && $caller_calls_per_day[$caller->id] > 0 && $already_assigned == false): ?>
                        <?php 
                          if($total_count == $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id] = 0;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          } else if($total_count > $caller_calls_per_day[$caller->id])
                          {
                            $total_count-= $caller_calls_per_day[$caller->id];
                            $calls_to_assign = $caller_calls_per_day[$caller->id];
                            $already_assigned = true;
                            $caller_calls_per_day[$caller->id] = 0;
                          } else if($total_count < $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id]-= $total_count;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          }
                          $selected = 'selected';
                        ?>
                      <?php endif; ?>
                      <option value="<?php echo e($caller->id); ?>" <?php echo e($selected); ?>><?php echo e($caller->first_name); ?> <?php echo e($caller->last_name); ?></option>
                    <?php endif; ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </select>
            </td>
            <td>
              <input type="text" id="caller_four_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" name="caller_four_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>" class="caller_four_count calls_count dealer_call_count_<?php echo e($dealer->coid); ?>" value="<?php echo e($calls_to_assign); ?>" style="width: 30px" onchange="checkMaxCallerCalls('caller_four','<?php echo e($dealer->coid); ?>', '<?php echo e($call_type_id); ?>')">
            </td>
          <?php endif; ?>
        </tr>
      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php endif; ?>
  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</table>
<script type="text/javascript">
  <?php if( empty( $current_assignments->count() ) ): ?>
    $('.calls_count').val(0);
    $('.caller_one').val('');
    $('.caller_two').val('');
    $('.caller_three').val('');
    $('.caller_four').val('');
    <?php
      $caller_inputs = ['caller_one', 'caller_two', 'caller_three', 'caller_four'];
    ?>
    <?php $__currentLoopData = $call_type_import_priority; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $call_type_id): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
      <?php $__currentLoopData = $dealers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dealer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php if( ! isset( $assigned_calls[ $dealer->coid ][ $call_type_id ] ) ): ?>
          <?php
            continue;
          ?>
        <?php else: ?>
          <?php
            $row_total = $assigned_calls[ $dealer->coid ][ $call_type_id ];
          ?>
          <?php $__currentLoopData = $caller_inputs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $input_class): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php if( $row_total <= 0 ): ?>
              <?php
                break;
              ?>
            <?php endif; ?>
            <?php $__currentLoopData = $caller_users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $caller): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <?php if( $row_total <= 0 ): ?>
                <?php
                  break;
                ?>
              <?php endif; ?>
              <?php if( isset( $caller_access_array[ $caller->id ][ $dealer->coid ][ $call_type_id ] ) ): ?>
                <?php if( $caller_availabilty[ $caller->id ] > 0 ): ?>
                  <?php if( $row_total <= $caller_availabilty[ $caller->id ] ): ?>
                    <?php
                      $calls_num = $row_total;
                      $caller_availabilty[ $caller->id ] = $caller_availabilty[ $caller->id ] - $row_total;
                      $row_total = 0;
                    ?>
                  <?php elseif( $row_total > $caller_availabilty[ $caller->id ]): ?>
                    <?php
                      $calls_num = $caller_availabilty[ $caller->id ];
                      $row_total = $row_total - $caller_availabilty[ $caller->id ];
                      $caller_availabilty[ $caller->id ] = 0;
                    ?>
                  <?php endif; ?>
                  $('#<?php echo e($input_class); ?>_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>').val(<?php echo e($caller->id); ?>);
                  $('#<?php echo e($input_class); ?>_count_<?php echo e($dealer->coid); ?>_<?php echo e($call_type_id); ?>').val(<?php echo e($calls_num); ?>);
                  <?php
                    // Go to the next caller selectbox
                    break;
                  ?>
                <?php endif; ?>
              <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>
      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
  <?php endif; ?>
</script><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/partials/assignments_search.blade.php ENDPATH**/ ?>