
<?php $__env->startSection('style_files'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Imported Records</div>
                <div class="card-body">
                    <form id="search_call_records_form" name="search_call_records_form">
                        <div class="form-row">
                            <div class="form-group col-md-2">
                                <label for="coid_search"><?php echo e(__('Dealer')); ?></label>
                                <select class="form-control" id="coid_search" name="coid_search" required>
                                    <?php echo $__env->make('inputs.select_options', ['options' => $dealers_options, 'value_selected' => ''], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                                <div class="invalid-feedback">
                                    Provide a dealer.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="start_date_search"><?php echo e(__('Start Date')); ?></label>
                                <input type="text" class="form-control search_datepicker_inputs" name="start_date_search" id="start_date_search" value="<?php echo e(date('m/01/Y')); ?>">
                                <div class="invalid-feedback">
                                    Provide start date.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="end_date_search"><?php echo e(__('End Date')); ?></label>
                                <div class="input-group">
                                    <input type="text" class="form-control search_datepicker_inputs" name="end_date_search" id="end_date_search" value="<?php echo e(date('m/d/Y')); ?>">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-secondary" id="submit_search" onclick="getRecordsImportedReport(event)"><i class="fas fa-search"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>

                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="call_record_container">
                        
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts_extra'); ?>
    <script type="text/javascript">
        $('#start_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

        $('#end_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });
    </script>
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/pages/records_imported.blade.php ENDPATH**/ ?>