<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />

        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
        <meta name="main-url" content="<?php echo e(url('/')); ?>">

        <title>ZASSCO360</title>
        <link rel="icon" type="image/x-icon" href="assets/img/favicon.ico" />
        <!-- Font Awesome icons (free version)-->
        
        <!-- Google fonts-->
        <link href="https://fonts.googleapis.com/css?family=Varela+Round" rel="stylesheet" />
        <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet" />
        <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet">
        <!-- Core theme CSS (includes Bootstrap)-->
        <link href="<?php echo e(asset('css/styles.css?v=2.4')); ?>" rel="stylesheet" />
    </head>
    <body id="page-top">
        <!-- Navigation-->
        <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
            <div class="container">
                <a class="navbar-brand js-scroll-trigger" href="#page-top">ZASSCO360</a>
                <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
                    Menu
                    <i class="fas fa-bars"></i>
                </button>
                <div class="collapse navbar-collapse" id="navbarResponsive">
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#signup">SING UP</a></li>
                        <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#contact">CONTACT US</a></li>
                    </ul>
                </div>
            </div>
        </nav>
        <!-- Masthead-->
        <header class="masthead">
            <div class="container d-flex h-100 align-items-center">
                <div class="mx-auto text-center">
                    <h1 class="mx-auto my-0 text-uppercase">ZASSCO360</h1>
                    <h2 class="text-white-50 mx-auto mt-2 mb-5">FULLBDCVINTRACKER.COM</h2>
                    <a class="btn btn-primary js-scroll-trigger" href="#signup">Sing Up</a>
                </div>
            </div>
        </header>
        <!-- About-->
        <section class="about-section text-center" id="signup">
            <div class="container" id="signup_container">

                <div class="row">
                    <div class="col-lg-8 mx-auto">
                        
                            
                                <div class="wrap-login100">
                                    <div class="login100-form-title" style="background-image: url(<?php echo e(asset('images/callcenter.png')); ?>);">
                                        <span class="login100-form-title-1">
                                            <h2 class="text-white mb-4">YOU ARE ALMOST THERE</h2>
                                            <p class="text-white-50">
                                                Please fill in the information below and you'll be ready to go!
                                            </p>
                                        </span>
                                    </div>

                                    <form class="login100-form signup-form">
                                        <div class="wrap-input100 validate-input m-b-26" data-validate="Company name is required">
                                            <span class="label-input100">Company name</span>
                                            <input class="input100" type="text" id="co_name" name="co_name" placeholder="Enter Company name (required)">
                                            <span class="focus-input100"></span>
                                        </div>

                                        <div class="wrap-input100 validate-input m-b-26" data-validate="Main contact name is required">
                                            <span class="label-input100">Main contact name</span>
                                            <input class="input100" type="text" id="main_contact_name" name="main_contact_name" placeholder="Enter Main contact name (required)">
                                            <span class="focus-input100"></span>
                                        </div>

                                        <div class="wrap-input100 validate-input m-b-26" data-validate="A valid phone is required">
                                            <span class="label-input100">Main contact phone</span>
                                            <input class="input100" type="text" id="main_contact_phone" name="main_contact_phone" placeholder="Enter main contact phone (required)">
                                            <span class="focus-input100"></span>
                                        </div>

                                        <div class="wrap-input100 validate-input m-b-26" data-validate="A valid main contact email is required">
                                            <span class="label-input100">Main contact email</span>
                                            <input class="input100" type="text" id="main_contact_email" name="main_contact_email" placeholder="Main contact email (required)" placeholder="Enter sales manager name">
                                            <span class="focus-input100"></span>
                                        </div>

                                        <div class="wrap-input100  m-b-26" data-validate="Sales manager is required">
                                            <span class="label-input100">Sales manager</span>
                                            <input class="input100" type="text" id="sales_mgr_name" name="sales_mgr_name" placeholder="Enter sales manager name">
                                            <span class="focus-input100"></span>
                                        </div>


                                        <div class="wrap-input100  m-b-26" data-validate="Service manager is required">
                                            <span class="label-input100">Service manager</span>
                                            <input class="input100" type="text" id="service_mgr_name" name="service_mgr_name" placeholder="Enter service manager name">
                                            <span class="focus-input100"></span>
                                        </div>

                                        <div class="wrap-input100 validate-input m-b-26" data-validate="Company address is required">
                                            <span class="label-input100">Company address</span>
                                            <input class="input100" type="text" id="address" name="address" placeholder="Enter company address (required)">
                                            <span class="focus-input100"></span>
                                        </div>

                                        <div class="wrap-input100 validate-input m-b-26" data-validate="Company city is required">
                                            <span class="label-input100">Company city</span>
                                            <input class="input100" type="text" id="city" name="city" placeholder="Enter company city (required)">
                                            <span class="focus-input100"></span>
                                        </div>


                                        <div class="wrap-input100 validate-input m-b-26" data-validate="Company state is required">
                                            <span class="label-input100">Company state</span>
                                            <input class="input100" type="text" id="state" name="state" placeholder="Enter company state (required)">
                                            <span class="focus-input100"></span>
                                        </div>


                                        <div class="wrap-input100 validate-input m-b-26" data-validate="Company zip is required">
                                            <span class="label-input100">Company zip</span>
                                            <input class="input100" type="text" id="zip" name="zip" placeholder="Enter zip (required)">
                                            <span class="focus-input100"></span>
                                        </div>

                                        <div class="wrap-input100 validate-input m-b-26" data-validate="A valid company email is required">
                                            <span class="label-input100">Company email</span>
                                            <input class="input100" type="text" id="email" name="email" placeholder="Enter company email (required)">
                                            <span class="focus-input100"></span>
                                        </div>

                                        <div class="wrap-input100 validate-input m-b-26" data-validate="Company phone is required">
                                            <span class="label-input100">Company phone</span>
                                            <input class="input100" type="text" id="phone" name="phone" placeholder="Enter company phone (required)">
                                            <span class="focus-input100"></span>
                                        </div>


                                        <div class="wrap-input100 m-b-26" data-validate="A valid sales phone is required">
                                            <span class="label-input100">Sales phone</span>
                                            <input class="input100" type="text" id="sales_phone" name="sales_phone" placeholder="Enter sales phone">
                                            <span class="focus-input100"></span>
                                        </div>

                                        <div class="wrap-input100 m-b-26" data-validate="Sales email is required">
                                            <span class="label-input100">Sales email</span>
                                            <input class="input100" type="text" id="sales_email" name="sales_email" placeholder="Enter sales email">
                                            <span class="focus-input100"></span>
                                        </div>

                                        <div class="wrap-input100 m-b-26" data-validate="A valid sservice phone is required">
                                            <span class="label-input100">Service phone</span>
                                            <input class="input100" type="text" id="service_phone" name="service_phone" placeholder="Enter service phone">
                                            <span class="focus-input100"></span>
                                        </div>

                                        <div class="wrap-input100 m-b-26" data-validate="Service email is required">
                                            <span class="label-input100">Service email</span>
                                            <input class="input100" type="text" id="service_email" name="service_email" placeholder="Enter service email">
                                            <span class="focus-input100"></span>
                                        </div>


                                        <div class="wrap-input100 m-b-26" data-validate="A valid parts phone is required">
                                            <span class="label-input100">Parts phone</span>
                                            <input class="input100" type="text" id="parts_phone" name="parts_phone" placeholder="Enter parts phone">
                                            <span class="focus-input100"></span>
                                        </div>

                                        <div class="wrap-input100 m-b-26" data-validate="Website is required">
                                            <span class="label-input100">Website</span>
                                            <input class="input100" type="text" id="website" name="website" placeholder="Enter website">
                                            <span class="focus-input100"></span>
                                        </div>

                                        <div class="wrap-input100 m-b-26" data-validate="Facebook link is required">
                                            <span class="label-input100">Facebook link</span>
                                            <input class="input100" type="text" id="facebook_link" name="facebook_link" placeholder="Enter facebook link">
                                            <span class="focus-input100"></span>
                                        </div>
                                    </form>
                                    <div class="alert alert-danger print-error-msg" style="display:none">
                                        <ul></ul>
                                    </div>
                                    <div class="mx-auto text-center" style="margin-bottom: 40px">
                                        <button class="btn btn-primary text-white-50 signup-button" style="font-size: 1rem !important">Sing Up <i class="fas fa-paper-plane"></i></button>
                                    </div>
                                    <img class="img-fluid-80" src="<?php echo e(asset('images/bdchelper_logo.png')); ?>" alt="" />
                                </div>
                    </div>
                </div>

                
            </div>
        </section>
        <!-- Contact-->
        <section class="contact-section bg-black" id="contact">
            <div class="container">
                <div class="row">
                    <div class="col-lg-8 mx-auto section-title">
                        <span class="login100-form-title-1">
                            <h2 class="text-white mb-4">CONTACT US</h2>
                        </span>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4 mb-3 mb-md-0">
                        <div class="card py-4 h-100">
                            <div class="card-body text-center">
                                <i class="fas fa-map-marked-alt text-primary mb-2"></i>
                                <h4 class="text-uppercase m-0">Address</h4>
                                <hr class="my-4" />
                                <div class="small text-black-50">5843 Harrison ave Suite 202 Cincinnati, Ohio 45248</div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mb-3 mb-md-0">
                        <div class="card py-4 h-100">
                            <div class="card-body text-center">
                                <i class="fas fa-envelope text-primary mb-2"></i>
                                <h4 class="text-uppercase m-0">Email</h4>
                                <hr class="my-4" />
                                <div class="small text-black-50"><a href="#!">paul.jones@campuscallers.com</a></div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mb-3 mb-md-0">
                        <div class="card py-4 h-100">
                            <div class="card-body text-center">
                                <i class="fas fa-mobile-alt text-primary mb-2"></i>
                                <h4 class="text-uppercase m-0">Phone</h4>
                                <hr class="my-4" />
                                <div class="small text-black-50">+1 (513) 407-4807</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="social d-flex justify-content-center">
                    <a class="mx-2" href="https://twitter.com/campuscallers" target="_blank"><i class="fab fa-twitter"></i></a>
                    <a class="mx-2" href="https://www.facebook.com/campuscaller/" target="_blank"><i class="fab fa-facebook-f"></i></a>
                    <a class="mx-2" href="https://thevinchaser.com/" target="_blank">CC</a>
                </div>
            </div>
        </section>
        <!-- Footer-->
        <footer class="footer bg-black small text-center text-white-50"><div class="container">Copyright © ZassCo, Inc <?php echo e(date('Y')); ?></div></footer>
        <!-- Bootstrap core JS-->
        <script src="<?php echo e(asset('js/app.js')); ?>"></script>
        <!-- Third party plugin JS-->
        <script src="https://kit.fontawesome.com/2185df722e.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.min.js"></script>
        <!-- Core theme JS-->
        
        <script src="<?php echo e(asset('js/scripts.js?v=1.0')); ?>"></script>
    </body>
</html><?php /**PATH C:\xampp3\htdocs\ghostvin_app\resources\views/pages/companies_sign_up.blade.php ENDPATH**/ ?>