<table class="table table-striped">
    <thead>
        <tr>
            <th>Name</th>
            <th class="table_cell_content text-center">Twilio Phone</th>
            <th class="table_cell_content text-center">Automated reminders</th>
            <th class="table_cell_content text-center">Edit</th>
        </tr>
    </thead>
    <tbody>
        <?php $__currentLoopData = $dealers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dealer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr id="dealer_row_<?php echo e($dealer->coid); ?>">
                <td id="dealer_name_<?php echo e($dealer->coid); ?>"><?php echo e($dealer->co_name); ?></td>
                <td class="table_cell_content">
                    <?php if(isset($twilio_phones_array[$dealer->coid])): ?>
                        <input type="text" class="form-control" id="twilio_phone_<?php echo e($dealer->coid); ?>" name="twilio_phone_<?php echo e($dealer->coid); ?>" value="<?php echo e($twilio_phones_array[$dealer->coid]); ?>" onchange="updateTwilioNumber('<?php echo e($dealer->coid); ?>')">
                    <?php else: ?>
                        <input type="text" class="form-control" id="twilio_phone_<?php echo e($dealer->coid); ?>" name="twilio_phone_<?php echo e($dealer->coid); ?>" value="" onchange="updateTwilioNumber('<?php echo e($dealer->coid); ?>')">
                    <?php endif; ?>
                </td>
                <td align="center">
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" id="automated_reminder_<?php echo e($dealer->coid); ?>" name="automated_reminder_<?php echo e($dealer->coid); ?>" 
                        <?php echo $__env->make('inputs.checkbox_radio', ['input_value' => 1, 'value' => $dealer->automated_reminder], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> onclick="setAutomatedReminderActive(event, '<?php echo e($dealer->coid); ?>')">
                        <label class="custom-control-label" for="automated_reminder_<?php echo e($dealer->coid); ?>"></label>
                    </div>
                </td>
                <td align="center"><a href="#"><i class="fas fa-edit" onclick="editCompanyDialog(event, <?php echo e($dealer->coid); ?>)"></i></a></td>
            </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table>

<?php if($no_links === false): ?>
    <?php echo e($dealers->links()); ?>

<?php endif; ?>

<span>
    <?php if($current_coid > 0): ?>
        <button type="submit" class="btn btn-primary" onclick="twilioPhonesPaginationData(1, null, 0)">
            Show all
        </button>
    <?php endif; ?>
</span><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/lists/twilio_phones_list.blade.php ENDPATH**/ ?>