<div class="modal-header">
    <h5 class="modal-title">
        Import Email Template
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <div class="alert alert-danger print-error-msg" style="display:none">
            <ul></ul>
        </div>
        <form id="import_email_template_form" name="import_email_template_form">
            <?php echo csrf_field(); ?>
            <fieldset id="customer_email_fieldset">
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label for="template_subject"><?php echo e(__('Template')); ?></label>
                        <select id="template_type" name="template_type" class="form-control need-validation-inputs" onchange="getImportEmailTemplateContent(event, '<?php echo e($coid); ?>')">
                            <option value="stc" selected="">Show To Call</option>
                            <option value="nstc">Not Show To Call</option>
                            <option value="dnc">DNC</option>
                        </select>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label for="template_subject"><?php echo e(__('Subject')); ?></label>
                        <input type="text" id="template_subject" name="template_subject" class="form-control need-validation-inputs" placeholder="Subject" required value="<?php echo e($subject); ?>" maxlength="191">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label for="tiny_content"><?php echo e(__('Content')); ?></label>
                        <?php if(!$is_personalized): ?>
                            <textarea id="tiny_content" name="tiny_content" class="form-control need-validation-inputs"><?php echo e($content); ?></textarea>
                        <?php else: ?>
                            <?php if($current_content != ''): ?>
                                <textarea id="tiny_content" name="tiny_content" class="form-control need-validation-inputs"><?php echo e($current_content); ?></textarea>
                            <?php else: ?>
                                <textarea id="tiny_content" name="tiny_content" class="form-control need-validation-inputs"><?php echo e($content); ?></textarea>
                            <?php endif; ?>
                        <?php endif; ?>
                    </div>
                </div>
                <textarea id="template_content" name="template_content" style="display: none"></textarea>
            </fieldset>
        </form>
    </div>
</div>
<div class="modal-footer">
    <?php if(!$is_personalized): ?>
        <button type="button" class="btn btn-primary" onclick="useImportEmailTemplate(event, '<?php echo e($coid); ?>');">Save template for this import only</button>
        <button type="button" class="btn btn-outline-primary" onclick="rollbackToSavedTemplates(event, '<?php echo e($coid); ?>');">Rollback to main saved templates</button>
        <button type="button" class="btn btn-success" onclick="saveImportEmailTemplate(event, '<?php echo e($coid); ?>');" id="save_import_email_template">Save template</button>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
    <?php else: ?>
        <button type="button" class="btn btn-primary" onclick="savePersonalizedImportTempate(event, '<?php echo e($row_id); ?>', '<?php echo e($coid); ?>');">Save</button>
        <button type="button" class="btn btn-outline-primary" onclick="rollbackToSavedTemplates(event, '<?php echo e($coid); ?>');">Rollback to main saved templates</button>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
    <?php endif; ?>
</div>

<?php echo $__env->make('partials.tinymce', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/import_email_template.blade.php ENDPATH**/ ?>