<?php

namespace App\Http\Controllers;

use App\CallerEmail;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class CallerEmailController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\CallerEmail  $callerEmail
     * @return \Illuminate\Http\Response
     */
    public function show(CallerEmail $callerEmail)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\CallerEmail  $callerEmail
     * @return \Illuminate\Http\Response
     */
    public function getTemplate(Request $request, CallerEmail $callerEmail)
    {
        //$template = CallerEmail::find($request->email_template);

        $template = DB::connection('mysql2')->table('callcenter_caller_emails')
                                ->select('*')
                                ->where('eid', $request->email_template)
                                ->first();

        /*return response()->json([
            'subject' => $template->name,
            'content' => $template->content
        ]);*/

        /*return response()->json([
            'subject' => $template->name,
            'content' => mb_convert_encoding($template->body, 'UTF-8', 'UTF-8')
        ]);*/

        $template_body = ( ! empty( $template->body ) ) ? utf8_encode($template->body) : '';
        return response()->json([
            'subject' => $template->name ?? '',
            'content' => $template_body
        ]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\CallerEmail  $callerEmail
     * @return \Illuminate\Http\Response
     */
    public function edit(CallerEmail $callerEmail)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\CallerEmail  $callerEmail
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, CallerEmail $callerEmail)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\CallerEmail  $callerEmail
     * @return \Illuminate\Http\Response
     */
    public function destroy(CallerEmail $callerEmail)
    {
        //
    }
}
