<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ReviewCallFileController extends Controller
{

    public function scrubbedFileTemplate(Request $request) 
    {
        $coid = $request->coid;
        $filename = $request->file_name;
        $commonFunctions = new CommonFunctionsController();
        $company = DB::connection('mysql2')
                                    ->table('callcenter_companies')
                                    ->where('coid', $coid)
                                    ->first();

        $coid = $company->coid;
        $co_name = $company->co_name;
        $co_short = $company->co_short;

        $file_order = "";
        //$file_separator = $filetemplate->file_separator;
        $file_has_multiple = "";
        $file_is_survey = "";
        $is_toyota_care_file = "";
        $toyota_care_type_column = "";
        $has_header_row = "";

        $filetemplate = DB::connection('mysql2')
                                    ->table('file_templates')
                                    ->where('coid', $coid)
                                    ->where('filename', $filename)
                                    ->first();
        if($filetemplate)
        {
            $file_order = $filetemplate->file_order;
            //$file_separator = $filetemplate->file_separator;
            $file_has_multiple = $filetemplate->file_has_multiple_column_values;
            $file_is_survey = $filetemplate->file_is_survey;
            $is_toyota_care_file = $filetemplate->is_toyota_care_file;
            $toyota_care_type_column = $filetemplate->toyota_care_type_column;
            $has_header_row = $filetemplate->has_header_row;
        }

        

        $file_separator = $request->fileseparator;
        $file_separator = (trim($file_separator) == "")? "," : $file_separator;
        $department_access = $company->department_access;

        $hasmultiplevalues_select= '<select id="has_multiple" name="has_multiple" class="form-control" style="font-size: 12px">
                                        <option value="0" '.$commonFunctions->setSelectValue($file_has_multiple,"0").'>No</option>
                                        <option value="1" '.$commonFunctions->setSelectValue($file_has_multiple,"1").'>Yes</option>
                                    </select>';

        $file_is_survey_select = '<select id="is_survey" name="is_survey" class="form-control" style="font-size: 12px">
                                        <option value="0" '.$commonFunctions->setSelectValue($file_is_survey,"0").'>No</option>
                                        <option value="1" '.$commonFunctions->setSelectValue($file_is_survey,"1").'>Yes</option>
                                    </select>';

        $file_is_toyota_care_select = '<select id="is_toyota_care_file" name="is_toyota_care_file" class="form-control" style="font-size: 12px">
                                        <option value="0" '.$commonFunctions->setSelectValue($is_toyota_care_file,"0").'>No</option>
                                        <option value="1" '.$commonFunctions->setSelectValue($is_toyota_care_file,"1").'>Yes</option>
                                    </select>';

        $has_header_row_select = '<select id="has_header_row" name="has_header_row" class="form-control" style="font-size: 12px">
            <option value="0" '.$commonFunctions->setSelectValue($has_header_row,"0").'>No</option>
            <option value="1" '.$commonFunctions->setSelectValue($has_header_row,"1").'>Yes</option>
        </select>';

        

        $toyota_care_type_column = '<input type="text" id="toyota_care_type_column" name="toyota_care_type_column" value="'.$toyota_care_type_column.'" class="form-control" style="font-size: 12px">';

        $file_options = '<table class="table table-striped" style="font-size: 12px">
                        <tr>
                            <th>
                                File
                            </th>
                            <th>
                                Has Column with Multiple Values
                            </th>
                            <th>
                                Is Survey?
                            </th>
                            <th>
                                Is a Toyota Care File?
                            </th>
                            <th>
                                Toyota Care Column
                            </th>
                            <th>
                                Has header row
                            </th>
                        </tr>
                        <tr>
                            <td>
                                '.$filename.'
                            </td>
                            <td>
                                '.$hasmultiplevalues_select.'
                            </td>
                            <td>
                                '.$file_is_survey_select.'
                            </td>
                            <td>
                                '.$file_is_toyota_care_select.'
                            </td>
                            <td>
                                '.$toyota_care_type_column.'
                            </td>
                            <td>
                                '.$has_header_row_select.'
                            </td>
                        </tr>
                    </table>';

        $content = '';
        $uploadDir =  public_path('callcenteruploads') . "/"  . $co_short."/";
        $fileName = $request->file_name;
        $importFile = $uploadDir.$fileName;
        $total_records = 0;
        $showtocall_records = 0;
        $rownum = 0;
        
        $foarray = explode(",",$file_order);
        
        $i = 0;
        $maxcolumns = 0;
        if (($gestor = fopen($importFile, "r")) !== FALSE) {
            while (($datos = fgetcsv($gestor, "", $file_separator)) !== FALSE) {
                $num = count($datos);
                $maxcolumns = ($num>$maxcolumns)? $num : $maxcolumns;
                $i++;
                if($i>25) break;
            }
            fclose($gestor);
        }

        $contentheader = '<tr>';
        
    
        $column_values_array = array("PartsNumber", "PartsDescription", "FullName","PMA","CustID","NameMultiple","FirstName","LastName","Address","City","ST","ZipCode","PhoneMultiple","HomePhone","WorkPhone","CellPhone",
        "BestPhone","ShowToCall","Email","RO","SaleDate","TrueSaleDate","LeadDate","ToyotaCareExpDate","ServiceAptDate","ServiceAptTime","SalesAptDate","SalesAptTime","LastServiceDate",
        "VehicleMultiple","Year","Make","Model","Source","Vin","TradeYear","TradeMake","TradeModel","TradeVin","SalesRep","ServiceAdv","VipFlag","CallType","BadReview","CallerNotes","ServiceVisitNotes",
        "ScriptNotes","Offer","OfferExpires","ServiceAptNotes","LastMiles","EstimatedMiles","OilType","SaleAmount","CallNotes","UrgentNote","BadReviewNote","SaleType","CompanyName","DateOfBirth",
        "ServiceInterval","SalesGrossProfit","SalesFirstPaymentDate","SalesLastPaymentDate","SalesDealNumber","SalesTerm","SalesManager","SalesStockNumber","FinanceManager","ServiceTechnician",
        "SalesSource","ServiceSource","SalesStatus","VehicleType","DealerDepartment","AutoAlertScore","AutoAlertUrl","OriginalLeadSource","VinSolutionsId",
        "DistanceFromDealer","IntentToService","IntentToServiceReason","SalesPayment","PreferedContact","BusinessName", "ManfSource", "ManfCustomerType", "ManfCustStatus", "ToyotaCareStatus", "VehicleUrl", "CustomerMixedData",
        "TradeMiles", "TradeOff", "TradeACV", "TradeCondition", "TradeAppraisal");
        
        sort($column_values_array);
        
        for($i=0;$i<$maxcolumns;$i++) {
            $column_header = (isset($foarray[$i]))? $foarray[$i] : '';
            $contentheader.= '
                    <th>
                        <label for="column_'.$i.'">Column # '.$i.'</label>
                        <select name="column_'.$i.'" id="column_'.$i.'" class="columnlist form-control" style="width:100px;font-size: 12px">
                            <option value="Ignore" '.$commonFunctions->setSelectValue($column_header, 'Ignore').'>Ignore</option>';
                            
            foreach($column_values_array as $cva_value) {
                if($cva_value == "SaleDate") {
                    $contentheader.= '<option value="'.$cva_value.'" '.$commonFunctions->setSelectValue($column_header, $cva_value).'>ServiceDate</option>';
                } else if($cva_value == "TrueSaleDate") {
                    $contentheader.= '<option value="'.$cva_value.'" '.$commonFunctions->setSelectValue($column_header, $cva_value).'>SaleDate</option>';
                } else {
                    $contentheader.= '<option value="'.$cva_value.'" '.$commonFunctions->setSelectValue($column_header, $cva_value).'>'.$cva_value.'</option>';
                }
            }
                            
            $contentheader.='    
                        </select>
                    </th>';
        }
        $contentheader.= '</tr>';
        $i = 0;

        if (($gestor = fopen($importFile, "r")) !== FALSE) {
            while (($datos = fgetcsv($gestor, 0, $file_separator)) !== FALSE) {
                $num = count($datos);
                $content.= '<tr>';
                for ($c=0; $c < $num; $c++) {
                    $newValue = trim($datos[$c]);
                    $content.= '<td>
                                '.$newValue.'
                            </td>';
                }
                for($j=$c;$j<$maxcolumns;$j++) {
                    $content.= '<td>
                                &nbsp;
                            </td>';
                }
                $content.= '</tr>';
                $i++;
                if($i>25) break;
            }
            fclose($gestor);
        }

        $full_content = $file_options.'<table class="table table-striped" style="font-size: 12px">'.$contentheader.$content.'</table>';
        
        return view('dialogs.scrubbed_file_template', [
                                            'content' => $full_content,
                                            'coid' => $coid,
                                            'filename' => $request->file_name,
                                            'form_id' => $request->form_id,
                                        ]);
    }


    public function reviewFile(Request $request)
    {
        $coid = $request->review_coid;
        $department = $request->department;
        $calltype = $request->calltype;
        $separator = $request->separator;
        $file_name = $request->scrubbed_file_name;
        $date_range = $request->date_range;
        $startdate = strtotime($request->startdate);
        $enddate = strtotime($request->enddate);
        $has_valid_dates = (trim($request->startdate) != '' && trim($request->enddate) != '')? true : false;
        $commonFunctions = new CommonFunctionsController();

        $company = DB::connection('mysql2')
                                    ->table('callcenter_companies')
                                    ->where('coid', $coid)
                                    ->first();

        $file_options = DB::connection('mysql2')
                                    ->table('callcenter_review_editor_options')
                                    ->where('coid', $coid)
                                    ->where('filename', $file_name)
                                    ->first();

        $co_name = $company->co_name;
        $co_short = $company->co_short;

        $column_names_review = $commonFunctions->getReviewFileColumns();

        $column_names_review_filtered = $commonFunctions->getReviewFileColumnsFiltered();

        $file_template = DB::connection('mysql2')
                                    ->table('file_templates')
                                    ->where('coid', $coid)
                                    ->where('filename', $file_name)
                                    ->first();

        $file_order = explode(",", $file_template->file_order);
        $replace_values_json = $file_template->replace_values;
        $replace_values = json_decode($replace_values_json, true);


        $columns  = array();
        foreach($file_order as $key => $value) 
        {
            if($value!="Ignore") {
                $columns[$value][] = $key;
            }
        }

        

        $importFile =  public_path('callcenteruploads') . "/"  . $co_short."/".$file_name;
        if ($filecontent = file_get_contents($importFile)) 
        {
            $i = 0;
            
            if(($gestor = fopen($importFile, "r")) !== FALSE) 
            {
                while (($results = fgetcsv($gestor, 0, $separator)) !== FALSE) {

                    $csvValues[$i] = array();
                    $ignore = false;

                    $newValue = "";
                    if(isset($columns['ShowToCall']))
                    {
                        foreach($columns['ShowToCall'] as $value) {
                            $newValue.= trim($results[$value])." ";
                        }
                        $showtocall = (strtolower(trim($newValue)) == "n" || strtolower(trim($newValue)) == "0" ) ? 0 : 1;
                        $csvValues[$i]["StcFlag"] = trim($showtocall);
                    } else {
                        $csvValues[$i]["StcFlag"] = 1;
                    }

                    foreach ($column_names_review as $column_name) {
                        if($ignore == true)
                        {
                            break;
                        }
                        $newValue = "";
                        $newValue1 = "";
                        $newValue2 = "";
                        $newValue3 = "";
                        if(isset($columns[$column_name])) {
                            if($column_name == 'FullName')
                            {
                                foreach($columns[$column_name] as $value) {
                                    $name_multiple = trim($results[$value]);
                                    $name_multiple_parts = explode(" ", $name_multiple);
                                    for($name_part = 0; $name_part < (count($name_multiple_parts) - 1); $name_part++)
                                    {
                                        $newValue1.= trim($name_multiple_parts[$name_part])." ";
                                    }
                                    $newValue2.= $name_multiple_parts[count($name_multiple_parts) - 1];
                                }
                                $csvValues[$i]["FirstName"] = ucwords(strtolower(trim($newValue1)));
                                $csvValues[$i]["LastName"] = ucwords(strtolower(trim($newValue2)));
                            } else if($column_name == 'NameMultiple') {
                                foreach($columns["NameMultiple"] as $value) {
                                    if(strpos($results[$value], ",") !== false) {
                                        $name_multiple = trim($results[$value]);
                                        $name_multiple_parts = explode(",",$name_multiple);
                                        if(trim($name_multiple_parts[1]) != "") {
                                            $newValue1.= trim($name_multiple_parts[1])." ";
                                            $newValue2.= trim($name_multiple_parts[0])." ";
                                        } else {
                                            $newValue1.= trim($name_multiple_parts[0])." ";
                                            $newValue2.= "";
                                        }
                                    } else {
                                        $name_multiple = trim($results[$value]);
                                        $name_multiple_parts = explode(" ",$name_multiple);
                                        if(isset($name_multiple_parts[1]) != "") {
                                            $newValue1.= trim($name_multiple_parts[0])." ";
                                            for($multi_i = 1;$multi_i < count($name_multiple_parts); $multi_i++) {
                                                $newValue2.= trim($name_multiple_parts[$multi_i])." ";
                                            }
                                        } else {
                                            $newValue1.= trim($name_multiple_parts[0])." ";
                                            $newValue2.= "";
                                        }
                                    }
                                }
                                $csvValues[$i]["FirstName"] = ucwords(strtolower(trim($newValue1)));
                                $csvValues[$i]["LastName"] = ucwords(strtolower(trim($newValue2)));
                            } else if($column_name == 'CustomerMixedData') {
                                foreach($columns[$column_name] as $value) {
                                    if (empty($results[$value])) continue;
                                    $customer_data_parts = explode(' ', $results[$value]);
                                    if ( ! empty($customer_data_parts[1]) ) {
                                        $customer_test_data = strtolower($customer_data_parts[1]);
                                        if ( $customer_test_data != 'mobile' && $customer_test_data != 'home' && $customer_test_data != 'work' && $customer_test_data != 'email' ) {
                                            $csvValues[$i]["FirstName"] = trim($customer_data_parts[0]);
                                            $test_last_name = trim($customer_data_parts[1]);
                                            $test_last_name = str_replace('Mobile:', '', $test_last_name);
                                            $test_last_name = str_replace('Home:', '', $test_last_name);
                                            $test_last_name = str_replace('Work:', '', $test_last_name);
                                            $test_last_name = str_replace('Email:', '', $test_last_name);
                                            $csvValues[$i]["LastName"] = trim($test_last_name);
                                        }
                                    } else {
                                        $csvValues[$i]["FirstName"] = trim($results[$value]);
                                    }
                                    $customer_data_parts = explode(':', $results[$value]);
                                    foreach ( $customer_data_parts as $cpart_index => $cpart_value ) {
                                        $cpart_test = strtolower( trim( $cpart_value ) );
                                        if ( strpos($cpart_test, 'mobile') !== false ) {
                                            if ( ! empty( $customer_data_parts[ $cpart_index + 1 ] ) ) {
                                                $csvValues[$i]["CellPhone"] = preg_replace("/[^0-9]/i", "", trim($customer_data_parts[ $cpart_index + 1 ]));
                                                $csvValues[$i]["CellPhone"] = (strlen($csvValues[$i]["CellPhone"]) > 10 && $csvValues[$i]["CellPhone"][0] == '1')? substr($csvValues[$i]["CellPhone"], -10) : $csvValues[$i]["CellPhone"];
                                            }
                                        }
                                        elseif ( strpos($cpart_test, 'home') !== false ) {
                                            if ( ! empty( $customer_data_parts[ $cpart_index + 1 ] ) ) {
                                                $csvValues[$i]["HomePhone"] = preg_replace("/[^0-9]/i", "", trim($customer_data_parts[ $cpart_index + 1 ]));
                                                $csvValues[$i]["HomePhone"] = (strlen($csvValues[$i]["HomePhone"]) > 10 && $csvValues[$i]["HomePhone"][0] == '1')? substr($csvValues[$i]["HomePhone"], -10) : $csvValues[$i]["HomePhone"];
                                            }
                                        }
                                        elseif ( strpos($cpart_test, 'work') !== false ) {
                                            if ( ! empty( $customer_data_parts[ $cpart_index + 1 ] ) ) {
                                                $csvValues[$i]["WorkPhone"] = preg_replace("/[^0-9]/i", "", trim($customer_data_parts[ $cpart_index + 1 ]));
                                                $csvValues[$i]["WorkPhone"] = (strlen($csvValues[$i]["WorkPhone"]) > 10 && $csvValues[$i]["WorkPhone"][0] == '1')? substr($csvValues[$i]["WorkPhone"], -10) : $csvValues[$i]["WorkPhone"];
                                            }
                                        }
                                        elseif ( strpos($cpart_test, 'email') !== false ) {
                                            if ( ! empty( $customer_data_parts[ $cpart_index + 1 ] ) ) {
                                                $csvValues[$i]["Email"] = trim($customer_data_parts[ $cpart_index + 1 ]);
                                            }
                                        }
                                    }
                                }
                            } else if($column_name == 'VehicleMultiple') {
                                foreach($columns[$column_name] as $value) {
                                    $vehicle_multiple = trim($results[$value]);
                                    $total_vehicle_parts = explode("/",$vehicle_multiple);
                                    if(strpos($results[$value], "/") !== false && count($total_vehicle_parts) == 3) {
                                        $vehicle_multiple_parts = explode("/",$vehicle_multiple);
                                    } else {
                                        $vehicle_multiple_parts = explode(" ",$vehicle_multiple);
                                    }

                                    $newValue1.= ! empty($vehicle_multiple_parts[0]) ? trim($vehicle_multiple_parts[0])." " : '';
                                    $newValue2.= ! empty($vehicle_multiple_parts[1]) ? trim($vehicle_multiple_parts[1])." " : '';
                                    for($vi = 2; $vi< count($vehicle_multiple_parts); $vi++) {
                                        $newValue3.= " ".trim($vehicle_multiple_parts[$vi]);
                                    }
                                }
                                $csvValues[$i]["Year"] = trim($newValue1);
                                $csvValues[$i]["Make"] = ucwords(strtolower(trim($newValue2)));
                                $vmodel = ucwords(strtolower(trim($newValue3)));
                                $vmodel = preg_replace('/\(.+?\)/sm', '', $vmodel);
                                $csvValues[$i]["Model"] = $vmodel;
                            } else if($column_name == 'PhoneMultiple') {
                                foreach($columns["PhoneMultiple"] as $value) {
                                    $phone_multiple = trim($results[$value]);
                                    if(strpos($phone_multiple,"\n") !== false || strpos(strtolower($phone_multiple),"home") !== false || strpos(strtolower($phone_multiple),"work") !== false || strpos(strtolower($phone_multiple),"mobile") !== false) {
                                        $phone_multiple_parts = explode("\n",$phone_multiple);
                                        foreach($phone_multiple_parts as $phone_part) {
                                            if(strpos(strtolower($phone_part),"home:") !== false) {
                                                $phone_modified = strtolower($phone_part);
                                                $phone_modified = str_replace("home:","",$phone_modified);
                                                $newValue1.= trim($phone_modified)." ";
                                            } else if(strpos(strtolower($phone_part),"work:") !== false) {
                                                $phone_modified = strtolower($phone_part);
                                                $phone_modified = str_replace("work:","",$phone_modified);
                                                $newValue2.= trim($phone_modified)." ";
                                            } else if(strpos(strtolower($phone_part),"mobile:") !== false) {
                                                $phone_modified = strtolower($phone_part);
                                                $phone_modified = str_replace("mobile:","",$phone_modified);
                                                $newValue3.= trim($phone_modified)." ";
                                            }
                                        }
                                    } else {
                                        $phone_multiple = str_replace(" ","",$phone_multiple);
                                        $phone_multiple = str_replace("(","",$phone_multiple);
                                        $phone_multiple = str_replace(")","",$phone_multiple);
                                        $phone_multiple = str_replace("-","",$phone_multiple);
                                        $phone_multiple = strtolower($phone_multiple);
                                        if(strpos($phone_multiple,"h:") !== false) {
                                            $phone_pos = strpos($phone_multiple,"h:");
                                            $phone_pos+=2;
                                            $newValue1 = substr($phone_multiple,$phone_pos, 10);
                                        }
                                        if(strpos($phone_multiple,"w:") !== false) {
                                            $phone_pos = strpos($phone_multiple,"w:");
                                            $phone_pos+=2;
                                            $newValue2 = substr($phone_multiple,$phone_pos, 10);
                                        }
                                        if(strpos($phone_multiple,"c:") !== false) {
                                            $phone_pos = strpos($phone_multiple,"c:");
                                            $phone_pos+=2;
                                            $newValue3 = substr($phone_multiple,$phone_pos, 10);
                                        }
                                    }
                                }
                                $csvValues[$i]["HomePhone"] = preg_replace("/[^0-9]/i", "", trim($newValue1));
                                $csvValues[$i]["HomePhone"] = (strlen($csvValues[$i]["HomePhone"]) > 10 && $csvValues[$i]["HomePhone"][0] == '1')? substr($csvValues[$i]["HomePhone"], -10) : $csvValues[$i]["HomePhone"];


                                $csvValues[$i]["WorkPhone"] = preg_replace("/[^0-9]/i", "", trim($newValue2));
                                $csvValues[$i]["WorkPhone"] = (strlen($csvValues[$i]["WorkPhone"]) > 10 && $csvValues[$i]["WorkPhone"][0] == '1')? substr($csvValues[$i]["WorkPhone"], -10) : $csvValues[$i]["WorkPhone"];

                                $csvValues[$i]["CellPhone"] = preg_replace("/[^0-9]/i", "", trim($newValue3));
                                $csvValues[$i]["CellPhone"] = (strlen($csvValues[$i]["CellPhone"]) > 10 && $csvValues[$i]["CellPhone"][0] == '1')? substr($csvValues[$i]["CellPhone"], -10) : $csvValues[$i]["CellPhone"];

                            } else if($column_name == 'SaleAmount') {
                                foreach($columns[$column_name] as $value) {
                                    $is_negative = $results[$value] < 0 ? true : false;
                                    $new_sale_amount = preg_replace("/[^0-9.]/", "", $results[$value]);
                                    $new_sale_amount = $is_negative ? $new_sale_amount * (-1) : $new_sale_amount;
                                    if($newValue == '') $newValue = 0;
                                    $newValue+= (float)$new_sale_amount*1;

                                }
                                $csvValues[$i][$column_name] = trim($newValue);
                            } else {
                                foreach($columns[$column_name] as $value) {
                                    if( isset( $results[$value] ) ) {
                                        $newValue.= trim( $results[ $value ] )." ";
                                    } else {
                                        $newValue.= " ";
                                    }
                                    
                                }

                                if($column_name == 'FirstName' || $column_name == 'LastName')
                                {
                                    $csvValues[$i][$column_name] = ucwords(strtolower(trim($newValue)));
                                } else if($column_name == 'HomePhone' || $column_name == 'BestPhone' || $column_name == 'WorkPhone' || $column_name == 'CellPhone') {
                                    $csvValues[$i][$column_name] = preg_replace("/[^0-9]/i", "", trim($newValue));
                                    $csvValues[$i][$column_name] = (strlen($csvValues[$i][$column_name]) > 10 && $csvValues[$i][$column_name][0] == '1')? substr($csvValues[$i][$column_name], -10) : $csvValues[$i][$column_name];
        
                                } else if($column_name == 'ShowToCall') {
                                    $showtocall = (strtolower(trim($newValue)) == "n" || strtolower(trim($newValue)) == "0" ) ? 0 : 1;
                                    $csvValues[$i][$column_name] = trim($showtocall);
                                } else if($column_name == 'SaleDate' || $column_name == 'TrueSaleDate' || $column_name == 'LeadDate' || $column_name == 'ToyotaCareExpDate' || $column_name == 'LastServiceDate' || $column_name == 'ServiceAptDate' || $column_name == 'SalesAptDate' || $column_name == 'SalesAptDate' || $column_name == 'SalesFirstPaymentDate' || $column_name == 'SalesLastPaymentDate') {
                                    $csvValues[$i][$column_name] = '';
                                    if($newValue != '')
                                    {
                                        $dateValue = date("m/d/Y", strtotime($newValue));
                                        $csvValues[$i][$column_name] = ($dateValue != "12/31/1969")? $dateValue : "";
                                        
                                    }
                                    $date_to_compare = strtotime(date("m/d/Y", strtotime($newValue)));
                                    if((($column_name == 'SaleDate' && $date_range == 'service_date') || 
                                        ($column_name == 'TrueSaleDate' && $date_range == 'sale_date') || 
                                        ($column_name == 'LastServiceDate' && $date_range == 'last_service_date') || 
                                        ($column_name == 'ServiceAptDate' && $date_range == 'service_apt_date') || 
                                        ($column_name == 'SalesAptDate' && $date_range == 'sales_apt_date') || 
                                        ($column_name == 'LeadDate' && $date_range == 'lead_date')) 
                                        && ($date_to_compare < $startdate || $date_to_compare > $enddate) && $has_valid_dates == true)
                                    {
                                        unset($csvValues[$i]);
                                        $ignore = true;
                                        continue;
                                    }
                                } else if($column_name == 'SalesRep' || $column_name == 'ServiceAdv') {
                                    $valuekey = strtolower(trim($newValue));
                                    if(isset($replace_values[$column_name][$valuekey]))
                                    {
                                        if($replace_values[$column_name][$valuekey] != "") {
                                            $newValue = $replace_values[$column_name][$valuekey];
                                        }
                                        $replaced_value = ucwords(strtolower(trim($newValue)));
                                        $replaced_value = preg_replace('/\(.+?\)/sm', '', $replaced_value);
                                        $csvValues[$i][$column_name] = $replaced_value;
                                    } else {
                                        $csvValues[$i][$column_name] = trim($newValue);
                                    }
                                } else {
                                    $csvValues[$i][$column_name] = trim($newValue);
                                }
                            }
                        }
                    }
                    $i++;
                }
            }
        }

        $customer_statuses = DB::connection('mysql2')
                                    ->table('callcenter_dealertalerts')
                                    ->get();

        /*$customer_status_options = '';
        foreach($customer_statuses as $customer_status)
        {
            $customer_status_options.= '<option value="'.$customer_status->id.'">'.$customer_status->type.'</option>';
        }*/

        $commonFunctions->modelToSelectOptions($customer_statuses, 'type', 'id');
        $customer_status_options = $commonFunctions->select_options;

        $gdnc_array = $commonFunctions->getGlobalDNC();
        $ddnc_array = $commonFunctions->getDealerDNC($co_short);
        $dne_array = $commonFunctions->getDealerDNE($co_short);
        $removed_vins_array = $commonFunctions->getGhostedVins($coid);

        $dealer_departments = DB::connection('mysql2')
                                    ->table('callcenter_companies_departments')
                                    ->orderBy('name')
                                    ->get();
        $commonFunctions->modelToSelectOptions($dealer_departments, 'name', 'id');
        $department_options = $commonFunctions->select_options;

        //$future_finddays = ($data["find_future_days"] != "")? $data["find_future_days"] * 1 : 15;
        $future_finddays = 15;
        $today = date('Y-m-d');
        $forty_five_days_ago = date('Y-m-d', strtotime('-45 days', strtotime($today)));
        $nextdays = date('Y-m-d', strtotime('+'.$future_finddays.' days', strtotime($today)));
        
        $livecall_table = "livecall_".$co_short;
        $search_future_scheduled = DB::connection('mysql2')
                                    ->table($livecall_table)
                                    ->where('remind', '>=', $forty_five_days_ago)
                                    ->where('remind', '<=', $nextdays)
                                    ->whereRaw('livecall_count < livecall_times')
                                    ->where('livecall_showtocall', 1)
                                    ->get();

        $future_scheduled_calls = [];
        foreach($search_future_scheduled as $fc) {
            if(trim($fc->phone) != '')
            {
                $future_scheduled_calls[$fc->phone] = $fc->vin;
            }
        }

        $callcenter_vip_list = DB::connection('mysql2')
                                    ->table('callcenter_vip_people')
                                    ->where('fname', '!=', '')
                                    ->where('coid', $coid)
                                    ->get();

        $callcenter_vip_array = array();
        foreach($callcenter_vip_list as $vip_val) {
            $vip_fname = strtolower(trim($vip_val->fname));
            $vip_lname = strtolower(trim($vip_val->lname));
            $vip_fullname = $vip_fname." ".$vip_lname;
            $callcenter_vip_array[$vip_fullname] = true;
        }

        $callcenter_vip_domains = DB::connection('mysql2')
                                    ->table('callcenter_dnc_emails')
                                    ->select('email')
                                    ->get()
                                    ->pluck('email')
                                    ->toArray();
                                    
        $callcenter_vip_domains_array = [];
        foreach ($callcenter_vip_domains as $key => $value) {
            $domain = str_replace("@", "", $value);
            $callcenter_vip_domains_array[] = strtolower( $domain );
        }

        return view('dialogs.review_call_file', [
                                            'values_array' => $csvValues,
                                            'column_names_review' => $column_names_review,
                                            'column_names_review_filtered' => $column_names_review_filtered,
                                            'columns' => $columns,
                                            'coid' => $coid,
                                            'file_name' => $file_name,
                                            'file_options' => $file_options,
                                            'main_call_type' => $request->calltype,
                                            'department' => $request->department,
                                            'commonFunctions' => $commonFunctions,
                                            'customer_status_options' => $customer_status_options,
                                            'gdnc_array' => $gdnc_array,
                                            'ddnc_array' => $ddnc_array,
                                            'dne_array' => $dne_array,
                                            'removed_vins_array' => $removed_vins_array,
                                            'department_options' => $department_options,
                                            'future_scheduled_calls' => $future_scheduled_calls,
                                            'callcenter_vip_array' => $callcenter_vip_array,
                                            'callcenter_vip_domains_array' => $callcenter_vip_domains_array,
                                            'file_template' => $file_template,
                                        ]);
    }

    public function saveReviewFileEditor(Request $request) 
    {
        $filename = $request->filename;
        $coid = $request->coid;
        
        $columnslist = trim($request->columnslist);
        $file_separator = $request->fileseparator;
        $has_multiple = $request->has_multiple;
        $is_survey = $request->is_survey;
        $file_department = $request->department;
        $file_calltype = $request->calltype;
        $is_toyota_care_file = $request->is_toyota_care_file;
        $has_header_row = $request->has_header_row;
        $toyota_care_type_column = ($request->toyota_care_type_column != null)? $request->toyota_care_type_column : '';
        $date_range_param = ($request->date_range != null)? $request->date_range : '';

        $currenttemplate = DB::connection('mysql2')
                                    ->table('file_templates')
                                    ->where('coid', $coid)
                                    ->where('filename', $filename)
                                    ->first();

        if($currenttemplate) {
            DB::connection('mysql2')
                ->table('file_templates')
                ->where('filename', $filename)
                ->where('coid', $coid)
                ->update([
                            'filename' => $filename,
                            'file_order' => $columnslist, 
                            'coid' => $coid, 
                            'file_department' => $file_department, 
                            'file_calltype' => $file_calltype, 
                            'file_separator' => $file_separator, 
                            'file_has_multiple_column_values' => $has_multiple, 
                            'file_is_survey' => $is_survey,  
                            'is_toyota_care_file' => $is_toyota_care_file, 
                            'has_header_row' => $has_header_row, 
                            'toyota_care_type_column' => $toyota_care_type_column,
                            'date_range_param' => $date_range_param, 
                        ]);

            $message = 'Template updated!';
            
        } else {

            DB::connection('mysql2')
                    ->table('file_templates')
                    ->insert([
                        'filename' => $filename,
                        'file_order' => $columnslist,
                        'coid' => $coid,
                        'file_department' => $file_department, 
                        'file_calltype' => $file_calltype, 
                        'file_separator' => $file_separator, 
                        'file_has_multiple_column_values' => $has_multiple, 
                        'file_is_survey' => $is_survey, 
                        'is_toyota_care_file' => $is_toyota_care_file,
                        'has_header_row' => $has_header_row, 
                        'toyota_care_type_column' => $toyota_care_type_column,  
                        'date_range_param' => $date_range_param, 
                    ]);

            $message = 'Template saved!';
        }
        return response()->json([
            'inserted_id' => 1,
            'message' => $message
        ]);
    }

    public function getScrubbedFileOptions(Request $request) 
    {
        $coid = $request->coid;
        $filename = $request->filename;
    
        $filetemplate = DB::connection('mysql2')
                                    ->table('file_templates')
                                    ->where('coid', $coid)
                                    ->where('filename', $filename)
                                    ->first();

        $uploaded_file = DB::connection('mysql2')
                                    ->table('callcenter_uploaded_files')
                                    ->where('coid', $coid)
                                    ->where('filename', $filename)
                                    ->first();
        
        if($uploaded_file) {
            $uploaded_file_date = 'Last uploaded: '.date("m/d/Y H:i:s", strtotime($uploaded_file->date_uploaded));
        } else {
            $uploaded_file_date = "No upload date data for this file!";
        }
        
        $file_department = '';
        $file_calltype = '';
        $file_separator = '';
        $file_date_range_param = '';

        if($filetemplate) {
            $file_separator = $filetemplate->file_separator;
            $file_separator = (trim($file_separator) == "")? "," : $file_separator;
            $file_department = $filetemplate->file_department;
            $file_date_range_param = $filetemplate->date_range_param;
            $file_calltype = $filetemplate->file_calltype;
        } 

        return response()->json([
            'department' => $file_department,
            'calltype' => $file_calltype,
            'separator' => $file_separator,
            'date_range_param' => $file_date_range_param,
            'lastuploaddate' => $uploaded_file_date,
        ]);
    }

    public function exportRecentCalled(Request $request)
    {
        $company_data = DB::connection('mysql2')
                                    ->table('callcenter_companies')
                                    ->where('coid', $request->coid)
                                    ->first();

        $co_short = $company_data->co_short;

        //$callTypes = get_call_type_keys();
        //$call_types_info = getCalltypesInfo();
        $jsonstring = $request->jsonstring;
        $json = json_decode($jsonstring, true);
        $rowlist = explode(",", $request->rowlist);
        
        $dbtable = "livecall_".$co_short;
        //$ghostvin_dbtable = "removed_vins_".$co_short;

        $coid = $request->coid;
        $ghostvin_dbtable = "global_removed_vins";

        $uploadDir =  public_path('temp') . "/" ;

        $resultsMsg = "First Name,Last Name,Phone,Cell Phone,Email,VIN,Year,Make,Model,Service Date,Date Added,RO,Sale Amount,Recent Called,Ghosted VIN,Ghosted Reason\n";

        for ($i=0;$i<count($rowlist);$i++)
        {
            $fname = urldecode($json["fname"][$i]);
            $lname = urldecode($json["lname"][$i]);
            $phone = preg_replace("/[^0-9]/i", "", urldecode($json["phone"][$i]));
            $cellphone = preg_replace("/[^0-9]/i", "", urldecode($json["cellphone"][$i]));
            $email = urldecode($json["email"][$i]);
            $vin = urldecode($json["vin"][$i]);
            $vehicle_year = urldecode($json["vehicle_year"][$i]);
            $vehicle_make = urldecode($json["vehicle_make"][$i]);
            $vehicle_model = urldecode($json["vehicle_model"][$i]);
            //$service_date = urldecode($json["service_date"][$i]);
            $last_call_record = urldecode($json["last_call_record"][$i]);
            $recent_called = urldecode($json["recent_called"][$i]);
            $ghosted_vin = urldecode($json["ghosted_vin"][$i]);
            
            if(strtoupper($vin) == 'VIN')
            {
                continue;
            }

            if($recent_called == 'Yes')
            {
                $last_call_row = DB::connection('mysql2')
                                    ->table($dbtable)
                                    ->select('service_date', 'RO', 'sale_amount', 'dateadded')
                                    ->where('id', $last_call_record)
                                    ->first();

                $service_date = $last_call_row->service_date;

                $dateadded = date('m/d/Y', strtotime($last_call_row->dateadded));
                $ro = $last_call_row->RO;
                $sale_amount = $last_call_row->sale_amount;
            } else {
                $service_date = '';
                $dateadded = '';
                $ro = '';
                $sale_amount = '';
            }


            if($ghosted_vin == 'Yes')
            {
                $ghosted_vin_row = DB::connection('mysql2')
                                    ->table($ghostvin_dbtable)
                                    ->where('vin', $vin)
                                    ->where('coid', $coid)
                                    ->first();

                $customer_status = $ghosted_vin_row->customer_status;
                switch ($customer_status) {
                    case '20':
                        $ghosted_vin_reason = 'No Longer Owns';
                        break;
                    case '33':
                        $ghosted_vin_reason = 'Servicing Elsewhere';
                        break;
                    case '35':
                        $ghosted_vin_reason = 'Out Of State';
                        break;
                    case '36':
                        $ghosted_vin_reason = 'Vehicle Destroyed';
                        break;
                    case '44':
                        $ghosted_vin_reason = 'Vehicle Trade In';
                        break;
                    
                    default:
                        $ghosted_vin_reason = '';
                        break;
                }
            } else {
                $ghosted_vin_reason = '';
            }

            $rowArray = array();
            $rowString = "";
            $rowArray[] = '"'.stripslashes($fname).'"'; 
            $rowArray[] = '"'.stripslashes($lname).'"';
            $rowArray[] = '"'.$phone.'"';
            $rowArray[] = '"'.$cellphone.'"';
            $rowArray[] = '"'.stripslashes($email).'"';
            $rowArray[] = '"'.$vin.'"';
            $rowArray[] = '"'.stripslashes($vehicle_year).'"';
            $rowArray[] = '"'.stripslashes($vehicle_make).'"';
            $rowArray[] = '"'.stripslashes($vehicle_model).'"';
            $rowArray[] = '"'.$service_date.'"';
            $rowArray[] = '"'.$dateadded.'"';
            $rowArray[] = '"'.$ro.'"';
            $rowArray[] = '"'.$sale_amount.'"';
            $rowArray[] = '"'.$recent_called.'"';
            $rowArray[] = '"'.$ghosted_vin.'"';
            $rowArray[] = '"'.$ghosted_vin_reason.'"';

            $rowString = implode(",", $rowArray);
            $rowString.= "\n";
            $resultsMsg.= $rowString;
        }

        $tempfile =  $co_short."_".time()."_recent_called.csv";
        $file = file_put_contents($uploadDir.$tempfile, $resultsMsg);
        $download_link = '<a href="'.env('APP_URL').'/temp/'.$tempfile.'" target="_blank">Download File</a>';

        return response()->json([
            'message' => $download_link,
        ]);
    }
}
