<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class SaveFileOptionController extends Controller
{
    public function saveFileOptions(Request $request) 
    {
        $coid = $request->review_coid;
        $department = $request->department;
        $calltype = $request->calltype;
        $separator = $request->separator;
        $file_name = $request->scrubbed_file_name;
        $date_range = $request->date_range;
        
        DB::connection('mysql2')
            ->table('file_templates')
            ->where('coid', $coid)
            ->where('filename', $file_name)
            ->update(
                [
                    'file_separator' => $separator,
                    'file_department' => $department,
                    'file_calltype' => $calltype,
                    'date_range_param' => $date_range,
                ]
            );

        return response()->json([
            'message' => 'saved',
        ]);
    }
}
