<?php

namespace App\Imports;

use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Maatwebsite\Excel\Concerns\WithLimit;

class FileTemplateImport implements ToCollection, WithLimit
{
    public function __construct()
    {
        $this->rows = array();
        $this->error_message = '';
    }

    public function getErrorMessage()
    {
        return $this->error_message;
    }

    public function limit(): int
	{
	    return 10;
	}
    /**
    * @param Collection $collection
    */
    public function collection(Collection $collection)
    {
        foreach($collection as $row)
        {
        	$this->rows[] = $row;
        }
    }
}
