<?php

namespace App\Imports;

use App\User;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Illuminate\Support\Facades\Hash;

class UsersImport implements ToCollection
{
    /**
    * @param Collection $collection
    */
    public function collection(Collection $rows)
    {
        foreach ($rows as $row) 
        {
        	$find_user = User::where('email', $row[3])->first();
        	if(!$find_user)
        	{
        		User::create([
	                'reference_id' => $row[0],
	                'first_name' => $row[1],
	                'last_name' => $row[2],
	                'email' => $row[3],
	                'phone' => $row[5],
	                'cellphone' => $row[6],
	                'password' => Hash::make($row[4]),
	                'user_type_id' => $row[7],
	                'created_at' => date('Y-m-d H:i:s'),
	                'updated_at' => date('Y-m-d H:i:s'),
	            ]);
        	} else {
                User::where('id', $find_user->id)
                ->update([
                    'reference_id' => $row[0],
                    'first_name' => $row[1],
                    'last_name' => $row[2],
                    'password' => Hash::make($row[4]),
                    'user_type_id' => $row[7],
                    'updated_at' => date('Y-m-d H:i:s'),
                ]);
            }
        }
    }
}
