<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMasterVinsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('master_vins', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('dealer_number')->nullable();
            $table->string('vin')->nullable();
            $table->string('first_name')->nullable();
            $table->string('last_name')->nullable();
            $table->string('model')->nullable();
            $table->string('year')->nullable();
            $table->string('address')->nullable();
            $table->string('city')->nullable();
            $table->string('state')->nullable();
            $table->string('zip')->nullable();
            $table->date('date_of_first_use')->nullable();
            $table->string('email')->nullable();
            $table->string('phone')->nullable();
            $table->date('recent_transaction_date')->nullable();
            $table->string('source')->nullable();
            $table->string('toyota_care')->nullable();
            $table->string('customer_type')->nullable();
            $table->string('activity_type'); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('master_vins');
    }
}
