<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddForeignRecallStatusIdToRrTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('recall_records', function (Blueprint $table) {
            $table->foreign('recall_status_id')->references('id')->on('recall_statuses');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('recall_records', function (Blueprint $table) {
            $table->dropForeign(['recall_status_id']);
        });
    }
}
