<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSmsOptinsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sms_optins', function (Blueprint $table) {
            $table->engine = 'MyISAM';
            $table->bigIncrements('id');
            $table->string('sent_from', 55)->nullable();
            $table->string('sent_to', 55)->nullable();
            $table->boolean('approved')->default(0)->nullable();
            $table->datetime('approved_date')->nullable();
            $table->boolean('canceled')->default(0)->nullable();
            $table->datetime('canceled_date')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sms_optins');
    }
}
