<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddApprovedToAssignmentNotesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('assignment_notes', function (Blueprint $table) {
            $table->engine = 'MyISAM';
            $table->dateTime('approved_date')->after('is_locked')->nullable();
            $table->boolean('approved')->after('is_locked')->default(0)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('assignment_notes', function (Blueprint $table) {
            $table->dropColumn('approved_date');
            $table->dropColumn('approved');
        });
    }
}
