<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCallIdToScTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('service_connect_ccjosephtoylc', function (Blueprint $table) {
            $table->integer('call_id')->after('seen')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('service_connect_ccjosephtoylc', function (Blueprint $table) {
            $table->dropColumn('call_id');
        });
    }
}
