<?php

use Illuminate\Database\Seeder;

class CustomerStatusesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $values_id = '7,8,9,10,11,12,13,14,15,16,17,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43';
        $values_id_array = explode(',', $values_id);

        $values_name = 'Happy Customer-Your [co_name] [bdc_name],Customer Needs TLC - Your [co_name] [bdc_name],Vehicle Purchase-Your [co_name] [bdc_name],Has Question-Your [co_name] [bdc_name],Neutral-Your [co_name] [bdc_name],Hot Prospect-Your [co_name] [bdc_name],We Sold-Your [co_name] [bdc_name],Bought Elsewhere-Your [co_name] [bdc_name],Out of Market-Your [co_name] [bdc_name],Bad Data-Your [co_name] [bdc_name],Send Offer-Your [co_name] [bdc_name],Service Requested-Your [co_name] [bdc_name],No Longer Owns-Your [co_name] [bdc_name],Non Contact-Your [co_name] [bdc_name],RSVP-Your [co_name] [bdc_name],Sales Apt Request-Your [co_name] [bdc_name],ILM Working-Your [co_name] [bdc_name],Email Information-Your [co_name] [bdc_name],Cancelled Appointment - Your [co_name] [bdc_name],Confirmed Appointment - Your [co_name] [bdc_name],Rescheduled Appointment - Your [co_name] [bdc_name],Customer Appraisal Request - Your [co_name] [bdc_name],Wants a Quote- Your [co_name] [bdc_name],Did Not Come In-Your [co_name] [bdc_name],Not Ready For Service-Your [co_name] [bdc_name],Servicing Elsewhere-Your [co_name] [bdc_name],Service Completed-Your [co_name] [bdc_name],Out Of State-Your [co_name] [bdc_name],Vehicle Destroyed - [co_name] [bdc_name],Service Already Scheduled,Bogus Data,Vehicle Purchase Department,Servicing at Sister Store- [co_name] [bdc_name],Kill Follow Up Process-Callers DO NOT USE,Live Transfer,Informed Service Not Due';
        $values_name_array = explode(',', $values_name);

        $values_email_content = "A Message from your BDC - This customer is happy and we wanted to share! ,A Message from your BDC - This customer could use some TLC. We are glad we can help you build this relationship for the future. Please see notes below. NOTE: We have changed the Icon for this status,A Message from your BDC - Customer needs a new Hooptie Doo,A Message from your BDC - Customer has a question please contact when you can. See caller notes.,A Message from your BDC - This customer was unable to be reached by phone. Please see notes below.,A Message from your BDC - Hot Prospect for Sales. Customer is hot to trot and could be a car deal. ,A Message from your BDC - Customer purchased from us. All is good!,A Message from your BDC - Customer purchase from another dealer. Please see caller notes.,A Message from your BDC - Customer is out of the market at this time please see notes.,A Message from your BDC - There is an issue with this customers data. Please check your records. Remember that if you do not update this customers information it will continue to come to us bad.,A Message from your BDC - Customer requested mailer to be sent.,A Message from your BDC - Customer would like a service appointment. NOTE: If we are scheduling in your scheduler you will see the confirmation number and no further action is needed. However if we are not you will need to call the customer to confirm the appointment,A Message from your BDC - No longer owns vehicle. Please update your records and any systems this vehicle may be in Like the DMS and CRM so as to not bother them in the future. This customer vin will not be uploaded in to our system from here further.,A Message from your BDC - Customer was unable to be contacted. A No Contact e-mail was sent if e-mail present.,A Message from your BDC - Customer has RSVP'd to your event. See notes!,A Message from your BDC - You have a customer who has requested a Sales Appointment. Please see comments for more information.,A Message from your BDC - We are currently working on the customer. This is an Update please seen the notes to take the correct action.,A Message from your BDC - Customer requested more information via email! Your [bdc_name] sent the offer to your customer.,A Message from your BDC - Customer cancelled their appointment,A Message from your BDC - Customer confirmed their appointment,A Message from your BDC - Customer rescheduled their appointment,The below customer would like to have a FREE no Hassle Appraisal of their vehicle when they come in. Please be sure to have someone meet with them.,This customer is happy and has asked for a complimentary insurance quote,Customer did not come in for a visit. Call was sent by dealer in error,This customer indicated they are not ready for service at this time.,A Message From Your BDC- This customer is servicing their vehicle at another dealership - You may want to try and get them back to your dealership if they are in your PMA. Update your records accordingly please,Customer was in for service already. No need to call this customer so we closed the call,This customer no longer lives in your state and will no longer be getting services done. PLEASE update your CRM and DMS and you may also want to contact the manf,This vehicle was involved in an Accident and is no longer a vehicle. It is now a pop can or other re-purposed item. Please remove this vehicle from your database,This customer has made an appointment for the future. No Action Needed,This is a s-p-a-m number.,This customer is coming from your Vehicle Purchasing Dept Campaign. Please see notes and respond accordingly. NOTE: Do not reply to this email as it will not get to a live person.,This customer has asked to have an appointment at one of your sister stores. ,This customer is no longer to be followed up with. They are either out of the market - Have Purchased Elsewhere - Purchased from us - or have asked to not be followed up with. No further action required.,We successfully transferred the call live,UH OH! We just tried to set an appointment for this customer and they informed us someone at the store told them they did not need to have service at this time. Remember...If we are calling customers for you for retention and your staff is telling them they do not need service - Its Not Good";
        $values_email_content_array = explode(',', $values_email_content);

        $values_icon = 'happyicon-3952807663.jpg,unhappy_icon-3640179550.jpg,vehicle_purchase-7654753914.jpg,question-7508664838.jpg,neutral_cust-9307705624.jpg,hotpropect-4762809043.jpg,sold-1376882162.jpg,boughtelsewhere-7370973448.jpg,outofmarket-4477505916.jpg,baddata-2981803282.jpg,sendemailoffer2-2751556411.jpg,requestedappointmwent-7145108543.jpg,nolongerownscar-6106469486.jpg,leftmessage-5081461607.jpg,rsvp-9487445512.jpg,sales_appointment_requested-296795377.jpg,working_icon-8225979646.jpg,sendemailoffer-5132685946.jpg,canccled-6282455404.png,confirm-button-hi-8649056381.png,reschedule-hi-5313827325.png,appraisals-icon-5610502809.png,allstate_icon-4212411558.jpg,noshow-280893519.jpg,notreadyyet-1111592673.jpg,servicingelswhere-3241843511.jpg,servicecompleted-4677310069.jpg,outofstate-572610371.jpg,crash-2613915428.jpg,scheduled-5358318244.jpg,bogusdata-3062534318.jpg,purchase-2652354892.jpg,livephonetrain-2000383599.jpg,bug-561187649.jpg,livetransfer-4151685535.jpg,uhoh-7370861563.jpg';
        $values_icon_array = explode(',', $values_icon);

        $values_send_alert = '0,1,1,1,0,1,0,1,1,0,0,0,0,0,1,1,0,0,1,0,1,1,1,0,0,1,0,1,1,0,0,0,0,0,0,1';
        $values_send_alert_array = explode(',', $values_send_alert);

        $i = 0;
        foreach ($values_id_array as $key => $value) {
            DB::table('customer_statuses')->insert([
                [
                    'id' => $value,  
                    'name' => $values_name_array[$i],
                    'email_content' => $values_email_content_array[$i],
                    'icon' => $values_icon_array[$i],
                    'send_alert' => $values_send_alert_array[$i],
                ],
            ]);
            $i++;
        }
    }
}
