
@if($from_modal == 0)
	<div class="popup-head cursorpointer" id="conversation_{{$conversation_id}}">
		<div class="popup-head-left pull-left" onclick="$('#chat_window_messages').toggle();$('#chat_window_footer').toggle();" style="width:80%">
			<img src="{{ asset('images/default.jpg') }}" alt='{{ $to_user->first_name }} {{ $to_user->last_name }}'> 
			<span class="chat-username-header">
				{{ $to_user->first_name }} {{ $to_user->last_name }}
				<?php 
					if(strpos($to_user->id, "+1") !== false)
					{
						$phonenumber = str_replace("+1", "", $to_user->id);
						print("(".$phonenumber.")");
					}
				 ?>
			</span> 
		</div>
		<div class="popup-head-right pull-right" >
			<div class="btn-group">
				<span class="cursorpointer" data-toggle="dropdown" aria-expanded="false">
					<i class="fas fa-cog"></i> 
				</span>
				<ul role="menu" class="dropdown-menu pull-right">
					<li><a href="#">Clear Chat</a></li>
					<li><a href="#">Block</a></li>
				</ul>
			</div>
			<span data-widget="remove" id="removeClass" class="cursorpointer"><i class="far fa-times-circle"></i></span>
		</div>
	</div>
@endif
<div class="popup-messages" id="chat_window_messages">
	<div class="direct-chat-messages" id="chat_messages_container">
		@if($conversations_count == 0)
			<div class="direct-chat-timestamp pull-center" id="say_hi_{{ $conversation_id }}">Say hi to {{ $to_user->first_name }}!</div>
		@elseif($conversations_count <= 15)
			<div class="direct-chat-timestamp pull-center" id="showing_all_{{ $conversation_id }}">Showing all messages</div>
		@endif
		<?php $current_date = ''; ?>
		@foreach ($conversations as $conversation)
			@if ( $current_date != date('Y-m-d', strtotime($conversation->created_at) + session('timezone_difference', 0)) )
				<?php $current_date = date('Y-m-d', strtotime($conversation->created_at) + session('timezone_difference', 0)); ?>
				<div class="chat-box-single-line">
					<abbr class="timestamp timestamp_label">{{ date('M jS, Y', strtotime($conversation->created_at) + session('timezone_difference', 0)) }}</abbr>
				</div>
			@endif
			@if (Auth::id() == $conversation->from)
				<!--<div class="chat-box-single-line">
					<abbr class="timestamp">October 9th, 2015</abbr>
				</div>-->
				<div class="outgoing-message">
					<div class="direct-chat-text-response">
						{{ $conversation->message }}
					</div>

					<div class="direct-chat-info clearfix">
						<span class="direct-chat-timestamp-response pull-left">{{date('g:i a', strtotime($conversation->created_at) + session('timezone_difference', 0))}}</span>
					</div>
				</div>
			@else
				<!--<div class="chat-box-single-line">
					<abbr class="timestamp">October 8th, 2015</abbr>
				</div>-->
				<div class="incoming-message">
					<div class="direct-chat-info clearfix">
						<span class="direct-chat-name pull-left">
							@if(strpos($conversation->from, '+') === false)
								@if( empty( $conversation->from ) || empty( $user_names[$conversation->from] ) )
									FullBDC (Team member) 
								@else
									{{$user_names[$conversation->from]}} (Team member) 
								@endif
							@else
								{{ $to_user->first_name }}
							@endif
						</span>
					</div>
					<img alt="message user image" src="{{ asset('images/default.jpg') }}" class="direct-chat-img"><!-- /.direct-chat-img -->
					<div class="direct-chat-text">
						{{ $conversation->message }}
					</div>
					<div class="direct-chat-info clearfix">
						<span class="direct-chat-timestamp pull-right">{{date('g:i a', strtotime($conversation->created_at) + session('timezone_difference', 0))}}</span>
					</div>
				</div>
			@endif
		@endforeach

		
    <!-- /.direct-chat-msg -->
	</div>

</div>
<div class="popup-messages-footer" id="chat_window_footer">
	<form method="POST" id="chat_form">
		@csrf
		@if($needs_optin == true)
			@if($optin_already_sent == true)
				<div class="alert alert-danger" role="alert">
				  An opt-in sms has been sent already. Waiting for customer to reply.
				</div>
				<button class="btn btn-success" onclick="sendSmsOptin(event)">Send again</button>
			@else
				<div class="alert alert-danger" role="alert">
				  No opt-in sms has been sent yet.
				</div>
				<button class="btn btn-success" onclick="sendSmsOptin(event)">Send opt-in sms</button>
			@endif
			<textarea id="chat_message" class="chat_message_textarea" style="display: none" placeholder="Type a message..." rows="10" cols="40" name="chat_message">
				Greetings from {{ $company->co_name }}. Please reply YES if you would like to receive SMS alerts from us.
			</textarea>
			<input type="hidden" id="is_optin_msg" name="is_optin_msg" value="1" v-model="is_optin_msg">
		@else
			<textarea id="chat_message" class="chat_message_textarea" placeholder="Type a message..." rows="10" cols="40" name="chat_message"></textarea>
			<input type="hidden" id="is_optin_msg" name="is_optin_msg" value="0" v-model="is_optin_msg">
		@endif
		<input type="hidden" id="from_user_id" name="from_user_id" value="{{Auth::id()}}" v-model="from_user_id">
		<input type="hidden" id="to_user_id" name="to_user_id" value="{{$to_user->id}}" v-model="to_user_id">
		<input type="hidden" id="chat_coid" name="chat_coid" value="{{$coid}}" v-model="chat_coid">
		<input type="hidden" id="team_conversation" name="team_conversation" value="{{$team_conversation}}" v-model="team_conversation">
		<input type="hidden" id="chat_first_name" name="chat_first_name" value="{{$first_name}}" v-model="chat_first_name">
		<input type="hidden" id="chat_last_name" name="chat_last_name" value="{{$last_name}}" v-model="chat_last_name">
	</form>
	<div id="show_typing" class="btn-footer font-11 text-right" style="display:none">
		@if($team_conversation == 0)
			Someone is typing...
		@else
			{{$first_name}} {{$last_name}} is typing...
		@endif
	</div>
</div>
