<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">File Template</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <table class="table table-striped" style="font-size: 12px; width:300px">
            <thead>
                <tr>
                    <th>
                        Column
                    </th>
                    <th>
                        Value
                    </th>
                    <th>
                        <span class="cursorpointer" onclick="addTemplateColumn(event)"><i class="fas fa-plus-circle" style="font-size: 20px"></i></span>
                    </th>
                </tr>
            </thead>
            <tbody id="added_template_columns_table">
                @foreach($added_columns as $key => $value)
                    <tr>
                        <td>
                            <select class="added_template_column">
                                <option value="recall_code" @if($key == 'recall_code') selected @endif>Recall Code</option>
                                <option value="vehicle_make" @if($key == 'vehicle_make') selected @endif>Vehicle Make</option>
                            </select>
                        </td>
                        <td>
                            <input type="text" class="added_template_column_value" value="{{ $value }}">
                        </td>
                        <td><span class="cursorpointer delete_added_column_template"><i class="fas fa-trash-alt"></i></span></td>
                    </tr>
                @endforeach
            </tbody>
        </table>
        <br>
        <br>
        <table class="table table-striped" style="font-size: 12px">
            <thead>
                <tr>
                    @foreach($column_templates as $column)
                        <th>
                            <?php 
                                print($column); 
                            ?>
                        </th>
                    @endforeach
                </tr>
            </thead>
            <tbody>
                @foreach($file_rows as $row)
                    <tr>
                        @foreach($row as $value)
                            <td>{{ $value }}</td>
                        @endforeach
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-primary" onclick="saveFileTemplate(event)" id="save_file_template_button">Save</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
    <input type="hidden" id="orig_filename_template" name="orig_filename_template" value="{{ $orig_filename }}">
</div>