<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">Future Calls</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <table class="table table-striped" style="font-size: 11px">
            <thead>
                <tr>
                    <th>
                        Open
                    </th>
                    <th>
                        Name
                    </th>
                    <th>
                        Vehicle
                    </th>
                    <th>
                        VIN
                    </th>
                    <th>
                        Call Type
                    </th>
                    <th>
                        Phone
                    </th>
                    <th>
                        Scheduled on
                    </th>
                    <th>
                        Call Status
                    </th>
                    <th>
                        Customer Status
                    </th>
                    <th>
                        On Attention List
                    </th>
                    <th>
                        Send Alert
                    </th>
                    <th>
                        Urgent Note
                    </th>
                    <th>
                        Caller Comments
                    </th>
                    <th>
                        Requires scheduling <input type="checkbox" onclick="checkUncheckByClass('requires_scheduling_mastercb', 'requires_scheduling_cb')" id="requires_scheduling_mastercb">
                    </th>
                    <th>
                        Next Call On
                    </th>
                    <th>
                        Next Call Type
                    </th>
                    <th>
                        Close Call
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td colspan="2">
                        Apply to
                    </td>
                    <td colspan="5">
                        <?php print($calltypes_options); ?>
                    </td>
                    <td>
                        <select name="livecall_status_main" id="livecall_status_main" onchange="ccPutDefaultValuesFutureCallsAll();">
                              <option value="">Select</option>
                              <option value="WN">Wrong Number</option>
                              <option value="BD">Bad Data</option>
                              <option value="RPT">Repeated DATA</option>
                              <option value="COMP">Completed</option>
                              <option value="COMPEF">Completed with E-Farm</option>
                              <option value="LMWEB">Left Message with web address</option>
                              <option value="LMLC">Left Message, Last Call</option>
                              <option value="NO">Not Interested</option>
                              <option value="CBAM">Call Back AM</option>
                              <option value="CBPM">Call Back PM</option>
                              <option value="CB">Call Back</option>
                              <option value="BZ">Busy Signal</option>
                              <option value="NA">No Answer</option>
                              <option value="CL">Close Call</option>
                              <option value="UDO">Update Only</option>
                            </select>
                    </td>
                    <td>
                        <?php print($dalertselect_global); ?>
                    </td>
                    <td>
                        &nbsp;
                    </td>
                    <td>
                        &nbsp;
                    </td>
                    <td>
                        &nbsp;
                    </td>
                    <td>
                        &nbsp;
                    </td>
                    <td>
                        &nbsp;
                    </td>
                    <td>
                        <input type="text" name="next_call_on_main" id="next_call_on_main" value="" class="dateinputs_noclass forminput100" onchange="setAllNextCallDateFutureCalls()">
                    </td>
                    <td>
                        <?php print($next_call_type_select); ?>
                    </td>
                    <td>
                        &nbsp;
                    </td>
                </tr>

                @foreach($future_calls_scheduled as $call)
                    <?php
                        $name = $call->fname." ".$call->lname;
                        $vehicle = $call->vehicle_year." ".$call->vehicle_make." ".$call->vehicle_model;
                        $vin = $call->vin;
                        $calltype = $call->livecall_next_calltype;
                        
                        $phone = $call->phone;
                        $remind = date("m/d/Y",strtotime($call->remind));
                        $cid = $call->id;
                        $caller_comments = (trim($call->caller_comments)!="")? $call->caller_comments."<br>" : "";
                        
                        $days_check = $calltypesInfo[$calltype]["next_call_on"] * 1;
                        $next_call_type_date = date('m/d/Y', strtotime($remind. " + $days_check days"));
                        
                        $ctypetext = $calltypesInfo[$calltype]["calltype_text"];
                        $ctypeicon = $calltypesInfo[$calltype]["icon"];
                        $cTypeIcon = ($ctypeicon != "")? '<img src="https://login.fullbdc.com/images/'.$ctypeicon.'" title="'.$ctypetext.'">' : $ctypetext;
                        
                        $dalertselect = '<select name="customer_status_'.$cid.'" id = "customer_status_'.$cid.'" class="forminput150 customer_status_select" onchange="checkIfHasToCheckAlertFutureCalls(\''.$cid.'\')">
                                            <option value="">Select...</option> ';
                        foreach($dalerts as $alert) {
                            $did = $alert->id;
                            $type = $alert->type;
                            $dalertselect.='<option value="'.$did.'" '.$commonFunctions->setSelectValue($call->customer_status, $did).'>'.$type.'</option>';
                        }
                        $dalertselect.='</select>';
                        
                        
                        $next_call_type = $calltypesInfo[$calltype]["next_call_type"];
                        $next_call_type_select = '<select id="fc_next_call_type_'.$cid.'" name="fc_next_call_type_'.$cid.'" class="forminput100 fc_next_call_type_select">
                                                    <option value="">Select...</option>';
                        foreach($calltypesInfo as $ctype_id=>$ctypeinfo) {
                            $selected = ($next_call_type == $ctype_id)? "selected" : "";
                            $next_call_type_select.= '<option value="'.$ctype_id.'" '.$selected.'>'.$ctypeinfo["calltype_text"].'</option>';
                        }
                        $next_call_type_select.='</select>';
                        
                        $requires_scheduling = $calltypesInfo[$calltype]["requires_scheduling"];
                        
                    ?>
                    <tr id="future_call_row_{{ $cid }}">
                        <td>
                            <a href="#" onclick="showCallDialog(event, '{{ $cid }}', '{{ $coid }}', 'call_records', '{{ $calltype }}')">
                                <i class="fas fa-phone-square" style="font-size: 25px" aria-hidden="true"></i>
                            </a>
                        </td>
                        <td>
                            {{ $name }} <input type="hidden" name="{{ $cid }}" id="{{ $cid }}" class="futurecallsid" value="{{ $cid }}">
                        </td>
                        <td>
                            {{ $vehicle }}
                        </td>
                        <td>
                            {{ $vin }}
                        </td>
                        <td>
                            <?php print($cTypeIcon); ?>
                        </td>
                        <td>
                            {{ $phone }}
                        </td>
                        <td>
                            {{ $remind }}
                        </td>
                        <td>
                            <select name="livecall_status_{{ $cid }}" id="livecall_status_{{ $cid }}" onchange="ccPutDefaultValuesFutureCalls('{{ $cid }}');" class="livecall_status_select has_call_type_{{ $calltype }}">
                              <option value="">Select</option>
                              <option value="WN" {{ $commonFunctions->setSelectValue($call->livecall_status, "WN") }}>Wrong Number</option>
                              <option value="BD" {{ $commonFunctions->setSelectValue($call->livecall_status, "BD") }}>Bad Data</option>
                              <option value="RPT" {{ $commonFunctions->setSelectValue($call->livecall_status, "RPT") }}>Repeated DATA</option>
                              <option value="COMP" {{ $commonFunctions->setSelectValue($call->livecall_status, "COMP") }}>Completed</option>
                              <option value="COMPEF" {{ $commonFunctions->setSelectValue($call->livecall_status, "COMPEF") }}>Completed with E-Farm</option>
                              <option value="LMWEB" {{ $commonFunctions->setSelectValue($call->livecall_status, "LMWEB") }}>Left Message with web address</option>
                              <option value="LMLC" {{ $commonFunctions->setSelectValue($call->livecall_status, "LMLC") }}>Left Message, Last Call</option>
                              <option value="NO" {{ $commonFunctions->setSelectValue($call->livecall_status, "NO") }}>Not Interested</option>
                              <option value="CBAM" {{ $commonFunctions->setSelectValue($call->livecall_status, "CBAM") }}>Call Back AM</option>
                              <option value="CBPM" {{ $commonFunctions->setSelectValue($call->livecall_status, "CBPM") }}>Call Back PM</option>
                              <option value="CB" {{ $commonFunctions->setSelectValue($call->livecall_status, "CBPM") }}>Call Back</option>
                              <option value="BZ" {{ $commonFunctions->setSelectValue($call->livecall_status, "BZ") }}>Busy Signal</option>
                              <option value="NA" {{ $commonFunctions->setSelectValue($call->livecall_status, "NA") }}>No Answer</option>
                              <option value="CL" {{ $commonFunctions->setSelectValue($call->livecall_status, "CL") }}>Close Call</option>
                              <option value="UDO" {{ $commonFunctions->setSelectValue($call->livecall_status, "UDO") }}>Update Only</option>
                            </select>
                        </td>
                        <td>
                            <?php print($dalertselect); ?>
                        </td>
                        <td>
                            <input type="checkbox" name="needs_attention_{{ $cid }}" id="needs_attention_{{ $cid }}" value="1"  {{ $commonFunctions->setRadioValue($call->needs_attention, "1") }}>
                        </td>
                        <td>
                            <input type="checkbox" name="send_alert_{{ $cid }}" id="send_alert_{{ $cid }}" value="1" onclick="promptAlertConfirmation()">
                        </td>
                        <td>
                            <input type="text" name="urgent_note_{{ $cid }}" id="urgent_note_{{ $cid }}" value="{{ $call->urgent_note }}">
                        </td>
                        <td>
                            {{ $caller_comments }}
                            <input type="text" id="fc_caller_comments_{{ $cid }}" name="fc_caller_comments_{{ $cid }}">
                        </td>
                        <td>
                            <input type="checkbox" class="requires_scheduling_cb" name="requires_scheduling_{{ $cid }}" id="requires_scheduling_{{ $cid }}" value="1" {{ $commonFunctions->setRadioValue($requires_scheduling, "1") }}>
                        </td>
                        <td>
                            <input type="text" name="next_call_on_{{ $cid }}" id="next_call_on_{{ $cid }}" value="{{ $next_call_type_date }}" class="dateinputs_noclass forminput100 next_call_on_input">
                        </td>
                        <td>
                            <?php print($next_call_type_select); ?>
                        </td>
                        <td>
                            <a href="#" onclick="closeCall(event, '{{ $coid }}', '{{ $cid }}')" title="Close Call">
                                <i class="fas fa-trash-alt" style="font-size: 20px"></i>
                            </a>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
        <?php print($send_alert_hiddeninputs); ?>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-success" onclick="closeAllFutureCalls(event, '{{ $coid }}')" id="close_future_calls_button">Save Changes</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
</div>

<script type="text/javascript">
    $(".dateinputs_noclass").each(function(){
        $(this).datepicker();
    });
</script>