<div class="modal-header">
    <h5 class="modal-title">
        Inbound Sales Reps
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <div class="alert alert-danger print-error-msg" style="display:none">
            <ul></ul>
        </div>
        <form id="ib_sales_rep_form" name="ib_sales_rep_form">
            @csrf
            <table id="ib_sales_rep_list" class="table">
                <thead>
                    <tr>
                        <th class="headertags14px">First Name</th>
                        <th class="headertags14px">Last Name</th>
                        <th class="headertags14px">Email</th>
                        <th class="headertags14px">Phone</th>
                        <th class="headertags14px">Cell Phone</th>
                        <th class="headertags14px">OAL</th>
                        <th class="headertags14px">Schedule</th>
                        <th class="headertags14px">Access</th>
                        <th class="headertags14px">System Access</th>
                        <th class="headertags14px">Delete</th>
                     </tr>
                </thead>
                <tbody>
                        @foreach($sales_reps as $key => $value)
                            <tr id="inbound_sales_person_{{ $value->id }}">
                                <td>
                                    <input type="text" name="sales_rep_first_name[]" class="form-control" placeholder="First Name" value="{{ $value->fname }}">
                                    <input type="hidden" name="sales_rep_ids[]" value="{{ $value->id }}">
                                </td>
                                <td>
                                    <input type="text" name="sales_rep_last_name[]" class="form-control" placeholder="Last Name" value="{{ $value->lname }}">
                                </td>
                                <td>
                                    <input type="text" name="sales_rep_email[]" class="form-control" placeholder="Email" value="{{ $value->email }}">
                                </td>
                                <td>
                                    <input type="text" name="sales_rep_phone[]" class="form-control" placeholder="Phone" value="{{ $value->phone }}">
                                </td>
                                <td>
                                    <input type="text" name="sales_rep_cellphone[]" class="form-control" placeholder="Cellphone" value="{{ $value->cellphone }}">
                                </td>
                                <td align="center">
                                    <?php 
                                        $checked   = ! empty ( $value->on_alert_list ) ? 'checked' : '';
                                        $oal_value = ! empty ( $value->on_alert_list ) ? 1 : 0;
                                    ?>
                                    <input type="checkbox" name="sales_rep_on_alert_list_cb" id="sales_rep_on_alert_list_cb_{{ $value->id }}" {{ $checked }} value="1" onclick="changeHiddenCbValue('sales_rep_on_alert_list_cb_{{ $value->id }}', 'sales_rep_on_alert_list_{{ $value->id }}')">
                                    <input type="hidden" name="sales_rep_on_alert_list[]" id="sales_rep_on_alert_list_{{ $value->id }}" value="{{ $oal_value }}">
                                </td>
                                <td>
                                    <button class="btn btn-primary btn-sm" onclick="editInboundSalesRepSchedule(event, '{{ $value->id }}')">Schedule <i class="fas fa-edit" aria-hidden="true"></i></button>
                                </td>
                                <td>
                                    <button class="btn btn-primary btn-sm" onclick="editInboundSalesRepAccess(event, '{{ $value->id }}')">Access <i class="fas fa-edit" aria-hidden="true"></i></button>
                                </td>
                                <td align="center">
                                    <?php 
                                        $checked = ! empty ( $sr_system_access_array[ $value->email ] ) ? 'checked' : '';    
                                    ?>
                                    <input type="checkbox" name="sales_rep_system_access[]" {{ $checked }} value="1">
                                </td>
                                <td align="center">
                                    <span class="cursorpointer" onclick="deleteInboundSalesRepsDialog(event, '{{ $value->id }}')" ><i class="fas fa-trash-alt" aria-hidden="true"></i></span>
                                </td>
                            </tr>
                        @endforeach
                </tbody>
            </table>
        </form>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-primary" onclick="addInboundSalesReps(event, '{{ $coid }}');" id="add_ib_sr_button">Add</button>
    <button type="button" class="btn btn-success" onclick="saveInboundSalesReps(event, '{{ $coid }}');" id="save_ib_sr_button">Save</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div>