<?php
    $sanitaze_model_array = array("delete_file", "bad_review", "import_email" , "survey_email" , "bad_review_only" , "import_email_only" , "use_calltype_column" , "schedule_reminder_call" , "src_in", "src_calltype", "update_sa_zc_only", "include_customer_link", "schedule_import_emails", "highlight_customers", "highlight_based_on", "highlight_calltype", "highlight_customer_status", "highlight_search_param", "highlight_search_phones", "highlight_search_emails", "highlight_ignore_ro", "calltype_dep");

    $file_options = $commonFunctions->sanitazeModel($file_options, $sanitaze_model_array);
    $delete_file = $file_options->delete_file;
    $bad_review = $file_options->bad_review;
    $import_email = $file_options->import_email;
    $survey_email = $file_options->survey_email;
    $bad_review_only = $file_options->bad_review_only;
    $import_email_only = $file_options->import_email_only;
    $use_calltype_column = $file_options->use_calltype_column;
    $schedule_reminder_call = $file_options->schedule_reminder_call;
    $src_in = ($file_options->src_in == "")? 5 : $file_options->src_in;
    $src_calltype = $file_options->src_calltype;
    $update_sa_zc_only = $file_options->update_sa_zc_only;
    $include_customer_link = $file_options->include_customer_link;
    $schedule_import_emails = $file_options->schedule_import_emails;
    $delete_file_checked = ($delete_file == 1)? "checked" : "";
    $bad_review_checked = ($bad_review == 1)? "checked" : "";
    $import_email_checked = ($import_email == 1)? "checked" : "";
    $survey_email_checked = ($survey_email == 1)? "checked" : "";
    $bad_review_only_checked = ($bad_review_only == 1)? "checked" : "";
    $import_email_only_checked = ($import_email_only == 1)? "checked" : "";
    $use_calltype_column_checked = ($use_calltype_column == 1)? "checked" : "";
    $show_file_calltype_dep = ($use_calltype_column == 1)? '' : 'display:none';
    $schedule_reminder_call = ($schedule_reminder_call == 1)? "checked" : "";
    $update_sa_zc_only = ($update_sa_zc_only == 1)? "checked" : "";
    $include_customer_link_checked = ($include_customer_link == 1)? "checked" : "";
    $schedule_import_emails_checked = ($schedule_import_emails == 1)? "checked" : "";
    $schedule_import_emails_display = ($schedule_import_emails == 1)? '' : 'display:none';
    $highlight_customers = ($file_options->highlight_customers == "")? 1 : $file_options->highlight_customers;
    $highlight_based_on = $file_options->highlight_based_on;
    $highlight_calltype = explode(",", $file_options->highlight_calltype);
    $highlight_customer_status = $file_options->highlight_customer_status;
    $highlight_search_param = $file_options->highlight_search_param;
    $highlight_search_phones = $file_options->highlight_search_phones;
    $highlight_search_emails = $file_options->highlight_search_emails;
    $highlight_ignore_ro = $file_options->highlight_ignore_ro;
    $highlight_search_phones = ($highlight_search_phones == 1)? "checked" : "";
    $highlight_search_emails = ($highlight_search_emails == 1)? "checked" : "";
    $highlight_ignore_ro = ($highlight_ignore_ro == 1)? "checked" : "";
    $ghosted_vin_total = 0;
    $calltype_dep_json = $file_options->calltype_dep;                            
    if(trim($calltype_dep_json) != "") 
    {
        $calltype_dep_array = json_decode($calltype_dep_json, true);
        $dp_array = [];
        if(isset($calltype_dep_array))
        {
            foreach($calltype_dep_array as $dep_key=>$dep_value) 
            {
                $dp_array[$dep_key] = $dep_value;
            } 
        }
    }

    $file_calltype_array = [];

    $based_on_select = '<select id="days_within_based_on" name="days_within_based_on" class="form-control form-control-sm">
                            <option value="lastupdate" '.$commonFunctions->setSelectValue($highlight_based_on,"lastupdate").'>Last update</option>
                            <option value="service_date" '.$commonFunctions->setSelectValue($highlight_based_on,"service_date").'>Service date</option>
                            <option value="dateadded" '.$commonFunctions->setSelectValue($highlight_based_on,"dateadded").'>Date added</option>
                            <option value="sale_date" '.$commonFunctions->setSelectValue($highlight_based_on,"sale_date").'>Sale Date</option>
                            <option value="service_apt_date" '.$commonFunctions->setSelectValue($highlight_based_on,"service_apt_date").'>Service Apt Date</option>
                            <option value="sales_apt_date" '.$commonFunctions->setSelectValue($highlight_based_on,"sales_apt_date").'>Sales Apt Date</option>
                        </select>';

    $match_select = '<select id="search_based_on" name="search_based_on" class="form-control form-control-sm">
                            <option value="phone" '.$commonFunctions->setSelectValue($highlight_search_param,"phone").'>Phone</option>
                            <option value="vin" '.$commonFunctions->setSelectValue($highlight_search_param,"vin").'>VIN</option>
                            <option value="phone_vin" '.$commonFunctions->setSelectValue($highlight_search_param,"phone_vin").'>Phone + VIN</option>
                            <option value="vin_ro" '.$commonFunctions->setSelectValue($highlight_search_param,"vin_ro").'>VIN + RO</option>
                        </select>';

    $reminder_call_date_select = '  <option value="1" '.$commonFunctions->setSelectValue($src_in, 1).'>1 Month</option>
                                    <option value="2" '.$commonFunctions->setSelectValue($src_in, 2).'>2 Months</option>
                                    <option value="3" '.$commonFunctions->setSelectValue($src_in, 3).'>3 Months</option>
                                    <option value="4" '.$commonFunctions->setSelectValue($src_in, 4).'>4 Months</option>
                                    <option value="5" '.$commonFunctions->setSelectValue($src_in, 5).'>5 Months</option>
                                    <option value="6" '.$commonFunctions->setSelectValue($src_in, 6).'>6 Months</option>
                                    <option value="7" '.$commonFunctions->setSelectValue($src_in, 7).'>7 Months</option>
                                    <option value="8" '.$commonFunctions->setSelectValue($src_in, 8).'>8 Months</option>
                                    <option value="9" '.$commonFunctions->setSelectValue($src_in, 9).'>9 Months</option>
                                    <option value="10" '.$commonFunctions->setSelectValue($src_in, 10).'>10 Months</option>
                                    <option value="11" '.$commonFunctions->setSelectValue($src_in, 11).'>11 Months</option>
                                    <option value="12" '.$commonFunctions->setSelectValue($src_in, 12).'>12 Months</option>
                                    <option value="13" '.$commonFunctions->setSelectValue($src_in, 13).'>13 Months</option>
                                    <option value="14" '.$commonFunctions->setSelectValue($src_in, 14).'>14 Months</option>
                                    <option value="15" '.$commonFunctions->setSelectValue($src_in, 15).'>15 Months</option>
                                    <option value="16" '.$commonFunctions->setSelectValue($src_in, 16).'>16 Months</option>
                                    <option value="17" '.$commonFunctions->setSelectValue($src_in, 17).'>17 Months</option>';

    $calltypeselect = $commonFunctions->getCalltypesSelect("", $highlight_calltype); 
    $main_call_type_select = $commonFunctions->getCalltypesSelect("", $main_call_type);
    $reminder_call_type_select = $commonFunctions->getCalltypesSelect("", $src_calltype);
?>

<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">Reviewing file: {{ $file_name }}</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <form method="POST" id="search_customers_form" action="" class="needs-validation" novalidate>
            <fieldset id="search_customers_disabled" class="call_form_fieldset">
                <legend class="col-form-label-lg call_form_legend"><strong>Customer Search</strong></legend>
                <div class="form-row" style="font-size:11px;">
                    <div class="form-group col-md-1">
                        <label for="finddays">Past days:</label> 
                        <input type="text" id="finddays" name="finddays" value="{{ $highlight_customers }}" class="form-control form-control-sm">
                    </div>
                    <div class="form-group col-md-2">
                        <label for="days_within_based_on">Based On:</label>
                        <?php print($based_on_select); ?>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="calltype_review_filter">Call Type:</label>
                        <select id="calltype_review_filter" name="calltype_review_filter[]" class="form-control form-control-sm" multiple="">
                            <?php print($calltypeselect); ?>
                        </select>
                    </div>
                    <div class="form-group col-md-3">
                        <label for="filter_customer_status">Customer Status:</label>
                        <select id="filter_customer_status" name="filter_customer_status" class="form-control form-control-sm">
                            <option value="">All</option>
                            @include('inputs.select_options', ['options' => $customer_status_options, 'value_selected' => $highlight_customer_status])
                        </select>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="search_based_on">Search Param:</label>
                        <?php print($match_select); ?>
                    </div>
                </div>
                <div class="form-row" style="font-size:11px;">
                    <div class="form-group col-md-3">
                        <input type="checkbox" title="Search Phones" id="include_search_phones" name="include_search_phones" {{ $highlight_search_phones }} value="1"> &nbsp;<label for="include_search_phones">Search Phones</label>
                    </div>
                    <div class="form-group col-md-3">
                        <input type="checkbox" title="Search Emails" id="include_search_emails" name="include_search_emails" {{ $highlight_search_emails }} value="1"> &nbsp;<label for="include_search_emails">Search Emails</label>
                    </div>
                    <div class="form-group col-md-3">
                        <input type="checkbox" title="Ignore duplicated RO" id="search_ro" name="search_ro" {{ $highlight_ignore_ro }} value="1"> &nbsp;<label for="search_ro">Ignore duplicated RO</label>
                    </div>
                    <div class="form-group col-md-3">
                        &nbsp;
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-2">
                        <button type="button" class="btn btn-primary" id="search_customers_button" onclick="searchEmptyPhones(event, '{{ $coid }}', true)">Search</button>
                    </div>
                    <div class="form-group col-md-2">
                        <button type="button" class="btn btn-secondary" onclick="hideRecentCalled(event)">Hide/Show Recent Called</button>
                    </div>
                    <div class="form-group col-md-8">
                        <div id="search_phones_div"></div>
                    </div>
                </div>
                
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <strong>Reachable customers by phone BEFORE search:</strong> <span id="reachable_by_phone_div"></span> of <span id="reachable_by_phone_total_div"></span>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <strong>Reachable customers by phone AFTER search:</strong> <span id="reachable_by_phone_after_search_div"></span> of <span id="reachable_by_phone_after_search_total_div"></span>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <strong>Reachable customers by email BEFORE search:</strong> <span id="reachable_by_email_div_before"></span> of <span id="reachable_by_email_total_div"></span>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <strong>Reachable customers by email AFTER search:</strong> <span id="reachable_by_email_div_after"></span> of <span id="reachable_by_email_after_search_total_div"></span>
                    </div>
                </div>
            </fieldset>
        </form>
        <br>
        <form method="POST" id="upload_calls_form" action="" class="needs-validation" novalidate>
            <table class="table table-striped" style="font-size:11px;">
                <thead>
                    <tr>
                        <th>
                            Import
                        </th>
                        @foreach($column_names_review_filtered as $column_name)
                            @if($column_name != "StcFlag")
                                <th
                                @if(!isset($columns[$column_name]) && $column_name != 'HomePhone' && $column_name != 'CellPhone' && $column_name != 'Email' && $column_name != 'Year' && $column_name != 'Make' && $column_name != 'Model' && $column_name != 'BestPhone' && $column_name != 'FirstName' && $column_name != 'LastName' && $column_name != 'UrgentNote')
                                    style="display: none;"
                                @endif
                                >
                                    @if($column_name == 'SaleDate')
                                        ServiceDate
                                    @elseif($column_name == 'TrueSaleDate')
                                        SaleDate
                                    @else
                                        {{ $column_name }}
                                    @endif
                                </th>
                                @if($column_name == 'BestPhone')
                                    <th>GDNC</th>
                                    <th>DDNC</th>
                                    <th>DNE</th>
                                @elseif($column_name == 'Email')
                                    <th>ImportEmail</th>
                                @endif
                            @endif
                        @endforeach
                    </tr>
                </thead>
                <tbody id="import_records_table">
                    <?php
                        $i = 0;
                        $cell_align = '';
                        $first_row = true;
                        $phone_list = [];
                        $vin_list = [];
                    ?>
                    @foreach ($values_array as $value)
                        <?php
                            if($first_row == true && $file_template->has_header_row == 1) {
                                $first_row = false;
                                continue;
                            }
                            $first_name = (isset($value['FirstName']))? $value['FirstName'] : '';
                            $last_name = (isset($value['LastName']))? $value['LastName'] : '';
                            $phone = (isset($value['HomePhone']))? $value['HomePhone'] : '';
                            
                            if(isset($value['CellPhone']))
                            {
                                if (strlen($value['CellPhone']) == 10) { $phone = $value['CellPhone']; }
                            }
                            if(isset($value['HomePhone']))
                            {
                                if (strlen($value['HomePhone']) == 10) { $phone = $value['HomePhone']; } 
                            }
                            $value['HomePhone'] = ( strlen( $phone ) == 10 )? $phone : '';
                            
                            $duplicated_phone_class = '';
                            $duplicated_phone_style = '';
                            $primary_phone_class = $phone;
                            if( isset( $phone_list[$phone] ) ) {
                                $duplicated_phone_class = 'has_duplicated_phone';
                                $duplicated_phone_style = 'background-color: #ff919c;';
                                $primary_phone_class = $phone.'_secondary';
                            }
                            if($phone != '')
                                $phone_list[$phone] = true;

                            $cell_phone = (isset($value['CellPhone']))? $value['CellPhone'] : '';
                            $best_phone = (isset($value['BestPhone']))? $value['BestPhone'] : '';
                            $email = (isset($value['Email']))? $value['Email'] : '';
                            $vin = (isset($value['Vin']))? $value['Vin'] : '';

                            $duplicated_vin_class = '';
                            $duplicated_vin_style = '';
                            $primary_vin_class = $vin;
                            if( isset( $vin_list[$vin] ) ) {
                                $duplicated_vin_class = 'has_duplicated_vin';
                                $duplicated_vin_style = 'background-color: #ff919c;';
                                $primary_vin_class = $vin.'_sec_vin';
                            }
                            if($vin != '')
                                $vin_list[$vin] = true;

                            $gdnc = (isset($gdnc_array[$phone]))? 1 : 0;
                            $ddnc = (isset($ddnc_array[$phone]))? 1 : 0;

                            $gdnc_cp = (isset($gdnc_array[$cell_phone]))? 1 : 0;
                            $ddnc_cp = (isset($ddnc_array[$cell_phone]))? 1 : 0;

                            $gdnc_bp = (isset($gdnc_array[$best_phone]))? 1 : 0;
                            $ddnc_bp = (isset($ddnc_array[$best_phone]))? 1 : 0;

                            $dne = (isset($dne_array[strtoupper($email)]))? 1 : 0;
                            $ie = (isset($dne_array[strtoupper($email)]))? 0 : 1;
                            $ghost_vin_class = (isset($removed_vins_array[$vin]))? 'ghosted_vin' : '';
                            $has_ghosted_vin_class = (isset($removed_vins_array[$vin]))? 'has_ghosted_vin_class' : '';

                            $import = (isset($removed_vins_array[$vin]))? 0 : 1;
                            $import = (trim($first_name) == "" && trim($last_name) == "")? 0 : $import;
                            //$import = (trim($phone) == "" && trim($cell_phone) == "" && trim($best_phone) == "")? 0 : $import;

                            /*if(isset($value['StcFlag']))
                            {
                                $import = ($value['StcFlag'] == 0)? 0 : $import;
                            }*/

                            if(isset($value['StcFlag']))
                            {
                                $stc_value = $value['StcFlag'];
                            } 


                            $fname_totestvip = strtolower(trim($first_name));
                            $lname_totestvip = strtolower(trim($last_name));
                            $fullname_totestvip = $fname_totestvip." ".$lname_totestvip;
                            $vip_class = '';
                            $vip_style = '';
                            if(isset($callcenter_vip_array[$fullname_totestvip])) {
                                $vip_class = 'has_vip';
                                $vip_style = 'background-color: #f5a742;';
                                $ie = 0;
                            }
                            $email_parts = explode('@', $email);
                            if( isset( $email_parts[1] ) ) {
                                if( in_array( strtolower( $email_parts[1] ), $callcenter_vip_domains_array ) )
                                {
                                    $vip_class = 'has_vip';
                                    $vip_style = 'background-color: #f5a742;';
                                    $ie = 0;
                                }
                            }

                            if(isset($value['CallType']))
                            {
                                if(trim($value['CallType']) != '')
                                {
                                    if(!isset($file_calltype_array[$value['CallType']]) && trim($value['CallType']) != '') {
                                        $file_calltype_array[$value['CallType']] = true;
                                    }
                                }
                            }

                            $future_call_background = '';
                            $has_future_call = '';
                            if(isset($future_scheduled_calls[$phone]))
                            {
                                $future_call_background = 'background-color:#84C8F2';
                                $has_future_call = "has_future_call";
                            }
                            

                        ?>
                        <tr id="table-row_{{ $i }}" class="table_rows {{ $has_future_call }} {{ $vip_class }} {{ $duplicated_phone_class }} {{ $primary_phone_class }} {{ $duplicated_vin_class }} {{ $primary_vin_class }} {{ $has_ghosted_vin_class }}" style="{{ $vip_style }} {{ $duplicated_phone_style }} {{ $duplicated_vin_style }}">
                            <td id="import_{{ $i }}_td" align="center" ondblclick="editSingleReviewFileColumn('import_{{ $i }}')" title="Import" style="{{ $future_call_background }}">
                                <span id="import_{{ $i }}_span">{{ $import }}</span>
                                <input type="hidden" id="import_{{ $i }}" name="import[]" value="{{ $import }}" class="import">
                                <input type="hidden" id="orig_import_{{ $i }}" name="orig_import_[]" value="{{ $import }}" class="orig_import">
                                @if(isset($value['StcFlag']))
                                    <input type="hidden" id="stc_flag_{{ $i }}" name="stc_flag[]" value="{{ $stc_value }}" class="stc_flag">
                                @else 
                                    <input type="hidden" id="stc_flag_{{ $i }}" name="stc_flag[]" value="1" class="stc_flag">
                                @endif
                                <span id="rc_reference_id_{{ $i }}" style="display: none;"></span>
                            </td>
                            @foreach($column_names_review_filtered as $key => $column_name)
                                @if($key != 'stc_flag')
                                    <?php
                                        $column_value = isset($value[$column_name])? trim(utf8_encode(str_replace("†", "", $value[$column_name]))) : '';

                                        if($column_name == "ShowToCall")
                                        {
                                            $cell_align = 'center';
                                            $show_to_call = ( isset($gdnc_array[$phone]) || isset($ddnc_array[$phone]) || isset($gdnc_array[$cell_phone]) || isset($ddnc_array[$cell_phone]) || isset($gdnc_array[$best_phone]) || isset($ddnc_array[$best_phone]) || $vip_class != '' )? 0 : $column_value;
                                            $show_to_call = ( trim( $first_name ) != '' )? $show_to_call : 0;
                                            $show_to_call = ( strlen( $phone ) == 10 )? $show_to_call : 0;
                                            $column_value = $show_to_call;
                                        } else {
                                            $cell_align = '';
                                        }
                                        if($column_name == 'SaleDate')
                                        {
                                            $new_column_name = "ServiceDate";
                                        } else if($column_name == 'TrueSaleDate') {
                                            $new_column_name = "SaleDate";
                                        } else {
                                            $new_column_name = $column_name;
                                        }
                                        $useless_email_function = '';
                                        $dne_class = '';
                                        $personalized_email_btn = '';
                                        if($column_name == "Email")
                                        {
                                            $useless_email_function = 'oncontextmenu="addUselessEmailSingleDialog(event, \''.$i.'\')"';
                                            $dne_class = ($dne == 1)? ';background-color:#ff2950' : '';
                                            $dob_diff = 100;
                                            $dob_string = '';
                                            if (!empty($value['DateOfBirth'])) {
                                                $now = new DateTime();
                                                if ((bool)strtotime($value['DateOfBirth'])) {
                                                    $dob = new DateTime($value['DateOfBirth']); 
                                                    $dob_year = new DateTime($now->format('Y').'-'.$dob->format('m-d'));
                                                    $dob_diff = $now->diff($dob_year)->format("%r%a");
                                                    $dob_string = $dob->format('m/d');     
                                                }
                                            }
                                            
                                            switch ($dob_diff) {
                                                case 0:
                                                    $personalized_email_btn = '<img title="'.$dob_string.'" class="cursorpointer" style="width: 25px" src="'.asset("images/bd_today.png").'" onclick="getPersonalizedEmailDialog(event, \''.$i.'\', \''.$coid.'\')">';
                                                    break;
                                                case $dob_diff < 0 && $dob_diff > -10:
                                                    $personalized_email_btn = '<img title="'.$dob_string.'" class="cursorpointer" style="width: 25px" src="'.asset("images/bd_due.png").'" onclick="getPersonalizedEmailDialog(event, \''.$i.'\', \''.$coid.'\')">';
                                                    break;
                                                case $dob_diff < 10 && $dob_diff > 0:
                                                    $personalized_email_btn = '<img title="'.$dob_string.'" class="cursorpointer" style="width: 25px" src="'.asset("images/bd_coming.png").'" onclick="getPersonalizedEmailDialog(event, \''.$i.'\', \''.$coid.'\')">';
                                                    break;
                                                default:
                                                    $personalized_email_btn = '<img title="'.$dob_string.'" class="cursorpointer" style="width: 25px" src="'.asset("images/email.png").'" onclick="getPersonalizedEmailDialog(event, \''.$i.'\', \''.$coid.'\')">';
                                                break;
                                            }
                                        }
                                        $dnc_class = '';
                                        if($column_name == "HomePhone")
                                        {
                                            $dnc_class = ($gdnc == 1 || $ddnc == 1)? ';background-color:#ff2950' : '';
                                        }
                                        if($column_name == "CellPhone")
                                        {
                                            $dnc_class = ($gdnc_cp == 1 || $ddnc_cp == 1)? ';background-color:#ff2950' : '';
                                        }
                                        if($column_name == "BestPhone")
                                        {
                                            $dnc_class = ($gdnc_bp == 1 || $ddnc_bp == 1)? ';background-color:#ff2950' : '';
                                        }
                                        $ghosted_vin_function = '';
                                        if($column_name == 'Vin' && $ghost_vin_class != '')
                                        {
                                            $ghosted_vin_total++;
                                            $ghosted_vin_function = 'oncontextmenu="removeFromGhostedVinSingleDialog(event, \''.$i.'\', \''.$coid.'\')"';
                                        }

                                        if(!isset($columns[$column_name]) && $column_name != 'HomePhone' && $column_name != 'CellPhone' && $column_name != 'Email' && $column_name != 'Year' && $column_name != 'Make' && $column_name != 'Model' && $column_name != 'BestPhone' && $column_name != 'FirstName' && $column_name != 'LastName' && $column_name != 'UrgentNote')
                                        {
                                            $hide_column_style = 'display: none;';
                                        } else {
                                            $hide_column_style = '';
                                        }
                                    
                                

                                        $vin_min_width = ($column_name == 'Vin')? 'min-width:175px' : '';
                                        $phone_min_width = ($column_name == 'HomePhone')? 'min-width:125px' : '';
                                        //$ghost_vin_class = ($column_name == 'Vin')? $ghost_vin_class : '';
                                    ?>
                                    @if(isset($value[$column_name]))
                                        <td id="{{ $key }}_{{ $i }}_td" align="{{ $cell_align }}" ondblclick="editSingleReviewFileColumn('{{ $key }}_{{ $i }}')" title="{{ $new_column_name }}: {{ $column_value }}" style="{{ $vin_min_width }} {{ $phone_min_width  }} {{ $dne_class }} {{ $dnc_class }} {{ $hide_column_style }}" <?php print($useless_email_function); ?> <?php print($ghosted_vin_function); ?> >
                                            <?php
                                                $formated_value = trim($column_value);
                                                $formated_value = (strlen($column_value) > 30)? mb_substr($formated_value, 0, 30).'[...]' : $formated_value; 
                                            ?>
                                            <span id="{{ $key }}_{{ $i }}_span">{{ $formated_value }}</span>
                                            @if($column_name == 'Vin' && $ghost_vin_class != '')
                                                <input type="hidden" id="{{ $key }}_{{ $i }}" name="{{ $key }}[]" value="{{ $column_value }}" class="{{ $key }} removed_vin">
                                                <span class="btn btn-danger btn-sm" onmouseover="getGhostedVinInfo(event, '{{ $coid }}', '{{ $column_value }}')" onmouseout="ccShowScriptToolTip(event,'ghosted_vin_history_div')" id="ghost_vin_prev_dialog_btn_{{ $i }}"><i class="fas fa-ghost"></i></span>
                                            @elseif($column_name == "HomePhone")
                                                <span id="recent_called_icon_{{ $i }}"></span>
                                                <input type="hidden" id="{{ $key }}_{{ $i }}" name="{{ $key }}[]" value="{{ $column_value }}" class="{{ $key }}">
                                            @else 
                                                <input type="hidden" id="{{ $key }}_{{ $i }}" name="{{ $key }}[]" value="{{ $column_value }}" class="{{ $key }}">
                                            @endif
                                        </td>
                                    @else
                                        <td id="{{ $key }}_{{ $i }}_td" align="{{ $cell_align }}" ondblclick="editSingleReviewFileColumn('{{ $key }}_{{ $i }}')" title="{{ $new_column_name }}" <?php print($useless_email_function); ?> style="{{ $hide_column_style }}">
                                            <input type="hidden" id="{{ $key }}_{{ $i }}" name="{{ $key }}[]" value="" class="{{ $key }}">
                                            <span id="{{ $key }}_{{ $i }}_span"></span>
                                            @if($column_name == "HomePhone")
                                                <span id="recent_called_icon_{{ $i }}"></span>
                                            @endif 
                                        </td>
                                    @endif
                                    @if($column_name == 'BestPhone')
                                        <td id="gdnc_{{ $i }}_td" align="center" ondblclick="editSingleReviewFileColumn('gdnc_{{ $i }}')" title="GDNC">
                                            <input type="hidden" id="gdnc_{{ $i }}" name="gdnc[]" value="{{ $gdnc }}" class="gdnc">
                                            <span id="gdnc_{{ $i }}_span">{{ $gdnc }}</span>
                                        </td>
                                        <td id="ddnc_{{ $i }}_td" align="center" ondblclick="editSingleReviewFileColumn('ddnc_{{ $i }}')" title="DDNC">
                                            <input type="hidden" id="ddnc_{{ $i }}" name="ddnc[]" value="{{ $ddnc }}" class="ddnc">
                                            <span id="ddnc_{{ $i }}_span">{{ $ddnc }}</span>
                                        </td>
                                        <td id="dne_{{ $i }}_td" align="center" ondblclick="editSingleReviewFileColumn('dne_{{ $i }}')" title="DNE">
                                            <input type="hidden" id="dne_{{ $i }}" name="dne[]" value="{{ $dne }}" class="dne">
                                            <span id="dne_{{ $i }}_span">{{ $dne }}</span>
                                        </td>
                                    @elseif($column_name == 'Email')
                                        <td id="ie_{{ $i }}_td" align="center" ondblclick="editSingleReviewFileColumn('ie_{{ $i }}')" title="ImportEmail">
                                            <input type="hidden" id="ie_{{ $i }}" name="ie[]" value="{{ $ie }}" class="ie">
                                            <span id="ie_{{ $i }}_span">{{ $ie }}</span>
                                            <span id="personalized_email_btn_{{ $i }}">@php echo $personalized_email_btn; @endphp</span>
                                            <textarea id="personalized_email_{{ $i }}" name="personalized_emails[]" style="display:none;"></textarea>
                                        </td>
                                    @endif
                                 @endif
                            @endforeach
                        </tr>
                        <?php
                            $i++;
                        ?>
                    @endforeach
                </tbody>
            </table>
            <br>

            <fieldset class="call_form_fieldset">
                <legend class="call_form_legend"><strong>Import Options</strong></legend>
                <div class="form-row">
                    <div class="form-group col-md-2">
                        <label for="main_scheduling_date">Schedule for:</label> 
                        <input type="text" id="main_scheduling_date" name="main_scheduling_date" value="{{ date('m/d/Y') }}" class="form-control form-control-sm">
                    </div>
                    <div class="form-group col-md-3">
                        <label for="main_calltype">Call Type:</label>
                        <select id="main_calltype" name="main_calltype" class="form-control form-control-sm" onchange="emptyImportEmailTemplates(event)">
                            <?php print($main_call_type_select); ?>
                        </select>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="main_department">Department:</label>
                        <select id="main_department" name="main_department" class="form-control form-control-sm">
                            <option value="">Select</option>
                            @include('inputs.select_options', ['options' => $department_options, 'value_selected' => $department])
                        </select>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-2">
                        <div class="form-check">
                            <input type="checkbox" title="Use Call Type Column" id="use_file_calltype" name="use_file_calltype" onclick="showHideElementById('call_type_department_div')" {{ $use_calltype_column_checked }} value="1" class="form-check-input">
                            <label for="use_file_calltype" class="form-check-label">Use CallType column</label>
                        </div>
                    </div>

                    <div class="form-group col-md-3" id="call_type_department_div" style="{{ $show_file_calltype_dep }}">
                        @foreach($file_calltype_array as $key => $value)
                            <div class="form-row">
                                <div class="form-group col-md-4">
                                    {{ $key }}
                                </div>    
                                <div class="form-group col-md-8">
                                    <select id="{{ $key }}_dep" name="{{ $key }}_dep" class="form-control form-control-sm call_type_dep">
                                        <option value="">Select</option>
                                        <?php 
                                            $current_selected_department = (isset($dp_array[$key.'_dep']))? $dp_array[$key.'_dep'] : '';
                                        ?>
                                        @include('inputs.select_options', ['options' => $department_options, 'value_selected' => $current_selected_department])
                                    </select>
                                </div>
                            </div>
                        @endforeach
                    </div>  
                </div>
                <div class="form-row">
                    <div class="form-group col-md-3 pt-4">
                        <input type="checkbox" title="Schedule reminder call" id="schedule_reminder_call" name="schedule_reminder_call" {{ $schedule_reminder_call }} value="1"> <label for="schedule_reminder_call">Schedule reminder</label>
                    </div>
                    <div class="form-group col-md-3">
                        <label for="reminder_calltype">Reminder Call Type:</label>
                        <select id="reminder_calltype" name="reminder_calltype" class="form-control form-control-sm">
                            <?php print($reminder_call_type_select); ?>
                        </select>
                    </div>
                    <div class="form-group col-md-3">
                        <label for="reminder_call_date">Date:</label>
                        <select id="reminder_call_date" name="reminder_call_date" class="form-control form-control-sm">
                            <?php print($reminder_call_date_select); ?>
                        </select>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md pt-4">
                        <input type="checkbox" title="Send import emails" id="import_email" name="import_email" value="1" {{ $import_email_checked }}> <label for="import_email">Send import emails</label>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md pt-4">
                        <input type="checkbox" title="Bad review list to dealer" id="bad_review_option" name="bad_review_option" value="1" {{ $bad_review_checked }}> <label for="bad_review_option">Bad review list to dealer</label>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md pt-4">
                        <input type="checkbox" title="Send import email only" id="import_email_only" name="import_email_only" value="1" {{ $import_email_only_checked }}> <label for="import_email_only">Send import email only</label>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md pt-4">
                        <input type="checkbox" title="Include customer update link" id="include_customer_link" name="include_customer_link" value="1" {{ $include_customer_link_checked }}> <label for="include_customer_link">Include customer update link</label>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md pt-4">
                        <input type="checkbox" title="Delete file after upload" id="delete_file" name="delete_file" value="1" {{ $delete_file_checked }}> <label for="delete_file">Delete file after upload</label>
                    </div>
                </div>
                <input type="hidden" id="import_coid" name="import_coid" value="{{ $coid }}">
                <input type="hidden" id="import_file_name" name="import_file_name" value="{{ $file_name }}">
                <textarea id="import_email_content" style="display: none;"></textarea>

                <textarea id="import_email_subject_stc" name="import_email_subject_stc" style="display: none;"></textarea>
                <textarea id="import_email_content_stc" name="import_email_content_stc" style="display: none;"></textarea>
                <textarea id="import_email_subject_nstc" name="import_email_subject_nstc" style="display: none;"></textarea>
                <textarea id="import_email_content_nstc" name="import_email_content_nstc" style="display: none;"></textarea>
                <textarea id="import_email_subject_dnc" name="import_email_subject_dnc" style="display: none;"></textarea>
                <textarea id="import_email_content_dnc" name="import_email_content_dnc" style="display: none;"></textarea>
            </fieldset>
        </form>
        <div id="ghosted_vin_history_div" style="display:none; z-index: 9999999999;position: fixed;background-color: #fff; border: 3px solid gray;border-radius: 5px;max-width: 600px">
            <div id="ghosted_vin_information">Ghosted VIN Information</div>
        </div>
        <div id="recent_called_history_div" style="display:none; z-index: 9999999999;position: fixed;background-color: #fff; border: 3px solid gray;border-radius: 5px;max-width: 600px">
            <div id="recent_call_information_result">Call Information</div>
        </div>
        <div id="add_useless_emails_div" style="display:none; z-index: 9999999998;position: fixed;background-color: #fff;border-radius: 5px;max-width: 600px">
        </div>
        <div id="remove_ghosted_vin_div" style="display:none; z-index: 9999999997;position: fixed;background-color: #fff;border-radius: 5px;max-width: 600px">
        </div>
        <input type="hidden" name="ghost_vin_count_before" id="ghost_vin_count_before" value="{{ $ghosted_vin_total }}">
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-success" onclick="listAllFutureCalls(event, '{{ $coid }}')" id="list_future_calls_button">Future Calls</button>
    <button type="button" class="btn btn-success" onclick="saveReviewFileOptions(event, '{{ $coid }}')" id="save_review_file_options_button">Save Options</button>
    <button type="button" class="btn btn-success" onclick="editUselessEmailsDialog(event)" id="edit_useless_emails_button">Edit Useless Emails</button>
    <button type="button" class="btn btn-success" onclick="removeUselessEmails(event)" id="remove_useless_emails">Remove Useless Emails</button>
    <button type="button" class="btn btn-success" onclick="editImportEmailDialog(event, '{{ $coid }}')" id="edit_import_email_button">Edit Import Email</button>
    <button type="button" class="btn btn-success" onclick="exportRecentCalled(event, '{{ $coid }}')" id="export_recent_called_button">Export Recent Called</button>
    <button type="button" class="btn btn-primary" onclick="importCallFile(event)" id="import_call_file_button">Import Records</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div>


<script type="text/javascript">
    $('#main_scheduling_date').datepicker({
        language: "en",
        autoclose: true,
        orientation: "bottom",
    });

    $('.has_ghosted_vin_class').each(function(index, el) {
        $('#import_records_table').prepend($(this));            
    });

    $('.has_vip').each(function(index, el) {
        $('#import_records_table').prepend($(this));            
    });

    $('.has_duplicated_phone').each(function(index, el) {
        $('#import_records_table').prepend($(this));    
        var classes_array = $(this).attr("class").split(/\s+/); 
        for(var i = 0; i < classes_array.length; i++ ) {
            if( classes_array[ i ].includes('_secondary') ) {
                $('#import_records_table').prepend($( '.' + classes_array[ i ].split('_')[ 0 ] ));
            }
        }
    });

    $('.has_duplicated_vin').each(function(index, el) {
        $('#import_records_table').prepend($(this));    
        var classes_array = $(this).attr("class").split(/\s+/); 
        for(var i = 0; i < classes_array.length; i++ ) {
            if( classes_array[ i ].includes('_sec_vin') ) {
                $('#import_records_table').prepend($( '.' + classes_array[ i ].split('_')[ 0 ] ));
            }
        }
    });
</script>