<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">Sales Rep Access</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>

<div class="modal-body">
    <form id="sales_rep_access_form" name="sales_rep_access_form">
        <table class="table">
            <tr>
                <th>
                    Call Type
                </th>
                <th>
                    Access
                </th>
                <th>
                    Alert
                </th>
            </tr>
            @foreach ($departments as $dp)
                <tr>
                @php
                    $dpchecked = ( in_array($dp->cid, $dep_access) ) ? "checked" : "";
                    $alchecked = ( in_array($dp->cid, $alert_access) ) ? "checked" : "";
                @endphp
                    <td>
                        {{ $dp->calltype_text }}
                    </td>
                    <td>
                        <input type="checkbox" name="dp_access[]" {{ $dpchecked }} value="{{ $dp->cid }}">
                    </td>
                    <td class="usertablerows14px">
                        <input type="checkbox" name="al_access[]" {{ $alchecked }} value="{{ $dp->cid }}">
                    </td>
                </tr>
            @endforeach
        </table>
        <input type="hidden" name="pid" value="{{ $pid }}">
    </form>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-primary" onclick="updateInboundSalesRepAccess(event, '{{ $pid }}')" id="update_sales_rep_access_button">Save</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div>
