<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">
        @if($header_title == '')
            Schedule Calls
        @else
            {{ $header_title }}
        @endif
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <form id="form-users" name="form-users">
            @csrf
            <div class="form-row">

                <div class="form-group col-md-6">
                    <label for="coid">{{ __('Call Type') }}</label>
                    <select class="form-control" id="call_type" name="call_type" required="">
                        <option value="">Select...</option>
                        @include('inputs.select_options', ['options' => $calltypes_options, 'value_selected' => ''])
                    </select>
                </div>
                <div class="form-group col-md-6">
                    <label for="date_added">{{ __('Starting At') }}</label>
                    <input type="text" id="date_added" name="date_added" class="form-control need-validation-inputs" placeholder="Starting From" required value="{{date('m/d/Y')}}" maxlength="191">
                </div>
            </div>
        </form>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Schedule Calls</button>
</div>

<script type="text/javascript">
    
    $('#date_added').datepicker({
        language: "en",
        autoclose: true
    });

    
</script>