<form method="POST" id="request_schedule_change_form" action="" class="needs-validation" novalidate>
    <fieldset id="schedule_change_disable_form_fieldset">
    @csrf
    <div class="modal-header">
        <span class="modal-title" id="CompanyDetailsModal"><strong>Request change for {{ date('m/d/Y', strtotime($caller_schedule->date_scheduled)) }}</strong></span>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div id="modal_dynamic_content">
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="hours_from">{{ __('From') }}</label>
                    <input type="text" id="hours_from" name="hours_from" class="form-control need-validation-inputs" placeholder="Hours" required value="{{ $caller_schedule->available_hours }}" maxlength="191" readonly>
                    <div class="invalid-feedback">
                        Please provide the hours.
                    </div>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="hours_to">{{ __('To') }}</label>
                    <input type="text" id="hours_to" name="hours_to" class="form-control need-validation-inputs" placeholder="Hours" required value="" maxlength="191">
                    <div class="invalid-feedback">
                        Please provide the hours.
                    </div>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="reason">{{ __('Reason') }}</label>
                    <textarea class="form-control" id="reason" name="reason"></textarea>
                    <div class="invalid-feedback">
                        Please provide the admin notes.
                    </div>
                </div>
            </div>
        </div>
        <input type="hidden" name="caller_schedule_id" id="caller_schedule_id" value="{{ $caller_schedule->id }}">
        <input type="hidden" name="caller_schedule_user_id" id="caller_schedule_user_id" value="{{ $caller_schedule->user_id }}">
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        <button type="submit" class="btn btn-primary" id="schedule_change_submit_form">Save</button>
    </div>
    </fieldset>
</form>