<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">
        @if($header_title == '')
            Schedule Emails
        @else
            {{ $header_title }}
        @endif
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <form id="form-users" name="form-users">
            @csrf
            <div class="form-row">

                <div class="form-group col-md-12">
                    <label for="email_subject">{{ __('Subject') }}</label>
                    <input type="text" id="email_subject" name="email_subject" class="form-control need-validation-inputs" placeholder="Subject" required value="" maxlength="191">
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="email_content">{{ __('Content') }}</label>
                    <textarea name="" id="email_content" name="email_content" class="form-control need-validation-inputs" required></textarea>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="date_added">{{ __('Starting At') }}</label>
                    <input type="text" id="date_added" name="date_added" class="form-control need-validation-inputs" placeholder="Starting From" required value="{{date('m/d/Y')}}" maxlength="191">
                </div>
            </div>
        </form>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Schedule Emails</button>
</div>

<script type="text/javascript">
    
    $('#date_added').datepicker({
        language: "en",
        autoclose: true
    });

    
</script>