<div class="container">
    <div class="row">
        <div class="col">
            <strong>VIN:</strong> 
            {{ $vin_info->vin }}
        </div>
    </div>
    @if($type == 'ghosted')
        <?php 
            switch ($vin_info->customer_status) {
                case '20':
                    $ghosted_vin_reason = 'No Longer Owns';
                    break;
                case '33':
                    $ghosted_vin_reason = 'Servicing Elsewhere';
                    break;
                case '35':
                    $ghosted_vin_reason = 'Out Of State';
                    break;
                case '36':
                    $ghosted_vin_reason = 'Vehicle Destroyed';
                    break;
                case '44':
                    $ghosted_vin_reason = 'Vehicle Trade In';
                    break;
                
                default:
                    $ghosted_vin_reason = '';
                    break;
            }

        ?>
        <div class="row">
            <div class="col">
                <strong>Reason:</strong> {{ $ghosted_vin_reason }}
            </div>
        </div>
        <div class="row">
            <div class="col">
                <strong>Customer:</strong> {{ $vin_info->fname }} {{ $vin_info->lname }}
            </div>
        </div>
        <div class="row">
            <div class="col">
                <strong>Email:</strong> {{ $vin_info->email }}
            </div>
        </div>
        <div class="row">
            <div class="col">
                <strong>Phone:</strong> <?php print(preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $vin_info->phone));  ?>
            </div>
            <div class="col">
                <strong>Cell Phone:</strong> <?php print(preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $vin_info->cellphone));  ?>
            </div>
        </div>
        <div class="row">
            <div class="col">
                <strong>Notes:</strong> {{ $vin_info->comments }}
            </div>
        </div>
    @elseif($type == 'recall')
        <div class="row">
            <div class="col">
                <strong>Customer:</strong> {{ $vin_info->first_name }} {{ $vin_info->last_name }}
            </div>
        </div>
        <div class="row">
            <div class="col">
                <strong>Email:</strong> {{ $vin_info->email }}
            </div>
        </div>
        <div class="row">
            <div class="col">
                <strong>Phone:</strong> <?php print(preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $vin_info->phone));  ?>
            </div>
            <div class="col">
                <strong>Cell Phone:</strong> <?php print(preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $vin_info->cellphone));  ?>
            </div>
        </div>
        <div class="row">
            <div class="col">
                <strong>Type:</strong> {{ $vin_info->recall_code }}
            </div>
        </div>
        <div class="row">
            <div class="col">
                <strong>Notes:</strong> {{ $vin_info->notes }}
            </div>
        </div>
    @endif
</div>