<p>We have an alert for you:</p>

<table>
	<tbody>
		<tr>
			<td><strong>Call Date:</strong></td><td>{{ date('m/d/Y h:i a', strtotime($call->created_at) - 60 * 60 * 5) }}</td>
		</tr>
		<tr>
			<td><strong>Call Type:</strong></td><td>{{ $call->inbound_call_type }}</td>
		</tr>
		<tr>
			<td><strong>Resolution:</strong></td><td>{{ $call->inbound_resolution }}</td>
		</tr>
		<tr>
			<td><strong>Customer Name:</strong></td><td>{{ $call->first_name }} {{ $call->last_name }}</td>
		</tr>
		<tr>
			<td><strong>Phone:</strong></td><td>{{ $call->phone }}</td>
		</tr>
		<tr>
			<td><strong>Cell Phone:</strong></td><td>{{ $call->cellphone }}</td>
		</tr>
		<tr>
			<td><strong>Email:</strong></td><td>{{ $call->email }}</td>
		</tr>
		<tr>
			<td><strong>Vehicle:</strong></td><td>{{ $call->vehicle_year }} {{ $call->vehicle_make }} {{ $call->vehicle_model }}</td>
		</tr>
		<tr>
			<td><strong>VIN</strong></td><td>{{ $call->vin }}</td>
		</tr>
		@if($call->appointment_date != null)
			<tr>
				<td><strong>Appointment</strong></td><td>{{ date('m/d/Y H:i', strtotime($call->appointment_date)) }}</td>
			</tr>
		@endif
		
		<tr>
			<td><strong>Comments</strong></td><td>{{ $call->notes }}</td>
		</tr>
	</tbody>
</table>


<p>You can open a full history of your inbound calls by Clicking [inbound_last_calls_link].</p> 

<p>Bookmark this page as it refreshes every 2 minutes. REMEMBER TO Right Click and complete each call so your coworkers know the customer is taken care of.</p>

<h5><span style="color: #ff6600;">DISCLAIMER<br /> This information is brought to you by your Campus Callers/InboundBDC overflow support. Please remember we are here to catch calls you have missed while taking care of other customers. Our operators are not ASM's , Sales people or Managers. <br /> If you find any issues with this call please contact ASAP. </span></h5>

<h5><span style="color: #ff6600;">We cannot fix anything we do not know is broken.<br /> <br /> <br /> Thanks for being our customer and allowing us to serve you.<br /> <br /> <br /> Your Campus Callers Team!</span></h5>