<table class="table table-striped">
    <thead>
        <tr>
            <th>Name</th>
            <th>Phone</th>
            <th class="table_cell_content">Cell Phone</th>
            <th class="table_cell_content">Email</th>
            <th class="table_cell_content">VIN</th>
            <th class="table_cell_content">Service Date</th>
            <th class="table_cell_content">Call Type</th>
            <th class="table_cell_content">Scheduled For</th>
            <th class="table_cell_content" style="text-align: center;">Show</th>
        </tr>
    </thead>
    <tbody>
        @foreach ($call_records as $call_record)
            <tr id="record_row_{{ $call_record->id }}">
                <td>{{ $call_record->fname }} {{ $call_record->lname }}</td>
                <td>{{ $call_record->phone }}</td>
                <td class="table_cell_content">{{ $call_record->cellphone }}</td>
                <td class="table_cell_content">{{ $call_record->email }}</td>
                <td class="table_cell_content">{{ $call_record->vin }}</td>
                <td class="table_cell_content">{{ $call_record->service_date }}</td>
                <td class="table_cell_content">
                    @if(isset($call_types_names[$call_record->livecall_next_calltype]))
                        <?php print($call_types_names[$call_record->livecall_next_calltype]); ?>
                    @endif
                </td>
                <td class="table_cell_content">{{ date('m/d/Y', strtotime($call_record->remind)) }}</td>
                <td align="center">
                    <button class="btn btn-primary btn-sm" onclick="showCallDialog(event, '{{ $call_record->id }}', '{{ $company->coid }}','call_records', '')"><i class="fas fa-search"></i></button>
                </td>
            </tr>
        @endforeach
    </tbody>
</table>