<table class="table table-striped">
    <tr>
        <th>Hour Range</th>
        <th>Monday</th>
        <th>Tuesday</th>
        <th>Wednesday</th>
        <th>Thursday</th>
        <th>Friday</th>
        <th>Saturday</th>
        <th>Sunday</th>
    </tr>
    <tr>
        <td>
            <strong>6:00 a.m. - 9:00 a.m.</strong>
        </td>
        <td>
            {{ $monday["6_9"] }}
        </td>
        <td>
            {{ $tuesday["6_9"] }}
        </td>
        <td>
            {{ $wednesday["6_9"] }}
        </td>
        <td>
            {{ $thursday["6_9"] }}
        </td>
        <td>
            {{ $friday["6_9"] }}
        </td>
        <td>
            {{ $saturday["6_9"] }}
        </td>
        <td>
            {{ $sunday["6_9"] }}
        </td>
    </tr>
    <tr>
        <td>
            <strong>9:01 a.m. - 12:00 a.m.</strong>
        </td>
        <td>
            {{ $monday["9_12"] }}
        </td>
        <td>
            {{ $tuesday["9_12"] }}
        </td>
        <td>
            {{ $wednesday["9_12"] }}
        </td>
        <td>
            {{ $thursday["9_12"] }}
        </td>
        <td>
            {{ $friday["9_12"] }}
        </td>
        <td>
            {{ $saturday["9_12"] }}
        </td>
        <td>
            {{ $sunday["9_12"] }}
        </td>
    </tr>
    <tr>
        <td>
            <strong>12:01 a.m. - 3:00 p.m.</strong>
        </td>
        <td>
            {{ $monday["12_15"] }}
        </td>
        <td>
            {{ $tuesday["12_15"] }}
        </td>
        <td>
            {{ $wednesday["12_15"] }}
        </td>
        <td>
            {{ $thursday["12_15"] }}
        </td>
        <td>
            {{ $friday["12_15"] }}
        </td>
        <td>
            {{ $saturday["12_15"] }}
        </td>
        <td>
            {{ $sunday["12_15"] }}
        </td>
    </tr>
    <tr>
        <td>
            <strong>3:01 p.m. - 6:00 p.m.</strong>
        </td>
        <td>
            {{ $monday["15_18"] }}
        </td>
        <td>
            {{ $tuesday["15_18"] }}
        </td>
        <td>
            {{ $wednesday["15_18"] }}
        </td>
        <td>
            {{ $thursday["15_18"] }}
        </td>
        <td>
            {{ $friday["15_18"] }}
        </td>
        <td>
            {{ $saturday["15_18"] }}
        </td>
        <td>
            {{ $sunday["15_18"] }}
        </td>
    </tr>
    <tr>
        <td>
            <strong>6:01 p.m. - 9:00 p.m.</strong>
        </td>
        <td>
            {{ $monday["18_21"] }}
        </td>
        <td>
            {{ $tuesday["18_21"] }}
        </td>
        <td>
            {{ $wednesday["18_21"] }}
        </td>
        <td>
            {{ $thursday["18_21"] }}
        </td>
        <td>
            {{ $friday["18_21"] }}
        </td>
        <td>
            {{ $saturday["18_21"] }}
        </td>
        <td>
            {{ $sunday["18_21"] }}
        </td>
    </tr>
</table>
<br>
<table class="table table-striped">
    <tr>
        <th>
            Customer
        </th>
        <th>
            Phone
        </th>
        <th>
            Cellphone
        </th>
        <th>
            Email
        </th>
        <th>
            Status
        </th>
        <th>
            Date
        </th>
        <th>
            Open
        </th>
    </tr>

    @foreach ($last_calls_sql as $res)
        <?php
            $uid       = $res->uid;
            $fname     = $res->fname;
            $lname     = $res->lname;
            $full_name = $fname." ".$lname;
            $phone     = $res->phone;
            $cellphone = $res->cellphone;
            $email     = $res->email;
            $vin       = $res->vin;
            
            $vehicle_year  = $res->vehicle_year;
            $vehicle_make  = $res->vehicle_make;
            $vehicle_model = $res->vehicle_model;
            
            $call_status              = $res->call_to_action;
            $lastupdate               = date("m/d H:i:s", strtotime($res->lastupdate));
            $appointment_notes_public = $res->appointment_notes_public;

            $vehicle_info = "";
            if($vehicle_year != "" || $vehicle_make != "" || $vehicle_model != "") {
                $vehicle_info.= ($vehicle_year != "")? "<br><strong>Vehicle Year:</strong> $vehicle_year"    : "";
                $vehicle_info.= ($vehicle_make != "")? "<br><strong>Vehicle Make:</strong> $vehicle_make"    : "";
                $vehicle_info.= ($vehicle_model != "")? "<br><strong>Vehicle Model:</strong> $vehicle_model" : "";
            }
            
            $send_alert_to  = $res->send_alert_to;
            $copy_alert_to  = $res->copy_alert_to;
            $dealer_notes   = $res->dealer_notes;
            $alert_sent_to  = [];
            $took_by_dealer = $res->took_by_dealer;
            $operator       = $res->operator;
            $calling_for    = $res->calling_for;
            
            $sms_cellphone_checked[] = '+1'.$cellphone;
            
            if($send_alert_to != "") {
                $alert_sent_to[] = $send_alert_to;
            }

            if($copy_alert_to != "") {
                $alert_sent_to[] = $copy_alert_to;
            }
            
            /* $multiple_urgent = getQuerySingleIB(
                $fields = "COUNT(uid) as num",
                $table = $dbtable,
                $where_query = " WHERE fname='$fname' AND vin = '$vin' AND phone = '$phone' AND call_to_action = 'Urgent' AND ".$where,
                $orderby = " "
            );
            $red_flaged = '';
            $total_pending = $multiple_urgent["num"];
            if($total_pending > 1) {
                $red_flaged = 'background-color:#FFCBCB';
            } */
            
            $alert_sent_to = implode(", ",$alert_sent_to);
            $alert_sent_to = (trim($alert_sent_to) == "")? "No Alert Sent" : $alert_sent_to;

            $open_sms_conversation_function = "startConversationFromCall(event, '1', 0, '$coid', '', '', '', '$cellphone');";
            $send_email_function            = "sendSingleCustomerEmailDialog(event, '$coid', '$email', 'inbound_records', '')";

            $sms_button   = ( ! empty( $cellphone ) ) ? '<span class="cursorpointer" style="font-size:20px;color:#1f7cc9" onclick=" ' . $open_sms_conversation_function . ' "><i class="fas fa-sms"></i></span>' : '';
            $email_button = ( ! empty( $email ) ) ? '<span class="cursorpointer" style="font-size:20px;color:#1f7cc9" onclick=" ' . $send_email_function . ' "><i class="fas fa-envelope-square"></i></span>' : '';

            $operator_text = '';
            if( ! empty( $operator ) ) {
                $operator_text = '<br><strong>Operator:</strong>
                                <span style="font-size:11px">'.$sales_person_names[ $operator ].'</span>
                                ';
            }

            $calling_for_text = '';
            if( ! empty( $calling_for ) ) {
                $calling_for_text = '
                                <br><strong>Calling for:</strong>
                                <span style="font-size:11px">'.$sales_person_names[ $calling_for ].'</span>';
            }

        ?>

        <tr>
            <td>
                {{ $full_name }}
            </td>
            <td>
                {{ $phone }}
            </td>
            <td>
                {{ $cellphone }} <?php print( $sms_button ); ?>
            </td>
            <td>
                {{ $email }} <?php print( $email_button ); ?>
            </td>
            <td>
                @if($call_status == "Completed")
                    <i class="fas fa-check-circle fa-2x" style="color:#1ac450" title="{{ $call_status }}"></i>
                @else
                    <i class="fas fa-exclamation-triangle fa-2x" style="color:#ff5454" title="{{ $call_status }}"></i>
                @endif
            </td>
            <td>
                {{ $lastupdate }}
            </td>
            <td class="cursorpointer text-center" onclick="takeInboundCall(event, '{{ $coid }}', '{{ $uid }}')"><i class="fas fa-search-plus" aria-hidden="true"></i></td>
        </tr>
        <tr>
            <td colspan="4">
                <strong>Call Comments:</strong><br>
                <span style="font-size:11px"><?php print( $appointment_notes_public ); ?></span>
                <?php print( $vehicle_info ); ?>
                <?php print( $operator_text ); ?>
                <?php print( $calling_for_text ); ?>
            </td>
            <td colspan="3">
                <?php print( $dealer_notes ); ?>
            </td>
        </tr>
    @endforeach
</table>