<table class="table table-striped">
    <thead>
        <tr>
            <th colspan="2">GLOBAL STATS</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>Best Connect Day:</td>
            <td>{{ $best_day }} ({{ number_format($best_day_perc, 2) }}%)</td>
        </tr>
        <tr>
            <td>Best Connect Time:</td>
            <td>{{ $best_time }} {{ $best_time_count }} connections - ({{ number_format($best_time_perc, 2) }}%)</td>
        </tr>
        <tr>
            <td>Worst Connect Day:</td>
            <td>{{ $worst_day }} ({{ number_format($worst_day_perc, 2) }}%)</td>
        </tr>
        <tr>
            <td>Worst Connect Time:</td>
            <td>{{ $worst_time }} {{ $worst_time_count }} connections - ({{ number_format($worst_time_perc, 2) }}%)</td>
        </tr>
    </tbody>
</table>

<table class="table table-striped">
    <thead>
        <tr>
            <th colspan="3">DAILY STATS</th>
        </tr>
        <tr>
            <th>DAY</th>
            <th>CONNECT RATIO</th>
            <th>BEST TIME RANGE</th>
        </tr>
    </thead>
    <tbody>
        @foreach($totalDaysArray as $key=>$value)
            @php
                $day_perc = ($totalDaysArray[$key]["total_connect"] * 100) / $totalDaysArray[$key]["total"];
                $best_time = $totalDaysArray[$key]["max_interval"];
                $total_day = $totalDaysArray[$key]["total"];
                $total_connect = $totalDaysArray[$key]["total_connect"];
                $best_time_count = $totalDaysArray[$key]["max_interval_count"];
            @endphp
            <tr>
                <td>{{ $day_label[$key] }}</td>
                <td>{{ $total_connect }} out of {{ $total_day }} {{ number_format($day_perc, 2) }}%</td>
                <td>{{ $best_time }} ({{ $best_time_count }} connections)</td>
            </tr>
        @endforeach
    </tbody>
</table>