<table class="table table-striped">
    <thead>
        <tr>
            <th>Today</th>
            <th>Month to Date</th>
            <th>Date Range</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>{{ $total_emails_farmed_today }}</td>
            <td>{{ $total_emails_farmed_month_to_date }}</td>
            <td>{{ $total_emails_farmed_month }}</td>
        </tr>
    </tbody>
</table>
<br>
<br>
<table class="table table-striped">
    <thead>
        <tr>
            <th>Name</th>
            <th>Phone</th>
            <th>Email</th>
            <th>Year</th>
            <th>Make</th>
            <th>Model</th>
            <th>VIN</th>
            <th>RO</th>
            <th>Customer Status</th>
            <th>Call Type</th>
            <th>Open</th>
        </tr>
    </thead>
    <tbody>
        @foreach ($livecalls as $record)
            <tr>
                <td>
                    {{ $record->fname }} {{ $record->lname }}
                </td>
                <td>
                    {{ $record->phone }}
                </td>
                <td>
                    {{ $record->email }}
                </td>
                <td>
                    {{ $record->vehicle_year }}
                </td>
                <td>
                    {{ $record->vehicle_make }}
                </td>
                <td>
                    {{ $record->vehicle_model }}
                </td>
                <td>
                    {{ $record->vin }}
                </td>
                <td>
                    {{ $record->RO }}
                </td>
                @php
                    $iconurl         = $customer_status_icons[ $record->customer_status ];
                    $customer_status = ( $iconurl != "" ) ? '<img src="https://login.fullbdc.com/images/' . $iconurl . '" title="'. $customer_status_texts[ $record->customer_status ] . '">' : $customer_status_texts[ $record->customer_status ];

                    $ctypeicon = $call_types_icons[ $record->livecall_prev_calltype ];
                    $calltype  = ( $ctypeicon != "" )? '<img src="https://login.fullbdc.com/images/' . $ctypeicon . '" title="'.$call_types_texts[ $record->livecall_prev_calltype ].'">' : $call_types_texts[ $record->livecall_prev_calltype ];
                    $is_dnc_record = ( ! empty( $record->global_dnc ) ||  ! empty( $record->dealer_dnc ) )? true : false;
                @endphp
                <td align="center">
                    @php
                        print( $customer_status );
                    @endphp
                </td>
                <td align="center">
                    @php
                        print( $calltype );
                    @endphp
                </td>
                <td align="center">
                    <button class="btn btn-primary btn-sm" onclick="showCallDialog(event, '{{ $record->id }}', '{{ $coid }}','call_records', '', {{ $is_dnc_record }})"><i class="fas fa-search"></i></button>
                </td>
            </tr>
            <tr>
                <td colspan="10">{{ $record->caller_comments }}</td>
            </tr>
        @endforeach
    </tbody>
</table>