<p>
    <strong>Total emails sent:</strong> {{ $emails_sent_total }}
</p>
<p>
    <strong>Total seen:</strong> {{ $total_seen }}
</p>

<table class="table table-striped">
    <thead>
        <tr>
            <th>Customer</th>
            <th>Phone</th>
            <th>Email</th>
            <th>Vehicle</th>
            <th>VIN</th>
            <th>RO</th>
            <th>Sent</th>
            @if(Auth::user()->user_type->name == 'Admin') 
                <th>Seen</th>
            @endif
        </tr>
    </thead>
    <tbody>
        @foreach ($sent_reminders as $sent_reminder)
            <tr id="reminder_{{ $sent_reminder->record_id }}">
                <td>
                    {{ $sent_reminder->first_name }} {{ $sent_reminder->last_name }}
                </td>
                <td>
                    {{ $sent_reminder->phone }}
                </td>
                <td>
                    {{ $sent_reminder->email }}
                </td>
                <td>
                    {{ $sent_reminder->vehicle_year }} {{ $sent_reminder->vehicle_make }} {{ $sent_reminder->vehicle_model }}
                </td>
                <td>
                    {{ $sent_reminder->vin }}
                </td>
                <td>
                    {{ $sent_reminder->ro }}
                </td>
                <td align="center">
                    {{ date('m/d/Y', strtotime($sent_reminder->date_sent)) }}
                </td>
                @if(Auth::user()->user_type->name == 'Admin') 
                    <td align="center">
                        @if($sent_reminder->date_seen != null && $sent_reminder->date_seen != '0000-00-00 00:00:00')
                            {{ date('m/d/Y', strtotime($sent_reminder->date_seen)) }}
                        @else
                            ---
                        @endif
                    </td>
                @endif
            </tr>
        @endforeach
    </tbody>
</table>