<?php if( empty($export_type) ): ?>
    <table class="table table-striped">
        <thead>
            <tr>
                <th colspan="2">Question</th>
                <th>Yes</th>
                <th>No</th>
            </tr>
        </thead>
        <tbody>
            <?php
                $i = 1;
            ?>
            <?php $__currentLoopData = $questions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $q): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><strong>Question <?php echo e($i); ?></strong></td>
                    <td><?php echo e($question_texts[$q->id]); ?></td>
                    <td><?php echo e($question_count[$q->id]['Yes']); ?></td>
                    <td><?php echo e($question_count[$q->id]['No']); ?></td>
                    <?php
                        $i++;
                    ?>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php
                $table_totals = $grand_total_yes + $grand_total_no;
                $grand_total_yes_percent = ($grand_total_yes * 100) / $table_totals;
                $grand_total_no_percent = ($grand_total_no * 100) / $table_totals;
            ?>
            <tr>
                <td colspan="2"><strong>Totals:</strong></td>
                <td><?php echo e($grand_total_yes); ?> (<?php print(number_format($grand_total_yes_percent, 2) )?> %)</td>
                <td><?php echo e($grand_total_no); ?> (<?php print(number_format($grand_total_no_percent, 2) )?> %)</td>
            </tr>
        </tbody>
    </table>
    <br>
    <br>
    <table class="table table-striped">
<?php else: ?>
    <table>
<?php endif; ?>

    <thead>
        <tr>
            <th>Name</th>
            <th>Phone</th>
            <th>Email</th>
            <th>Year</th>
            <th>Make</th>
            <th>Model</th>
            <th>VIN</th>
            <th>Service Date</th>
            <?php if( ! empty($export_type) ): ?>
                <th>Caller Comments</th>
            <?php endif; ?>
            <?php
                $i = 1;
            ?>
            <?php $__currentLoopData = $questions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $q): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <th>Question <?php echo e($i); ?></th>
                    <?php
                        $i++;
                    ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php if( empty($export_type) ): ?>
                <th>Open</th>
            <?php endif; ?>
        </tr>
    </thead>
    <tbody>
        <?php $__currentLoopData = $livecalls; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $record): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td>
                    <?php echo e($record->fname); ?> <?php echo e($record->lname); ?>

                </td>
                <td>
                    <?php echo e($record->phone); ?>

                </td>
                <td>
                    <?php echo e($record->email); ?>

                </td>
                <td>
                    <?php echo e($record->vehicle_year); ?>

                </td>
                <td>
                    <?php echo e($record->vehicle_make); ?>

                </td>
                <td>
                    <?php echo e($record->vehicle_model); ?>

                </td>
                <td>
                    <?php echo e($record->vin); ?>

                </td>
                <td>
                    <?php echo e($record->service_date); ?>

                </td>
                <?php if( ! empty($export_type) ): ?>
                    <td><?php print( htmlentities($record->caller_comments)); ?></td>
                <?php endif; ?>
                <?php
                    $i = 1;
                ?>
                <?php $__currentLoopData = $questions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $q): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <td><?php echo e($answers[ $record->id ][ $q->id ]); ?></td>
                        <?php
                            $i++;
                        ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php
                    $is_dnc_record = ( ! empty( $record->global_dnc ) ||  ! empty( $record->dealer_dnc ) )? true : false;
                ?>
                <?php if( empty($export_type) ): ?>
                    <td align="center">
                        <button class="btn btn-primary btn-sm" onclick="showCallDialog(event, '<?php echo e($record->id); ?>', '<?php echo e($coid); ?>','call_records', '', <?php echo e($is_dnc_record); ?>)"><i class="fas fa-search"></i></button>
                    </td>
                <?php endif; ?>
            </tr>
            <?php if( empty($export_type) ): ?>
                <tr>
                    <?php
                        $colspan = 8 + $questions->count();
                    ?>
                    <td colspan="<?php echo e($colspan); ?>"><?php print($record->caller_comments); ?></td>
                </tr>
            <?php endif; ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/reports/survey_report.blade.php ENDPATH**/ ?>