
<?php $__env->startSection('styles'); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Last Calls</div>
                <div class="card-body">
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div class="alert alert-danger" id="account_settings_error" style="display:none">
                      Something went wrong...
                      <ul></ul>
                    </div>
                    <div class="form-group row">
                        <div class="col-md-12 text-center">
                            <div id="success"></div>
                        </div>
                    </div>
                    <form method="POST" id="add_form" action="" class="needs-validation" novalidate>
                        <fieldset id="disable_form_fieldset">
                        <?php echo csrf_field(); ?>
                        <div class="form-row">
                            <div class="form-group col-md-2">
                                <label for="coid"><?php echo e(__('Dealer')); ?></label>
                                <select class="form-control need-validation-inputs" id="coid" name="coid" required>
                                    <?php echo $__env->make('inputs.select_options', ['options' => $dealers_options, 'value_selected' => ''], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="start_date_search"><?php echo e(__('Start Date')); ?></label>
                                <input type="text" class="form-control search_datepicker_inputs" name="start_date_search" id="start_date_search" value="<?php echo e(date('m/d/Y')); ?>">
                                <div class="invalid-feedback">
                                    Provide start date.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="end_date_search"><?php echo e(__('End Date')); ?></label>
                                <input type="text" class="form-control search_datepicker_inputs" name="end_date_search" id="end_date_search" value="<?php echo e(date('m/d/Y')); ?>">
                                <div class="invalid-feedback">
                                    Provide end date.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="calltype_search"><?php echo e(__('Call Type')); ?></label>
                                <select class="form-control" id="calltype_search" name="calltype_search" required>
                                    <option value="all">All</option>
                                    <?php echo $__env->make('inputs.select_options', ['options' => $calltypes, 'value_selected' => ''], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                                <div class="invalid-feedback">
                                    Provide a call type.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="resolution_search"><?php echo e(__('Resolution')); ?></label>
                                <select class="form-control" id="resolution_search" name="resolution_search" required>
                                    <option value="all">All</option>
                                    <?php echo $__env->make('inputs.select_options', ['options' => $resolutions, 'value_selected' => ''], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                                <div class="invalid-feedback">
                                    Provide a call type.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="status_search"><?php echo e(__('Status')); ?></label>
                                <select class="form-control" id="status_search" name="status_search" required>
                                    <option value="all">All</option>
                                    <option value="Completed">Completed</option>
                                    <option value="Urgent">Urgent</option>
                                </select>
                                <div class="invalid-feedback">
                                    Provide a call type.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="value_search"><?php echo e(__('Search')); ?></label>
                                <div class="input-group">
                                    <input type="text" id="value_search" name="value_search" class="form-control need-validation-inputs" name="search" >
                                    <div class="input-group-append">
                                        <button type="submit" id="submit_search" onclick="searchInboundLastCalls(event)" class="btn btn-secondary">
                                            <i class="fas fa-search" aria-hidden="true"></i>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div> 
                        </fieldset>
                    </form>
                    <br />
                    <div id="last_calls_container"></div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts_extra'); ?>
    
    <script type="text/javascript">
        $('#start_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

        $('#end_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

    </script>
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/pages/last_calls.blade.php ENDPATH**/ ?>