<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">
        <?php if($header_title == ''): ?>
            Schedule Emails
        <?php else: ?>
            <?php echo e($header_title); ?>

        <?php endif; ?>
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <form id="form-users" name="form-users">
            <?php echo csrf_field(); ?>
            <div class="form-row">

                <div class="form-group col-md-12">
                    <label for="email_subject"><?php echo e(__('Subject')); ?></label>
                    <input type="text" id="email_subject" name="email_subject" class="form-control need-validation-inputs" placeholder="Subject" required value="" maxlength="191">
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="email_content"><?php echo e(__('Content')); ?></label>
                    <textarea name="" id="email_content" name="email_content" class="form-control need-validation-inputs" required></textarea>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="date_added"><?php echo e(__('Starting At')); ?></label>
                    <input type="text" id="date_added" name="date_added" class="form-control need-validation-inputs" placeholder="Starting From" required value="<?php echo e(date('m/d/Y')); ?>" maxlength="191">
                </div>
            </div>
        </form>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Schedule Emails</button>
</div>

<script type="text/javascript">
    
    $('#date_added').datepicker({
        language: "en",
        autoclose: true
    });

    
</script><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/schedule_email.blade.php ENDPATH**/ ?>