<table class="table table-striped">
    <thead>
        <tr>
            <th>Name</th>
            <th>Phone</th>
            <th class="table_cell_content">Cell Phone</th>
            <th class="table_cell_content">Email</th>
            <th class="table_cell_content">VIN</th>
            <th class="table_cell_content">Service Date</th>
            <th class="table_cell_content">Call Type</th>
            <?php if($record_type == 'completed'): ?>
                <th class="table_cell_content">Call Date</th>
                <th class="table_cell_content text-center">Customer Status</th>
            <?php elseif($record_type == 'pending'): ?>
                <th class="table_cell_content">Scheduled For</th>
            <?php elseif($record_type == 'all'): ?>
                <th class="table_cell_content">Record Date</th>
            <?php endif; ?>
            <th class="table_cell_content" style="text-align: center;">Show</th>
            <?php if($record_type == 'pending'): ?>
                <th class="table_cell_content" style="text-align: center;">Close</th>
            <?php endif; ?>
        </tr>
    </thead>
    <tbody>
        <?php $__currentLoopData = $call_records; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $call_record): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $is_dnc_record = ( ! empty( $call_record->global_dnc ) ||  ! empty( $call_record->dealer_dnc ) )? true : false;
                $dnc_style = ( ! empty( $call_record->global_dnc ) ||  ! empty( $call_record->dealer_dnc ) )? 'background-color: #fa8272' : '';
            ?>
            <tr id="record_row_<?php echo e($call_record->id); ?>" style="<?php echo e($dnc_style); ?>">
                <td><?php echo e($call_record->fname); ?> <?php echo e($call_record->lname); ?></td>
                <td><?php echo e($call_record->phone); ?></td>
                <td class="table_cell_content"><?php echo e($call_record->cellphone); ?></td>
                <td class="table_cell_content"><?php echo e($call_record->email); ?></td>
                <td class="table_cell_content"><?php echo e($call_record->vin); ?></td>
                <td class="table_cell_content"><?php echo e($call_record->service_date); ?></td>
                <?php if($record_type == 'completed'): ?>
                    <td class="table_cell_content">
                        <?php if(isset($call_types_names[$call_record->livecall_prev_calltype])): ?>
                            <?php print($call_types_names[$call_record->livecall_prev_calltype]); ?>
                        <?php endif; ?>
                    </td>
                    <td class="table_cell_content"><?php echo e(date('m/d/Y H:i', strtotime($call_record->lastupdate))); ?></td>
                    <td class="table_cell_content text-center">
                        <?php if(isset($customer_status_icons[$call_record->customer_status])): ?>
                            <img src="images/icons/<?php echo e($customer_status_icons[$call_record->customer_status]); ?>" class="cursorpointer" data-toggle="tooltip" data-placement="top" title="<?php echo e($customer_status_names[$call_record->customer_status]); ?>">
                        <?php endif; ?>
                    </td>

                <?php elseif($record_type == 'pending'): ?>
                    <td class="table_cell_content">
                        <?php if(isset($call_types_names[$call_record->livecall_next_calltype])): ?>
                            <?php print($call_types_names[$call_record->livecall_next_calltype]); ?>
                        <?php endif; ?>
                    </td>
                    <td class="table_cell_content"><?php echo e(date('m/d/Y', strtotime($call_record->remind))); ?></td>
                <?php elseif($record_type == 'all'): ?>
                    <td class="table_cell_content">
                        <?php if(isset($call_types_names[$call_record->livecall_next_calltype])): ?>
                            <?php print($call_types_names[$call_record->livecall_next_calltype]); ?>
                        <?php elseif(isset($call_types_names[$call_record->livecall_prev_calltype])): ?>
                            <?php print($call_types_names[$call_record->livecall_prev_calltype]); ?>
                        <?php endif; ?>
                    </td>
                    <td class="table_cell_content"><?php echo e(date('m/d/Y', strtotime($call_record->dateadded))); ?></td>
                <?php endif; ?>
                <td align="center">

                    <button class="btn btn-primary btn-sm" id="caller_comments_<?php echo e($call_record->id); ?>" data-toggle="popover" title="Caller Comments" data-content="No comments." onmouseover="showCallerCommentsPopOverDialog(event, '<?php echo e($call_record->id); ?>')" onclick="showCallDialog(event, '<?php echo e($call_record->id); ?>', '<?php echo e($company->coid); ?>','call_records', '', <?php echo e($is_dnc_record); ?>)"><i class="fas fa-search"></i></button>
                    <div style="display: none" id="caller_comments_content_<?php echo e($call_record->id); ?>"><?php print($call_record->caller_comments); ?></div>
                </td>
                <?php if($record_type == 'pending'): ?>
                    <td align="center">
                        <button class="btn btn-danger btn-sm" id="close_call_<?php echo e($company->coid); ?>_<?php echo e($call_record->id); ?>" title="Close Call" onclick="closeCallSimple(event, '<?php echo e($company->coid); ?>', '<?php echo e($call_record->id); ?>', 'close_call')"><i class="fa fa-minus-circle"></i></button>
                    </td>
                <?php endif; ?>
            </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table>
<?php echo e($call_records->links()); ?><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/lists/call_records_list.blade.php ENDPATH**/ ?>