<div class="modal-header">
    <h5 class="modal-title">
        Links
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <div class="alert alert-danger print-error-msg" style="display:none">
            <ul></ul>
        </div>
        <form id="ib_sales_rep_form" name="ib_sales_rep_form">
            <?php echo csrf_field(); ?>
            <table id="ib_sales_rep_list" class="table">
                <thead>
                    <tr>
                        <th class="headertags14px">Title</th>
                        <th class="headertags14px">Url</th>
                        <th class="headertags14px">Comments</th>
                        <th class="headertags14px">Icon</th>
                        <th class="headertags14px">Delete</th>
                     </tr>
                </thead>
                <tbody>
                        <?php $__currentLoopData = $links; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                    <input type="hidden" name="links_ids[]" value="<?php echo e($value->uid); ?>">
                                    <input type="text" name="title[]" class="form-control" placeholder="Title" value="<?php echo e($value->title); ?>">
                                </td>
                                <td>
                                    <input type="text" name="url[]" class="form-control" placeholder="URL" value="<?php echo e($value->url); ?>">
                                </td>
                                <td>
                                    <textarea name="comments[]" class="form-control" placeholder="Comments"><?php echo e($value->comments); ?></textarea>
                                </td>
                                <td>
                                    <?php if( ! empty( $value->icon ) ): ?>
                                        <img src="https://fullbdc.com/images/<?php echo e($value->icon); ?>" onclick="changeInboundLinkIcon('<?php echo e($value->uid); ?>')">
                                    <?php else: ?>
                                        <span onclick="changeInboundLinkIcon('<?php echo e($value->uid); ?>')" class="pointer">No icon set</span>
                                    <?php endif; ?>
                                    <input type="hidden" name="icon[]" value="<?php echo e($value->icon); ?>">
                                </td>
                                <td align="center">
                                    <span class="cursorpointer" onclick="deleteInboundLink(event, '<?php echo e($value->uid); ?>')" ><i class="fas fa-trash-alt" aria-hidden="true"></i></span>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </form>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-success" onclick="saveInboundLinks(event, '<?php echo e($coid); ?>');" id="save_ib_sr_button">Save</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/inbound_links.blade.php ENDPATH**/ ?>