<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">File Template</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <table class="table table-striped" style="font-size: 12px; width:300px">
            <thead>
                <tr>
                    <th>
                        Column
                    </th>
                    <th>
                        Value
                    </th>
                    <th>
                        <span class="cursorpointer" onclick="addTemplateColumn(event)"><i class="fas fa-plus-circle" style="font-size: 20px"></i></span>
                    </th>
                </tr>
            </thead>
            <tbody id="added_template_columns_table">
                <?php $__currentLoopData = $added_columns; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td>
                            <select class="added_template_column">
                                <option value="recall_code" <?php if($key == 'recall_code'): ?> selected <?php endif; ?>>Recall Code</option>
                                <option value="vehicle_make" <?php if($key == 'vehicle_make'): ?> selected <?php endif; ?>>Vehicle Make</option>
                            </select>
                        </td>
                        <td>
                            <input type="text" class="added_template_column_value" value="<?php echo e($value); ?>">
                        </td>
                        <td><span class="cursorpointer delete_added_column_template"><i class="fas fa-trash-alt"></i></span></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
        <br>
        <br>
        <table class="table table-striped" style="font-size: 12px">
            <thead>
                <tr>
                    <?php $__currentLoopData = $column_templates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $column): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <th>
                            <?php 
                                print($column); 
                            ?>
                        </th>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $file_rows; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <?php $__currentLoopData = $row; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <td><?php echo e($value); ?></td>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-primary" onclick="saveFileTemplate(event)" id="save_file_template_button">Save</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
    <input type="hidden" id="orig_filename_template" name="orig_filename_template" value="<?php echo e($orig_filename); ?>">
</div><?php /**PATH C:\xampp3\htdocs\ghostvin_app\resources\views/dialogs/file_template.blade.php ENDPATH**/ ?>