<form method="POST" id="make_call_form" action="" class="needs-validation" novalidate>
    <fieldset id="disable_form_fieldset">
    <?php echo csrf_field(); ?>
    <div class="modal-header" style="background-color: #1F497D;color: #fff">
        <h5 class="modal-title" id="CompanyDetailsModal">
            Making call for <?php echo e($company->co_name); ?>

            <span class="btn btn-danger"><span id="call_timer"><?php echo e($time_on_call); ?></span> <i class="far fa-clock"></i></span>
        </h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close" style="color: #fff">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div id="modal_dynamic_content" style="font-size: 12px">
            <div class="alert alert-danger print-error-msg" style="display:none">
                <ul></ul>
            </div>
            
            <fieldset class="call_form_fieldset">
                <legend class="call_form_legend">General Information</legend>
                <div class="form-row">
                    <div class="form-group col-md-2">
                        <label for="caller_id" style="font-weight: bold;"><?php echo e(__('Your Caller ID Should be:')); ?></label>
                        <div id="caller_id"><?php echo e($caller_id); ?></div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="owner" style="font-weight: bold;"><?php echo e(__('Owner:')); ?></label>
                        <div id="owner"></div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="service_mgr_name" style="font-weight: bold;"><?php echo e(__('Service Manager:')); ?></label>
                        <div id="service_mgr_name"><?php echo e($company->service_mgr_name); ?></div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="sales_mgr_name" style="font-weight: bold;"><?php echo e(__('Sales Manager:')); ?></label>
                        <div id="sales_mgr_name"><?php echo e($company->sales_mgr_name); ?></div>
                    </div>
                    <div class="form-group col-md-1">
                        <label for="service_phone" style="font-weight: bold;"><?php echo e(__('Service Phone:')); ?></label>
                        <div id="service_phone"><?php echo e($company->service_phone); ?></div>
                    </div>
                    <div class="form-group col-md-1">
                        <label for="sales_phone" style="font-weight: bold;"><?php echo e(__('Sales Phone:')); ?></label>
                        <div id="sales_phone"><?php echo e($company->sales_phone); ?></div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="dealer_website" style="font-weight: bold;"><?php echo e(__('Dealer Website:')); ?></label>
                        <div id="dealer_website"><?php echo e($company->dealer_website); ?></div>
                    </div>
                </div>

                <div class="form-row">
                    <?php $hidden_input = ($record->sales_rep != '')? '':';display:none' ?>
                    <div class="form-group col-md-3" style="<?php echo e($hidden_input); ?>">
                        <label for="sales_rep" style="font-weight: bold;"><?php echo e(__('Sales Rep')); ?></label>
                        <input type="text" id="sales_rep" name="sales_rep" class="form-control form-control-sm need-validation-inputs" placeholder="Sales Rep" value="<?php echo e($record->sales_rep); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a sales rep.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->service_advisor != '')? '':';display:none' ?>
                    <div class="form-group col-md-3" style="<?php echo e($hidden_input); ?>">
                        <label for="service_advisor" style="font-weight: bold;"><?php echo e(__('Service Advisor')); ?></label>
                        <input type="text" id="service_advisor" name="service_advisor" class="form-control form-control-sm need-validation-inputs" placeholder="Service Advisor" value="<?php echo e($record->service_advisor); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a service advisor.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->sale_date != '')? '':';display:none' ?>
                    <div class="form-group col-md-1" style="<?php echo e($hidden_input); ?>">
                        <label for="sale_date" style="font-weight: bold;"><?php echo e(__('Sale Date')); ?></label>
                        <input type="text" id="sale_date" name="sale_date" class="form-control form-control-sm need-validation-inputs" placeholder="Sale Date" value="<?php echo e($record->sale_date); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a sale date.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->sale_apt_date != '')? '':';display:none' ?>
                    <div class="form-group col-md-1" style="<?php echo e($hidden_input); ?>">
                        <label for="sale_apt_date" style="font-weight: bold;"><?php echo e(__('Sales Apt Date')); ?></label>
                        <input type="text" id="sale_apt_date" name="sale_apt_date" class="form-control form-control-sm need-validation-inputs" placeholder="Sales Apt Date" value="<?php echo e($record->sale_apt_date); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide an appointment date.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->service_date != '')? '':';display:none' ?>
                    <div class="form-group col-md-1" style="<?php echo e($hidden_input); ?>">
                        <label for="service_date" style="font-weight: bold;"><?php echo e(__('Service Date')); ?></label>
                        <input type="text" id="service_date" name="service_date" class="form-control form-control-sm need-validation-inputs" placeholder="Service Date" value="<?php echo e($record->service_date); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a service date.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->lead_date != '')? '':';display:none' ?>
                    <div class="form-group col-md-1" style="<?php echo e($hidden_input); ?>">
                        <label for="lead_date" style="font-weight: bold;"><?php echo e(__('Lead Date')); ?></label>
                        <input type="text" id="lead_date" name="lead_date" class="form-control form-control-sm need-validation-inputs" placeholder="Lead Date" value="<?php echo e($record->lead_date); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a lead date.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->service_apt_date != '')? '':';display:none' ?>
                    <div class="form-group col-md-1" style="<?php echo e($hidden_input); ?>">
                        <label for="service_apt_date" style="font-weight: bold;"><?php echo e(__('Service Apt Date')); ?></label>
                        <input type="text" id="service_apt_date" name="service_apt_date" class="form-control form-control-sm need-validation-inputs" placeholder="Service Apt Date" value="<?php echo e($record->service_apt_date); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a service appointment date.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->service_apt_time != '')? '':';display:none' ?>
                    <div class="form-group col-md-1" style="<?php echo e($hidden_input); ?>">
                        <label for="service_apt_time" style="font-weight: bold;"><?php echo e(__('Service Apt Time')); ?></label>
                        <input type="text" id="service_apt_time" name="service_apt_time" class="form-control form-control-sm need-validation-inputs" placeholder="Service Apt Time" value="<?php echo e($record->service_apt_time); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a service appointment time.
                        </div>
                    </div>
                </div>



                <div class="form-row">
                    <div class="form-group col-md-2">
                        <label for="vehicle_year" style="font-weight: bold;"><?php echo e(__('Year')); ?></label>
                        <input type="text" id="vehicle_year" name="vehicle_year" class="form-control form-control-sm need-validation-inputs" placeholder="Year" value="<?php echo e($record->vehicle_year); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a vehicle year.
                        </div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="vehicle_make" style="font-weight: bold;"><?php echo e(__('Make')); ?></label>
                        <input type="text" id="vehicle_make" name="vehicle_make" class="form-control form-control-sm need-validation-inputs" placeholder="Make" value="<?php echo e($record->vehicle_make); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a vehicle make.
                        </div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="vehicle_model" style="font-weight: bold;"><?php echo e(__('Model')); ?></label>
                        <input type="text" id="vehicle_model" name="vehicle_model" class="form-control form-control-sm need-validation-inputs" placeholder="Model" value="<?php echo e($record->vehicle_model); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a vehicle model.
                        </div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="vin" style="font-weight: bold;"><?php echo e(__('VIN')); ?></label>
                        <input type="text" id="vin" name="vin" class="form-control form-control-sm need-validation-inputs" placeholder="VIN" value="<?php echo e($record->vin); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the VIN.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->oil_type != '')? '':';display:none' ?>
                    <div class="form-group col-md-2" style="<?php echo e($hidden_input); ?>">
                        <label for="oil_type" style="font-weight: bold;"><?php echo e(__('Oil Type')); ?></label>
                        <input type="text" id="oil_type" name="oil_type" class="form-control form-control-sm need-validation-inputs" placeholder="Oil Type" value="<?php echo e($record->oil_type); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the oil type.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->miles != '')? '':';display:none' ?>
                    <div class="form-group col-md-2" style="<?php echo e($hidden_input); ?>">
                        <label for="miles" style="font-weight: bold;"><?php echo e(__('Last Miles')); ?></label>
                        <input type="text" id="miles" name="miles" class="form-control form-control-sm need-validation-inputs" placeholder="Last Miles" value="<?php echo e($record->miles); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the last miles.
                        </div>
                    </div>
                </div>


                <div class="form-row">
                    <?php $hidden_input = ($record->sale_source != '')? '':';display:none' ?>
                    <div class="form-group col-md-2" style="<?php echo e($hidden_input); ?>">
                        <label for="sale_source" style="font-weight: bold;"><?php echo e(__('Sale Source')); ?></label>
                        <input type="text" id="sale_source" name="sale_source" class="form-control form-control-sm need-validation-inputs" placeholder="Sale Source" value="<?php echo e($record->sale_source); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the sale source.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->service_source != '')? '':';display:none' ?>
                    <div class="form-group col-md-2" style="<?php echo e($hidden_input); ?>">
                        <label for="service_source" style="font-weight: bold;"><?php echo e(__('Service Source')); ?></label>
                        <input type="text" id="service_source" name="service_source" class="form-control form-control-sm need-validation-inputs" placeholder="Service Source" value="<?php echo e($record->service_source); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the service source.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->sale_status != '')? '':';display:none' ?>
                    <div class="form-group col-md-2" style="<?php echo e($hidden_input); ?>">
                        <label for="sale_status" style="font-weight: bold;"><?php echo e(__('Sale Status')); ?></label>
                        <input type="text" id="sale_status" name="sale_status" class="form-control form-control-sm need-validation-inputs" placeholder="Sale Status" value="<?php echo e($record->sale_status); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the sale status.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->vehicle_type != '')? '':';display:none' ?>
                    <div class="form-group col-md-3" style="<?php echo e($hidden_input); ?>">
                        <label for="vehicle_type" style="font-weight: bold;"><?php echo e(__('Vehicle Type')); ?></label>
                        <input type="text" id="vehicle_type" name="vehicle_type" class="form-control form-control-sm need-validation-inputs" placeholder="Vehicle Type" value="<?php echo e($record->vehicle_type); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the VIN.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->vin_solutions_link != '')? ';display: flex':';display:none' ?>
                    <div class="form-group col-md-3" style="<?php echo e($hidden_input); ?>;align-items: end;">
                        <div>
                            <a class="btn btn-primary" id="vin_solutions_link" href="<?php echo e($record->vin_solutions_link); ?>?VIN=<?php echo e($record->vin); ?>" target="_blank">VIN Solutions</a>
                        </div>
                    </div>
                </div>
                <?php $hidden_input = ($record->toyota_care_visits != '')? '':';display:none' ?>
                <div class="form-row" style="<?php echo e($hidden_input); ?>">
                    <div class="form-group col-md-12">
                        <label for="toyota_care_visits" style="font-weight: bold;"><?php echo e(__('ToyotaCare Visits')); ?></label>
                        <input type="text" id="toyota_care_visits" name="toyota_care_visits" class="form-control form-control-sm need-validation-inputs" placeholder="ToyotaCare Visits" value="<?php echo e($record->toyota_care_visits); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the toyota care visits.
                        </div>
                    </div>
                </div>
            </fieldset>
            <div class="form-row">
                <div class="form-group col-md-12">
                    &nbsp;
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-3">
                    <fieldset class="call_form_fieldset" id="customer_information_form">
                        <legend class="call_form_legend">Customer Information &nbsp;&nbsp;<span class="cursorpointer" id="lock_icon_span" onclick="lockUnlockForm(event, 'customer_information_form')"><i class="fas fa-lock"></i></span></legend>
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                <label for="customer_id" style="font-weight: bold;"><?php echo e(__('Customer ID')); ?></label>
                                <input type="text" id="customer_id" name="customer_id" class="form-control form-control-sm need-validation-inputs" placeholder="Customer ID" value="<?php echo e($record->customer_id); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer ID.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="first_name" style="font-weight: bold;"><?php echo e(__('First Name')); ?></label>
                                <input type="text" id="first_name" name="first_name" class="form-control form-control-sm need-validation-inputs" placeholder="First Name" value="<?php echo e($record->first_name); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer first name.
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="last_name" style="font-weight: bold;"><?php echo e(__('Last Name')); ?></label>
                                <input type="text" id="last_name" name="last_name" class="form-control form-control-sm need-validation-inputs" placeholder="Last Name" value="<?php echo e($record->last_name); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer last name.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-4">
                                <label for="address" style="font-weight: bold;"><?php echo e(__('Address')); ?></label>
                                <input type="text" id="address" name="address" class="form-control form-control-sm need-validation-inputs" placeholder="Address" value="<?php echo e($record->address); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer address.
                                </div>
                            </div>
                            <div class="form-group col-md-3">
                                <label for="city" style="font-weight: bold;"><?php echo e(__('City')); ?></label>
                                <input type="text" id="city" name="city" class="form-control form-control-sm need-validation-inputs" placeholder="City" value="<?php echo e($record->city); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer city.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="state" style="font-weight: bold;"><?php echo e(__('State')); ?></label>
                                <input type="text" id="state" name="state" class="form-control form-control-sm need-validation-inputs" placeholder="State" value="<?php echo e($record->state); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer state.
                                </div>
                            </div>
                            <div class="form-group col-md-3">
                                <label for="zip" style="font-weight: bold;"><?php echo e(__('Zip')); ?></label>
                                <input type="text" id="zip" name="zip" class="form-control form-control-sm need-validation-inputs" placeholder="Zip" value="<?php echo e($record->zip); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer zip.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $background_color = (isset($gdnc_phones[$record->phone]) || isset($ddnc_phones[$record->phone]))? 'background:#ffb3b3;' : ''; ?>
                            <div class="form-group col-md-10">
                                <label for="phone" style="font-weight: bold;"><?php echo e(__('Phone')); ?></label>
                                <input type="text" id="phone" name="phone" class="form-control form-control-sm need-validation-inputs" placeholder="Phone" value="<?php echo e($record->phone); ?>" style="<?php echo e($background_color); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer phone.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="phone_bp" style="font-weight: bold;"><?php echo e(__('BP')); ?></label>
                                <div class="custom-control custom-checkbox">
                                  <input type="checkbox" class="custom-control-input" id="phone_bp" name="phone_bp" value="1" onclick="setBestPhoneValue('phone_bp');">
                                  <label class="custom-control-label" for="phone_bp" style="font-weight: bold;"></label>
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $background_color = (isset($gdnc_phones[$record->cellphone]) || isset($ddnc_phones[$record->cellphone]))? 'background:#ffb3b3;' : ''; ?>
                            <div class="form-group col-md-10">
                                <label for="cellphone" style="font-weight: bold;"><?php echo e(__('Cell Phone')); ?></label>
                                <div class="input-group input-group-sm">
                                    <input type="text" id="cellphone" name="cellphone" class="form-control form-control-sm need-validation-inputs" placeholder="Cell Phone" value="<?php echo e($record->cellphone); ?>" style="<?php echo e($background_color); ?>" maxlength="191">
                                    <div class="input-group-append">
                                        <button class="btn btn-success" onclick="startConversationFromCall(event, '<?php echo e(Auth::id()); ?>', 0, '<?php echo e($company->coid); ?>', 'make_call_form')"><i class="fas fa-sms"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="cellphone_bp" style="font-weight: bold;"><?php echo e(__('BP')); ?></label>
                                <div class="custom-control custom-checkbox">
                                  <input type="checkbox" class="custom-control-input" id="cellphone_bp" name="cellphone_bp" value="1" onclick="setBestPhoneValue('cellphone_bp');">
                                  <label class="custom-control-label" for="cellphone_bp" style="font-weight: bold;"></label>
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $background_color = (isset($gdnc_phones[$record->best_phone]) || isset($ddnc_phones[$record->best_phone]))? 'background:#ffb3b3;' : ''; ?>
                            <div class="form-group col-md-12">
                                <label for="best_phone" style="font-weight: bold;"><?php echo e(__('Best Phone')); ?></label>
                                <input type="text" id="best_phone" name="best_phone" class="form-control form-control-sm need-validation-inputs" placeholder="Best Phone" value="<?php echo e($record->best_phone); ?>" style="<?php echo e($background_color); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer best phone.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $background_color = ($has_dne == 1)? 'background:#ffb3b3;' : ''; ?>
                            <div class="form-group col-md-12">
                                <label for="email" style="font-weight: bold;"><?php echo e(__('Email')); ?></label>
                                <div class="input-group input-group-sm">
                                    <input type="email" id="email" name="email" class="form-control form-control-sm need-validation-inputs" placeholder="Email" value="<?php echo e($record->email); ?>" style="<?php echo e($background_color); ?>" maxlength="191">
                                    <div class="input-group-append">
                                        <button class="btn btn-info" onclick="sendCustomerEmailDialog(event, '<?php echo e($company->coid); ?>', 'make_call_form', '<?php echo e($transaction_type); ?>', '<?php echo e($record->id); ?>')"><i class="fas fa-paper-plane"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                <label for="ro_number" style="font-weight: bold;"><?php echo e(__('RO Number')); ?></label>
                                <input type="text" id="ro_number" name="ro_number" class="form-control form-control-sm need-validation-inputs" placeholder="RO Number" value="<?php echo e($record->ro_number); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide your ro number.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $checked = (isset($gdnc_phones[$record->phone]) || isset($gdnc_phones[$record->cellphone]) || isset($gdnc_phones[$record->best_phone]))? 'checked' : ''; ?>
                            <div class="form-group col-md-4">
                                <div class="custom-control custom-checkbox" style="display: flex;align-items: end;">
                                  <input type="checkbox" class="custom-control-input" id="cc_dnc" name="cc_dnc" <?php echo e($checked); ?> value="1">
                                  <label class="custom-control-label" for="cc_dnc" style="font-weight: bold;">CC DNC</label>
                                </div>
                            </div>
                            <?php $checked = (isset($ddnc_phones[$record->phone]) || isset($ddnc_phones[$record->cellphone]) || isset($ddnc_phones[$record->best_phone]))? 'checked' : ''; ?>
                            <div class="form-group col-md-4">
                                <div class="custom-control custom-checkbox" style="display: flex;align-items: end;">
                                  <input type="checkbox" class="custom-control-input" id="d_dnc" name="d_dnc" <?php echo e($checked); ?> value="1">
                                  <label class="custom-control-label" for="d_dnc" style="font-weight: bold;">Dealer DNC</label>
                                </div>
                            </div>
                            <div class="form-group col-md-4">
                                <div class="custom-control custom-checkbox" style="display: flex;align-items: end;">
                                  <input type="checkbox" class="custom-control-input" id="dne" name="dne" value="1">
                                  <label class="custom-control-label" for="dne" style="font-weight: bold;">DNE</label>
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $hidden_input = ($record->tc_exp_date != '')? '':';display:none' ?>
                            <div class="form-group col-md-12" style="<?php echo e($hidden_input); ?>">
                                <label for="tc_exp_date" style="font-weight: bold;"><?php echo e(__('TC Exp Date')); ?></label>
                                <input type="text" id="tc_exp_date" name="tc_exp_date" class="form-control form-control-sm need-validation-inputs" placeholder="TC Exp Date" value="<?php echo e($record->tc_exp_date); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the toyota care expiration date.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $hidden_input = ($record->tc_exp_date != '')? '':';display:none' ?>
                            <div class="form-group col-md-12" style="<?php echo e($hidden_input); ?>">
                                <label for="service_visit_notes" style="font-weight: bold;"><?php echo e(__('Service Visit Notes')); ?></label>
                                <div>
                                    <?php echo e($record->service_visit_notes); ?>

                                </div>
                            </div>
                        </div>
                    </fieldset>
                </div>
                <div class="form-group col-md-6">
                    <fieldset class="call_form_fieldset">
                        <legend class="call_form_legend">Call Information</legend>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="call_type_id" style="font-weight: bold;"><?php echo e(__('Call Type')); ?></label>
                                <div class="input-group">

                                    <?php if($record->call_type_id != ''): ?>
                                        <input type="hidden" id="call_type_id" name="call_type_id" class="form-control form-control-sm" value="<?php echo e($record->call_type_id); ?>">
                                        <select class="form-control form-control-sm need-validation-inputs" id="call_type_id" name="call_type_id" onchange="getCallTimes(event, '<?php echo e($call_coid); ?>');setCallTypeScriptDialog(event, '<?php echo e($company->coid); ?>', '<?php echo e($transaction_type); ?>', '<?php echo e($record->id); ?>')" required disabled>
                                            <option value="">Select</option>
                                            <?php echo $__env->make('inputs.select_options', ['options' => $call_type_options, 'value_selected' => $record->call_type_id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                        </select>
                                    <?php else: ?>
                                        <select class="form-control form-control-sm need-validation-inputs" id="call_type_id" name="call_type_id" onchange="getCallTimes(event, '<?php echo e($call_coid); ?>');setCallTypeScriptDialog(event, '<?php echo e($company->coid); ?>', '<?php echo e($transaction_type); ?>', '<?php echo e($record->id); ?>')" required>
                                            <option value="">Select</option>
                                            <?php echo $__env->make('inputs.select_options', ['options' => $call_type_options, 'value_selected' => $record->call_type_id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                        </select>
                                    <?php endif; ?>

                                    
                                    <div class="input-group-append">
                                        <button class="btn btn-success btn-sm" id="call_script_popover" data-toggle="popover" title="Script" data-content="No content set." onclick="showCallTypeScript(event)" onmouseover="preventDefaultBehavior(event);"><i class="fas fa-scroll"></i></button>
                                    </div>
                                </div>
                                <div class="invalid-feedback">
                                    Please select a call type.
                                </div>
                            </div>

                            <div class="form-group col-md-4" style="display: flex;align-items: end;">
                                <div>
                                    <strong><?php echo e(__('Previously called')); ?></strong>
                                    <?php if(isset($record->livecall_count)): ?>
                                        <input type="text" id="times_called" name="times_called" class="form-control form-control-sm" style="width: 30px;display:inline;" value="<?php echo e($record->livecall_count); ?>" readonly>
                                    <?php else: ?>
                                        <input type="text" id="times_called" name="times_called" class="form-control form-control-sm" style="width: 30px;display:inline;" value="<?php echo e($record->times_called); ?>" readonly>
                                    <?php endif; ?> 
                                    <strong>of</strong> <input type="text" id="times_to_call" name="times_to_call" class="form-control form-control-sm" style="width: 30px;display:inline;" value="<?php echo e($call_times); ?>"> <strong>times</strong>
                                </div>
                                
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <?php 
                                    $color = ($call_history->count() > 0)? '#38c172' : '#ff8080';
                                    $onmouseover = ($call_history->count() > 0)? 'onmouseover="ccShowScriptToolTip(event,\'call_history_div_tooltip\')" onmouseout="ccShowScriptToolTip(event,\'call_history_div_tooltip\')"' : '';
                                ?>
                                <label for="call_history" style="font-weight: bold;color:<?php echo e($color); ?>" class="cursorpointer" onclick="getCallHistoryDetails(event, 'call', 'call_history_div')" <?php print($onmouseover); ?> ><?php echo e(__('Call History')); ?> <i class="fas fa-search-plus font-16"></i></label>
                                
                                <?php if($call_history->count() > 0): ?>
                                    <div>
                                        Last Call: <?php echo e($last_call_date); ?> - <?php echo e($last_call_type); ?>

                                    </div>
                                <?php endif; ?>

                                <div id="call_history_div" style="display:none">
                                    <?php if($call_history->count() > 0): ?>
                                        <table class="table table-striped font-11">
                                            <thead>
                                                <tr>
                                                    <th>Customer</th>
                                                    <th>VIN</th>
                                                    <th>Date</th>
                                                    <th>Call Type</th>
                                                    <th>Customer Status</th>
                                                    <th>Notes</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                    <?php endif; ?>
                                    <?php $__currentLoopData = $call_history; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $history): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr id="call_history_row_<?php echo e($history->id); ?>">
                                            <td id="call_history_name_<?php echo e($history->id); ?>"><?php echo e($history->fname); ?> <?php echo e($history->lname); ?></td>
                                            <td><?php echo e($history->vin); ?></td>
                                            <td><?php echo e(date('m/d/Y', strtotime($history->lastupdate))); ?></td>
                                            <td><?php echo e($calltypes_names[$history->livecall_prev_calltype]); ?></td>
                                            <td>
                                                <?php if(isset($customer_status[$history->customer_status])): ?>
                                                    <?php echo e($customer_status[$history->customer_status]); ?>

                                                <?php endif; ?>
                                            </td>
                                            <td><?php print($history->caller_comments); ?></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($call_history->count() > 0): ?>
                                            </tbody>
                                        </table>
                                    <?php endif; ?>
                                </div>

                                <div id="call_history_div_tooltip" style="display:none; z-index: 9999999999;position: fixed;background-color: #fff; border: 3px solid gray;border-radius: 5px;max-width: 700px">
                                    <?php if($call_history->count() > 0): ?>
                                        <table class="table table-striped font-11">
                                            <thead>
                                                <tr>
                                                    <th>Customer</th>
                                                    <th>VIN</th>
                                                    <th>Date</th>
                                                    <th>Call Type</th>
                                                    <th>Customer Status</th>
                                                    <th width="200">Notes</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                    <?php endif; ?>
                                    <?php $__currentLoopData = $call_history; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $history): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr id="call_history_row_<?php echo e($history->id); ?>">
                                            <td id="call_history_name_<?php echo e($history->id); ?>"><?php echo e($history->fname); ?> <?php echo e($history->lname); ?></td>
                                            <td><?php echo e($history->vin); ?></td>
                                            <td><?php echo e(date('m/d/Y', strtotime($history->lastupdate))); ?></td>
                                            <td><?php echo e($calltypes_names[$history->livecall_prev_calltype]); ?></td>
                                            <td>
                                                <?php if(isset($customer_status[$history->customer_status])): ?>
                                                    <?php echo e($customer_status[$history->customer_status]); ?>

                                                <?php endif; ?>
                                            </td>
                                            <td><?php print($history->caller_comments); ?></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($call_history->count() > 0): ?>
                                            </tbody>
                                        </table>
                                    <?php endif; ?>
                                </div>

                            </div>
                            <div class="form-group col-md-6">
                                <?php 
                                    $color = ($service_history->count() > 0)? '#38c172' : '#ff8080';
                                ?>
                                <label for="service_history" style="font-weight: bold;color:<?php echo e($color); ?>" class="cursorpointer" onclick="getCallHistoryDetails(event, 'service', 'service_history_div')"><?php echo e(__('Service History')); ?> <i class="fas fa-search-plus font-16"></i></label>
                                

                                <div id="service_history_div" style="display:none">
                                    <?php if($service_history->count() > 0): ?>
                                        <table class="table table-striped font-11">
                                            <thead>
                                                <tr>
                                                    <th>Customer</th>
                                                    <th>VIN</th>
                                                    <th>Phone</th>
                                                    <th>Date</th>
                                                    <th>Customer Status</th>
                                                    <th>Notes</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                    <?php endif; ?>
                                    <?php $__currentLoopData = $service_history; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $history): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr id="call_history_row_<?php echo e($history->id); ?>">
                                            <td id="call_history_name_<?php echo e($history->id); ?>"><?php echo e($history->fname); ?> <?php echo e($history->lname); ?></td>
                                            <td><?php echo e($history->vin); ?></td>
                                            <td><?php echo e(preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $history->phone)); ?></td>
                                            <td><?php echo e(date('m/d/Y', strtotime($history->service_date))); ?></td>
                                            <td><?php echo e($customer_status[$history->customer_status]); ?></td>
                                            <td><?php print($history->caller_comments); ?></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($service_history->count() > 0): ?>
                                            </tbody>
                                        </table>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>

                        
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="call_status_id" style="font-weight: bold;"><?php echo e(__('Call Status')); ?></label>
                                <select class="form-control form-control-sm need-validation-inputs" id="call_status_id" name="call_status_id" onchange="setDefaultCallStatus(event)" required>
                                    <option value="">Select</option>
                                    <?php if(isset($record->livecall_status)): ?>
                                        <?php $call_status_id = $record->livecall_status; ?>
                                    <?php else: ?>
                                        <?php $call_status_id = $record->call_status_id; ?>
                                    <?php endif; ?>

                                    <?php echo $__env->make('inputs.select_options', ['options' => $call_status_options, 'value_selected' => $call_status_id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                                <div class="invalid-feedback">
                                    Please select a call status.
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="customer_status_id" style="font-weight: bold;"><?php echo e(__('Customer Status')); ?></label>
                                <select class="form-control form-control-sm need-validation-inputs" id="customer_status_id" name="customer_status_id" onchange="checkRequireAlert(event)" required>
                                    <option value="">Select</option>

                                    <?php if(isset($record->customer_status)): ?>
                                        <?php $customer_status_id = $record->customer_status; ?>
                                    <?php else: ?>
                                        <?php $customer_status_id = $record->customer_status_id; ?>
                                    <?php endif; ?>


                                    <?php echo $__env->make('inputs.select_options', ['options' => $customer_status_options, 'value_selected' => $customer_status_id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                                <div class="invalid-feedback">
                                    Please select a customer status.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <div>
                                    <div class="custom-control custom-checkbox">
                                      <input type="checkbox" class="custom-control-input" id="needs_attention" name="needs_attention" value="1">
                                      <label class="custom-control-label" for="needs_attention" style="font-weight: bold;">Needs attention</label>
                                    </div>
                                </div>
                                <div style="font-weight: bold;">
                                    Alert
                                </div>
                                <div>
                                    <div class="custom-control custom-checkbox">
                                      <input type="checkbox" class="custom-control-input" id="send_alert" name="send_alert" value="1">
                                      <label class="custom-control-label" for="send_alert" style="font-weight: bold;">Send alert</label>
                                    </div>
                                </div>
                                <div>
                                    <div class="custom-control custom-checkbox">
                                      <input type="checkbox" class="custom-control-input" id="cc_alert_only" name="cc_alert_only" value="1">
                                      <label class="custom-control-label" for="cc_alert_only" style="font-weight: bold;">Send to cc ONLY</label>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="salesrep_cc_alert" style="font-weight: bold;"><?php echo e(__('CC alert to:')); ?></label>
                                <?php print($salesrep_select); ?>
                                <div class="invalid-feedback">
                                    Please select cc alert.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <div class="form-row">
                                    <?php $total_rows = 1; ?>
                                    <?php $__currentLoopData = $standard_comments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $st_comment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="form-group col-md-3" style="margin-bottom: 0px;">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input station_hour_class" id="<?php echo e($st_comment->id); ?>_comment" name="<?php echo e($st_comment->id); ?>_comment" value="1" onclick="addCommentToBox('<?php echo e($st_comment->id); ?>')">
                                                <label class="custom-control-label" for="<?php echo e($st_comment->id); ?>_comment"><?php echo e($st_comment->name); ?></label>
                                            </div>
                                            <input type="hidden" id="<?php echo e($st_comment->id); ?>_standard_comment" name="<?php echo e($st_comment->id); ?>_standard_comment" value="<?php echo e($st_comment->content); ?>">
                                        </div>

                                        <?php if(($total_rows)%4 == 0): ?>
                                            </div>
                                            <div class="form-row">
                                        <?php endif; ?>
                                        <?php $total_rows++; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                &nbsp;
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <?php if(isset($record->caller_comments)): ?>
                                    <p><?php print($record->caller_comments); ?></p>
                                <?php endif; ?>
                                <?php if(isset($record->notes)): ?>
                                    <p><?php print($record->notes); ?></p>
                                <?php endif; ?>
                            </div>
                            <div class="form-group col-md-6">
                                
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="notes" style="font-weight: bold;"><?php echo e(__('Caller Comments')); ?></label>
                                <textarea id="notes" name="notes" class="form-control form-control-sm need-validation-inputs"></textarea>
                                <div class="invalid-feedback">
                                    Please set the caller comments.
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="private_notes" style="font-weight: bold;"><?php echo e(__('Private Comments')); ?></label>
                                <textarea id="private_notes" name="private_notes" class="form-control form-control-sm need-validation-inputs"><?php echo e($record->private_notes); ?></textarea>
                                <div class="invalid-feedback">
                                    Please set the private comments.
                                </div>
                            </div>
                        </div>


                        <div class="form-row">
                            <div class="form-group col-md-4" style="display: flex;align-items: end;">
                                <div class="custom-control custom-checkbox">
                                  <input type="checkbox" class="custom-control-input" id="next_call_scheduled" name="next_call_scheduled" value="1" onclick="scheduleNextCall(event)">
                                  <label class="custom-control-label" for="next_call_scheduled" style="font-weight: bold;">Schedule next call</label>
                                </div>
                            </div>
                            <div class="form-group col-md-4 next_call_class" style="display: none;">
                                <label for="next_call_type_id" style="font-weight: bold;"><?php echo e(__('Next Call Type')); ?></label>
                                <select class="form-control form-control-sm need-validation-inputs" id="next_call_type_id" name="next_call_type_id">
                                    <option value="">Select</option>
                                    <?php echo $__env->make('inputs.select_options', ['options' => $call_type_options, 'value_selected' => '3'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                                <div class="invalid-feedback">
                                    Please select a call type.
                                </div>
                            </div>

                            <div class="form-group col-md-4 next_call_class" style="display: none;">
                                <label for="next_call_date" style="font-weight: bold;"><?php echo e(__('Scheduled for')); ?></label>
                                <input type="text" id="next_call_date" name="next_call_date" class="form-control form-control-sm need-validation-inputs date_inputs" placeholder="Next Call Date" value="<?php echo e(date('m/d/Y', strtotime(date('Y-m-d').' + 135 days'))); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide your ro number.
                                </div>
                            </div>

                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-4" style="display: flex;align-items: end;">
                                <div class="custom-control custom-checkbox">
                                  <input type="checkbox" class="custom-control-input" id="reminder_set" name="reminder_set" value="1">
                                  <label class="custom-control-label" for="reminder_set" style="font-weight: bold;">Set reminder for this customer</label>
                                </div>
                            </div>
                        </div>
                    </fieldset>
                </div>
                <div class="form-group col-md-3">
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <?php if($survey_table != ''): ?>
                                <fieldset class="call_form_fieldset">
                                    <legend class="call_form_legend">Survey Questions</legend>
                                    <?php print($survey_table); ?>
                                </fieldset>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <fieldset class="call_form_fieldset">
                                <legend class="call_form_legend">Dealership Information</legend>
                                <div class="card">
                                  <div class="card-header">
                                    <ul class="nav nav-tabs card-header-tabs">
                                      <li class="nav-item">
                                        <a data-toggle="pill" class="nav-link active" href="#dealer_message">Message</a>
                                      </li>
                                      <li class="nav-item">
                                        <a data-toggle="pill" class="nav-link" href="#dealer_links">Links</a>
                                      </li>
                                      <li class="nav-item">
                                        <a data-toggle="pill" class="nav-link" href="#dealer_services">Services</a>
                                      </li>
                                      <li class="nav-item">
                                        <a data-toggle="pill" class="nav-link" href="#team_members">Team</a>
                                      </li>
                                    </ul>
                                  </div>
                                  <div class="card-body" style="overflow: auto;background-color: #f8fafc">
                                    <div class="tab-content">
                                        <div id="dealer_message" class="tab-pane active">
                                          <p><strong>DEALER MESSAGE</strong></p>
                                          <p><?php print($dealer_message); ?></p>
                                        </div>
                                        <div id="dealer_links" class="tab-pane fade">
                                          <p><strong>DEALER LINKS</strong></p>
                                          <p>
                                            <table class="table table-striped">
                                                <tbody>
                                                <?php $__currentLoopData = $dealer_links; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $link): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr id="link_row_<?php echo e($link->uid); ?>">
                                                        <td id="link_name_<?php echo e($link->uid); ?>">
                                                            <a href="<?php echo e($link->url); ?>" target="_blank"><?php echo e($link->title); ?></a>
                                                        </td>
                                                    </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </tbody>
                                            </table>
                                          </p>
                                        </div>
                                        <div id="dealer_services" class="tab-pane fade">
                                          <p><strong>DEALER SERVICES</strong></p>
                                          <p>
                                            <table class="table table-striped">
                                                <thead>
                                                    <tr>
                                                        <th>Department</th>
                                                        <th>Title</th>
                                                        <th>Price</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                <?php $__currentLoopData = $dealer_services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr id="service_row_<?php echo e($service->uid); ?>">
                                                        <td id="service_name_<?php echo e($service->uid); ?>"><?php echo e($dealer_departments[$service->did]); ?></td>
                                                        <td><a href="<?php echo e($service->url_link); ?>" target="_blank"><?php echo e($service->title); ?></a></td>
                                                        <td>$<?php echo e($service->price); ?></td>
                                                    </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </tbody>
                                            </table>
                                          </p>
                                        </div>
                                        <div id="team_members" class="tab-pane fade">
                                          <p><strong>TEAM MEMBERS</strong></p>
                                          <p>
                                            <table class="table table-striped">
                                                <thead>
                                                    <tr>
                                                        <th>Name</th>
                                                        <th>Email</th>
                                                        <th>Phone</th>
                                                        <th>Cell Phone</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                <?php $__currentLoopData = $dealer_salesrep; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $salesrep): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr id="salesrep_row_<?php echo e($salesrep->id); ?>">
                                                        <td id="salesrep_name_<?php echo e($salesrep->id); ?>"><?php echo e($salesrep->fname); ?> <?php echo e($salesrep->lname); ?></td>
                                                        <td><?php echo e($salesrep->email); ?></td>
                                                        <td><?php echo e($salesrep->phone); ?></td>
                                                        <td><?php echo e($salesrep->cellphone); ?></td>
                                                    </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </tbody>
                                            </table>
                                          </p>
                                        </div>
                                    </div>
                                  </div>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <input type="hidden" id="transaction_type" name="transaction_type" value="<?php echo e($transaction_type); ?>">
        <input type="hidden" id="coid" name="coid" value="<?php echo e($call_coid); ?>">
        <input type="hidden" id="record_id" name="record_id" value="<?php echo e($record->id); ?>">
        <input type="hidden" id="customer_status_require_alert_list" name="customer_status_require_alert_list" value="<?php echo e($customer_status_require_alert_list); ?>">
        <input type="hidden" name="time_on_call" id="time_on_call" value="<?php echo e($time_on_call); ?>">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary" id="submit_call_button" onclick="saveCall(event)">Save</button>
    </div>
    </fieldset>
</form>

<script>
    $('.date_inputs').datepicker({
        language: "en",
        autoclose: true
    });
    <?php if($record->call_type_id != ''): ?>
        setCallTypeScriptDialog(null, '<?php echo e($call_coid); ?>', '<?php echo e($transaction_type); ?>', '<?php echo e($record->id); ?>');
    <?php endif; ?>

    <?php if($record->urgent_note != ''): ?>
        showUrgentNote('<?php echo e($record->urgent_note); ?>');
    <?php endif; ?>
</script>

<?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/call_dialog.blade.php ENDPATH**/ ?>