
<?php $__env->startSection('styles'); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <?php if($has_locked_assignment == 1): ?>
                    <div class="card-header">You need to agree to your assignments for today</div>
                    <div class="card-body">
                        <div class="alert alert-danger print-error-msg" style="display:none">
                            <ul></ul>
                        </div>
                        <fieldset id="disable_form_fieldset">
                            <div class="row">
                                <div class="col-md-12">
                                    <?php if(isset($locked_assignment->assignment_note)): ?>
                                        <?php if(strlen(trim($locked_assignment->assignment_note)) > 0): ?>
                                            <p><strong>Assignment note:</strong> <?php echo e($locked_assignment->assignment_note); ?></p>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <table class="table table-striped">
                                        <tr>
                                            <td colspan="3"><strong>ASSIGNMENTS LIST</strong></td>
                                        </tr>
                                        <tr>
                                            <th><strong>Dealer</strong></th>
                                            <th><strong>Call Type</strong></th>
                                            <th><strong>Total</strong></th>
                                        </tr>
                                        <?php
                                            $total_count = 0;
                                        ?>
                                        <?php $__currentLoopData = $assigments_array; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $coid => $calltype): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php $__currentLoopData = $calltype; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $calltype_id => $call_count): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php
                                                    $total_count+= $call_count;
                                                ?>
                                                <tr>
                                                    <td><?php echo e($dealers_array[$coid]); ?></td>
                                                    <td><?php echo e($calltypes_array[$calltype_id]); ?></td>
                                                    <td><?php echo e($call_count); ?></td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td>&nbsp;</td>
                                            <td align="right"><strong>Total:</strong></td>
                                            <td><?php echo e($total_count); ?></td>
                                        </tr>
                                    </table>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <button type="submit" class="btn btn-primary" id="agree_submit_form" onclick="agreeToAssignment(event, '<?php echo e($locked_assignment->id); ?>')">Agree</button>
                                </div>
                            </div>
                        </fieldset>
                    </div>
                <?php else: ?>
                    <div class="card-header">Pending Calls for <?php echo e(date('m/d/Y', strtotime($assignment_date))); ?></div>
                    <div class="card-body">
                        <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                        </div>
                        <div class="alert alert-danger" id="account_settings_error" style="display:none">
                          Something went wrong...
                          <ul></ul>
                        </div>
                        <div class="form-group row">
                            <div class="col-md-12 text-center">
                                <div id="success"></div>
                            </div>
                        </div>
                        <?php if(isset($assignment_notes->assignment_note)): ?>
                            <?php if(strlen(trim($assignment_notes->assignment_note)) > 0): ?>
                                <p><strong>Assignment note:</strong> <?php echo e($assignment_notes->assignment_note); ?></p>
                            <?php endif; ?>
                        <?php endif; ?>
                        <?php 
                            $current_coid = ''; 
                            $current_call_type_id = ''; 
                            $total_count = 0; 
                        ?>
                        <?php if(count($assignments_array) > 0): ?>
                            <table class="table table-striped">
                                <?php $__currentLoopData = $assignments_array; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $caller_assignments): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php $__currentLoopData = $caller_assignments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $assignment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($assignment->coid != $current_coid): ?>
                                            <?php 
                                                $current_coid = $assignment->coid; 
                                                $current_call_type_id = '';
                                                $call_count = count($assignments_array[$current_coid]);
                                                $total_count+= $call_count;
                                            ?>
                                            <tr class="bg-primary text-white cursorpointer" onclick="hideAllElements(event, 'global_dealer_row');hideShowElement(event, 'dealer_row_<?php echo e($current_coid); ?>')">
                                                <td colspan="6">
                                                    <?php echo e($dealers_array[$current_coid]); ?> (<span id="dealer_count_<?php echo e($current_coid); ?>"><?php echo e($call_count); ?></span>)
                                                </td>
                                            </tr>
                                        <?php endif; ?>
                                        <?php if($assignment->call_type_id != $current_call_type_id): ?>
                                            <?php 
                                                $current_call_type_id = $assignment->call_type_id;
                                            ?>
                                            <tr style="font-size: 12px;display: none" class="bg-info text-white dealer_row_<?php echo e($current_coid); ?> global_dealer_row">
                                                <td colspan="6">
                                                    <?php echo e($calltypes_array[$current_call_type_id]); ?>

                                                </td>
                                            </tr>
                                            <tr style="font-size: 12px;display: none" class="dealer_row_<?php echo e($current_coid); ?> global_dealer_row">
                                                <th>Name</td>
                                                <th>Vehicle</td>
                                                <th>VIN</td>
                                                <th>Phone</td>
                                                <th>Best Phone</td>  
                                                <th>Remind</td>
                                                <th align="center">Make Call</td>
                                            </tr>
                                        <?php endif; ?>
                                        <?php
                                            $is_dnc_record = $assignment->global_dnc || $assignment->dealer_dnc;
                                            $bgcolor = $is_dnc_record ? 'background-color: #fa8272' : '';
                                        ?>
                                            <tr id="call_row_<?php echo e($assignment->id); ?>_<?php echo e($current_coid); ?>" style="font-size: 12px;display: none; <?php echo e($bgcolor); ?>" class="dealer_row_<?php echo e($current_coid); ?> global_dealer_row">
                                                <td id="record_name_<?php echo e($assignment->id); ?>"><?php echo e($assignment->fname); ?> <?php echo e($assignment->lname); ?></td>
                                                <td><?php echo e($assignment->vehicle_year); ?> <?php echo e($assignment->vehicle_make); ?> <?php echo e($assignment->vehicle_model); ?></td>
                                                <td class="table_cell_content"><?php echo e($assignment->vin); ?></td>
                                                <td class="table_cell_content"><?php echo e(preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $assignment->phone)); ?></td>
                                                <td class="table_cell_content"><?php echo e(preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $assignment->best_phone)); ?></td>
                                                <td class="table_cell_content"><?php echo e(date('m/d/Y', strtotime($assignment->remind))); ?></td>
                                                <td align="center">
                                                    <a href="#" onclick="showCallDialog(event, '<?php echo e($assignment->id); ?>', '<?php echo e($current_coid); ?>','call_records', '<?php echo e($current_call_type_id); ?>', <?php echo e($is_dnc_record); ?>)"><i class="fas fa-phone-square" style="font-size: 25px"></i></a>
                                                </td>
                                            </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </table>
                        <?php else: ?>
                            <h5>No calls assigned for <?php echo e(date('m/d/Y', strtotime($assignment_date))); ?></h5>
                        <?php endif; ?>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts_extra'); ?>
    <script type="text/javascript">
        getCallerTimer(null);
    </script>
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/pages/caller_assignments.blade.php ENDPATH**/ ?>