
<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Users Timetrack</div>

                <div class="card-body">
                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="users_container">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th class="table_cell_content">Email</th>
                                    <th class="table_cell_content">Current Timer</th>
                                    <th style="text-align: center;">Stop</th>
                                    <th style="text-align: center;">Blocked</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($user_timers_running[$user->id] == 1): ?>
                                        <tr id="user_row_<?php echo e($user->id); ?>" style="background-color: #a6ffc5">
                                    <?php elseif($user_timers_running[$user->id] == 0 && $user_timers[$user->id] != '00:00:00'): ?>
                                        <tr id="user_row_<?php echo e($user->id); ?>" style="background-color: #ffcfcf">
                                    <?php else: ?>
                                        <tr id="user_row_<?php echo e($user->id); ?>">
                                    <?php endif; ?>
                                            <td id="user_name_<?php echo e($user->id); ?>">
                                                <?php echo e($user->first_name); ?> <?php echo e($user->last_name); ?> 
                                                <input type="hidden" id="running_timer_<?php echo e($user->id); ?>" name="running_timer_<?php echo e($user->id); ?>" value="<?php echo e($user_timers_running[$user->id]); ?>" class="running_timers">
                                            </td>
                                            <td class="table_cell_content"><?php echo e($user->email); ?></td>
                                            <td class="table_cell_content" id="caller_timer_<?php echo e($user->id); ?>"><?php echo e($user_timers[$user->id]); ?></td>
                                            <td align="center"><a href="#"><i class="far fa-stop-circle" style="font-size: 20px" onclick="stopMultipleCallerTimer(event, <?php echo e($user->id); ?>)"></i></a></td>
                                            <td class="table_cell_content text-center">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input" id="blocked_<?php echo e($user->id); ?>" name="blocked_<?php echo e($user->id); ?>" 
                                                    <?php echo $__env->make('inputs.checkbox_radio', ['input_value' => 1, 'value' => $user->blocked], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> onclick="blockUnblockUser('<?php echo e($user->id); ?>')">
                                                    <label class="custom-control-label" for="blocked_<?php echo e($user->id); ?>"></label>
                                                </div>
                                            </td>
                                        </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts_extra'); ?>
    <script type="text/javascript">
        $(document).ready(function()
        {
            startMultipleCallerTimer();
        });
    </script>
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/pages/users_timetracks.blade.php ENDPATH**/ ?>