<div class="modal-header">
    <h5 class="modal-title">
        Inbound Sales Reps
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <div class="alert alert-danger print-error-msg" style="display:none">
            <ul></ul>
        </div>
        <form id="ib_sales_rep_form" name="ib_sales_rep_form">
            <?php echo csrf_field(); ?>
            <table id="ib_sales_rep_list" class="table">
                <thead>
                    <tr>
                        <th class="headertags14px">First Name</th>
                        <th class="headertags14px">Last Name</th>
                        <th class="headertags14px">Email</th>
                        <th class="headertags14px">Phone</th>
                        <th class="headertags14px">Cell Phone</th>
                        <th class="headertags14px">OAL</th>
                        <th class="headertags14px">Schedule</th>
                        <th class="headertags14px">Access</th>
                        <th class="headertags14px">System Access</th>
                        <th class="headertags14px">Delete</th>
                     </tr>
                </thead>
                <tbody>
                        <?php $__currentLoopData = $sales_reps; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                    <input type="text" name="sales_rep_first_name[]" class="form-control" placeholder="First Name" value="<?php echo e($value->fname); ?>">
                                    <input type="hidden" name="sales_rep_ids[]" value="<?php echo e($value->id); ?>">
                                </td>
                                <td>
                                    <input type="text" name="sales_rep_last_name[]" class="form-control" placeholder="Last Name" value="<?php echo e($value->lname); ?>">
                                </td>
                                <td>
                                    <input type="text" name="sales_rep_email[]" class="form-control" placeholder="Email" value="<?php echo e($value->email); ?>">
                                </td>
                                <td>
                                    <input type="text" name="sales_rep_phone[]" class="form-control" placeholder="Phone" value="<?php echo e($value->phone); ?>">
                                </td>
                                <td>
                                    <input type="text" name="sales_rep_cellphone[]" class="form-control" placeholder="Cellphone" value="<?php echo e($value->cellphone); ?>">
                                </td>
                                <td align="center">
                                    <?php 
                                        $checked   = ! empty ( $value->on_alert_list ) ? 'checked' : '';
                                        $oal_value = ! empty ( $value->on_alert_list ) ? 1 : 0;
                                    ?>
                                    <input type="checkbox" name="sales_rep_on_alert_list_cb" id="sales_rep_on_alert_list_cb_<?php echo e($value->id); ?>" <?php echo e($checked); ?> value="1" onclick="changeHiddenCbValue('sales_rep_on_alert_list_cb_<?php echo e($value->id); ?>', 'sales_rep_on_alert_list_<?php echo e($value->id); ?>')">
                                    <input type="hidden" name="sales_rep_on_alert_list[]" id="sales_rep_on_alert_list_<?php echo e($value->id); ?>" value="<?php echo e($oal_value); ?>">
                                </td>
                                <td>
                                    <button class="btn btn-primary btn-sm" onclick="editInboundSalesRepSchedule(event, '<?php echo e($value->id); ?>')">Schedule <i class="fas fa-edit" aria-hidden="true"></i></button>
                                </td>
                                <td>
                                    <button class="btn btn-primary btn-sm" onclick="editInboundSalesRepAccess(event, '<?php echo e($value->id); ?>')">Access <i class="fas fa-edit" aria-hidden="true"></i></button>
                                </td>
                                <td align="center">
                                    <?php 
                                        $checked = ! empty ( $sr_system_access_array[ $value->email ] ) ? 'checked' : '';    
                                    ?>
                                    <input type="checkbox" name="sales_rep_system_access[]" <?php echo e($checked); ?> value="1">
                                </td>
                                <td align="center">
                                    <span class="cursorpointer" onclick="deleteInboundSalesRep(event, '<?php echo e($value->id); ?>')" ><i class="fas fa-trash-alt" aria-hidden="true"></i></span>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </form>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-success" onclick="saveInboundSalesReps(event, '<?php echo e($coid); ?>');" id="save_ib_sr_button">Save</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/inbound_sales_reps.blade.php ENDPATH**/ ?>