We have an alert for you:

<table>
	<tbody>
		<tr>
			<td><strong>Call Type:</strong></td><td><?php echo e($call->inbound_call_type); ?></td>
		</tr>
		<tr>
			<td><strong>Resolution:</strong></td><td><?php echo e($call->inbound_resolution); ?></td>
		</tr>
		<tr>
			<td><strong>Customer Name:</strong></td><td><?php echo e($call->first_name); ?> <?php echo e($call->last_name); ?></td>
		</tr>
		<tr>
			<td><strong>Phone:</strong></td><td><?php echo e($call->phone); ?></td>
		</tr>
		<tr>
			<td><strong>Cell Phone:</strong></td><td><?php echo e($call->cellphone); ?></td>
		</tr>
		<tr>
			<td><strong>Email:</strong></td><td><?php echo e($call->email); ?></td>
		</tr>
		<tr>
			<td><strong>Vehicle:</strong></td><td><?php echo e($call->vehicle_year); ?> <?php echo e($call->vehicle_make); ?> <?php echo e($call->vehicle_model); ?></td>
		</tr>
		<tr>
			<td><strong>VIN</strong></td><td><?php echo e($call->vin); ?></td>
		</tr>
		<?php if($call->appointment_date != null): ?>
			<tr>
				<td><strong>Appointment</strong></td><td><?php echo e(date('m/d/Y H:i', strtotime($call->appointment_date))); ?></td>
			</tr>
		<?php endif; ?>
		
		<tr>
			<td><strong>Comments</strong></td><td><?php echo e($call->notes); ?></td>
		</tr>
	</tbody>
</table><?php /**PATH C:\xampp3\htdocs\ghostvin_app\resources\views/email/inbound_alert.blade.php ENDPATH**/ ?>