
<?php $__env->startSection('style_files'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('css/jquery.typeahead.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Search Customer</div>

                <div class="card-body">
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div class="alert alert-danger" id="file_upload_error" style="display:none">
                      Something went wrong
                      <ul></ul>
                    </div>
                    <form method="post" action="search_customers/get" enctype="multipart/form-data" id="upload_form">
                      <?php echo csrf_field(); ?>
                        <div class="form-row">
                            <div class="form-group col-md-5">
                                <label for="db_table"><?php echo e(__('Dealer')); ?></label>
                                <select class="form-control need-validation-inputs" id="db_table" name="db_table" required="">
                                    <option value="">Select</option>
                                    <?php echo $__env->make('inputs.select_options', ['options' => $dealers, 'value_selected' => ''], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="vin_column"><?php echo e(__('VIN Column')); ?></label>
                                <input type="text" id="vin_column" name="vin_column" class="form-control need-validation-inputs" placeholder="VIN column" required value="G" maxlength="5">
                            </div>
                            <div class="form-group col-md-5">
                                <label for="vin_column"><?php echo e(__('Select a file:')); ?></label>
                                <div class="input-group">
                                    <input type="file" name="upload_file" id="upload_file" class="form-control <?php $__errorArgs = ['user_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" required />
                                    <?php $__errorArgs = ['upload_file'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    <div class="input-group-append">
                                        <button type="submit" name="upload" class="btn btn-success"><i class="fas fa-file-upload"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div> 
                        <div class="form-group row">
                          <div class="col-md-12">
                            <div class="progress" style="width: 50%;margin: auto;height: 30px">
                              <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="" aria-valuemin="0" aria-valuemax="100" style="width: 0%">0%</div>
                            </div>
                          </div>
                        </div>
                        <div class="form-group row">
                          <div class="col-md-12 text-center">
                            <div id="success">
                            </div>
                          </div>
                        </div>
                        <input type="hidden" value="1" id="search_customer_form" name="search_customer_form">
                    </form>
                    <br />
                    

                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts_extra'); ?>
    
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/pages/search_customers.blade.php ENDPATH**/ ?>