<table class="table table-striped">
    <thead>
        <tr>
            <th colspan="2">GLOBAL STATS</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>Best Connect Day:</td>
            <td><?php echo e($best_day); ?> (<?php echo e(number_format($best_day_perc, 2)); ?>%)</td>
        </tr>
        <tr>
            <td>Best Connect Time:</td>
            <td><?php echo e($best_time); ?> <?php echo e($best_time_count); ?> connections - (<?php echo e(number_format($best_time_perc, 2)); ?>%)</td>
        </tr>
        <tr>
            <td>Worst Connect Day:</td>
            <td><?php echo e($worst_day); ?> (<?php echo e(number_format($worst_day_perc, 2)); ?>%)</td>
        </tr>
        <tr>
            <td>Worst Connect Time:</td>
            <td><?php echo e($worst_time); ?> <?php echo e($worst_time_count); ?> connections - (<?php echo e(number_format($worst_time_perc, 2)); ?>%)</td>
        </tr>
    </tbody>
</table>

<table class="table table-striped">
    <thead>
        <tr>
            <th colspan="3">DAILY STATS</th>
        </tr>
        <tr>
            <th>DAY</th>
            <th>CONNECT RATIO</th>
            <th>BEST TIME RANGE</th>
        </tr>
    </thead>
    <tbody>
        <?php $__currentLoopData = $totalDaysArray; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $day_perc = ($totalDaysArray[$key]["total_connect"] * 100) / $totalDaysArray[$key]["total"];
                $best_time = $totalDaysArray[$key]["max_interval"];
                $total_day = $totalDaysArray[$key]["total"];
                $total_connect = $totalDaysArray[$key]["total_connect"];
                $best_time_count = $totalDaysArray[$key]["max_interval_count"];
            ?>
            <tr>
                <td><?php echo e($day_label[$key]); ?></td>
                <td><?php echo e($total_connect); ?> out of <?php echo e($total_day); ?> <?php echo e(number_format($day_perc, 2)); ?>%</td>
                <td><?php echo e($best_time); ?> (<?php echo e($best_time_count); ?> connections)</td>
            </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/reports/connect_rate.blade.php ENDPATH**/ ?>