<form method="POST" id="edit_available_hours_form" action="" class="needs-validation" novalidate>
    <fieldset id="disable_form_fieldset">
    <?php echo csrf_field(); ?>
    <div class="modal-header">
        <h5 class="modal-title" id="CompanyDetailsModal">Available Hours</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div id="modal_dynamic_content">
            <div class="alert alert-danger print-error-msg" style="display:none">
                <ul></ul>
            </div>
            <div class="alert alert-danger" role="alert" id="schedule_change_request_alert">
                IMPORTANT: All saved hours will require a change request for each date in case you need to modify them.
            </div>
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="start_date"><?php echo e(__('Start Date')); ?></label>
                    <input type="text" id="start_date" name="start_date" class="form-control need-validation-inputs" placeholder="Start Date" required value="<?php echo e(date('m/d/Y')); ?>" maxlength="191">
                    <div class="invalid-feedback">
                        Please provide the hours.
                    </div>

                </div>
                <div class="form-group col-md-6">
                    <label for="end_date"><?php echo e(__('End Date')); ?></label>
                    <input type="text" id="end_date" name="end_date" class="form-control need-validation-inputs" placeholder="End Date" required value="<?php echo e(date('m/d/Y')); ?>" maxlength="191">
                    <div class="invalid-feedback">
                        Please provide the hours.
                    </div>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="available_hours"><?php echo e(__('Hours')); ?></label>
                    <input type="text" id="available_hours" name="available_hours" class="form-control need-validation-inputs" placeholder="Hours" required value="" maxlength="191">
                    <div class="invalid-feedback">
                        Please provide the hours.
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        <button type="submit" class="btn btn-primary" id="submit_form">Save</button>
    </div>
    </fieldset>
</form>
<script type="text/javascript">
     $('#start_date').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

        $('#end_date').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });
</script><?php /**PATH C:\xampp3\htdocs\ghostvin_app\resources\views/dialogs/edit_caller_schedule_range.blade.php ENDPATH**/ ?>