<?php
    $sanitaze_model_array = array("delete_file", "bad_review", "import_email" , "survey_email" , "bad_review_only" , "import_email_only" , "use_calltype_column" , "schedule_reminder_call" , "src_in", "src_calltype", "update_sa_zc_only", "include_customer_link", "schedule_import_emails", "highlight_customers", "highlight_based_on", "highlight_calltype", "highlight_customer_status", "highlight_search_param", "highlight_search_phones", "highlight_search_emails", "highlight_ignore_ro", "calltype_dep");

    $file_options = $commonFunctions->sanitazeModel($file_options, $sanitaze_model_array);
    $delete_file = $file_options->delete_file;
    $bad_review = $file_options->bad_review;
    $import_email = $file_options->import_email;
    $survey_email = $file_options->survey_email;
    $bad_review_only = $file_options->bad_review_only;
    $import_email_only = $file_options->import_email_only;
    $use_calltype_column = $file_options->use_calltype_column;
    $schedule_reminder_call = $file_options->schedule_reminder_call;
    $src_in = ($file_options->src_in == "")? 5 : $file_options->src_in;
    $src_calltype = $file_options->src_calltype;
    $update_sa_zc_only = $file_options->update_sa_zc_only;
    $include_customer_link = $file_options->include_customer_link;
    $schedule_import_emails = $file_options->schedule_import_emails;
    $delete_file_checked = ($delete_file == 1)? "checked" : "";
    $bad_review_checked = ($bad_review == 1)? "checked" : "";
    $import_email_checked = ($import_email == 1)? "checked" : "";
    $survey_email_checked = ($survey_email == 1)? "checked" : "";
    $bad_review_only_checked = ($bad_review_only == 1)? "checked" : "";
    $import_email_only_checked = ($import_email_only == 1)? "checked" : "";
    $use_calltype_column_checked = ($use_calltype_column == 1)? "checked" : "";
    $show_file_calltype_dep = ($use_calltype_column == 1)? '' : 'display:none';
    $schedule_reminder_call = ($schedule_reminder_call == 1)? "checked" : "";
    $update_sa_zc_only = ($update_sa_zc_only == 1)? "checked" : "";
    $include_customer_link_checked = ($include_customer_link == 1)? "checked" : "";
    $schedule_import_emails_checked = ($schedule_import_emails == 1)? "checked" : "";
    $schedule_import_emails_display = ($schedule_import_emails == 1)? '' : 'display:none';
    $highlight_customers = ($file_options->highlight_customers == "")? 1 : $file_options->highlight_customers;
    $highlight_based_on = $file_options->highlight_based_on;
    $highlight_calltype = explode(",", $file_options->highlight_calltype);
    $highlight_customer_status = $file_options->highlight_customer_status;
    $highlight_search_param = $file_options->highlight_search_param;
    $highlight_search_phones = $file_options->highlight_search_phones;
    $highlight_search_emails = $file_options->highlight_search_emails;
    $highlight_ignore_ro = $file_options->highlight_ignore_ro;
    $highlight_search_phones = ($highlight_search_phones == 1)? "checked" : "";
    $highlight_search_emails = ($highlight_search_emails == 1)? "checked" : "";
    $highlight_ignore_ro = ($highlight_ignore_ro == 1)? "checked" : "";
    $ghosted_vin_total = 0;
    $calltype_dep_json = $file_options->calltype_dep;                            
    if(trim($calltype_dep_json) != "") 
    {
        $calltype_dep_array = json_decode($calltype_dep_json, true);
        $dp_array = [];
        if(isset($calltype_dep_array))
        {
            foreach($calltype_dep_array as $dep_key=>$dep_value) 
            {
                $dp_array[$dep_key] = $dep_value;
            } 
        }
    }

    $file_calltype_array = [];

    $based_on_select = '<select id="days_within_based_on" name="days_within_based_on" class="form-control form-control-sm">
                            <option value="lastupdate" '.$commonFunctions->setSelectValue($highlight_based_on,"lastupdate").'>Last update</option>
                            <option value="service_date" '.$commonFunctions->setSelectValue($highlight_based_on,"service_date").'>Service date</option>
                            <option value="dateadded" '.$commonFunctions->setSelectValue($highlight_based_on,"dateadded").'>Date added</option>
                            <option value="sale_date" '.$commonFunctions->setSelectValue($highlight_based_on,"sale_date").'>Sale Date</option>
                            <option value="service_apt_date" '.$commonFunctions->setSelectValue($highlight_based_on,"service_apt_date").'>Service Apt Date</option>
                            <option value="sales_apt_date" '.$commonFunctions->setSelectValue($highlight_based_on,"sales_apt_date").'>Sales Apt Date</option>
                        </select>';

    $match_select = '<select id="search_based_on" name="search_based_on" class="form-control form-control-sm">
                            <option value="phone" '.$commonFunctions->setSelectValue($highlight_search_param,"phone").'>Phone</option>
                            <option value="vin" '.$commonFunctions->setSelectValue($highlight_search_param,"vin").'>VIN</option>
                            <option value="phone_vin" '.$commonFunctions->setSelectValue($highlight_search_param,"phone_vin").'>Phone + VIN</option>
                            <option value="vin_ro" '.$commonFunctions->setSelectValue($highlight_search_param,"vin_ro").'>VIN + RO</option>
                        </select>';

    $reminder_call_date_select = '  <option value="1" '.$commonFunctions->setSelectValue($src_in, 1).'>1 Month</option>
                                    <option value="2" '.$commonFunctions->setSelectValue($src_in, 2).'>2 Months</option>
                                    <option value="3" '.$commonFunctions->setSelectValue($src_in, 3).'>3 Months</option>
                                    <option value="4" '.$commonFunctions->setSelectValue($src_in, 4).'>4 Months</option>
                                    <option value="5" '.$commonFunctions->setSelectValue($src_in, 5).'>5 Months</option>
                                    <option value="6" '.$commonFunctions->setSelectValue($src_in, 6).'>6 Months</option>
                                    <option value="7" '.$commonFunctions->setSelectValue($src_in, 7).'>7 Months</option>
                                    <option value="8" '.$commonFunctions->setSelectValue($src_in, 8).'>8 Months</option>
                                    <option value="9" '.$commonFunctions->setSelectValue($src_in, 9).'>9 Months</option>
                                    <option value="10" '.$commonFunctions->setSelectValue($src_in, 10).'>10 Months</option>
                                    <option value="11" '.$commonFunctions->setSelectValue($src_in, 11).'>11 Months</option>
                                    <option value="12" '.$commonFunctions->setSelectValue($src_in, 12).'>12 Months</option>
                                    <option value="13" '.$commonFunctions->setSelectValue($src_in, 13).'>13 Months</option>
                                    <option value="14" '.$commonFunctions->setSelectValue($src_in, 14).'>14 Months</option>
                                    <option value="15" '.$commonFunctions->setSelectValue($src_in, 15).'>15 Months</option>
                                    <option value="16" '.$commonFunctions->setSelectValue($src_in, 16).'>16 Months</option>
                                    <option value="17" '.$commonFunctions->setSelectValue($src_in, 17).'>17 Months</option>';

    $calltypeselect = $commonFunctions->getCalltypesSelect("", $highlight_calltype); 
    $main_call_type_select = $commonFunctions->getCalltypesSelect("", $main_call_type);
    $reminder_call_type_select = $commonFunctions->getCalltypesSelect("", $src_calltype);
?>

<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">Reviewing file: <?php echo e($file_name); ?></h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <form method="POST" id="search_customers_form" action="" class="needs-validation" novalidate>
            <fieldset id="search_customers_disabled" class="call_form_fieldset">
                <legend class="col-form-label-lg call_form_legend"><strong>Customer Search</strong></legend>
                <div class="form-row" style="font-size:11px;">
                    <div class="form-group col-md-1">
                        <label for="finddays">Past days:</label> 
                        <input type="text" id="finddays" name="finddays" value="<?php echo e($highlight_customers); ?>" class="form-control form-control-sm">
                    </div>
                    <div class="form-group col-md-2">
                        <label for="days_within_based_on">Based On:</label>
                        <?php print($based_on_select); ?>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="calltype_review_filter">Call Type:</label>
                        <select id="calltype_review_filter" name="calltype_review_filter[]" class="form-control form-control-sm" multiple="">
                            <?php print($calltypeselect); ?>
                        </select>
                    </div>
                    <div class="form-group col-md-3">
                        <label for="filter_customer_status">Customer Status:</label>
                        <select id="filter_customer_status" name="filter_customer_status" class="form-control form-control-sm">
                            <option value="">All</option>
                            <?php echo $__env->make('inputs.select_options', ['options' => $customer_status_options, 'value_selected' => $highlight_customer_status], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </select>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="search_based_on">Search Param:</label>
                        <?php print($match_select); ?>
                    </div>
                </div>
                <div class="form-row" style="font-size:11px;">
                    <div class="form-group col-md-3">
                        <input type="checkbox" title="Search Phones" id="include_search_phones" name="include_search_phones" <?php echo e($highlight_search_phones); ?> value="1"> &nbsp;<label for="include_search_phones">Search Phones</label>
                    </div>
                    <div class="form-group col-md-3">
                        <input type="checkbox" title="Search Emails" id="include_search_emails" name="include_search_emails" <?php echo e($highlight_search_emails); ?> value="1"> &nbsp;<label for="include_search_emails">Search Emails</label>
                    </div>
                    <div class="form-group col-md-3">
                        <input type="checkbox" title="Ignore duplicated RO" id="search_ro" name="search_ro" <?php echo e($highlight_ignore_ro); ?> value="1"> &nbsp;<label for="search_ro">Ignore duplicated RO</label>
                    </div>
                    <div class="form-group col-md-3">
                        &nbsp;
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-2">
                        <button type="button" class="btn btn-primary" id="search_customers_button" onclick="searchEmptyPhones(event, '<?php echo e($coid); ?>', true)">Search</button>
                    </div>
                    <div class="form-group col-md-2">
                        <button type="button" class="btn btn-secondary" onclick="hideRecentCalled(event)">Hide/Show Recent Called</button>
                    </div>
                    <div class="form-group col-md-8">
                        <div id="search_phones_div"></div>
                    </div>
                </div>
                
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <strong>Reachable customers by phone BEFORE search:</strong> <span id="reachable_by_phone_div"></span> of <span id="reachable_by_phone_total_div"></span>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <strong>Reachable customers by phone AFTER search:</strong> <span id="reachable_by_phone_after_search_div"></span> of <span id="reachable_by_phone_after_search_total_div"></span>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <strong>Reachable customers by email BEFORE search:</strong> <span id="reachable_by_email_div_before"></span> of <span id="reachable_by_email_total_div"></span>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <strong>Reachable customers by email AFTER search:</strong> <span id="reachable_by_email_div_after"></span> of <span id="reachable_by_email_after_search_total_div"></span>
                    </div>
                </div>
            </fieldset>
        </form>
        <br>
        <form method="POST" id="upload_calls_form" action="" class="needs-validation" novalidate>
            <table class="table table-striped" style="font-size:11px;">
                <thead>
                    <tr>
                        <th>
                            Import
                        </th>
                        <?php $__currentLoopData = $column_names_review_filtered; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $column_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($column_name != "StcFlag"): ?>
                                <th
                                <?php if(!isset($columns[$column_name]) && $column_name != 'BestPhone' && $column_name != 'FirstName' && $column_name != 'LastName' && $column_name != 'UrgentNote'): ?>
                                    style="display: none;"
                                <?php endif; ?>
                                >
                                    <?php if($column_name == 'SaleDate'): ?>
                                        ServiceDate
                                    <?php elseif($column_name == 'TrueSaleDate'): ?>
                                        SaleDate
                                    <?php else: ?>
                                        <?php echo e($column_name); ?>

                                    <?php endif; ?>
                                </th>
                                <?php if($column_name == 'BestPhone'): ?>
                                    <th>GDNC</th>
                                    <th>DDNC</th>
                                    <th>DNE</th>
                                <?php elseif($column_name == 'Email'): ?>
                                    <th>ImportEmail</th>
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tr>
                </thead>
                <tbody id="import_records_table">
                    <?php
                        $i = 0;
                        $cell_align = '';
                        $first_row = true;
                        $phone_list = [];
                        $vin_list = [];
                    ?>
                    <?php $__currentLoopData = $values_array; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            if($first_row == true && $file_template->has_header_row == 1) {
                                $first_row = false;
                                continue;
                            }
                            $first_name = (isset($value['FirstName']))? $value['FirstName'] : '';
                            $last_name = (isset($value['LastName']))? $value['LastName'] : '';
                            $phone = (isset($value['HomePhone']))? $value['HomePhone'] : '';
                            
                            if(isset($value['CellPhone']))
                            {
                                if (strlen($value['CellPhone']) == 10) { $phone = $value['CellPhone']; }
                            }
                            if(isset($value['HomePhone']))
                            {
                                if (strlen($value['HomePhone']) == 10) { $phone = $value['HomePhone']; } 
                            }
                            $value['HomePhone'] = ( strlen( $phone ) == 10 )? $phone : '';
                            
                            $duplicated_phone_class = '';
                            $duplicated_phone_style = '';
                            $primary_phone_class = $phone;
                            if( isset( $phone_list[$phone] ) ) {
                                $duplicated_phone_class = 'has_duplicated_phone';
                                $duplicated_phone_style = 'background-color: #ff919c;';
                                $primary_phone_class = $phone.'_secondary';
                            }
                            if($phone != '')
                                $phone_list[$phone] = true;

                            $cell_phone = (isset($value['CellPhone']))? $value['CellPhone'] : '';
                            $best_phone = (isset($value['BestPhone']))? $value['BestPhone'] : '';
                            $email = (isset($value['Email']))? $value['Email'] : '';
                            $vin = (isset($value['Vin']))? $value['Vin'] : '';

                            $duplicated_vin_class = '';
                            $duplicated_vin_style = '';
                            $primary_vin_class = $vin;
                            if( isset( $vin_list[$vin] ) ) {
                                $duplicated_vin_class = 'has_duplicated_vin';
                                $duplicated_vin_style = 'background-color: #ff919c;';
                                $primary_vin_class = $vin.'_sec_vin';
                            }
                            if($vin != '')
                                $vin_list[$vin] = true;

                            $gdnc = (isset($gdnc_array[$phone]))? 1 : 0;
                            $ddnc = (isset($ddnc_array[$phone]))? 1 : 0;
                            $dne = (isset($dne_array[strtoupper($email)]))? 1 : 0;
                            $ie = (isset($dne_array[strtoupper($email)]))? 0 : 1;
                            $ghost_vin_class = (isset($removed_vins_array[$vin]))? 'ghosted_vin' : '';
                            $has_ghosted_vin_class = (isset($removed_vins_array[$vin]))? 'has_ghosted_vin_class' : '';

                            $import = (isset($removed_vins_array[$vin]))? 0 : 1;
                            $import = (trim($first_name) == "" && trim($last_name) == "")? 0 : $import;
                            //$import = (trim($phone) == "" && trim($cell_phone) == "" && trim($best_phone) == "")? 0 : $import;

                            /*if(isset($value['StcFlag']))
                            {
                                $import = ($value['StcFlag'] == 0)? 0 : $import;
                            }*/

                            if(isset($value['StcFlag']))
                            {
                                $stc_value = $value['StcFlag'];
                            } 


                            $fname_totestvip = strtolower(trim($first_name));
                            $lname_totestvip = strtolower(trim($last_name));
                            $fullname_totestvip = $fname_totestvip." ".$lname_totestvip;
                            $vip_class = '';
                            $vip_style = '';
                            if(isset($callcenter_vip_array[$fullname_totestvip])) {
                                $vip_class = 'has_vip';
                                $vip_style = 'background-color: #f5a742;';
                                $ie = 0;
                            }
                            $email_parts = explode('@', $email);
                            if( isset( $email_parts[1] ) ) {
                                if( in_array( strtolower( $email_parts[1] ), $callcenter_vip_domains_array ) )
                                {
                                    $vip_class = 'has_vip';
                                    $vip_style = 'background-color: #f5a742;';
                                    $ie = 0;
                                }
                            }

                            if(isset($value['CallType']))
                            {
                                if(trim($value['CallType']) != '')
                                {
                                    if(!isset($file_calltype_array[$value['CallType']]) && trim($value['CallType']) != '') {
                                        $file_calltype_array[$value['CallType']] = true;
                                    }
                                }
                            }

                            $future_call_background = '';
                            $has_future_call = '';
                            if(isset($future_scheduled_calls[$phone]))
                            {
                                $future_call_background = 'background-color:#84C8F2';
                                $has_future_call = "has_future_call";
                            }
                            

                        ?>
                        <tr id="table-row_<?php echo e($i); ?>" class="table_rows <?php echo e($has_future_call); ?> <?php echo e($vip_class); ?> <?php echo e($duplicated_phone_class); ?> <?php echo e($primary_phone_class); ?> <?php echo e($duplicated_vin_class); ?> <?php echo e($primary_vin_class); ?> <?php echo e($has_ghosted_vin_class); ?>" style="<?php echo e($vip_style); ?> <?php echo e($duplicated_phone_style); ?> <?php echo e($duplicated_vin_style); ?>">
                            <td id="import_<?php echo e($i); ?>_td" align="center" ondblclick="editSingleReviewFileColumn('import_<?php echo e($i); ?>')" title="Import" style="<?php echo e($future_call_background); ?>">
                                <span id="import_<?php echo e($i); ?>_span"><?php echo e($import); ?></span>
                                <input type="hidden" id="import_<?php echo e($i); ?>" name="import[]" value="<?php echo e($import); ?>" class="import">
                                <input type="hidden" id="orig_import_<?php echo e($i); ?>" name="orig_import_[]" value="<?php echo e($import); ?>" class="orig_import">
                                <?php if(isset($value['StcFlag'])): ?>
                                    <input type="hidden" id="stc_flag_<?php echo e($i); ?>" name="stc_flag[]" value="<?php echo e($stc_value); ?>" class="stc_flag">
                                <?php else: ?> 
                                    <input type="hidden" id="stc_flag_<?php echo e($i); ?>" name="stc_flag[]" value="1" class="stc_flag">
                                <?php endif; ?>
                                <span id="rc_reference_id_<?php echo e($i); ?>" style="display: none;"></span>
                            </td>
                            <?php $__currentLoopData = $column_names_review_filtered; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $column_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($key != 'stc_flag'): ?>
                                    <?php
                                        $column_value = (isset($value[$column_name]))? utf8_decode($value[$column_name]) : '';
                                        if($column_name == "ShowToCall")
                                        {
                                            $cell_align = 'center';
                                            $show_to_call = ( isset($gdnc_array[$phone]) || isset($ddnc_array[$phone]) || $vip_class != '' )? 0 : $column_value;
                                            $show_to_call = ( trim( $first_name ) != '' )? $show_to_call : 0;
                                            $show_to_call = ( strlen( $phone ) == 10 )? $show_to_call : 0;
                                            $column_value = $show_to_call;
                                        } else {
                                            $cell_align = '';
                                        }
                                        if($column_name == 'SaleDate')
                                        {
                                            $new_column_name = "ServiceDate";
                                        } else if($column_name == 'TrueSaleDate') {
                                            $new_column_name = "SaleDate";
                                        } else {
                                            $new_column_name = $column_name;
                                        }
                                        $useless_email_function = '';
                                        $dne_class = '';
                                        if($column_name == "Email")
                                        {
                                            $useless_email_function = 'oncontextmenu="addUselessEmailSingleDialog(event, \''.$i.'\')"';
                                            $dne_class = ($dne == 1)? ';background-color:#ff2950' : '';
                                        }
                                        $dnc_class = '';
                                        if($column_name == "HomePhone")
                                        {
                                            $dnc_class = ($gdnc == 1 || $ddnc == 1)? ';background-color:#ff2950' : '';
                                        }
                                        $ghosted_vin_function = '';
                                        if($column_name == 'Vin' && $ghost_vin_class != '')
                                        {
                                            $ghosted_vin_total++;
                                            $ghosted_vin_function = 'oncontextmenu="removeFromGhostedVinSingleDialog(event, \''.$i.'\', \''.$coid.'\')"';
                                        }

                                        if(!isset($columns[$column_name]) && $column_name != 'BestPhone' && $column_name != 'FirstName' && $column_name != 'LastName' && $column_name != 'UrgentNote')
                                        {
                                            $hide_column_style = 'display: none;';
                                        } else {
                                            $hide_column_style = '';
                                        }
                                    
                                

                                        $vin_min_width = ($column_name == 'Vin')? 'min-width:175px' : '';
                                        $phone_min_width = ($column_name == 'HomePhone')? 'min-width:125px' : '';
                                        //$ghost_vin_class = ($column_name == 'Vin')? $ghost_vin_class : '';
                                    ?>
                                    <?php if(isset($value[$column_name])): ?>
                                        <td id="<?php echo e($key); ?>_<?php echo e($i); ?>_td" align="<?php echo e($cell_align); ?>" ondblclick="editSingleReviewFileColumn('<?php echo e($key); ?>_<?php echo e($i); ?>')" title="<?php echo e($new_column_name); ?>: <?php echo e($column_value); ?>" style="<?php echo e($vin_min_width); ?> <?php echo e($phone_min_width); ?> <?php echo e($dne_class); ?> <?php echo e($dnc_class); ?> <?php echo e($hide_column_style); ?>" <?php print($useless_email_function); ?> <?php print($ghosted_vin_function); ?> >
                                            <?php
                                                $formated_value = trim($column_value);
                                                $formated_value = (strlen($column_value) > 30)? mb_substr($formated_value, 0, 30).'[...]' : $formated_value; 
                                            ?>
                                            <span id="<?php echo e($key); ?>_<?php echo e($i); ?>_span"><?php echo e($formated_value); ?></span>
                                            <?php if($column_name == 'Vin' && $ghost_vin_class != ''): ?>
                                                <input type="hidden" id="<?php echo e($key); ?>_<?php echo e($i); ?>" name="<?php echo e($key); ?>[]" value="<?php echo e($column_value); ?>" class="<?php echo e($key); ?> removed_vin">
                                                <span class="btn btn-danger btn-sm" onmouseover="getGhostedVinInfo(event, '<?php echo e($coid); ?>', '<?php echo e($column_value); ?>')" onmouseout="ccShowScriptToolTip(event,'ghosted_vin_history_div')" id="ghost_vin_prev_dialog_btn_<?php echo e($i); ?>"><i class="fas fa-ghost"></i></span>
                                            <?php elseif($column_name == "HomePhone"): ?>
                                                <span id="recent_called_icon_<?php echo e($i); ?>"></span>
                                                <input type="hidden" id="<?php echo e($key); ?>_<?php echo e($i); ?>" name="<?php echo e($key); ?>[]" value="<?php echo e($column_value); ?>" class="<?php echo e($key); ?>">
                                            <?php else: ?> 
                                                <input type="hidden" id="<?php echo e($key); ?>_<?php echo e($i); ?>" name="<?php echo e($key); ?>[]" value="<?php echo e($column_value); ?>" class="<?php echo e($key); ?>">
                                            <?php endif; ?>
                                        </td>
                                    <?php else: ?>
                                        <td id="<?php echo e($key); ?>_<?php echo e($i); ?>_td" align="<?php echo e($cell_align); ?>" ondblclick="editSingleReviewFileColumn('<?php echo e($key); ?>_<?php echo e($i); ?>')" title="<?php echo e($new_column_name); ?>" <?php print($useless_email_function); ?> style="<?php echo e($hide_column_style); ?>">
                                            <input type="hidden" id="<?php echo e($key); ?>_<?php echo e($i); ?>" name="<?php echo e($key); ?>[]" value="" class="<?php echo e($key); ?>">
                                            <span id="<?php echo e($key); ?>_<?php echo e($i); ?>_span"></span>
                                            <?php if($column_name == "HomePhone"): ?>
                                                <span id="recent_called_icon_<?php echo e($i); ?>"></span>
                                            <?php endif; ?> 
                                        </td>
                                    <?php endif; ?>
                                    <?php if($column_name == 'BestPhone'): ?>
                                        <td id="gdnc_<?php echo e($i); ?>_td" align="center" ondblclick="editSingleReviewFileColumn('gdnc_<?php echo e($i); ?>')" title="GDNC">
                                            <input type="hidden" id="gdnc_<?php echo e($i); ?>" name="gdnc[]" value="<?php echo e($gdnc); ?>" class="gdnc">
                                            <span id="gdnc_<?php echo e($i); ?>_span"><?php echo e($gdnc); ?></span>
                                        </td>
                                        <td id="ddnc_<?php echo e($i); ?>_td" align="center" ondblclick="editSingleReviewFileColumn('ddnc_<?php echo e($i); ?>')" title="DDNC">
                                            <input type="hidden" id="ddnc_<?php echo e($i); ?>" name="ddnc[]" value="<?php echo e($ddnc); ?>" class="ddnc">
                                            <span id="ddnc_<?php echo e($i); ?>_span"><?php echo e($ddnc); ?></span>
                                        </td>
                                        <td id="dne_<?php echo e($i); ?>_td" align="center" ondblclick="editSingleReviewFileColumn('dne_<?php echo e($i); ?>')" title="DNE">
                                            <input type="hidden" id="dne_<?php echo e($i); ?>" name="dne[]" value="<?php echo e($dne); ?>" class="dne">
                                            <span id="dne_<?php echo e($i); ?>_span"><?php echo e($dne); ?></span>
                                        </td>
                                    <?php elseif($column_name == 'Email'): ?>
                                        <td id="ie_<?php echo e($i); ?>_td" align="center" ondblclick="editSingleReviewFileColumn('ie_<?php echo e($i); ?>')" title="ImportEmail">
                                            <input type="hidden" id="ie_<?php echo e($i); ?>" name="ie[]" value="<?php echo e($ie); ?>" class="ie">
                                            <span id="ie_<?php echo e($i); ?>_span"><?php echo e($ie); ?></span>
                                        </td>
                                    <?php endif; ?>
                                 <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tr>
                        <?php
                            $i++;
                        ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
            <br>

            <fieldset class="call_form_fieldset">
                <legend class="call_form_legend"><strong>Import Options</strong></legend>
                <div class="form-row">
                    <div class="form-group col-md-2">
                        <label for="main_scheduling_date">Schedule for:</label> 
                        <input type="text" id="main_scheduling_date" name="main_scheduling_date" value="<?php echo e(date('m/d/Y')); ?>" class="form-control form-control-sm">
                    </div>
                    <div class="form-group col-md-3">
                        <label for="main_calltype">Call Type:</label>
                        <select id="main_calltype" name="main_calltype" class="form-control form-control-sm" onchange="emptyImportEmailTemplates(event)">
                            <?php print($main_call_type_select); ?>
                        </select>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="main_department">Department:</label>
                        <select id="main_department" name="main_department" class="form-control form-control-sm">
                            <option value="">Select</option>
                            <?php echo $__env->make('inputs.select_options', ['options' => $department_options, 'value_selected' => $department], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </select>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-2">
                        <div class="form-check">
                            <input type="checkbox" title="Use Call Type Column" id="use_file_calltype" name="use_file_calltype" onclick="showHideElementById('call_type_department_div')" <?php echo e($use_calltype_column_checked); ?> value="1" class="form-check-input">
                            <label for="use_file_calltype" class="form-check-label">Use CallType column</label>
                        </div>
                    </div>

                    <div class="form-group col-md-3" id="call_type_department_div" style="<?php echo e($show_file_calltype_dep); ?>">
                        <?php $__currentLoopData = $file_calltype_array; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="form-row">
                                <div class="form-group col-md-4">
                                    <?php echo e($key); ?>

                                </div>    
                                <div class="form-group col-md-8">
                                    <select id="<?php echo e($key); ?>_dep" name="<?php echo e($key); ?>_dep" class="form-control form-control-sm call_type_dep">
                                        <option value="">Select</option>
                                        <?php 
                                            $current_selected_department = (isset($dp_array[$key.'_dep']))? $dp_array[$key.'_dep'] : '';
                                        ?>
                                        <?php echo $__env->make('inputs.select_options', ['options' => $department_options, 'value_selected' => $current_selected_department], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    </select>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>  
                </div>
                <div class="form-row">
                    <div class="form-group col-md-3 pt-4">
                        <input type="checkbox" title="Schedule reminder call" id="schedule_reminder_call" name="schedule_reminder_call" <?php echo e($schedule_reminder_call); ?> value="1"> <label for="schedule_reminder_call">Schedule reminder</label>
                    </div>
                    <div class="form-group col-md-3">
                        <label for="reminder_calltype">Reminder Call Type:</label>
                        <select id="reminder_calltype" name="reminder_calltype" class="form-control form-control-sm">
                            <?php print($reminder_call_type_select); ?>
                        </select>
                    </div>
                    <div class="form-group col-md-3">
                        <label for="reminder_call_date">Date:</label>
                        <select id="reminder_call_date" name="reminder_call_date" class="form-control form-control-sm">
                            <?php print($reminder_call_date_select); ?>
                        </select>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md pt-4">
                        <input type="checkbox" title="Send import emails" id="import_email" name="import_email" value="1" <?php echo e($import_email_checked); ?>> <label for="import_email">Send import emails</label>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md pt-4">
                        <input type="checkbox" title="Bad review list to dealer" id="bad_review_option" name="bad_review_option" value="1" <?php echo e($bad_review_checked); ?>> <label for="bad_review_option">Bad review list to dealer</label>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md pt-4">
                        <input type="checkbox" title="Send import email only" id="import_email_only" name="import_email_only" value="1" <?php echo e($import_email_only_checked); ?>> <label for="import_email_only">Send import email only</label>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md pt-4">
                        <input type="checkbox" title="Include customer update link" id="include_customer_link" name="include_customer_link" value="1" <?php echo e($include_customer_link_checked); ?>> <label for="include_customer_link">Include customer update link</label>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md pt-4">
                        <input type="checkbox" title="Delete file after upload" id="delete_file" name="delete_file" value="1" <?php echo e($delete_file_checked); ?>> <label for="delete_file">Delete file after upload</label>
                    </div>
                </div>
                <input type="hidden" id="import_coid" name="import_coid" value="<?php echo e($coid); ?>">
                <input type="hidden" id="import_file_name" name="import_file_name" value="<?php echo e($file_name); ?>">
                <textarea id="import_email_content" style="display: none;"></textarea>

                <textarea id="import_email_subject_stc" name="import_email_subject_stc" style="display: none;"></textarea>
                <textarea id="import_email_content_stc" name="import_email_content_stc" style="display: none;"></textarea>
                <textarea id="import_email_subject_nstc" name="import_email_subject_nstc" style="display: none;"></textarea>
                <textarea id="import_email_content_nstc" name="import_email_content_nstc" style="display: none;"></textarea>
                <textarea id="import_email_subject_dnc" name="import_email_subject_dnc" style="display: none;"></textarea>
                <textarea id="import_email_content_dnc" name="import_email_content_dnc" style="display: none;"></textarea>
            </fieldset>
        </form>
        <div id="ghosted_vin_history_div" style="display:none; z-index: 9999999999;position: fixed;background-color: #fff; border: 3px solid gray;border-radius: 5px;max-width: 600px">
            <div id="ghosted_vin_information">Ghosted VIN Information</div>
        </div>
        <div id="recent_called_history_div" style="display:none; z-index: 9999999999;position: fixed;background-color: #fff; border: 3px solid gray;border-radius: 5px;max-width: 600px">
            <div id="recent_call_information_result">Call Information</div>
        </div>
        <div id="add_useless_emails_div" style="display:none; z-index: 9999999998;position: fixed;background-color: #fff;border-radius: 5px;max-width: 600px">
        </div>
        <div id="remove_ghosted_vin_div" style="display:none; z-index: 9999999997;position: fixed;background-color: #fff;border-radius: 5px;max-width: 600px">
        </div>
        <input type="hidden" name="ghost_vin_count_before" id="ghost_vin_count_before" value="<?php echo e($ghosted_vin_total); ?>">
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-success" onclick="listAllFutureCalls(event, '<?php echo e($coid); ?>')" id="list_future_calls_button">Future Calls</button>
    <button type="button" class="btn btn-success" onclick="saveReviewFileOptions(event, '<?php echo e($coid); ?>')" id="save_review_file_options_button">Save Options</button>
    <button type="button" class="btn btn-success" onclick="editUselessEmailsDialog(event)" id="edit_useless_emails_button">Edit Useless Emails</button>
    <button type="button" class="btn btn-success" onclick="removeUselessEmails(event)" id="remove_useless_emails">Remove Useless Emails</button>
    <button type="button" class="btn btn-success" onclick="editImportEmailDialog(event, '<?php echo e($coid); ?>')" id="edit_import_email_button">Edit Import Email</button>
    <button type="button" class="btn btn-success" onclick="exportRecentCalled(event, '<?php echo e($coid); ?>')" id="export_recent_called_button">Export Recent Called</button>
    <button type="button" class="btn btn-primary" onclick="importCallFile(event)" id="import_call_file_button">Import Records</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div>


<script type="text/javascript">
    $('#main_scheduling_date').datepicker({
        language: "en",
        autoclose: true,
        orientation: "bottom",
    });

    $('.has_ghosted_vin_class').each(function(index, el) {
        $('#import_records_table').prepend($(this));            
    });

    $('.has_vip').each(function(index, el) {
        $('#import_records_table').prepend($(this));            
    });

    $('.has_duplicated_phone').each(function(index, el) {
        $('#import_records_table').prepend($(this));    
        var classes_array = $(this).attr("class").split(/\s+/); 
        for(var i = 0; i < classes_array.length; i++ ) {
            if( classes_array[ i ].includes('_secondary') ) {
                $('#import_records_table').prepend($( '.' + classes_array[ i ].split('_')[ 0 ] ));
            }
        }
    });

    $('.has_duplicated_vin').each(function(index, el) {
        $('#import_records_table').prepend($(this));    
        var classes_array = $(this).attr("class").split(/\s+/); 
        for(var i = 0; i < classes_array.length; i++ ) {
            if( classes_array[ i ].includes('_sec_vin') ) {
                $('#import_records_table').prepend($( '.' + classes_array[ i ].split('_')[ 0 ] ));
            }
        }
    });
</script><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/review_call_file.blade.php ENDPATH**/ ?>