
<?php $__env->startSection('style_files'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('css/jquery.typeahead.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container" id="main_dealer_files_container">
    <?php $__currentLoopData = $dealers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php
            $ftp_data = new \stdClass();
            if(isset($ftp_host[$company->coid]))
            {
                $ftp_data->host = $ftp_host[$company->coid];
                $ftp_data->username = $ftp_username[$company->coid];
                $ftp_data->password = $ftp_password[$company->coid];
                $ftp_data->delimiter = $ftp_delimiter[$company->coid];
            } else {
                $ftp_data->host = '';
                $ftp_data->username = '';
                $ftp_data->password = '';
                $ftp_data->delimiter = '';
            }

            $block_class = '';
            $has_import_files_class = '';
            if(isset($ftp_files[$company->coid]))
            {
                if(count($ftp_files[$company->coid]) > 0) $block_class = 'background-color:#fffda3;';

            }

            if(isset($scrubbed_files[$company->coid]))
            {
                if(count($scrubbed_files[$company->coid]) > 0) $block_class = 'background-color:#a3d7ff;';

            }
            if(isset($ftp_files[$company->coid]) && isset($scrubbed_files[$company->coid]))
            {
                if(count($ftp_files[$company->coid]) > 0 && count($scrubbed_files[$company->coid]) > 0) 
                {

                    $has_import_files_class = 'has_import_files';
                    $block_class = 'background-color: #a1ffbd;';
                }
            }

        ?>
        <div class="<?php echo e($has_import_files_class); ?>"> 
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header" onclick="showHideElementByClass('dealer_container_<?php echo e($company->coid); ?>')" style="cursor: pointer;<?php echo e($block_class); ?>">FTP credentials for <?php echo e($company->co_name); ?></div>
                        <div class="card-body dealer_container_<?php echo e($company->coid); ?>" style="display: none;">
                            <span class="cursorpointer" onclick="showHideElementByClass('ftp_credentials_container_<?php echo e($company->coid); ?>')">[Show/Hide credentials]</span>
                            <form method="POST" id="ftp_form_<?php echo e($company->coid); ?>" action="" class="needs-validation" novalidate>
                                <div class="form-row pt-4 ftp_credentials_container_<?php echo e($company->coid); ?>" style="display: none">
                                    <div class="form-group col-md-3">
                                        <label for="host"><?php echo e(__('Host')); ?></label>
                                        <input type="text" id="host" name="host" class="form-control need-validation-inputs" placeholder="Host" required value="<?php echo e($ftp_data->host); ?>" maxlength="191" onchange="updateFtpCredentials(event, '<?php echo e($company->coid); ?>')" readonly="" oncontextmenu="enableEdit(event, 'ftp_form_<?php echo e($company->coid); ?>', 'host')">
                                        <div class="invalid-feedback">
                                            Please provide the host.
                                        </div>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="username"><?php echo e(__('Username')); ?></label>
                                        <input type="text" id="username" name="username" class="form-control need-validation-inputs" placeholder="Username" required value="<?php echo e($ftp_data->username); ?>" maxlength="191" onchange="updateFtpCredentials(event, '<?php echo e($company->coid); ?>')" readonly="" oncontextmenu="enableEdit(event, 'ftp_form_<?php echo e($company->coid); ?>', 'username')">
                                        <div class="invalid-feedback">
                                            Please provide the username.
                                        </div>
                                    </div>
                                    <div class="form-group col-md-3">
                                        <label for="password"><?php echo e(__('Password')); ?></label>
                                        <input type="text" id="password" name="password" class="form-control need-validation-inputs" placeholder="Password" required value="<?php echo e($ftp_data->password); ?>" maxlength="191" onchange="updateFtpCredentials(event, '<?php echo e($company->coid); ?>')" readonly="" oncontextmenu="enableEdit(event, 'ftp_form_<?php echo e($company->coid); ?>', 'password')">
                                        <div class="invalid-feedback">
                                            Please provide the password.
                                        </div>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="delimiter"><?php echo e(__('Delimiter')); ?></label>
                                        <input type="text" id="delimiter" name="delimiter" class="form-control need-validation-inputs" placeholder="Delimiter" required value="<?php echo e($ftp_data->delimiter); ?>" maxlength="191" onchange="updateFtpCredentials(event, '<?php echo e($company->coid); ?>')" readonly="" oncontextmenu="enableEdit(event, 'ftp_form_<?php echo e($company->coid); ?>', 'delimiter')">
                                        <div class="invalid-feedback">
                                            Please provide the delimiter.
                                        </div>
                                    </div>
                                </div>
                                <input type="hidden" id="dealer_coid" name="dealer_coid" value="<?php echo e($company->coid); ?>">
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center dealer_container_<?php echo e($company->coid); ?>" style="display: none;">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header" onclick="showHideElementByClass('ftp_files_available_container_<?php echo e($company->coid); ?>')" style="cursor: pointer">
                            FTP files available for <?php echo e($company->co_name); ?>

                        </div>
                        <div class="card-body ftp_files_available_container_<?php echo e($company->coid); ?>" style="display: none;">
                            <?php if(isset($ftp_files[$company->coid])): ?>
                                <?php $__currentLoopData = $ftp_files[$company->coid]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $file_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-6" style="font-size: 10px;">
                                            <?php echo e($file_name); ?>

                                        </div>
                                        <div class="form-group col-md-6">
                                            <button type="submit" name="upload" class="btn btn-primary" onclick="editFtpTemplate(event, '<?php echo e($company->coid); ?>', '<?php echo e($file_name); ?>')"><i class="far fa-edit"></i></button>
                                            <button type="submit" name="ftp_export" id="ftp_export" class="btn btn-success" onclick="scrubFtpFile(event, '<?php echo e($company->coid); ?>', '<?php echo e($file_name); ?>')"><i class="fas fa-file-export"></i></button>
                                        </div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row justify-content-center dealer_container_<?php echo e($company->coid); ?>" style="display: none;">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">Scrubbed files available for <?php echo e($company->co_name); ?></div>
                        <div class="card-body" id="scrubbed_files_<?php echo e($company->coid); ?>">
                            <?php if(isset($scrubbed_files[$company->coid])): ?>
                                <?php $__currentLoopData = $scrubbed_files[$company->coid]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $file_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    if(isset($file_separator[$company->coid][$file_name]))
                                    {
                                        $selected_separator = $file_separator[$company->coid][$file_name];
                                        $selected_department = $file_department[$company->coid][$file_name];
                                        $selected_drp = $file_date_range_param[$company->coid][$file_name];
                                        $selected_calltype = $file_calltype[$company->coid][$file_name];
                                    } else {
                                        $selected_separator = '';
                                        $selected_department = '';
                                        $selected_drp = '';
                                        $selected_calltype = '';
                                    }
                                ?>
                                    <form method="POST" id="scrubbed_form_<?php echo e(str_replace('.', '', $file_name)); ?>" action="" class="needs-validation" novalidate>
                                        <div class="form-row">
                                            <div class="form-group col-md-3" style="font-size: 10px;display:flex;align-items: end;">
                                                <?php echo e($file_name); ?>

                                                <select id="scrubbed_file_name" name="scrubbed_file_name" style="display:none;">
                                                    <option value="<?php echo e($file_name); ?>"><?php echo e($file_name); ?></option>
                                                </select>
                                            </div>
                                            <div class="form-group col-md-1">
                                                <label for="department"><?php echo e(__('Department')); ?></label>
                                                <select class="form-control need-validation-inputs form-control-sm" id="department" name="department">
                                                    <?php echo $__env->make('inputs.select_options', ['options' => $departments_options[$company->coid], 'value_selected' => $selected_department], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                                </select>
                                            </div>
                                            <div class="form-group col-md-2">
                                                <label for="calltype"><?php echo e(__('Call Type')); ?></label>
                                                <select class="form-control need-validation-inputs form-control-sm" id="calltype" name="calltype">
                                                    <?php echo $__env->make('inputs.select_options', ['options' => $calltypes_options, 'value_selected' => $selected_calltype], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                                </select>
                                            </div>
                                            <div class="form-group col-md-1">
                                                <label for="separator"><?php echo e(__('Separator')); ?></label>
                                                <input type="text" id="separator" name="separator" class="form-control need-validation-inputs form-control-sm" placeholder="Separator" required value="<?php echo e($selected_separator); ?>" maxlength="191">
                                                <div class="invalid-feedback">
                                                    Please provide the file separator.
                                                </div>
                                            </div>
                                            <div class="form-group col-md-1">
                                                <label for="date_range"><?php echo e(__('Date Range')); ?></label>
                                                <select id="date_range" name="date_range" class="form-control form-control-sm">
                                                    <option value="" <?php if($selected_drp == '') print('selected'); ?> >None</option>
                                                    <option value="service_date" <?php if($selected_drp == 'service_date') print('selected'); ?> >Service Date</option>
                                                    <option value="sale_date" <?php if($selected_drp == 'sale_date') print('selected'); ?> >Sale Date</option>
                                                    <option value="last_service_date" <?php if($selected_drp == 'last_service_date') print('selected'); ?> >Last Service Date</option>
                                                    <option value="service_apt_date" <?php if($selected_drp == 'service_apt_date') print('selected'); ?> >Service Apt Date</option>
                                                    <option value="sales_apt_date" <?php if($selected_drp == 'sales_apt_date') print('selected'); ?> >Sales Apt Date</option>
                                                    <option value="lead_date" <?php if($selected_drp == 'lead_date') print('selected'); ?> >Lead Date</option>
                                                </select>
                                            </div>
                                            <div class="form-group col-md-1">
                                                <label for="startdate"><?php echo e(__('From')); ?></label>
                                                <input type="text" id="startdate" name="startdate" class="form-control need-validation-inputs form-control-sm date_input" placeholder="From" value="" maxlength="191">
                                                <div class="invalid-feedback">
                                                    Please provide the file start date.
                                                </div>
                                            </div>
                                            <div class="form-group col-md-1">
                                                <label for="enddate"><?php echo e(__('To')); ?></label>
                                                <input type="text" id="enddate" name="enddate" class="form-control need-validation-inputs form-control-sm date_input" placeholder="To" value="" maxlength="191">
                                                <div class="invalid-feedback">
                                                    Please provide the end date.
                                                </div>
                                            </div>
                                            <div class="form-group col-md-2" style="display:flex;align-items: end;">
                                                <button type="submit" name="save_file_options_button" id="save_file_options_button" class="btn btn-primary" onclick="saveFileOptions(event, '<?php echo e($company->coid); ?>', '<?php echo e($file_name); ?>')"><i class="far fa-save"></i></button>
                                                &nbsp;
                                                &nbsp;
                                                <button type="submit" name="scrubbed_file_template_button" id="scrubbed_file_template_button" class="btn btn-primary" onclick="editScrubbedFileTemplate(event, '<?php echo e($company->coid); ?>', '<?php echo e($file_name); ?>')"><i class="far fa-edit"></i></button>
                                                &nbsp;
                                                &nbsp;
                                                <button type="submit" name="review_scrubbed_file_button" id="review_scrubbed_file_button" class="btn btn-success" onclick="reviewScrubbedFile(event, '<?php echo e($file_name); ?>')"><i class="fas fa-file-export"></i></button>
                                            </div>
                                        </div>
                                        <input type="hidden" id="review_coid" name="review_coid" value="<?php echo e($company->coid); ?>">
                                    </form>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts_extra'); ?>
    <script type="text/javascript">
        $('.date_input').datepicker({
            language: "en",
            autoclose: true,
            orientation: "top",
        });

        $('.date_input').datepicker({
            language: "en",
            autoclose: true,
            orientation: "top",
        });

        $('.has_import_files').each(function(index, el) {
            $('#main_dealer_files_container').prepend($(this));            
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/pages/call_files.blade.php ENDPATH**/ ?>