
<?php $__env->startSection('style_files'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('css/jquery.typeahead.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">File Import</div>

                <div class="card-body">
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div class="alert alert-danger" id="file_upload_error" style="display:none">
                      Something went wrong
                      <ul></ul>
                    </div>
                    <form method="post" action="fileupload/upload" enctype="multipart/form-data" id="upload_form">
                      <?php echo csrf_field(); ?>



                        <div class="form-row">
                            <label for="user_type_id" class="col-md-4 col-form-label text-md-right"><?php echo e(__('Dealer')); ?></label>
                            <div class="form-group col-md-4">
                                <select class="form-control need-validation-inputs" id="db_table" name="db_table" onchange="getFileTemplate()" required>
                                    <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                                        <option value="">Global</option>
                                    <?php endif; ?>
                                    <?php echo $__env->make('inputs.select_options', ['options' => $dealers, 'value_selected' => ''], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                            </div>
                        </div> 


                      <div class="form-row">
                            <label for="upload_file" class="col-md-4 col-form-label text-md-right"><?php echo e(__('Select a file:')); ?></label>

                            <div class="form-group col-md-4">
                                <div class="input-group">
                                    <input type="file" name="upload_file" id="upload_file" class="form-control <?php $__errorArgs = ['user_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" onchange="getFileTemplate()" required  />

                                    <?php $__errorArgs = ['upload_file'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    <div class="input-group-append">
                                        <button type="submit" name="upload" class="btn btn-success" onclick="uploadRecordFile(event)"><i class="fas fa-file-upload"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <label for="file_template" class="col-md-4 col-form-label text-md-right"><?php echo e(__('Template')); ?></label>
                            <div class="form-group col-md-4">
                                <div class="input-group">
                                    <select class="form-control need-validation-inputs" id="file_template" name="file_template" onchange="checkFileTemplate(event)" required="">
                                        <option value="">Select</option>
                                        <?php echo $__env->make('inputs.select_options', ['options' => $file_templates, 'value_selected' => ''], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    </select>
                                    <div class="input-group-append">
                                        <button type="submit" name="upload" class="btn btn-primary" onclick="editFileTemplate()"><i class="far fa-edit"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div> 
                        <div class="form-row">
                            <label for="file_type" class="col-md-4 col-form-label text-md-right"><?php echo e(__('File Type')); ?></label>
                            <div class="form-group col-md-4">
                                <select class="form-control need-validation-inputs" id="file_type" name="file_type" required>
                                    <option value="">Select</option>
                                    <option value="leo">LEO</option>
                                    <option value="toyota_care">Toyota Care</option>
                                    <option value="recall">Recall</option>
                                    <option value="call_records">Call Records</option>
                                </select>
                            </div>
                        </div> 
                        <div class="form-row">
                            <label for="call_type" class="col-md-4 col-form-label text-md-right"><?php echo e(__('Call Type')); ?></label>
                            <div class="form-group col-md-4">
                                <select class="form-control need-validation-inputs" id="call_type" name="call_type">
                                    <option value="">None</option>
                                    <?php echo $__env->make('inputs.select_options', ['options' => $call_types, 'value_selected' => ''], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                            </div>
                        </div> 

                        <div class="form-row">
                            <label for="call_type" class="col-md-4 col-form-label text-md-right"></label>
                            <div class="form-group col-md-4 text-center">
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="use_calltype_column" name="use_calltype_column" value="1">
                                    <label class="custom-control-label" for="use_calltype_column">Use call type column</label>
                                </div>
                            </div>
                        </div>



                        <div class="form-group row">
                          <div class="col-md-12">
                            <div class="progress" style="width: 50%;margin: auto;height: 30px">
                              <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="" aria-valuemin="0" aria-valuemax="100" style="width: 0%">0%</div>
                            </div>
                          </div>
                        </div>
                        <div class="form-group row">
                          <div class="col-md-12 text-center">
                            <div id="success">
                            </div>
                          </div>
                        </div>
                        <input type="hidden" id="upload_type" name="upload_type" value="">
                        <input type="hidden" id="has_calltype_column" name="has_calltype_column" value="">
                    </form>
                    <br />
                    

                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts_extra'); ?>
    
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/uploads/fileupload.blade.php ENDPATH**/ ?>