<div class="modal-header">
    <h5 class="modal-title">
        Questions for "<?php echo e($call_type->calltype_text); ?>"
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <div class="alert alert-danger print-error-msg" style="display:none">
            <ul></ul>
        </div>
        <form id="questions_form" name="questions_form">
            <?php echo csrf_field(); ?>
            <fieldset id="survey_questions_fieldset">
                <?php $__currentLoopData = $questions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $question): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="form-row" id="question_<?php echo e($question->id); ?>">
                        <div class="form-group col-md-12">
                            <input type="hidden" name="ids[]" id="" value="<?php echo e($question->id); ?>">
                            <div class="input-group">
                                <input class="form-control" type="text" name="questions[]" id="" value="<?php echo e($question->question); ?>">
                            
                                <div class="input-group-append">
                                    <button onclick="removeSurveyQuestionDialog(event, '<?php echo e($question->id); ?>')" class="btn btn-danger"><i class="fas fa-trash-alt" aria-hidden="true"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </fieldset>
        </form>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-primary" onclick="addSurveyQuestion(event, '<?php echo e($coid); ?>', '<?php echo e($cid); ?>');" id="add_survey_question_button">Add Question</button>
    <button type="button" class="btn btn-success" onclick="saveSurveyQuestions(event, '<?php echo e($coid); ?>', '<?php echo e($cid); ?>');" id="save_questions_button">Save Questions</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/survey_questions_dialog.blade.php ENDPATH**/ ?>