<table class="table table-striped">
    <thead>
        <tr>
            <?php if($communication_type=='email'): ?>
                <th>Sent by</th>
                <th>Dealer</th>
                <th>Email</th>
                <th class="table_cell_content">Subject</th>
                <th class="table_cell_content">Date</th>
                <th class="table_cell_content" style="text-align: center;">Show</th>
            <?php elseif($communication_type=='sms'): ?>
                <th>Dealer</th>
                <th>Phone</th>
                <th class="table_cell_content">Last Message</th>
                <th class="table_cell_content">Date</th>
                <th class="table_cell_content" style="text-align: center;">Show</th>
            <?php endif; ?>
        </tr>
    </thead>
    <tbody>
        <?php $__currentLoopData = $communications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $communication): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php if($communication_type=='email'): ?>
                <tr id="communication_row_<?php echo e($communication->id); ?>">
                    <td id="communication_name_<?php echo e($communication->id); ?>">
                        <?php if(isset($communication->user)): ?>
                            <?php echo e($communication->user->first_name); ?> <?php echo e($communication->user->last_name); ?>

                        <?php endif; ?>
                    </td>
                    <td class="table_cell_content"><?php echo e($dealer_names[$communication->coid]); ?></td>
                    <td class="table_cell_content"><?php echo e($communication->email); ?></td>
                    <td class="table_cell_content"><?php echo e($communication->subject); ?></td>
                    <td class="table_cell_content"><?php echo e(date('m/d/Y H:i', strtotime($communication->created_at))); ?></td>
                    <td align="center">
                        <a href="#" onclick="showCommunicationInformation(event, '<?php echo e($communication->id); ?>', '<?php echo e($communication_type); ?>')"><i class="fas fa-search"></i></a>
                    </td>
                </tr>
            <?php elseif($communication_type=='sms'): ?>
                <tr id="communication_row_<?php echo e($communication->id); ?>">
                    <td class="table_cell_content"><?php echo e($dealer_names[$communication->coid]); ?></td>
                    <td id="communication_name_<?php echo e($communication->id); ?>"><?php echo e($communication->user_identifier); ?></td>
                    <td class="table_cell_content">
                        <?php if(isset($last_messages[$communication->id])): ?>
                            <?php echo e($last_messages[$communication->id]); ?>

                        <?php endif; ?>
                    </td>
                    <td class="table_cell_content"><?php echo e(date('m/d/Y H:i', strtotime($communication->created_at))); ?></td>
                    <td align="center">
                        <a href="#" onclick="showCommunicationInformation(event, '<?php echo e($communication->id); ?>', '<?php echo e($communication_type); ?>')"><i class="fas fa-search"></i></a>
                    </td>
                </tr>
            <?php endif; ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table>
<?php echo e($communications->links()); ?><?php /**PATH C:\xampp3\htdocs\ghostvin_app\resources\views/lists/communication_list.blade.php ENDPATH**/ ?>