<form method="POST" id="add_form" action="" class="needs-validation" novalidate>
    <fieldset id="disable_form_fieldset">
    <?php echo csrf_field(); ?>
    <div class="modal-header">
        <h5 class="modal-title" id="CompanyDetailsModal">User Group Information</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div id="modal_dynamic_content">
            <div class="alert alert-danger print-error-msg" style="display:none">
                <ul></ul>
            </div>
            
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="name"><?php echo e(__('Name')); ?></label>
                    <input type="text" id="name" name="name" class="form-control need-validation-inputs" placeholder="Name" required value="<?php echo e($user_group->name); ?>" maxlength="191">
                    <div class="invalid-feedback">
                        Please provide the user group name.
                    </div>
                </div>
                <div class="form-group col-md-6">
                    <label for="coid"><?php echo e(__('Dealer')); ?></label>
                    <select class="form-control need-validation-inputs" id="coid" name="coid">
                        <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                            <option value="">Global</option>
                        <?php endif; ?>
                        <?php echo $__env->make('inputs.select_options', ['options' => $dealers_options, 'value_selected' => $user_group->coid], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </select>
                    <div class="invalid-feedback">
                        Please select the dealer.
                    </div>
                    <input type="hidden" id="user_group_id" name="user_group_id" value="<?php echo e($user_group->id); ?>">
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        <button type="submit" class="btn btn-primary" id="add_ug_submit_form">Save</button>
    </div>
    </fieldset>
</form>

<?php /**PATH C:\xampp3\htdocs\ghostvin_app\resources\views/dialogs/add_user_group.blade.php ENDPATH**/ ?>