<div>
<fieldset>
    <legend class="text-right"><?php echo e($company_name); ?> Vin Tracker Report</legend>
    <div class="form-row">
        <div class="form-group col-md-12" style="background-color: #f3834e;border-radius: 5px; padding-bottom: 40px;">
            <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;background-color: #f3834e;border-radius: 5px;color:#fff;">
                <div class="form-group col-md-4">
                    <p style="font-size: 20px"><?php echo e(number_format($total, 0, '.', ',')); ?> Total Customers &nbsp;
                        <span class="cursorpointer" onclick="scheduleCalls(event, '<?php echo e($coid); ?>', 'all', <?php echo e($total_active); ?>)"><i class="fas fa-phone-square" style="font-size: 25px"></i></span>&nbsp;
                        <span class="cursorpointer" onclick="scheduleEmails(event, '<?php echo e($coid); ?>', 'all')"><i class="fas fa-envelope-square" style="font-size: 25px"></i></span>

                    </p>
                    <p style="font-size: 16px"><?php echo e(number_format($ghostvin_total, 0, '.', ',')); ?> Ghosted Vins</p>
                    
                    <p>
                        <ul style="vertical-align: middle;">
                            <li class="cursorpointer" onclick="showFoundVins(event, 'all', '36')">Vehicle Destroyed: <?php echo e(count($customer_status_total[36])); ?></li>
                            <li class="cursorpointer" onclick="showFoundVins(event, 'all', '20')">No longer owns: <?php echo e(count($customer_status_total[20])); ?></li>
                            <li class="cursorpointer" onclick="showFoundVins(event, 'all', '35')">Out of State: <?php echo e(count($customer_status_total[35])); ?></li>
                            <li class="cursorpointer" onclick="showFoundVins(event, 'all', '33')">Servicing Elsewhere: <?php echo e(count($customer_status_total[33])); ?></li>
                            <li class="cursorpointer" onclick="showFoundVins(event, 'all', '0')">Unknown status: <?php echo e(count($customer_status_total[0])); ?></li>
                        </ul>
                    </p>
                </div>

                

                <div class="form-group col-md-4">
                    <p style="font-size: 20px">
                        Satisfaction!
                    </p>
                    <p style="font-size: 14px">
                        Service Follow Up:
                        <?php if(($sfu_livecalls_happy + $sfu_livecalls_not_happy) > 0): ?>
                            <ul>
                                <li>Happy Customers: <?php echo e($sfu_livecalls_happy); ?> (<?php echo e(number_format(($sfu_livecalls_happy / ($sfu_livecalls_happy + $sfu_livecalls_not_happy)) * 100, 2)); ?>%)</li>
                                <li>Needs Attention: <?php echo e($sfu_livecalls_not_happy); ?></li>
                                <li>Avg. Opinion per month: <?php echo e(number_format(($sfu_livecalls_happy + $sfu_livecalls_not_happy)/12, 0)); ?></li>
                            </ul>
                        <?php endif; ?>
                    </p>
                    <?php if($salesfu_livecalls_happy > 0 || $salesfu_livecalls_not_happy > 0): ?>
                    <p style="font-size: 14px">
                        Sales Follow Up:
                        <?php if(($salesfu_livecalls_happy + $salesfu_livecalls_not_happy) > 0): ?>
                            <ul>
                                <li>Happy Customers: <?php echo e($salesfu_livecalls_happy); ?> (<?php echo e(number_format(($salesfu_livecalls_happy / ($salesfu_livecalls_happy + $salesfu_livecalls_not_happy)) * 100, 2)); ?>%)</li>
                                <li>Needs Attention: <?php echo e($salesfu_livecalls_not_happy); ?></li>
                                <li>Avg. Opinion per month: <?php echo e(number_format(($salesfu_livecalls_happy + $salesfu_livecalls_not_happy)/12, 0)); ?></li>
                            </ul>
                        <?php endif; ?>
                    </p>
                    <?php endif; ?>
                </div>
                <div class="form-group col-md-4">
                    <p style="font-size: 20px">
                        Communications
                    </p>
                    <p style="font-size: 14px">
                        LEO Sent Us <?php echo e($total_phone_numbers); ?> Phone Numbers. (<?php echo e(number_format(($total_phone_numbers /$total) * 100, 2)); ?>%)<br>
                        Campus Callers Found <strong><span id="found_phones" style="color:#18619a">???</span></strong> Phone numbers. <strong><span id="found_phones_percent" style="color:#18619a"></span></strong><br>
                        Records on DNC: <?php echo e($total_dnc); ?><br>
                        LEO Sent Us <?php echo e($total_emails); ?> Emails. (<?php echo e(number_format(($total_emails /$total) * 100, 2)); ?>%)<br>
                        Campus Callers Found <strong><span id="found_emails" style="color:#18619a">???</span></strong> Emails. <strong><span id="found_emails_percent" style="color:#18619a"></span></strong><br>
                        Records on DNE: <?php echo e($total_dne); ?>

                    </p>
                </div>
            </div>

            <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;padding-bottom: 30px;background-color: #f3834e;border-radius: 5px;color:#fff;">

                <div class="form-group col-md-5 text-center">
                    <p style="font-size: 20px">
                        Phone Tank
                    </p>
                    <p style="font-size: 14px">
                        <div id='phone_chart' class="customized-chart"></div>
                    </p>
                </div>

                <div class="form-group col-md-2 text-center" style="display: flex; align-items: center;justify-content: center;padding-top:50px">
                    <img src="images/otis_button.png" class="cursorpointer" style="width: 60px" onclick="findPhoneAndEmails(event, '<?php echo e($coid); ?>');"> 
                </div>

                <div class="form-group col-md-5 text-center">
                    <p style="font-size: 20px">
                        Email Tank
                    </p>
                    <p style="font-size: 14px">
                        <div id='email_chart' class="customized-chart"></div>
                    </p>
                </div>
            </div>   
        </div>
    </div>

    <div class="form-row">
        <div class="form-group col-md-12" style="background-color: #18619a;border-radius: 5px">
            <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;">
                <div class="form-group col-md-4" style="background-color: #18619a;border-radius: 5px;color:#fff;">
                    <p style="font-size: 20px"><?php echo e($company_name); ?> DATA CENTER</p>
                    <p style="font-size: 16px">
                        All Vins: <?php echo e($livecalls_all_vin_count); ?><br>
                        Toyota Vins: <?php echo e($livecalls_toyota_count); ?> - Visits Last 12 Months: <?php echo e($livecalls_toyota_active_count); ?><br>
                        Other Make Vins: <?php echo e($livecalls_other_make_count); ?> - Visits Last 12 Months: <?php echo e($livecalls_other_make_active_count); ?>


                    </p>
                </div>
                <div class="form-group col-md-4" style="background-color: #18619a;border-radius: 5px;color:#fff;">
                    <p style="font-size: 20px">INBOUND</p>
                    <p style="font-size: 16px">
                        Call Count Last 30 days: <?php echo e($inbound_calls_30_days); ?><br>
                        Service Appointments Made: <?php echo e($inbound_calls_service_apt); ?><br>
                        Service Appointments Rescheduled: <?php echo e($inbound_calls_service_apt_reschedule); ?><br>
                        Messages Taken: <?php echo e($inbound_calls_took_message); ?><br>
                        Provided Information: <?php echo e($inbound_calls_provided_info); ?><br>
                    </p>
                </div>
                <div class="form-group col-md-4 text-center">
                    <p style="font-size: 20px">
                        Inbound Chart
                    </p>
                    <p style="font-size: 14px">
                        <div id='inbound_chart' class="customized-chart"></div>
                    </p>
                </div>
            </div>
        </div>
    </div>



    <div class="form-row">
        <div class="form-group col-md-12" style="background-color: #f3834e;border-radius: 5px">
            <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;background-color: #f3834e;border-radius: 5px;color:#fff;">
                <div class="form-group col-md-6">
                    <p style="font-size: 20px"><?php echo e(number_format($total_toyota_care_eligible, 0, '.', ',')); ?> Toyota Care Eligible &nbsp;
                        <span class="cursorpointer" onclick="scheduleCalls(event, '<?php echo e($coid); ?>', 'toyota_care_eligible', <?php echo e($total_active); ?>)"><i class="fas fa-phone-square" style="font-size: 25px"></i></span>&nbsp;
                        <span class="cursorpointer" onclick="scheduleEmails(event, '<?php echo e($coid); ?>', 'toyota_care_eligible')"><i class="fas fa-envelope-square" style="font-size: 25px"></i></span>

                    </p>
                    <p style="font-size: 16px">Current Scheduled TC Calls: <?php echo e(number_format($total_toyota_care_scheduled, 0, '.', ',')); ?></p>
                </div>

                <div class="form-group col-md-6">
                    <p style="font-size: 20px">
                        Calls in Q
                    </p>
                    <p style="font-size: 14px">
                        <ul>
                            <?php $__currentLoopData = $call_queue; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $calltype => $call): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li>
                                    <?php echo e($calltypes_array[$calltype]); ?>: <?php echo e($call); ?>

                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </p>
                </div>
            </div>
        </div>
    </div>        

        
    <div class="form-row">
        <div class="form-group col-md-12" style="background-color: #18619a;border-radius: 5px">
            <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;">
                <div class="form-group col-md-4" style="background-color: #18619a;border-radius: 5px;color:#fff;">
                    <p style="font-size: 20px">Current Active <?php echo e(date('F Y')); ?></p>
                    <p style="font-size: 16px">
                        <?php echo e(number_format($total_active, 0, '.', ',')); ?> Customers &nbsp;
                        <span class="cursorpointer" onclick="scheduleCalls(event, '<?php echo e($coid); ?>', 'Active', <?php echo e($total_active); ?>)"><i class="fas fa-phone-square" style="font-size: 25px"></i></span>&nbsp;
                        <span class="cursorpointer" onclick="scheduleEmails(event, '<?php echo e($coid); ?>', 'Active')"><i class="fas fa-envelope-square" style="font-size: 25px"></i></span>
                    </p>
                </div>
                <div class="form-group col-md-4" style="background-color: #18619a;border-radius: 5px;color:#fff; font-size: 30px; display: flex; align-items: center;justify-content: center;">
                    <p><?php echo e(number_format(($total_active/$total)*100, 2, '.', ',')); ?>%</p>
                </div>
                <div class="form-group col-md-4" style="background-color: #18619a;border-radius: 5px;color:#fff;display: flex; align-items: center;justify-content: center;">
                    <ul style="vertical-align: middle;">
                        <li class="cursorpointer" onclick="showFoundVins(event, 'active', '36')">Vehicle Destroyed: <?php echo e($total_customer_status['Active'][36]); ?></li>
                        <li class="cursorpointer" onclick="showFoundVins(event, 'active', '20')">No longer owns: <?php echo e($total_customer_status['Active'][20]); ?></li>
                        <li class="cursorpointer" onclick="showFoundVins(event, 'active', '35')">Out of State: <?php echo e($total_customer_status['Active'][35]); ?></li>
                        <li class="cursorpointer" onclick="showFoundVins(event, 'active', '33')">Servicing Elsewhere: <?php echo e($total_customer_status['Active'][33]); ?></li>
                        <li class="cursorpointer" onclick="showFoundVins(event, 'active', '0')">Unknown status: <?php echo e($total_customer_status['Active'][0]); ?></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="form-row" style="margin-left: -10px;margin-right: -10px;">
        <div class="form-group col-md-6">
            <div class="form-group col-md-12" style="background-color: #f3834e;border-radius: 5px">
                <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;">
                    <div class="form-group col-md-5" style="background-color: #f3834e;border-radius: 5px;color:#fff;">
                        <p style="font-size: 20px">Inactive</p>
                        <p style="font-size: 16px"><?php echo e(number_format($total_inactive, 0, '.', ',')); ?> Customers</p>
                        <p style="font-size: 16px">
                            <span class="cursorpointer" onclick="scheduleCalls(event, '<?php echo e($coid); ?>', 'Inactive', <?php echo e($total_active); ?>)"><i class="fas fa-phone-square" style="font-size: 25px"></i></span>&nbsp;
                            <span class="cursorpointer" onclick="scheduleEmails(event, '<?php echo e($coid); ?>', 'Inactive')"><i class="fas fa-envelope-square" style="font-size: 25px"></i></span>
                        </p>
                        <p><?php echo e(number_format(($total_inactive/$total)*100, 2, '.', ',')); ?>%</p>
                    </div>
                    <div class="form-group col-md-7" style="background-color: #f3834e;border-radius: 5px;color:#fff;display: flex; align-items: center;justify-content: center;">
                        <ul style="vertical-align: middle;">
                            <li class="cursorpointer" onclick="showFoundVins(event, 'inactive', '36')">Vehicle Destroyed: <?php echo e($total_customer_status['Inactive'][36]); ?></li>
                            <li class="cursorpointer" onclick="showFoundVins(event, 'inactive', '20')">No longer owns: <?php echo e($total_customer_status['Inactive'][20]); ?></li>
                            <li class="cursorpointer" onclick="showFoundVins(event, 'inactive', '35')">Out of State: <?php echo e($total_customer_status['Inactive'][35]); ?></li>
                            <li class="cursorpointer" onclick="showFoundVins(event, 'inactive', '33')">Servicing Elsewhere: <?php echo e($total_customer_status['Inactive'][33]); ?></li>
                            <li class="cursorpointer" onclick="showFoundVins(event, 'inactive', '0')">Unknown status: <?php echo e($total_customer_status['Inactive'][0]); ?></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="form-group col-md-6">
            <div class="form-group col-md-12" style="background-color: #777b84;border-radius: 5px">
                <div class="form-row" style="padding-top: 30px;padding-left: 20px;padding-right: 20px;">
                    <div class="form-group col-md-5" style="background-color: #777b84;border-radius: 5px;color:#fff;">
                        <p style="font-size: 20px">Not Engaged</p>
                        <p style="font-size: 16px"><?php echo e(number_format($total_not_enganged, 0, '.', ',')); ?> Customers </p>
                        <p style="font-size: 16px">
                            <span class="cursorpointer" onclick="scheduleCalls(event, '<?php echo e($coid); ?>', 'Not Engaged', <?php echo e($total_active); ?>)"><i class="fas fa-phone-square" style="font-size: 25px"></i></span>&nbsp;
                            <span class="cursorpointer" onclick="scheduleEmails(event, '<?php echo e($coid); ?>', 'Not Engaged')"><i class="fas fa-envelope-square" style="font-size: 25px"></i></span>
                        </p>
                        <p><?php echo e(number_format(($total_not_enganged/$total)*100, 2, '.', ',')); ?>%</p>
                    </div>
                    <div class="form-group col-md-7" style="background-color: #777b84;border-radius: 5px;color:#fff;display: flex; align-items: center;justify-content: center;">
                        <ul style="vertical-align: middle;">
                            <li class="cursorpointer" onclick="showFoundVins(event, 'not_enganged', '36')">Vehicle Destroyed: <?php echo e($total_customer_status['Not Engaged'][36]); ?></li>
                            <li class="cursorpointer" onclick="showFoundVins(event, 'not_enganged', '20')">No longer owns: <?php echo e($total_customer_status['Not Engaged'][20]); ?></li>
                            <li class="cursorpointer" onclick="showFoundVins(event, 'not_enganged', '35')">Out of State: <?php echo e($total_customer_status['Not Engaged'][35]); ?></li>
                            <li class="cursorpointer" onclick="showFoundVins(event, 'not_enganged', '33')">Servicing Elsewhere: <?php echo e($total_customer_status['Not Engaged'][33]); ?></li>
                            <li class="cursorpointer" onclick="showFoundVins(event, 'not_enganged', '0')">Unknown status: <?php echo e($total_customer_status['Not Engaged'][0]); ?></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <input type="hidden" id="active_36" name="active_36" value="<?php echo e($active_vin_36); ?>">
    <input type="hidden" id="active_20" name="active_20" value="<?php echo e($active_vin_20); ?>">
    <input type="hidden" id="active_35" name="active_35" value="<?php echo e($active_vin_35); ?>">
    <input type="hidden" id="active_33" name="active_33" value="<?php echo e($active_vin_33); ?>">
    <input type="hidden" id="active_0" name="active_0" value="<?php echo e($active_vin_0); ?>">
    <input type="hidden" id="inactive_36" name="inactive_36" value="<?php echo e($inactive_vin_36); ?>">
    <input type="hidden" id="inactive_20" name="inactive_20" value="<?php echo e($inactive_vin_20); ?>">
    <input type="hidden" id="inactive_35" name="inactive_35" value="<?php echo e($inactive_vin_35); ?>">
    <input type="hidden" id="inactive_33" name="inactive_33" value="<?php echo e($inactive_vin_33); ?>">
    <input type="hidden" id="inactive_0" name="inactive_0" value="<?php echo e($inactive_vin_0); ?>">
    <input type="hidden" id="not_enganged_36" name="not_enganged_36" value="<?php echo e($not_enganged_vin_36); ?>">
    <input type="hidden" id="not_enganged_20" name="not_enganged_20" value="<?php echo e($not_enganged_vin_20); ?>">
    <input type="hidden" id="not_enganged_35" name="not_enganged_35" value="<?php echo e($not_enganged_vin_35); ?>">
    <input type="hidden" id="not_enganged_33" name="not_enganged_33" value="<?php echo e($not_enganged_vin_33); ?>">
    <input type="hidden" id="not_enganged_0" name="not_enganged_0" value="<?php echo e($not_enganged_vin_0); ?>">


    <input type="hidden" id="all_36" name="all_36" value="<?php echo e($all_vin_36); ?>">
    <input type="hidden" id="all_20" name="all_20" value="<?php echo e($all_vin_20); ?>">
    <input type="hidden" id="all_35" name="all_35" value="<?php echo e($all_vin_35); ?>">
    <input type="hidden" id="all_33" name="all_33" value="<?php echo e($all_vin_33); ?>">
    <input type="hidden" id="all_0" name="all_0" value="<?php echo e($all_vin_0); ?>">

    <input type="hidden" id="db_table" name="db_table" value="<?php echo e($db_table); ?>">
</fieldset>
<div>
<script src="js/zingchart/zingchart.min.js"></script>
<script type="text/javascript">
    

var phoneChartConfig = {
    type: "gauge",
    
    globals: {
      fontSize: 25
    },
    gui : {
      contextMenu : {
        empty : true
      }
    },
    plot:{
      size:'80%',
      valueBox: {
        placement: 'edge',
        text:'%v', //default
        fontSize:15,
        rules:[
          {
            rule: '%v == <?php echo e($total_phone_numbers); ?>',
            text: '<?php echo e(number_format(($total_phone_numbers /$total) * 100, 2)); ?>% FULL',
            'font-color': "#000000",
            offsetX:-60
          },
        ]
      }
    },
  tooltip:{
    borderRadius:5
  },
    scaleR:{
      aperture:180,
      minValue:0,
      maxValue:<?php echo e($total); ?>,
      step:<?php echo e($total / 2); ?>,
      center: {
      size:5,
          'background-color': "#000000",
          'border-color': "none"
        },
      tick:{
        visible:false
      },
      item:{
        offsetR:0,
        'font-size':16,
        'font-color': "#000000",
      },
      labels:['(0) E','','(<?php echo e($total); ?>) F'],
      ring:{
        size:10,
        backgroundColor:'#18619a'
        
      }
    },

    series : [
        {
            values : [<?php echo e($total_phone_numbers); ?>], // starting value
            backgroundColor:'#af0000',
            csize: "5%",
            
        },
        {
            values : [<?php echo e($total_phone_numbers); ?>], // starting value
            backgroundColor:'#00b03f',
            csize: "5%",
            animation:{  
                effect:2,
                method:1,
                sequence:4,
                speed: 900
            },
        }
    ]
};

zingchart.render({ 
    id : 'phone_chart', 
    data : phoneChartConfig, 
    height: '100%',
    width: '100%'
});


var emailChartConfig = {
    type: "gauge",
    
    globals: {
      fontSize: 25
    },
    gui : {
      contextMenu : {
        empty : true
      }
    },
    plot:{
      size:'80%',
      valueBox: {
        placement: 'edge',
        text:'%v', //default
        fontSize:15,
        rules:[
          {
            rule: '%v == <?php echo e($total_emails); ?> && <?php echo e(number_format(($total_emails /$total) * 100, 2)); ?> <= 50',
            text: '<?php echo e(number_format(($total_emails /$total) * 100, 2)); ?>% FULL',
            'font-color': "#000000",
            offsetX:-60
          },
          {
            rule: '%v == <?php echo e($total_emails); ?> && <?php echo e(number_format(($total_emails /$total) * 100, 2)); ?> > 50',
            text: '<?php echo e(number_format(($total_emails /$total) * 100, 2)); ?>% FULL',
            'font-color': "#000000",
            offsetX: 50,
            offsetY: -20
          },
        ]
      }
    },
  tooltip:{
    borderRadius:5
  },
    scaleR:{
      aperture:180,
      minValue:0,
      maxValue:<?php echo e($total); ?>,
      step:<?php echo e($total / 2); ?>,
      center: {
      size:5,
          'background-color': "#000000",
          'border-color': "none"
        },
      tick:{
        visible:false
      },
      item:{
        offsetR:0,
        'font-size':16,
        'font-color': "#000000",
      },
      labels:['(0) E','','(<?php echo e($total); ?>) F'],
      ring:{
        size:10,
        backgroundColor:'#18619a'
        
      }
    },

    series : [
        {
            values : [<?php echo e($total_emails); ?>], // starting value
            backgroundColor:'#af0000',
            csize: "5%",
            
        },
        {
            values : [<?php echo e($total_emails); ?>], // starting value
            backgroundColor:'#00b03f',
            csize: "5%",
            animation:{  
                effect:2,
                method:1,
                sequence:4,
                speed: 900
            },
        }
    ]
};


zingchart.render({ 
    id : 'email_chart', 
    data : emailChartConfig, 
    height: '100%',
    width: '100%'
});


function setPhoneGauge(new_value, percent)
{

    zingchart.exec('phone_chart', 'setseriesdata', {
        plotindex:1,
        data: {
            values: [new_value],
            backgroundColor:'#00b03f',
            csize: "5%",
            animation:{  
                effect:2,
                method:1,
                sequence:4,
                speed: 1200
            },
          }
    });

    zingchart.exec('phone_chart', 'modifyplot', {
      graphid: 0,
      plotindex: 1,
      data: {
        size:'80%',
          valueBox: {
            placement: 'edge',
            text:'%v', //default
            fontSize:15,
            rules:[
              {
                rule: '%v == <?php echo e($total_phone_numbers); ?> && '+percent+' < 50',
                text: '<?php echo e(number_format(($total_phone_numbers /$total) * 100, 2)); ?>% FULL',
                'font-color': "#000000",
                offsetX:-60
              },
              {
                rule: '%v == <?php echo e($total_phone_numbers); ?> && '+percent+' > 50',
                text: '<?php echo e(number_format(($total_phone_numbers /$total) * 100, 2)); ?>% FULL',
                'font-color': "#000000",
                offsetX: 50,
                offsetY: -20
              },
              {
                rule: '%v == '+new_value+' && '+percent+' > 50',
                text: percent+'% FULL',
                'font-color': "#000000",
                offsetX: 50,
                offsetY: -20
              },
              {
                rule: '%v == '+new_value+' && '+percent+' < 50',
                text: percent+'% FULL',
                'font-color': "#000000",
                offsetX: -60,
              },
            ]
          },

      }
    });

    // zingchart.exec('phone_chart', 'modify', {
    //   graphid: 0,
    //   object: 'ring',
    //   data: {
    //     rules:[
    //           {
    //             rule:'%v <= <?php echo e($total_phone_numbers); ?>',
    //             backgroundColor:'#E53935'
    //           },
    //           {
    //             rule:'%v > <?php echo e($total_phone_numbers); ?> && %v < '+new_value,
    //             backgroundColor:'#EF5350'
    //           },
    //           {
    //             rule:'%v >= '+new_value,
    //             backgroundColor:'#29B6F6'
    //           }      
    //         ]
    //   }
    // });

}


function setEmailGauge(new_value, percent)
{

    zingchart.exec('email_chart', 'setseriesdata', {
        plotindex:1,
        data: {
            values: [new_value],
            backgroundColor:'#00b03f',
            csize: "5%",
            animation:{  
                effect:2,
                method:1,
                sequence:4,
                speed: 1200
            },
          }
    });

    zingchart.exec('email_chart', 'modifyplot', {
      graphid: 0,
      plotindex: 1,
      data: {
        size:'80%',
          valueBox: {
            placement: 'edge',
            text:'%v', //default
            fontSize:15,
            rules:[
              {
                rule: '%v == <?php echo e($total_emails); ?> && '+percent+' < 50',
                text: '<?php echo e(number_format(($total_emails /$total) * 100, 2)); ?>% FULL',
                'font-color': "#000000",
                offsetX:-60
              },
              {
                rule: '%v == <?php echo e($total_emails); ?> && '+percent+' > 50',
                text: '<?php echo e(number_format(($total_emails /$total) * 100, 2)); ?>% FULL',
                'font-color': "#000000",
                offsetX: 50,
                offsetY: -20
              },
              {
                rule: '%v == '+new_value+' && '+percent+' > 50',
                text: percent+'% FULL',
                'font-color': "#000000",
                offsetX: 50,
                offsetY: -20
              },
              {
                rule: '%v == '+new_value+' && '+percent+' < 50',
                text: percent+'% FULL',
                'font-color': "#000000",
                offsetX: -60,
              },
            ]
          },

      }
    });

    // zingchart.exec('email_chart', 'modify', {
    //   graphid: 0,
    //   object: 'ring',
    //   data: {
    //     rules:[
    //           {
    //             rule:'%v <= <?php echo e($total_phone_numbers); ?>',
    //             backgroundColor:'#E53935'
    //           },
    //           {
    //             rule:'%v > <?php echo e($total_phone_numbers); ?> && %v < '+new_value,
    //             backgroundColor:'#EF5350'
    //           },
    //           {
    //             rule:'%v >= '+new_value,
    //             backgroundColor:'#29B6F6'
    //           }      
    //         ]
    //   }
    // });

}



</script><?php /**PATH C:\xampp\htdocs\ghostvin_app\resources\views/partials/report.blade.php ENDPATH**/ ?>