<form id="imported_records_form">
    <input type="hidden" name="deleted_coid" value="<?php echo e($coid); ?>">
    <button type="submit" class="btn btn-danger" onclick="deleteImportRecordsDialog(event)">Delete selected</button>
    <table class="table table-striped" id="report_table">
        <thead>
            <tr>
                <th>Remove</th>
                <th>Import Time</th>
                <th>Call Type</th>
                <th>Total records</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $import_logs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $log): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td>
                        <input type="checkbox" name="log_list[]" value="<?php echo e($log->id); ?>">
                    </td>
                    <td>
                        <?php $import_time = date( "m/d/Y H:i:s", strtotime( $log->import_time ) ); ?>
                        <?php echo e($import_time); ?>

                    </td>
                    <td>
                        <?php
                            $ctypeicon = $call_types_icons[ $log->calltype ];
                            $calltype  = ( $ctypeicon != "" )? '<img src="https://login.fullbdc.com/images/' . $ctypeicon . '" title="'.$call_types_texts[ $log->calltype ].'">' : $call_types_texts[ $log->calltype ];
                            print( $calltype );
                        ?>
                    </td>
                    <td>
                        <?php echo e($log->total_records); ?>

                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
    <br>
    <table class="table table-striped" id="report_table">
        <thead>
            <tr>
                <th>Remove</th>
                <th>Name</th>
                <th>Date Added</th>
                <th>Phone</th>
                <th>Email</th>
                <th>Vehicle</th>
                <th>Customer Status</th>
                <th>Call Type</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $records; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $record): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td>
                        <input type="checkbox" name="record_list[]" value="<?php echo e($record->id); ?>">
                    </td>
                    <td>
                        <?php echo e($record->fname); ?> <?php echo e($record->lname); ?>

                    </td>
                    <td>
                        <?php $date_added = date( "m/d/Y H:i:s", strtotime( $record->dateadded ) ); ?>
                        <?php echo e($date_added); ?>

                    </td>
                    <td>
                        <?php echo e($record->phone); ?>

                    </td>
                    <td>
                        <?php echo e($record->email); ?>

                    </td>
                    <td>
                        <?php echo e($record->vehicle_year); ?> <?php echo e($record->vehicle_make); ?> <?php echo e($record->vehicle_model); ?>

                    </td>
                    <td>
                        <?php
                            $iconurl         = ! empty( $customer_status_icons[ $record->customer_status ] ) ? $customer_status_icons[ $record->customer_status ] : '';
                            $customer_status_label = ! empty( $customer_status_texts[ $record->customer_status ] ) ? $customer_status_texts[ $record->customer_status ] : '';
                            $customer_status = ( $iconurl != "" ) ? '<img src="https://login.fullbdc.com/images/' . $iconurl . '" title="'. $customer_status_texts[ $record->customer_status ] . '">' : $customer_status_label;
                            $calltype_id = ! empty( $record->livecall_next_calltype ) ? $record->livecall_next_calltype : $record->livecall_prev_calltype;
                            $ctypeicon = $call_types_icons[ $calltype_id ];
                            $calltype  = ( $ctypeicon != "" )? '<img src="https://login.fullbdc.com/images/' . $ctypeicon . '" title="'.$call_types_texts[ $calltype_id ].'">' : $call_types_texts[ $calltype_id ];
                            print( $customer_status );
                        ?>
                    </td>
                    <td>
                        <?php
                            print( $calltype );
                        ?>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
</form><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/reports/records_imported.blade.php ENDPATH**/ ?>