<div class="modal-header">
    <h5 class="modal-title">
        Services
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <div class="alert alert-danger print-error-msg" style="display:none">
            <ul></ul>
        </div>
        <form id="ib_sales_rep_form" name="ib_sales_rep_form">
            <?php echo csrf_field(); ?>
            <table id="ib_sales_rep_list" class="table">
                <thead>
                    <tr>
                        <th class="headertags14px">Department</th>
                        <th class="headertags14px">Title</th>
                        <th class="headertags14px">Subtitle</th>
                        <th class="headertags14px">Price</th>
                        <th class="headertags14px">Description</th>
                        <th class="headertags14px">Disclaimer</th>
                        <th class="headertags14px">Start Date</th>
                        <th class="headertags14px">End Date</th>
                        <th class="headertags14px">Comments</th>
                        <th class="headertags14px">Url</th>
                        <th class="headertags14px">Icon</th>
                        <th class="headertags14px">Delete</th>
                     </tr>
                </thead>
                <tbody>
                        <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                    <input type="hidden" name="services_ids[]" value="<?php echo e($value->uid); ?>">
                                    <select class="form-control need-validation-inputs" name="department[]" id="department_<?php echo e($value->uid); ?>">
                                        <option value="">Select...</option>
                                        <?php $__currentLoopData = $departments_options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $selected = $option->value == $value->did ? 'selected' : '';
                                            ?>
                                            <option value="<?php echo e($option->value); ?>" <?php echo e($selected); ?>><?php echo e($option->text); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </td>
                                <td>
                                    <input type="text" name="title[]" class="form-control" placeholder="Title" value="<?php echo e($value->title); ?>">
                                </td>
                                <td>
                                    <input type="text" name="subtitle[]" class="form-control" placeholder="Subtitle" value="<?php echo e($value->subtitle); ?>">
                                </td>
                                <td>
                                    <input type="text" name="price[]" class="form-control" placeholder="Price" value="<?php echo e($value->price); ?>">
                                </td>
                                <td>
                                    <textarea name="description[]" class="form-control" placeholder="Description"><?php echo e($value->description); ?></textarea>
                                </td>
                                <td>
                                    <textarea name="disclaimer[]" class="form-control" placeholder="Disclaimer"><?php echo e($value->disclaimer); ?></textarea>
                                </td>
                                <td>
                                    <?php
                                        $start_date = ! empty( $value->startdate ) ? date('m/d/Y', strtotime( $value->startdate ) ) : '';
                                    ?>
                                    <input type="text" name="startdate[]" class="form-control date_inputs" placeholder="Start Date" value="<?php echo e($start_date); ?>">
                                </td>
                                <td>
                                    <?php
                                        $end_date = ! empty( $value->expiredate ) ? date('m/d/Y', strtotime( $value->expiredate ) ) : '';
                                    ?>
                                    <input type="text" name="expiredate[]" class="form-control date_inputs" placeholder="Expire Date" value="<?php echo e($end_date); ?>">
                                </td>
                                <td>
                                    <textarea name="comments[]" class="form-control" placeholder="Comments"><?php echo e($value->comments); ?></textarea>
                                </td>
                                <td>
                                    <input type="text" name="url_link[]" class="form-control" placeholder="Url" value="<?php echo e($value->url_link); ?>">
                                </td>
                                <td>
                                    <?php if( ! empty( $value->image ) ): ?>
                                        <img src="https://fullbdc.com/images/<?php echo e($value->image); ?>" onclick="changeInboundServiceIcon('<?php echo e($value->uid); ?>')">
                                    <?php else: ?>
                                        <span onclick="changeInboundServiceIcon('<?php echo e($value->uid); ?>')" class="pointer">No icon set</span>
                                    <?php endif; ?>
                                    <input type="hidden" name="image[]" value="<?php echo e($value->image); ?>">
                                </td>
                                <td align="center">
                                    <span class="cursorpointer" onclick="deleteInboundService(event, '<?php echo e($value->uid); ?>')" ><i class="fas fa-trash-alt" aria-hidden="true"></i></span>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </form>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-success" onclick="saveInboundServices(event, '<?php echo e($coid); ?>');" id="save_ib_sr_button">Save</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div>

<script type="text/javascript">
    $('.date_inputs').datepicker({
        language: "en",
        autoclose: true,
        orientation: "bottom",
    });
</script><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/inbound_services.blade.php ENDPATH**/ ?>