
<?php $__env->startSection('styles'); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">My account</div>
                <div class="card-body">
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div class="alert alert-danger" id="account_settings_error" style="display:none">
                      Something went wrong...
                      <ul></ul>
                    </div>
                    <div class="form-group row">
                        <div class="col-md-12 text-center">
                            <div id="success"></div>
                        </div>
                    </div>
                    <form method="POST" id="add_form" action="" class="needs-validation" novalidate style="width:50%;margin: 0 auto">
                        <fieldset id="disable_form_fieldset">
                        <?php echo csrf_field(); ?>
                        <div class="form-group row">
                            <div class="form-group col-md-12">
                                <label for="email"><?php echo e(__('Email')); ?></label>
                                <input type="text" id="email" name="email" class="form-control need-validation-inputs" placeholder="Email" value="<?php echo e($user->email); ?>" required maxlength="191" readonly>
                                <div class="invalid-feedback">
                                    Please provide your email
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="form-group col-md-6">
                                <label for="phone"><?php echo e(__('Phone')); ?></label>
                                <input type="text" id="phone" name="phone" class="form-control need-validation-inputs" placeholder="Phone" required value="<?php echo e($user->phone); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide your phone number.
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="cell_phone"><?php echo e(__('Cell Phone')); ?></label>
                                <input type="text" id="cell_phone" name="cell_phone" class="form-control" placeholder="Cell Phone"  value="<?php echo e($user->cell_phone); ?>" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide your cellphone number.
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="form-group col-md-12">
                                <label for="password"><?php echo e(__('Password')); ?></label>
                                <input type="password" id="password" name="password" class="form-control need-validation-inputs" placeholder="Password" value=""  maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide your password
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="form-group col-md-12">
                                <label for="password_confirmation"><?php echo e(__('Confirm Password')); ?></label>
                                <input type="password" id="password_confirmation" name="password_confirmation" class="form-control need-validation-inputs" placeholder="Confirm Password"  value="" maxlength="191">
                                <div class="invalid-feedback">
                                    Please confirm password
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="form-group col-md-4 text-center">
                                &nbsp;
                            </div>
                            <div class="form-group col-md-2 text-center">
                                <a href="<?php echo e(route('MyAccount')); ?>"><button type="button" class="btn btn-secondary" data-dismiss="modal" onclick="event.preventdefault();">Cancel</button></a>
                            </div>
                            <div class="form-group col-md-2 text-center">
                                <button type="submit" class="btn btn-primary" id="submit_form" onclick="changeAccountSettings(event)">Save</button>
                            </div>
                            <div class="form-group col-md-4 text-center">
                                &nbsp;
                            </div>
                        </div>
                        <input type="hidden" id="user_id" name="user_id" value="<?php echo e($user->id); ?>">
                        </fieldset>
                    </form>
                    <br />
                    

                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>
    
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/pages/my_account.blade.php ENDPATH**/ ?>